      subroutine dratedc(rk,y,dw)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: CBM4_REG            
C     Species: _ciCBM4_REG         
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     RK: kinetic rates.
C     Y: chemical concentrations.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     DW: derivative of reaction rates wrt Y.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      INCLUDE 'PARADOM.INC'  
      
      double precision rk(nr),y(nesp),dw(nr,nesp)

      
      dw(  1, 34) =  rk(  1)
      dw(  2, 27) =  rk(  2)
      dw(  3, 26) =  rk(  3) * Y( 33)
      dw(  3, 33) =  rk(  3) * Y( 26)
      dw(  4, 27) =  rk(  4) * Y( 34)
      dw(  4, 34) =  rk(  4) * Y( 27)
      dw(  5, 27) =  rk(  5) * Y( 34)
      dw(  5, 34) =  rk(  5) * Y( 27)
      dw(  6, 27) =  rk(  6) * Y( 33)
      dw(  6, 33) =  rk(  6) * Y( 27)
      dw(  7, 34) =  rk(  7) * Y( 26)
      dw(  7, 26) =  rk(  7) * Y( 34)
      dw(  8, 26) =  rk(  8)
      dw(  9, 26) =  rk(  9)
      dw( 10,  6) =  rk( 10)
      dw( 11,  6) =  rk( 11) * Y( 16)
      dw( 11, 16) =  rk( 11) * Y(  6)
      dw( 12, 26) =  rk( 12) * Y( 35)
      dw( 12, 35) =  rk( 12) * Y( 26)
      dw( 13, 26) =  rk( 13) * Y( 36)
      dw( 13, 36) =  rk( 13) * Y( 26)
      dw( 14, 29) =  rk( 14)
      dw( 15, 29) =  rk( 15) * Y( 33)
      dw( 15, 33) =  rk( 15) * Y( 29)
      dw( 16, 29) =  rk( 16) * Y( 34)
      dw( 16, 34) =  rk( 16) * Y( 29)
      dw( 17, 29) =  rk( 17) * Y( 34)
      dw( 17, 34) =  rk( 17) * Y( 29)
      dw( 18, 10) =  rk( 18) * Y( 16)
      dw( 18, 16) =  rk( 18) * Y( 10)
      dw( 19, 10) =  rk( 19)
      dw( 20, 33) =  rk( 20) * Y( 33)
      dw( 20, 33) =  rk( 20) * Y( 33)
      dw( 21, 33) =  rk( 21) * Y( 34) * Y( 16)
      dw( 21, 34) =  rk( 21) * Y( 33) * Y( 16)
      dw( 21, 16) =  rk( 21) * Y( 33) * Y( 34)
      dw( 22, 33) =  rk( 22) * Y( 35)
      dw( 22, 35) =  rk( 22) * Y( 33)
      dw( 23, 17) =  rk( 23)
      dw( 24, 35) =  rk( 24) * Y( 17)
      dw( 24, 17) =  rk( 24) * Y( 35)
      dw( 25, 17) =  rk( 25) * Y( 17)
      dw( 25, 17) =  rk( 25) * Y( 17)
      dw( 26, 34) =  rk( 26) * Y( 35)
      dw( 26, 35) =  rk( 26) * Y( 34)
      dw( 27, 35) =  rk( 27) * Y( 24)
      dw( 27, 24) =  rk( 27) * Y( 35)
      dw( 28, 36) =  rk( 28) * Y( 33)
      dw( 28, 33) =  rk( 28) * Y( 36)
      dw( 29, 36) =  rk( 29) * Y( 34)
      dw( 29, 34) =  rk( 29) * Y( 36)
      dw( 30, 13) =  rk( 30)
      dw( 31, 35) =  rk( 31) * Y( 13)
      dw( 31, 13) =  rk( 31) * Y( 35)
      dw( 32, 36) =  rk( 32) * Y( 36)
      dw( 32, 36) =  rk( 32) * Y( 36)
      dw( 33, 36) =  rk( 33) * Y( 36) * Y( 16)
      dw( 33, 36) =  rk( 33) * Y( 36) * Y( 16)
      dw( 33, 16) =  rk( 33) * Y( 36) * Y( 36)
      dw( 34, 15) =  rk( 34)
      dw( 35, 35) =  rk( 35) * Y( 15)
      dw( 35, 15) =  rk( 35) * Y( 35)
      dw( 36, 35) =  rk( 36) * Y( 28)
      dw( 36, 28) =  rk( 36) * Y( 35)
      dw( 37, 31) =  rk( 37) * Y( 35)
      dw( 37, 35) =  rk( 37) * Y( 31)
      dw( 38, 31) =  rk( 38)
      dw( 39, 31) =  rk( 39)
      dw( 40, 31) =  rk( 40) * Y( 27)
      dw( 40, 27) =  rk( 40) * Y( 31)
      dw( 41, 31) =  rk( 41) * Y( 29)
      dw( 41, 29) =  rk( 41) * Y( 31)
      dw( 42, 23) =  rk( 42) * Y( 27)
      dw( 42, 27) =  rk( 42) * Y( 23)
      dw( 43, 23) =  rk( 43) * Y( 35)
      dw( 43, 35) =  rk( 43) * Y( 23)
      dw( 44, 23) =  rk( 44) * Y( 29)
      dw( 44, 29) =  rk( 44) * Y( 23)
      dw( 45, 23) =  rk( 45)
      dw( 46, 30) =  rk( 46) * Y( 33)
      dw( 46, 33) =  rk( 46) * Y( 30)
      dw( 47, 30) =  rk( 47) * Y( 34)
      dw( 47, 34) =  rk( 47) * Y( 30)
      dw( 48,  7) =  rk( 48)
      dw( 49, 30) =  rk( 49) * Y( 30)
      dw( 49, 30) =  rk( 49) * Y( 30)
      dw( 50, 30) =  rk( 50) * Y( 36)
      dw( 50, 36) =  rk( 50) * Y( 30)
      dw( 51, 35) =  rk( 51)
      dw( 52, 22) =  rk( 52) * Y( 35)
      dw( 52, 35) =  rk( 52) * Y( 22)
      dw( 53, 14) =  rk( 53)
      dw( 54, 14) =  rk( 54)
      dw( 55, 14) =  rk( 55) * Y( 34)
      dw( 55, 34) =  rk( 55) * Y( 14)
      dw( 56, 27) =  rk( 56) * Y( 21)
      dw( 56, 21) =  rk( 56) * Y( 27)
      dw( 57, 35) =  rk( 57) * Y( 21)
      dw( 57, 21) =  rk( 57) * Y( 35)
      dw( 58, 26) =  rk( 58) * Y( 21)
      dw( 58, 21) =  rk( 58) * Y( 26)
      dw( 59, 29) =  rk( 59) * Y( 21)
      dw( 59, 21) =  rk( 59) * Y( 29)
      dw( 60, 27) =  rk( 60) * Y( 19)
      dw( 60, 19) =  rk( 60) * Y( 27)
      dw( 61, 35) =  rk( 61) * Y( 19)
      dw( 61, 19) =  rk( 61) * Y( 35)
      dw( 62, 26) =  rk( 62) * Y( 19)
      dw( 62, 19) =  rk( 62) * Y( 26)
      dw( 63,  4) =  rk( 63) * Y( 35)
      dw( 63, 35) =  rk( 63) * Y(  4)
      dw( 64,  8) =  rk( 64) * Y( 33)
      dw( 64, 33) =  rk( 64) * Y(  8)
      dw( 65,  8) =  rk( 65)
      dw( 66, 35) =  rk( 66) * Y(  9)
      dw( 66,  9) =  rk( 66) * Y( 35)
      dw( 67,  9) =  rk( 67) * Y( 29)
      dw( 67, 29) =  rk( 67) * Y(  9)
      dw( 68, 18) =  rk( 68) * Y( 34)
      dw( 68, 34) =  rk( 68) * Y( 18)
      dw( 69, 11) =  rk( 69)
      dw( 70, 11) =  rk( 70) * Y( 35)
      dw( 70, 35) =  rk( 70) * Y( 11)
      dw( 71, 11) =  rk( 71) * Y( 26)
      dw( 71, 26) =  rk( 71) * Y( 11)
      dw( 72, 35) =  rk( 72) * Y(  5)
      dw( 72,  5) =  rk( 72) * Y( 35)
      dw( 73, 35) =  rk( 73) * Y( 12)
      dw( 73, 12) =  rk( 73) * Y( 35)
      dw( 74, 12) =  rk( 74)
      dw( 75, 27) =  rk( 75) * Y( 20)
      dw( 75, 20) =  rk( 75) * Y( 27)
      dw( 76, 35) =  rk( 76) * Y( 20)
      dw( 76, 20) =  rk( 76) * Y( 35)
      dw( 77, 26) =  rk( 77) * Y( 20)
      dw( 77, 20) =  rk( 77) * Y( 26)
      dw( 78, 29) =  rk( 78) * Y( 20)
      dw( 78, 20) =  rk( 78) * Y( 29)
      dw( 79, 32) =  rk( 79) * Y( 33)
      dw( 79, 33) =  rk( 79) * Y( 32)
      dw( 80, 25) =  rk( 80) * Y( 33)
      dw( 80, 33) =  rk( 80) * Y( 25)
      dw( 81, 32) =  rk( 81) * Y( 32)
      dw( 81, 32) =  rk( 81) * Y( 32)
      dw( 82,  2) =  rk( 82) * Y( 35)
      dw( 82, 35) =  rk( 82) * Y(  2)
      dw( 83,  2) =  rk( 83)
      dw( 84,  1) =  rk( 84)
      
      RETURN
      END
