      subroutine fexchem(y,rk,ZCsourc,chem)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the chemical production term.
C     This routine is automatically generated by SPACK.
C     Mechanism: CBM4_REG            
C     Species: _ciCBM4_REG         
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     Y: chemical concentrations.
C     RK: kinetic rates.
C     ZCSOURC: volumic emissions.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     CHEM: array of chemical production terms.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     COMUSE: flags and parameters for numerics.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      include 'COMUSE.INC' 
      INCLUDE 'PARADOM.INC'  
      
      double precision w(nr),rk(nr),y(nesp),chem(nesp),ZCsourc(nesp)
      integer i
      
      do i=1,nesp
         chem(i)=0.d0
      enddo
      
C     Compute reaction rates.
      
      call rates(rk,y,w)
      
C     Chemical production terms.
      
      chem( 27) = chem( 27) + w(  1)
      chem( 33) = chem( 33) + w(  1)
      chem( 34) = chem( 34) - w(  1)
      chem( 26) = chem( 26) + w(  2)
      chem( 27) = chem( 27) - w(  2)
      chem( 26) = chem( 26) - w(  3)
      chem( 33) = chem( 33) - w(  3)
      chem( 34) = chem( 34) + w(  3)
      chem( 27) = chem( 27) - w(  4)
      chem( 33) = chem( 33) + w(  4)
      chem( 34) = chem( 34) - w(  4)
      chem( 27) = chem( 27) - w(  5)
      chem( 29) = chem( 29) + w(  5)
      chem( 34) = chem( 34) - w(  5)
      chem( 27) = chem( 27) - w(  6)
      chem( 33) = chem( 33) - w(  6)
      chem( 34) = chem( 34) + w(  6)
      chem( 26) = chem( 26) - w(  7)
      chem( 29) = chem( 29) + w(  7)
      chem( 34) = chem( 34) - w(  7)
      chem( 26) = chem( 26) - w(  8)
      chem( 27) = chem( 27) + w(  8)
      chem(  6) = chem(  6) + w(  9)
      chem( 26) = chem( 26) - w(  9)
      chem(  6) = chem(  6) - w( 10)
      chem( 27) = chem( 27) + w( 10)
      chem(  6) = chem(  6) - w( 11)
      chem( 16) = chem( 16) - w( 11)
      chem( 35) = chem( 35) +  0.2000000000000000D+01 * w( 11)
      chem( 26) = chem( 26) - w( 12)
      chem( 35) = chem( 35) - w( 12)
      chem( 36) = chem( 36) + w( 12)
      chem( 26) = chem( 26) - w( 13)
      chem( 35) = chem( 35) + w( 13)
      chem( 36) = chem( 36) - w( 13)
      chem( 27) = chem( 27) +  0.8900000000000000D+00 * w( 14)
      chem( 29) = chem( 29) - w( 14)
      chem( 33) = chem( 33) +  0.1100000000000000D+00 * w( 14)
      chem( 34) = chem( 34) +  0.8900000000000000D+00 * w( 14)
      chem( 29) = chem( 29) - w( 15)
      chem( 33) = chem( 33) - w( 15)
      chem( 34) = chem( 34) +  0.2000000000000000D+01 * w( 15)
      chem( 29) = chem( 29) - w( 16)
      chem( 33) = chem( 33) + w( 16)
      chem( 10) = chem( 10) + w( 17)
      chem( 29) = chem( 29) - w( 17)
      chem( 34) = chem( 34) - w( 17)
      chem( 10) = chem( 10) - w( 18)
      chem( 16) = chem( 16) - w( 18)
      chem( 24) = chem( 24) +  0.2000000000000000D+01 * w( 18)
      chem( 10) = chem( 10) - w( 19)
      chem( 29) = chem( 29) + w( 19)
      chem( 34) = chem( 34) + w( 19)
      chem( 33) = chem( 33) -  0.2000000000000000D+01 * w( 20)
      chem( 34) = chem( 34) +  0.2000000000000000D+01 * w( 20)
      chem( 16) = chem( 16) - w( 21)
      chem( 17) = chem( 17) +  0.2000000000000000D+01 * w( 21)
      chem( 33) = chem( 33) - w( 21)
      chem( 34) = chem( 34) - w( 21)
      chem( 17) = chem( 17) + w( 22)
      chem( 33) = chem( 33) - w( 22)
      chem( 35) = chem( 35) - w( 22)
      chem( 17) = chem( 17) - w( 23)
      chem( 33) = chem( 33) + w( 23)
      chem( 35) = chem( 35) + w( 23)
      chem( 17) = chem( 17) - w( 24)
      chem( 34) = chem( 34) + w( 24)
      chem( 35) = chem( 35) - w( 24)
      chem( 17) = chem( 17) -  0.2000000000000000D+01 * w( 25)
      chem( 33) = chem( 33) + w( 25)
      chem( 34) = chem( 34) + w( 25)
      chem( 24) = chem( 24) + w( 26)
      chem( 34) = chem( 34) - w( 26)
      chem( 35) = chem( 35) - w( 26)
      chem( 24) = chem( 24) - w( 27)
      chem( 29) = chem( 29) + w( 27)
      chem( 35) = chem( 35) - w( 27)
      chem( 33) = chem( 33) - w( 28)
      chem( 34) = chem( 34) + w( 28)
      chem( 35) = chem( 35) + w( 28)
      chem( 36) = chem( 36) - w( 28)
      chem( 13) = chem( 13) + w( 29)
      chem( 34) = chem( 34) - w( 29)
      chem( 36) = chem( 36) - w( 29)
      chem( 13) = chem( 13) - w( 30)
      chem( 34) = chem( 34) + w( 30)
      chem( 36) = chem( 36) + w( 30)
      chem( 13) = chem( 13) - w( 31)
      chem( 34) = chem( 34) + w( 31)
      chem( 35) = chem( 35) - w( 31)
      chem( 15) = chem( 15) + w( 32)
      chem( 36) = chem( 36) -  0.2000000000000000D+01 * w( 32)
      chem( 15) = chem( 15) + w( 33)
      chem( 16) = chem( 16) - w( 33)
      chem( 36) = chem( 36) -  0.2000000000000000D+01 * w( 33)
      chem( 15) = chem( 15) - w( 34)
      chem( 35) = chem( 35) +  0.2000000000000000D+01 * w( 34)
      chem( 15) = chem( 15) - w( 35)
      chem( 35) = chem( 35) - w( 35)
      chem( 36) = chem( 36) + w( 35)
      chem( 28) = chem( 28) - w( 36)
      chem( 35) = chem( 35) - w( 36)
      chem( 36) = chem( 36) + w( 36)
      chem( 28) = chem( 28) + w( 37)
      chem( 31) = chem( 31) - w( 37)
      chem( 35) = chem( 35) - w( 37)
      chem( 36) = chem( 36) + w( 37)
      chem( 28) = chem( 28) + w( 38)
      chem( 31) = chem( 31) - w( 38)
      chem( 36) = chem( 36) +  0.2000000000000000D+01 * w( 38)
      chem( 28) = chem( 28) + w( 39)
      chem( 31) = chem( 31) - w( 39)
      chem( 27) = chem( 27) - w( 40)
      chem( 28) = chem( 28) + w( 40)
      chem( 31) = chem( 31) - w( 40)
      chem( 35) = chem( 35) + w( 40)
      chem( 36) = chem( 36) + w( 40)
      chem( 24) = chem( 24) + w( 41)
      chem( 28) = chem( 28) + w( 41)
      chem( 29) = chem( 29) - w( 41)
      chem( 31) = chem( 31) - w( 41)
      chem( 36) = chem( 36) + w( 41)
      chem( 23) = chem( 23) - w( 42)
      chem( 27) = chem( 27) - w( 42)
      chem( 30) = chem( 30) + w( 42)
      chem( 35) = chem( 35) + w( 42)
      chem( 23) = chem( 23) - w( 43)
      chem( 30) = chem( 30) + w( 43)
      chem( 35) = chem( 35) - w( 43)
      chem( 23) = chem( 23) - w( 44)
      chem( 24) = chem( 24) + w( 44)
      chem( 29) = chem( 29) - w( 44)
      chem( 30) = chem( 30) + w( 44)
      chem( 23) = chem( 23) - w( 45)
      chem( 28) = chem( 28) + w( 45)
      chem( 31) = chem( 31) + w( 45)
      chem( 32) = chem( 32) + w( 45)
      chem( 36) = chem( 36) +  0.2000000000000000D+01 * w( 45)
      chem( 30) = chem( 30) - w( 46)
      chem( 31) = chem( 31) + w( 46)
      chem( 32) = chem( 32) + w( 46)
      chem( 33) = chem( 33) - w( 46)
      chem( 34) = chem( 34) + w( 46)
      chem( 36) = chem( 36) + w( 46)
      chem(  7) = chem(  7) + w( 47)
      chem( 30) = chem( 30) - w( 47)
      chem( 34) = chem( 34) - w( 47)
      chem(  7) = chem(  7) - w( 48)
      chem( 30) = chem( 30) + w( 48)
      chem( 34) = chem( 34) + w( 48)
      chem( 30) = chem( 30) -  0.2000000000000000D+01 * w( 49)
      chem( 31) = chem( 31) +  0.2000000000000000D+01 * w( 49)
      chem( 32) = chem( 32) +  0.2000000000000000D+01 * w( 49)
      chem( 36) = chem( 36) +  0.2000000000000000D+01 * w( 49)
      chem( 30) = chem( 30) - w( 50)
      chem( 31) = chem( 31) +  0.7900000000000000D+00 * w( 50)
      chem( 32) = chem( 32) +  0.7900000000000000D+00 * w( 50)
      chem( 35) = chem( 35) +  0.7900000000000000D+00 * w( 50)
      chem( 36) = chem( 36) -  0.2100000000000000D+00 * w( 50)
      chem( 31) = chem( 31) + w( 51)
      chem( 32) = chem( 32) + w( 51)
      chem( 35) = chem( 35) - w( 51)
      chem( 36) = chem( 36) + w( 51)
      chem( 14) = chem( 14) +  0.7600000000000000D+00 * w( 52)
      chem( 22) = chem( 22) -  0.8900000000000000D+00 * w( 52)
      chem( 23) = chem( 23) +  0.1100000000000000D+00 * w( 52)
      chem( 25) = chem( 25) +  0.1300000000000000D+00 * w( 52)
      chem( 32) = chem( 32) +  0.8700000000000000D+00 * w( 52)
      chem( 35) = chem( 35) - w( 52)
      chem( 36) = chem( 36) +  0.1100000000000000D+00 * w( 52)
      chem( 14) = chem( 14) -  0.9800000000000000D+00 * w( 53)
      chem( 22) = chem( 22) +  0.2100000000000000D+01 * w( 53)
      chem( 23) = chem( 23) +  0.1100000000000000D+01 * w( 53)
      chem( 25) = chem( 25) +  0.4000000000000000D-01 * w( 53)
      chem( 32) = chem( 32) +  0.9600000000000000D+00 * w( 53)
      chem( 36) = chem( 36) +  0.9399999999999999D+00 * w( 53)
      chem( 14) = chem( 14) - w( 54)
      chem( 36) = chem( 36) + w( 54)
      chem( 14) = chem( 14) - w( 55)
      chem( 34) = chem( 34) - w( 55)
      chem( 21) = chem( 21) - w( 56)
      chem( 22) = chem( 22) +  0.2200000000000000D+00 * w( 56)
      chem( 23) = chem( 23) +  0.6300000000000000D+00 * w( 56)
      chem( 25) = chem( 25) +  0.2000000000000000D-01 * w( 56)
      chem( 27) = chem( 27) - w( 56)
      chem( 28) = chem( 28) +  0.3000000000000000D+00 * w( 56)
      chem( 31) = chem( 31) +  0.2000000000000000D+00 * w( 56)
      chem( 32) = chem( 32) +  0.2800000000000000D+00 * w( 56)
      chem( 35) = chem( 35) +  0.2000000000000000D+00 * w( 56)
      chem( 36) = chem( 36) +  0.3800000000000000D+00 * w( 56)
      chem( 21) = chem( 21) - w( 57)
      chem( 22) = chem( 22) + w( 57)
      chem( 23) = chem( 23) + w( 57)
      chem( 31) = chem( 31) + w( 57)
      chem( 32) = chem( 32) + w( 57)
      chem( 35) = chem( 35) - w( 57)
      chem( 36) = chem( 36) + w( 57)
      chem( 21) = chem( 21) - w( 58)
      chem( 22) = chem( 22) + w( 58)
      chem( 23) = chem( 23) +  0.5000000000000000D+00 * w( 58)
      chem( 26) = chem( 26) - w( 58)
      chem( 28) = chem( 28) +  0.3300000000000000D+00 * w( 58)
      chem( 31) = chem( 31) +  0.7400000000000000D+00 * w( 58)
      chem( 32) = chem( 32) +  0.2200000000000000D+00 * w( 58)
      chem( 35) = chem( 35) +  0.1000000000000000D+00 * w( 58)
      chem( 36) = chem( 36) +  0.4400000000000000D+00 * w( 58)
      chem( 21) = chem( 21) - w( 59)
      chem( 22) = chem( 22) + w( 59)
      chem( 23) = chem( 23) + w( 59)
      chem( 25) = chem( 25) +  0.9000000000000000D-01 * w( 59)
      chem( 29) = chem( 29) - w( 59)
      chem( 31) = chem( 31) + w( 59)
      chem( 32) = chem( 32) +  0.9100000000000000D+00 * w( 59)
      chem( 34) = chem( 34) + w( 59)
      chem( 19) = chem( 19) - w( 60)
      chem( 27) = chem( 27) - w( 60)
      chem( 28) = chem( 28) + w( 60)
      chem( 31) = chem( 31) + w( 60)
      chem( 32) = chem( 32) +  0.7000000000000000D+00 * w( 60)
      chem( 35) = chem( 35) +  0.3000000000000000D+00 * w( 60)
      chem( 36) = chem( 36) +  0.1700000000000000D+01 * w( 60)
      chem( 19) = chem( 19) - w( 61)
      chem( 23) = chem( 23) +  0.2200000000000000D+00 * w( 61)
      chem( 31) = chem( 31) +  0.1560000000000000D+01 * w( 61)
      chem( 32) = chem( 32) + w( 61)
      chem( 35) = chem( 35) - w( 61)
      chem( 36) = chem( 36) + w( 61)
      chem( 19) = chem( 19) - w( 62)
      chem( 26) = chem( 26) - w( 62)
      chem( 28) = chem( 28) +  0.4200000000000000D+00 * w( 62)
      chem( 31) = chem( 31) + w( 62)
      chem( 36) = chem( 36) +  0.1200000000000000D+00 * w( 62)
      chem(  4) = chem(  4) - w( 63)
      chem(  8) = chem(  8) +  0.5600000000000001D+00 * w( 63)
      chem(  9) = chem(  9) +  0.3600000000000000D+00 * w( 63)
      chem( 32) = chem( 32) +  0.8000000000000000D-01 * w( 63)
      chem( 35) = chem( 35) - w( 63)
      chem( 36) = chem( 36) +  0.4400000000000000D+00 * w( 63)
      chem(  8) = chem(  8) - w( 64)
      chem( 11) = chem( 11) +  0.9000000000000000D+00 * w( 64)
      chem( 33) = chem( 33) - w( 64)
      chem( 34) = chem( 34) +  0.9000000000000000D+00 * w( 64)
      chem( 36) = chem( 36) +  0.9000000000000000D+00 * w( 64)
      chem(  8) = chem(  8) - w( 65)
      chem(  9) = chem(  9) + w( 65)
      chem( 36) = chem( 36) + w( 65)
      chem(  9) = chem(  9) - w( 66)
      chem( 11) = chem( 11) +  0.3000000000000000D+00 * w( 66)
      chem( 18) = chem( 18) +  0.4000000000000000D+00 * w( 66)
      chem( 32) = chem( 32) +  0.6000000000000000D+00 * w( 66)
      chem( 35) = chem( 35) - w( 66)
      chem( 36) = chem( 36) +  0.6000000000000000D+00 * w( 66)
      chem(  9) = chem(  9) - w( 67)
      chem( 18) = chem( 18) + w( 67)
      chem( 24) = chem( 24) + w( 67)
      chem( 29) = chem( 29) - w( 67)
      chem( 18) = chem( 18) - w( 68)
      chem( 34) = chem( 34) - w( 68)
      chem( 11) = chem( 11) - w( 69)
      chem( 28) = chem( 28) + w( 69)
      chem( 30) = chem( 30) + w( 69)
      chem( 36) = chem( 36) + w( 69)
      chem( 11) = chem( 11) - w( 70)
      chem( 28) = chem( 28) +  0.2000000000000000D+01 * w( 70)
      chem( 30) = chem( 30) + w( 70)
      chem( 31) = chem( 31) + w( 70)
      chem( 32) = chem( 32) + w( 70)
      chem( 35) = chem( 35) - w( 70)
      chem( 36) = chem( 36) +  0.2000000000000000D+01 * w( 70)
      chem( 11) = chem( 11) - w( 71)
      chem( 12) = chem( 12) +  0.2000000000000000D+00 * w( 71)
      chem( 23) = chem( 23) +  0.3000000000000000D-01 * w( 71)
      chem( 26) = chem( 26) - w( 71)
      chem( 28) = chem( 28) +  0.6899999999999999D+00 * w( 71)
      chem( 30) = chem( 30) +  0.6200000000000000D+00 * w( 71)
      chem( 31) = chem( 31) +  0.7000000000000000D+00 * w( 71)
      chem( 32) = chem( 32) +  0.3000000000000000D-01 * w( 71)
      chem( 35) = chem( 35) +  0.8000000000000000D-01 * w( 71)
      chem( 36) = chem( 36) +  0.7600000000000000D+00 * w( 71)
      chem(  5) = chem(  5) - w( 72)
      chem(  8) = chem(  8) +  0.3000000000000000D+00 * w( 72)
      chem(  9) = chem(  9) +  0.2000000000000000D+00 * w( 72)
      chem( 12) = chem( 12) +  0.8000000000000000D+00 * w( 72)
      chem( 22) = chem( 22) +  0.1100000000000000D+01 * w( 72)
      chem( 32) = chem( 32) +  0.5000000000000000D+00 * w( 72)
      chem( 35) = chem( 35) - w( 72)
      chem( 36) = chem( 36) +  0.7000000000000000D+00 * w( 72)
      chem( 12) = chem( 12) - w( 73)
      chem( 30) = chem( 30) + w( 73)
      chem( 32) = chem( 32) + w( 73)
      chem( 35) = chem( 35) - w( 73)
      chem( 12) = chem( 12) - w( 74)
      chem( 28) = chem( 28) + w( 74)
      chem( 30) = chem( 30) + w( 74)
      chem( 36) = chem( 36) + w( 74)
      chem( 19) = chem( 19) +  0.4500000000000000D+00 * w( 75)
      chem( 20) = chem( 20) - w( 75)
      chem( 21) = chem( 21) +  0.5500000000000000D+00 * w( 75)
      chem( 22) = chem( 22) +  0.9000000000000000D+00 * w( 75)
      chem( 23) = chem( 23) +  0.8000000000000000D+00 * w( 75)
      chem( 27) = chem( 27) - w( 75)
      chem( 28) = chem( 28) +  0.5000000000000000D+00 * w( 75)
      chem( 32) = chem( 32) +  0.5000000000000000D+00 * w( 75)
      chem( 36) = chem( 36) +  0.6000000000000000D+00 * w( 75)
      chem( 12) = chem( 12) +  0.4000000000000000D+00 * w( 76)
      chem( 19) = chem( 19) + w( 76)
      chem( 20) = chem( 20) - w( 76)
      chem( 23) = chem( 23) +  0.2000000000000000D+00 * w( 76)
      chem( 25) = chem( 25) +  0.1300000000000000D+00 * w( 76)
      chem( 30) = chem( 30) +  0.2000000000000000D+00 * w( 76)
      chem( 31) = chem( 31) + w( 76)
      chem( 32) = chem( 32) + w( 76)
      chem( 35) = chem( 35) - w( 76)
      chem( 36) = chem( 36) +  0.6700000000000000D+00 * w( 76)
      chem( 12) = chem( 12) +  0.2000000000000000D+00 * w( 77)
      chem( 19) = chem( 19) +  0.5500000000000000D+00 * w( 77)
      chem( 20) = chem( 20) - w( 77)
      chem( 22) = chem( 22) +  0.1000000000000000D+00 * w( 77)
      chem( 23) = chem( 23) +  0.4000000000000000D+00 * w( 77)
      chem( 26) = chem( 26) - w( 77)
      chem( 28) = chem( 28) +  0.6000000000000000D-01 * w( 77)
      chem( 31) = chem( 31) + w( 77)
      chem( 35) = chem( 35) +  0.1000000000000000D+00 * w( 77)
      chem( 36) = chem( 36) +  0.4400000000000000D+00 * w( 77)
      chem( 20) = chem( 20) - w( 78)
      chem( 25) = chem( 25) + w( 78)
      chem( 29) = chem( 29) - w( 78)
      chem( 32) = chem( 32) - w( 79)
      chem( 33) = chem( 33) - w( 79)
      chem( 34) = chem( 34) + w( 79)
      chem( 25) = chem( 25) - w( 80)
      chem( 33) = chem( 33) - w( 80)
      chem( 32) = chem( 32) -  0.2000000000000000D+01 * w( 81)
      chem(  2) = chem(  2) - w( 82)
      chem(  3) = chem(  3) + w( 82)
      chem( 35) = chem( 35) - w( 82)
      chem( 36) = chem( 36) + w( 82)
      chem(  2) = chem(  2) - w( 83)
      chem(  3) = chem(  3) + w( 83)
      
C     Volumic source terms.
      
      IF(LSOURC)THEN
         do i=1,nesp
            chem(i)=chem(i)+ZCsourc(i)
         enddo
      endif
      
      RETURN
      END
      
