      subroutine rates(rk,y,w)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the reaction rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: CBM4_REG            
C     Species: _ciCBM4_REG         
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     RK: kinetic rates.
C     Y: chemical concentrations.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     W: reaction rates.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      INCLUDE 'PARADOM.INC'  
      
      double precision rk(nr),y(nesp),w(nr)
      
      
      w(  1) =  rk(  1) * Y( 34)
      w(  2) =  rk(  2) * Y( 27)
      w(  3) =  rk(  3) * Y( 26) * Y( 33)
      w(  4) =  rk(  4) * Y( 27) * Y( 34)
      w(  5) =  rk(  5) * Y( 27) * Y( 34)
      w(  6) =  rk(  6) * Y( 27) * Y( 33)
      w(  7) =  rk(  7) * Y( 34) * Y( 26)
      w(  8) =  rk(  8) * Y( 26)
      w(  9) =  rk(  9) * Y( 26)
      w( 10) =  rk( 10) * Y(  6)
      w( 11) =  rk( 11) * Y(  6) * Y( 16)
      w( 12) =  rk( 12) * Y( 26) * Y( 35)
      w( 13) =  rk( 13) * Y( 26) * Y( 36)
      w( 14) =  rk( 14) * Y( 29)
      w( 15) =  rk( 15) * Y( 29) * Y( 33)
      w( 16) =  rk( 16) * Y( 29) * Y( 34)
      w( 17) =  rk( 17) * Y( 29) * Y( 34)
      w( 18) =  rk( 18) * Y( 10) * Y( 16)
      w( 19) =  rk( 19) * Y( 10)
      w( 20) =  rk( 20) * Y( 33) * Y( 33)
      w( 21) =  rk( 21) * Y( 33) * Y( 34) * Y( 16)
      w( 22) =  rk( 22) * Y( 33) * Y( 35)
      w( 23) =  rk( 23) * Y( 17)
      w( 24) =  rk( 24) * Y( 35) * Y( 17)
      w( 25) =  rk( 25) * Y( 17) * Y( 17)
      w( 26) =  rk( 26) * Y( 34) * Y( 35)
      w( 27) =  rk( 27) * Y( 35) * Y( 24)
      w( 28) =  rk( 28) * Y( 36) * Y( 33)
      w( 29) =  rk( 29) * Y( 36) * Y( 34)
      w( 30) =  rk( 30) * Y( 13)
      w( 31) =  rk( 31) * Y( 35) * Y( 13)
      w( 32) =  rk( 32) * Y( 36) * Y( 36)
      w( 33) =  rk( 33) * Y( 36) * Y( 36) * Y( 16)
      w( 34) =  rk( 34) * Y( 15)
      w( 35) =  rk( 35) * Y( 35) * Y( 15)
      w( 36) =  rk( 36) * Y( 35) * Y( 28)
      w( 37) =  rk( 37) * Y( 31) * Y( 35)
      w( 38) =  rk( 38) * Y( 31)
      w( 39) =  rk( 39) * Y( 31)
      w( 40) =  rk( 40) * Y( 31) * Y( 27)
      w( 41) =  rk( 41) * Y( 31) * Y( 29)
      w( 42) =  rk( 42) * Y( 23) * Y( 27)
      w( 43) =  rk( 43) * Y( 23) * Y( 35)
      w( 44) =  rk( 44) * Y( 23) * Y( 29)
      w( 45) =  rk( 45) * Y( 23)
      w( 46) =  rk( 46) * Y( 30) * Y( 33)
      w( 47) =  rk( 47) * Y( 30) * Y( 34)
      w( 48) =  rk( 48) * Y(  7)
      w( 49) =  rk( 49) * Y( 30) * Y( 30)
      w( 50) =  rk( 50) * Y( 30) * Y( 36)
      w( 51) =  rk( 51) * Y( 35)
      w( 52) =  rk( 52) * Y( 22) * Y( 35)
      w( 53) =  rk( 53) * Y( 14)
      w( 54) =  rk( 54) * Y( 14)
      w( 55) =  rk( 55) * Y( 14) * Y( 34)
      w( 56) =  rk( 56) * Y( 27) * Y( 21)
      w( 57) =  rk( 57) * Y( 35) * Y( 21)
      w( 58) =  rk( 58) * Y( 26) * Y( 21)
      w( 59) =  rk( 59) * Y( 29) * Y( 21)
      w( 60) =  rk( 60) * Y( 27) * Y( 19)
      w( 61) =  rk( 61) * Y( 35) * Y( 19)
      w( 62) =  rk( 62) * Y( 26) * Y( 19)
      w( 63) =  rk( 63) * Y(  4) * Y( 35)
      w( 64) =  rk( 64) * Y(  8) * Y( 33)
      w( 65) =  rk( 65) * Y(  8)
      w( 66) =  rk( 66) * Y( 35) * Y(  9)
      w( 67) =  rk( 67) * Y(  9) * Y( 29)
      w( 68) =  rk( 68) * Y( 18) * Y( 34)
      w( 69) =  rk( 69) * Y( 11)
      w( 70) =  rk( 70) * Y( 11) * Y( 35)
      w( 71) =  rk( 71) * Y( 11) * Y( 26)
      w( 72) =  rk( 72) * Y( 35) * Y(  5)
      w( 73) =  rk( 73) * Y( 35) * Y( 12)
      w( 74) =  rk( 74) * Y( 12)
      w( 75) =  rk( 75) * Y( 27) * Y( 20)
      w( 76) =  rk( 76) * Y( 35) * Y( 20)
      w( 77) =  rk( 77) * Y( 26) * Y( 20)
      w( 78) =  rk( 78) * Y( 29) * Y( 20)
      w( 79) =  rk( 79) * Y( 32) * Y( 33)
      w( 80) =  rk( 80) * Y( 25) * Y( 33)
      w( 81) =  rk( 81) * Y( 32) * Y( 32)
      w( 82) =  rk( 82) * Y(  2) * Y( 35)
      w( 83) =  rk( 83) * Y(  2)
      w( 84) =  rk( 84) * Y(  1)
      
      RETURN
      END
