C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     Global variables for EMEP mechanism.
C     
C------------------------------------------------------------------------
C     
C     NO, NO2, HNO3, PAN, NO3, SO2: concentration fields.
C     
C     DLALPHA: conversion factor molecule.cm^3 <->\mu.g/m^3 for species
C     # that are computed.
C     DLALPHAF: conversion factor for forced species.
C     NESPD: array of real index of species with dry deposition.
C     NESPSCA: array of real index of species with scavenging.
C     NESPEM: array of real index of species with surfacic emissions.
C     NESPS: array of real index of species with volumic emissions.
C     NESPCL: array of real index of species with boundary conditions.
C     NREACTPHOT: array of photolysis-reactions indices (from Spack).
C------------------------------------------------------------------------

      DOUBLE PRECISION NO,NO2,HNO3,PAN,NO3,SO2
      DOUBLE PRECISION Dalfa(Nesp)
      DOUBLE PRECISION Dalfaf(Nespf)
      INTEGER Nreactphot(Nrphot)
      INTEGER Nespconc0(Nconc0)

      INTEGER Nespd(Ndep),Nespem(Nemi),Nesps(Nsrc),Nespcl(Nspcl)
      INTEGER Nespsca(Nscav)

      COMMON/COMCHEM/NO,NO2,HNO3,PAN,NO3,SO2,
     s     Dalfa,Dalfaf,
     s     Nespd,Nespem,Nesps,Nespcl,Nespsca,Nreactphot,Nespconc0
