C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

C***********************************************************
      
      SUBROUTINE solvlin (Kindlu,DLa,DLalu,IPVT,DLx,DLb)

C     *      Author
C     ------
C     D. QUELO, CEREVE
C     Modifications
C     -------------
C     Original: 2001/06/08
C     MODIFIED: 2001/11/05 By J. Boutahar
C     (Implementation of EMEP CHEMISTRY)
C     
C----------------------------------------------------------------

      IMPLICIT NONE
      INCLUDE 'PARACHEM.INC'

      INTEGER Kindlu
      INTEGER IPVT(nespl), Ji, Jj, INFO
      DOUBLE PRECISION DLa(nespl,nespl)
      DOUBLE PRECISION DLalu(nespl,nespl)
      DOUBLE PRECISION DLx(nespl), DLb(nespl)

C----------------------------------------------------------------
C     *    0. Setup

      DO Ji=1,nespl
         DLx(Ji)=DLb(Ji)
      ENDDO
      
C----------------------------------------------------------------
C     *    1. Compute DLx
      
      IF (Kindlu .EQ. 0) THEN
         DO Ji=1,nespl
            DO Jj=1,nespl
               DLalu(Ji,Jj)=DLa(Ji,Jj)
            ENDDO
         ENDDO

         CALL DGETRF(nespl,nespl,DLalu,nespl,IPVT,INFO)
         CALL DGETRS('N',nespl,1,DLalu,nespl,IPVT,DLx,nespl,INFO)
      ELSE 
         CALL DGETRS('N',nespl,1,DLalu,nespl,IPVT,DLx,nespl,INFO)
      ENDIF
      
      END
