      subroutine dratedc(rk,y,dw)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: EURORADM            
C     Species: _ciEURORADM         
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     RK: kinetic rates.
C     Y: chemical concentrations.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     DW: derivative of reaction rates wrt Y.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     COMUSE: flags and parameters for numerics.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      include 'COMUSE.INC' 
      INCLUDE 'PARADOM.INC'  
      
      double precision rk(nr),y(nesp),dw(nr,nesp)
      integer i
      
      
      
      dw(  1, 81) =  rk(  1)
      dw(  2, 58) =  rk(  2)
      dw(  3, 58) =  rk(  3)
      dw(  4, 14) =  rk(  4)
      dw(  5, 72) =  rk(  5)
      dw(  6, 18) =  rk(  6)
      dw(  7, 73) =  rk(  7)
      dw(  8, 73) =  rk(  8)
      dw(  9, 29) =  rk(  9)
      dw( 10, 74) =  rk( 10)
      dw( 11, 74) =  rk( 11)
      dw( 12, 67) =  rk( 12)
      dw( 13, 27) =  rk( 13)
      dw( 14, 65) =  rk( 14)
      dw( 15, 28) =  rk( 15)
      dw( 16, 62) =  rk( 16)
      dw( 17, 71) =  rk( 17)
      dw( 18, 71) =  rk( 18)
      dw( 19, 70) =  rk( 19)
      dw( 20, 52) =  rk( 20)
      dw( 21, 61) =  rk( 21)
      dw( 22, 33) =  rk( 22)
      dw( 23, 30) =  rk( 23)
      dw( 24, 32) =  rk( 24)
      dw( 25, 32) =  rk( 25) * Y( 81)
      dw( 25, 81) =  rk( 25) * Y( 32)
      dw( 26,  3) =  rk( 26)
      dw( 27,  3) =  rk( 27)
      dw( 28,  3) =  rk( 28)
      dw( 29, 58) =  rk( 29) * Y( 80)
      dw( 29, 80) =  rk( 29) * Y( 58)
      dw( 30, 58) =  rk( 30) * Y( 75)
      dw( 30, 75) =  rk( 30) * Y( 58)
      dw( 31, 58) =  rk( 31) * Y( 79)
      dw( 31, 79) =  rk( 31) * Y( 58)
      dw( 32, 79) =  rk( 32) * Y( 80)
      dw( 32, 80) =  rk( 32) * Y( 79)
      dw( 33, 79) =  rk( 33) * Y( 81)
      dw( 33, 81) =  rk( 33) * Y( 79)
      dw( 34, 18) =  rk( 34)
      dw( 35, 79) =  rk( 35) * Y( 79)
      dw( 35, 79) =  rk( 35) * Y( 79)
      dw( 36, 79) =  rk( 36) * Y( 79)
      dw( 36, 79) =  rk( 36) * Y( 79)
      dw( 37, 29) =  rk( 37) * Y( 75)
      dw( 37, 75) =  rk( 37) * Y( 29)
      dw( 38, 80) =  rk( 38) * Y( 75)
      dw( 38, 75) =  rk( 38) * Y( 80)
      dw( 39, 80) =  rk( 39) * Y( 80)
      dw( 39, 80) =  rk( 39) * Y( 80)
      dw( 40, 58) =  rk( 40) * Y( 81)
      dw( 40, 81) =  rk( 40) * Y( 58)
      dw( 41, 73) =  rk( 41) * Y( 80)
      dw( 41, 80) =  rk( 41) * Y( 73)
      dw( 42, 73) =  rk( 42) * Y( 81)
      dw( 42, 81) =  rk( 42) * Y( 73)
      dw( 43, 73) =  rk( 43) * Y( 79)
      dw( 43, 79) =  rk( 43) * Y( 73)
      dw( 44, 73) =  rk( 44) * Y( 81)
      dw( 44, 81) =  rk( 44) * Y( 73)
      dw( 45, 15) =  rk( 45)
      dw( 46, 75) =  rk( 46) * Y( 81)
      dw( 46, 81) =  rk( 46) * Y( 75)
      dw( 47, 75) =  rk( 47) * Y( 72)
      dw( 47, 72) =  rk( 47) * Y( 75)
      dw( 48, 75) =  rk( 48) * Y( 18)
      dw( 48, 18) =  rk( 48) * Y( 75)
      dw( 49, 75) =  rk( 49) * Y( 79)
      dw( 49, 79) =  rk( 49) * Y( 75)
      dw( 50, 75) =  rk( 50) * Y(  1)
      dw( 50,  1) =  rk( 50) * Y( 75)
      dw( 51, 76) =  rk( 51) * Y( 75)
      dw( 51, 75) =  rk( 51) * Y( 76)
      dw( 52, 31) =  rk( 52) * Y( 75)
      dw( 52, 75) =  rk( 52) * Y( 31)
      dw( 53,  4) =  rk( 53) * Y( 75)
      dw( 53, 75) =  rk( 53) * Y(  4)
      dw( 54,  5) =  rk( 54) * Y( 75)
      dw( 54, 75) =  rk( 54) * Y(  5)
      dw( 55,  6) =  rk( 55) * Y( 75)
      dw( 55, 75) =  rk( 55) * Y(  6)
      dw( 56, 10) =  rk( 56) * Y( 75)
      dw( 56, 75) =  rk( 56) * Y( 10)
      dw( 57, 19) =  rk( 57) * Y( 75)
      dw( 57, 75) =  rk( 57) * Y( 19)
      dw( 58, 45) =  rk( 58) * Y( 75)
      dw( 58, 75) =  rk( 58) * Y( 45)
      dw( 59, 59) =  rk( 59) * Y( 75)
      dw( 59, 75) =  rk( 59) * Y( 59)
      dw( 60, 12) =  rk( 60) * Y( 75)
      dw( 60, 75) =  rk( 60) * Y( 12)
      dw( 61, 13) =  rk( 61) * Y( 75)
      dw( 61, 75) =  rk( 61) * Y( 13)
      dw( 62, 16) =  rk( 62) * Y( 75)
      dw( 62, 75) =  rk( 62) * Y( 16)
      dw( 63, 16) =  rk( 63) * Y( 75)
      dw( 63, 75) =  rk( 63) * Y( 16)
      dw( 64, 74) =  rk( 64) * Y( 75)
      dw( 64, 75) =  rk( 64) * Y( 74)
      dw( 65, 67) =  rk( 65) * Y( 75)
      dw( 65, 75) =  rk( 65) * Y( 67)
      dw( 66, 62) =  rk( 66) * Y( 75)
      dw( 66, 75) =  rk( 66) * Y( 62)
      dw( 67, 71) =  rk( 67) * Y( 75)
      dw( 67, 75) =  rk( 67) * Y( 71)
      dw( 68, 70) =  rk( 68) * Y( 75)
      dw( 68, 75) =  rk( 68) * Y( 70)
      dw( 69, 52) =  rk( 69) * Y( 75)
      dw( 69, 75) =  rk( 69) * Y( 52)
      dw( 70, 27) =  rk( 70) * Y( 75)
      dw( 70, 75) =  rk( 70) * Y( 27)
      dw( 71, 65) =  rk( 71) * Y( 75)
      dw( 71, 75) =  rk( 71) * Y( 65)
      dw( 72, 28) =  rk( 72) * Y( 75)
      dw( 72, 75) =  rk( 72) * Y( 28)
      dw( 73, 26) =  rk( 73) * Y( 75)
      dw( 73, 75) =  rk( 73) * Y( 26)
      dw( 74, 61) =  rk( 74) * Y( 75)
      dw( 74, 75) =  rk( 74) * Y( 61)
      dw( 75, 22) =  rk( 75) * Y( 75)
      dw( 75, 75) =  rk( 75) * Y( 22)
      dw( 76, 82) =  rk( 76) * Y( 81)
      dw( 76, 81) =  rk( 76) * Y( 82)
      dw( 77, 26) =  rk( 77)
      dw( 78, 77) =  rk( 78) * Y( 81)
      dw( 78, 81) =  rk( 78) * Y( 77)
      dw( 79, 17) =  rk( 79)
      dw( 80, 69) =  rk( 80) * Y( 80)
      dw( 80, 80) =  rk( 80) * Y( 69)
      dw( 81, 66) =  rk( 81) * Y( 80)
      dw( 81, 80) =  rk( 81) * Y( 66)
      dw( 82, 35) =  rk( 82) * Y( 80)
      dw( 82, 80) =  rk( 82) * Y( 35)
      dw( 83, 39) =  rk( 83) * Y( 80)
      dw( 83, 80) =  rk( 83) * Y( 39)
      dw( 84, 41) =  rk( 84) * Y( 80)
      dw( 84, 80) =  rk( 84) * Y( 41)
      dw( 85, 46) =  rk( 85) * Y( 80)
      dw( 85, 80) =  rk( 85) * Y( 46)
      dw( 86, 54) =  rk( 86) * Y( 80)
      dw( 86, 80) =  rk( 86) * Y( 54)
      dw( 87, 82) =  rk( 87) * Y( 80)
      dw( 87, 80) =  rk( 87) * Y( 82)
      dw( 88, 77) =  rk( 88) * Y( 80)
      dw( 88, 80) =  rk( 88) * Y( 77)
      dw( 89, 47) =  rk( 89) * Y( 80)
      dw( 89, 80) =  rk( 89) * Y( 47)
      dw( 90, 48) =  rk( 90) * Y( 80)
      dw( 90, 80) =  rk( 90) * Y( 48)
      dw( 91, 63) =  rk( 91) * Y( 80)
      dw( 91, 80) =  rk( 91) * Y( 63)
      dw( 92, 64) =  rk( 92) * Y( 80)
      dw( 92, 80) =  rk( 92) * Y( 64)
      dw( 93, 60) =  rk( 93) * Y( 80)
      dw( 93, 80) =  rk( 93) * Y( 60)
      dw( 94, 74) =  rk( 94) * Y( 73)
      dw( 94, 73) =  rk( 94) * Y( 74)
      dw( 95, 67) =  rk( 95) * Y( 73)
      dw( 95, 73) =  rk( 95) * Y( 67)
      dw( 96, 71) =  rk( 96) * Y( 73)
      dw( 96, 73) =  rk( 96) * Y( 71)
      dw( 97, 70) =  rk( 97) * Y( 73)
      dw( 97, 73) =  rk( 97) * Y( 70)
      dw( 98, 52) =  rk( 98) * Y( 73)
      dw( 98, 73) =  rk( 98) * Y( 52)
      dw( 99, 16) =  rk( 99) * Y( 73)
      dw( 99, 73) =  rk( 99) * Y( 16)
      dw(100, 19) =  rk(100) * Y( 73)
      dw(100, 73) =  rk(100) * Y( 19)
      dw(101, 45) =  rk(101) * Y( 73)
      dw(101, 73) =  rk(101) * Y( 45)
      dw(102, 59) =  rk(102) * Y( 73)
      dw(102, 73) =  rk(102) * Y( 59)
      dw(103, 22) =  rk(103) * Y( 73)
      dw(103, 73) =  rk(103) * Y( 22)
      dw(104, 19) =  rk(104) * Y( 58)
      dw(104, 58) =  rk(104) * Y( 19)
      dw(105, 45) =  rk(105) * Y( 58)
      dw(105, 58) =  rk(105) * Y( 45)
      dw(106, 59) =  rk(106) * Y( 58)
      dw(106, 58) =  rk(106) * Y( 59)
      dw(107, 22) =  rk(107) * Y( 58)
      dw(107, 58) =  rk(107) * Y( 22)
      dw(108, 79) =  rk(108) * Y( 69)
      dw(108, 69) =  rk(108) * Y( 79)
      dw(109, 79) =  rk(109) * Y( 63)
      dw(109, 63) =  rk(109) * Y( 79)
      dw(110, 79) =  rk(110) * Y( 66)
      dw(110, 66) =  rk(110) * Y( 79)
      dw(111, 79) =  rk(111) * Y( 35)
      dw(111, 35) =  rk(111) * Y( 79)
      dw(112, 79) =  rk(112) * Y( 39)
      dw(112, 39) =  rk(112) * Y( 79)
      dw(113, 79) =  rk(113) * Y( 41)
      dw(113, 41) =  rk(113) * Y( 79)
      dw(114, 79) =  rk(114) * Y( 46)
      dw(114, 46) =  rk(114) * Y( 79)
      dw(115, 79) =  rk(115) * Y( 54)
      dw(115, 54) =  rk(115) * Y( 79)
      dw(116, 79) =  rk(116) * Y( 64)
      dw(116, 64) =  rk(116) * Y( 79)
      dw(117, 79) =  rk(117) * Y( 82)
      dw(117, 82) =  rk(117) * Y( 79)
      dw(118, 79) =  rk(118) * Y( 47)
      dw(118, 47) =  rk(118) * Y( 79)
      dw(119, 79) =  rk(119) * Y( 48)
      dw(119, 48) =  rk(119) * Y( 79)
      dw(120, 79) =  rk(120) * Y( 77)
      dw(120, 77) =  rk(120) * Y( 79)
      dw(121, 79) =  rk(121) * Y( 60)
      dw(121, 60) =  rk(121) * Y( 79)
      dw(122, 69) =  rk(122) * Y( 69)
      dw(122, 69) =  rk(122) * Y( 69)
      dw(123, 69) =  rk(123) * Y( 63)
      dw(123, 63) =  rk(123) * Y( 69)
      dw(124, 69) =  rk(124) * Y( 66)
      dw(124, 66) =  rk(124) * Y( 69)
      dw(125, 69) =  rk(125) * Y( 35)
      dw(125, 35) =  rk(125) * Y( 69)
      dw(126, 69) =  rk(126) * Y( 39)
      dw(126, 39) =  rk(126) * Y( 69)
      dw(127, 69) =  rk(127) * Y( 41)
      dw(127, 41) =  rk(127) * Y( 69)
      dw(128, 69) =  rk(128) * Y( 46)
      dw(128, 46) =  rk(128) * Y( 69)
      dw(129, 69) =  rk(129) * Y( 54)
      dw(129, 54) =  rk(129) * Y( 69)
      dw(130, 69) =  rk(130) * Y( 64)
      dw(130, 64) =  rk(130) * Y( 69)
      dw(131, 69) =  rk(131) * Y( 82)
      dw(131, 82) =  rk(131) * Y( 69)
      dw(132, 69) =  rk(132) * Y( 47)
      dw(132, 47) =  rk(132) * Y( 69)
      dw(133, 69) =  rk(133) * Y( 48)
      dw(133, 48) =  rk(133) * Y( 69)
      dw(134, 69) =  rk(134) * Y( 77)
      dw(134, 77) =  rk(134) * Y( 69)
      dw(135, 63) =  rk(135) * Y( 82)
      dw(135, 82) =  rk(135) * Y( 63)
      dw(136, 66) =  rk(136) * Y( 82)
      dw(136, 82) =  rk(136) * Y( 66)
      dw(137, 35) =  rk(137) * Y( 82)
      dw(137, 82) =  rk(137) * Y( 35)
      dw(138, 39) =  rk(138) * Y( 82)
      dw(138, 82) =  rk(138) * Y( 39)
      dw(139, 41) =  rk(139) * Y( 82)
      dw(139, 82) =  rk(139) * Y( 41)
      dw(140, 46) =  rk(140) * Y( 82)
      dw(140, 82) =  rk(140) * Y( 46)
      dw(141, 54) =  rk(141) * Y( 82)
      dw(141, 82) =  rk(141) * Y( 54)
      dw(142, 64) =  rk(142) * Y( 82)
      dw(142, 82) =  rk(142) * Y( 64)
      dw(143, 82) =  rk(143) * Y( 82)
      dw(143, 82) =  rk(143) * Y( 82)
      dw(144, 82) =  rk(144) * Y( 47)
      dw(144, 47) =  rk(144) * Y( 82)
      dw(145, 82) =  rk(145) * Y( 48)
      dw(145, 48) =  rk(145) * Y( 82)
      dw(146, 82) =  rk(146) * Y( 77)
      dw(146, 77) =  rk(146) * Y( 82)
      dw(147, 78) =  rk(147) * Y( 79)
      dw(147, 79) =  rk(147) * Y( 78)
      dw(148, 78) =  rk(148) * Y( 69)
      dw(148, 69) =  rk(148) * Y( 78)
      dw(149, 78) =  rk(149) * Y( 82)
      dw(149, 82) =  rk(149) * Y( 78)
      dw(150, 78) =  rk(150) * Y( 78)
      dw(150, 78) =  rk(150) * Y( 78)
      dw(151, 78) =  rk(151) * Y( 80)
      dw(151, 80) =  rk(151) * Y( 78)
      dw(152, 53) =  rk(152) * Y( 81)
      dw(152, 81) =  rk(152) * Y( 53)
      dw(153, 53) =  rk(153) * Y( 79)
      dw(153, 79) =  rk(153) * Y( 53)
      dw(154, 53) =  rk(154) * Y( 69)
      dw(154, 69) =  rk(154) * Y( 53)
      dw(155, 53) =  rk(155) * Y( 82)
      dw(155, 82) =  rk(155) * Y( 53)
      dw(156, 53) =  rk(156) * Y( 53)
      dw(156, 53) =  rk(156) * Y( 53)
      dw(157, 69) =  rk(157) * Y( 60)
      dw(157, 60) =  rk(157) * Y( 69)
      dw(158, 82) =  rk(158) * Y( 60)
      dw(158, 60) =  rk(158) * Y( 82)
      dw(159, 60) =  rk(159) * Y( 60)
      dw(159, 60) =  rk(159) * Y( 60)
      dw(160, 57) =  rk(160) * Y( 75)
      dw(160, 75) =  rk(160) * Y( 57)
      dw(161, 50) =  rk(161) * Y( 75)
      dw(161, 75) =  rk(161) * Y( 50)
      dw(162, 33) =  rk(162) * Y( 75)
      dw(162, 75) =  rk(162) * Y( 33)
      dw(163, 30) =  rk(163) * Y( 75)
      dw(163, 75) =  rk(163) * Y( 30)
      dw(164, 57) =  rk(164) * Y( 58)
      dw(164, 58) =  rk(164) * Y( 57)
      dw(165, 50) =  rk(165) * Y( 58)
      dw(165, 58) =  rk(165) * Y( 50)
      dw(166, 44) =  rk(166) * Y( 80)
      dw(166, 80) =  rk(166) * Y( 44)
      dw(167, 49) =  rk(167) * Y( 80)
      dw(167, 80) =  rk(167) * Y( 49)
      dw(168, 51) =  rk(168) * Y( 80)
      dw(168, 80) =  rk(168) * Y( 51)
      dw(169, 23) =  rk(169) * Y( 80)
      dw(169, 80) =  rk(169) * Y( 23)
      dw(170, 44) =  rk(170) * Y( 79)
      dw(170, 79) =  rk(170) * Y( 44)
      dw(171, 49) =  rk(171) * Y( 79)
      dw(171, 79) =  rk(171) * Y( 49)
      dw(172, 51) =  rk(172) * Y( 79)
      dw(172, 79) =  rk(172) * Y( 51)
      dw(173, 44) =  rk(173) * Y( 44)
      dw(173, 44) =  rk(173) * Y( 44)
      dw(174, 50) =  rk(174) * Y( 73)
      dw(174, 73) =  rk(174) * Y( 50)
      dw(175, 57) =  rk(175) * Y( 73)
      dw(175, 73) =  rk(175) * Y( 57)
      dw(176, 51) =  rk(176) * Y( 44)
      dw(176, 44) =  rk(176) * Y( 51)
      dw(177, 49) =  rk(177) * Y( 44)
      dw(177, 44) =  rk(177) * Y( 49)
      dw(178,  7) =  rk(178) * Y( 75)
      dw(178, 75) =  rk(178) * Y(  7)
      dw(179,  8) =  rk(179) * Y( 75)
      dw(179, 75) =  rk(179) * Y(  8)
      dw(180,  9) =  rk(180) * Y( 75)
      dw(180, 75) =  rk(180) * Y(  9)
      dw(181, 11) =  rk(181) * Y( 75)
      dw(181, 75) =  rk(181) * Y( 11)
      dw(182, 20) =  rk(182) * Y( 75)
      dw(182, 75) =  rk(182) * Y( 20)
      dw(183, 21) =  rk(183) * Y( 75)
      dw(183, 75) =  rk(183) * Y( 21)
      dw(184, 36) =  rk(184) * Y( 80)
      dw(184, 80) =  rk(184) * Y( 36)
      dw(185, 37) =  rk(185) * Y( 80)
      dw(185, 80) =  rk(185) * Y( 37)
      dw(186, 38) =  rk(186) * Y( 80)
      dw(186, 80) =  rk(186) * Y( 38)
      dw(187, 40) =  rk(187) * Y( 80)
      dw(187, 80) =  rk(187) * Y( 40)
      dw(188, 42) =  rk(188) * Y( 80)
      dw(188, 80) =  rk(188) * Y( 42)
      dw(189, 43) =  rk(189) * Y( 80)
      dw(189, 80) =  rk(189) * Y( 43)
      dw(190, 20) =  rk(190) * Y( 73)
      dw(190, 73) =  rk(190) * Y( 20)
      dw(191, 21) =  rk(191) * Y( 73)
      dw(191, 73) =  rk(191) * Y( 21)
      dw(192, 20) =  rk(192) * Y( 58)
      dw(192, 58) =  rk(192) * Y( 20)
      dw(193, 21) =  rk(193) * Y( 58)
      dw(193, 58) =  rk(193) * Y( 21)
      dw(194, 79) =  rk(194) * Y( 36)
      dw(194, 36) =  rk(194) * Y( 79)
      dw(195, 79) =  rk(195) * Y( 37)
      dw(195, 37) =  rk(195) * Y( 79)
      dw(196, 79) =  rk(196) * Y( 38)
      dw(196, 38) =  rk(196) * Y( 79)
      dw(197, 79) =  rk(197) * Y( 40)
      dw(197, 40) =  rk(197) * Y( 79)
      dw(198, 79) =  rk(198) * Y( 42)
      dw(198, 42) =  rk(198) * Y( 79)
      dw(199, 79) =  rk(199) * Y( 43)
      dw(199, 43) =  rk(199) * Y( 79)
      dw(200, 69) =  rk(200) * Y( 36)
      dw(200, 36) =  rk(200) * Y( 69)
      dw(201, 69) =  rk(201) * Y( 37)
      dw(201, 37) =  rk(201) * Y( 69)
      dw(202, 69) =  rk(202) * Y( 38)
      dw(202, 38) =  rk(202) * Y( 69)
      dw(203, 69) =  rk(203) * Y( 40)
      dw(203, 40) =  rk(203) * Y( 69)
      dw(204, 69) =  rk(204) * Y( 42)
      dw(204, 42) =  rk(204) * Y( 69)
      dw(205, 69) =  rk(205) * Y( 43)
      dw(205, 43) =  rk(205) * Y( 69)
      dw(206, 36) =  rk(206) * Y( 82)
      dw(206, 82) =  rk(206) * Y( 36)
      dw(207, 37) =  rk(207) * Y( 82)
      dw(207, 82) =  rk(207) * Y( 37)
      dw(208, 38) =  rk(208) * Y( 82)
      dw(208, 82) =  rk(208) * Y( 38)
      dw(209, 40) =  rk(209) * Y( 82)
      dw(209, 82) =  rk(209) * Y( 40)
      dw(210, 42) =  rk(210) * Y( 82)
      dw(210, 82) =  rk(210) * Y( 42)
      dw(211, 43) =  rk(211) * Y( 82)
      dw(211, 82) =  rk(211) * Y( 43)
      dw(212, 24) =  rk(212) * Y( 75)
      dw(212, 75) =  rk(212) * Y( 24)
      dw(213, 24) =  rk(213) * Y( 73)
      dw(213, 73) =  rk(213) * Y( 24)
      dw(214, 24) =  rk(214) * Y( 58)
      dw(214, 58) =  rk(214) * Y( 24)
      dw(215, 55) =  rk(215) * Y( 80)
      dw(215, 80) =  rk(215) * Y( 55)
      dw(216, 55) =  rk(216) * Y( 79)
      dw(216, 79) =  rk(216) * Y( 55)
      dw(217, 55) =  rk(217) * Y( 69)
      dw(217, 69) =  rk(217) * Y( 55)
      dw(218, 55) =  rk(218) * Y( 82)
      dw(218, 82) =  rk(218) * Y( 55)
      dw(219, 55) =  rk(219) * Y( 73)
      dw(219, 73) =  rk(219) * Y( 55)
      dw(220, 25) =  rk(220) * Y( 75)
      dw(220, 75) =  rk(220) * Y( 25)
      dw(221, 25) =  rk(221) * Y( 73)
      dw(221, 73) =  rk(221) * Y( 25)
      dw(222, 25) =  rk(222) * Y( 58)
      dw(222, 58) =  rk(222) * Y( 25)
      dw(223, 56) =  rk(223) * Y( 80)
      dw(223, 80) =  rk(223) * Y( 56)
      dw(224, 56) =  rk(224) * Y( 79)
      dw(224, 79) =  rk(224) * Y( 56)
      dw(225, 56) =  rk(225) * Y( 69)
      dw(225, 69) =  rk(225) * Y( 56)
      dw(226, 56) =  rk(226) * Y( 82)
      dw(226, 82) =  rk(226) * Y( 56)
      dw(227, 56) =  rk(227) * Y( 73)
      dw(227, 73) =  rk(227) * Y( 56)
      dw(228, 79) =  rk(228) * Y( 82)
      dw(228, 82) =  rk(228) * Y( 79)
      
      RETURN
      END
      
