      subroutine dratedc(rk,y,dw)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: MELCHIOR            
C     Species: _ciMELCHIOR         
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     RK: kinetic rates.
C     Y: chemical concentrations.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     DW: derivative of reaction rates wrt Y.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      INCLUDE 'PARADOM.INC'  
      
      double precision rk(nr),y(nesp),dw(nr,nesp)
      
      
      dw(  1, 34) =  rk(  1) * Y( 44)
      dw(  1, 44) =  rk(  1) * Y( 34)
      dw(  2, 34) =  rk(  2) * Y( 42)
      dw(  2, 42) =  rk(  2) * Y( 34)
      dw(  3, 34) =  rk(  3) * Y( 33)
      dw(  3, 33) =  rk(  3) * Y( 34)
      dw(  4, 34) =  rk(  4) * Y( 39)
      dw(  4, 39) =  rk(  4) * Y( 34)
      dw(  5, 44) =  rk(  5) * Y( 39)
      dw(  5, 39) =  rk(  5) * Y( 44)
      dw(  6, 42) =  rk(  6) * Y( 33)
      dw(  6, 33) =  rk(  6) * Y( 42)
      dw(  7, 39) =  rk(  7) * Y( 33)
      dw(  7, 33) =  rk(  7) * Y( 39)
      dw(  8, 13) =  rk(  8) * Y( 33)
      dw(  8, 33) =  rk(  8) * Y( 13)
      dw(  9, 32) =  rk(  9) * Y( 33)
      dw(  9, 33) =  rk(  9) * Y( 32)
      dw( 10, 31) =  rk( 10) * Y( 33)
      dw( 10, 33) =  rk( 10) * Y( 31)
      dw( 11, 39) =  rk( 11) * Y( 39)
      dw( 11, 39) =  rk( 11) * Y( 39)
      dw( 12, 39) =  rk( 12) * Y( 39)
      dw( 12, 39) =  rk( 12) * Y( 39)
      dw( 13, 41) =  rk( 13) * Y( 39)
      dw( 13, 39) =  rk( 13) * Y( 41)
      dw( 14, 41) =  rk( 14) * Y( 13)
      dw( 14, 13) =  rk( 14) * Y( 41)
      dw( 15, 41) =  rk( 15) * Y( 44)
      dw( 15, 44) =  rk( 15) * Y( 41)
      dw( 16, 42) =  rk( 16) * Y( 41)
      dw( 16, 41) =  rk( 16) * Y( 42)
      dw( 17, 41) =  rk( 17) * Y( 42)
      dw( 17, 42) =  rk( 17) * Y( 41)
      dw( 18,  8) =  rk( 18)
      dw( 19,  8) =  rk( 19)
      dw( 20,  8) =  rk( 20)
      dw( 21, 44) =  rk( 21) * Y( 33)
      dw( 21, 33) =  rk( 21) * Y( 44)
      dw( 22,  7) =  rk( 22) * Y( 33)
      dw( 22, 33) =  rk( 22) * Y(  7)
      dw( 23,  9) =  rk( 23) * Y( 37)
      dw( 23, 37) =  rk( 23) * Y(  9)
      dw( 24,  9) =  rk( 24) * Y( 33)
      dw( 24, 33) =  rk( 24) * Y(  9)
      dw( 25, 36) =  rk( 25) * Y( 44)
      dw( 25, 44) =  rk( 25) * Y( 36)
      dw( 26, 36) =  rk( 26) * Y( 39)
      dw( 26, 39) =  rk( 26) * Y( 36)
      dw( 27, 36) =  rk( 27) * Y( 41)
      dw( 27, 41) =  rk( 27) * Y( 36)
      dw( 28, 37) =  rk( 28) * Y( 36)
      dw( 28, 36) =  rk( 28) * Y( 37)
      dw( 29, 43) =  rk( 29) * Y( 36)
      dw( 29, 36) =  rk( 29) * Y( 43)
      dw( 30, 20) =  rk( 30) * Y( 33)
      dw( 30, 33) =  rk( 30) * Y( 20)
      dw( 31, 35) =  rk( 31) * Y( 44)
      dw( 31, 44) =  rk( 31) * Y( 35)
      dw( 32, 35) =  rk( 32) * Y( 39)
      dw( 32, 39) =  rk( 32) * Y( 35)
      dw( 33, 35) =  rk( 33) * Y( 35)
      dw( 33, 35) =  rk( 33) * Y( 35)
      dw( 34, 35) =  rk( 34) * Y( 41)
      dw( 34, 41) =  rk( 34) * Y( 35)
      dw( 35, 37) =  rk( 35) * Y( 35)
      dw( 35, 35) =  rk( 35) * Y( 37)
      dw( 36, 43) =  rk( 36) * Y( 35)
      dw( 36, 35) =  rk( 36) * Y( 43)
      dw( 37, 21) =  rk( 37) * Y( 33)
      dw( 37, 33) =  rk( 37) * Y( 21)
      dw( 38, 14) =  rk( 38) * Y( 33)
      dw( 38, 33) =  rk( 38) * Y( 14)
      dw( 39, 40) =  rk( 39) * Y( 44)
      dw( 39, 44) =  rk( 39) * Y( 40)
      dw( 40, 40) =  rk( 40) * Y( 41)
      dw( 40, 41) =  rk( 40) * Y( 40)
      dw( 41, 40) =  rk( 41) * Y( 39)
      dw( 41, 39) =  rk( 41) * Y( 40)
      dw( 42, 24) =  rk( 42) * Y( 33)
      dw( 42, 33) =  rk( 42) * Y( 24)
      dw( 43, 40) =  rk( 43) * Y( 37)
      dw( 43, 37) =  rk( 43) * Y( 40)
      dw( 44, 40) =  rk( 44) * Y( 43)
      dw( 44, 43) =  rk( 44) * Y( 40)
      dw( 45, 40) =  rk( 45) * Y( 42)
      dw( 45, 42) =  rk( 45) * Y( 40)
      dw( 46, 26) =  rk( 46)
      dw( 47, 26) =  rk( 47) * Y( 33)
      dw( 47, 33) =  rk( 47) * Y( 26)
      dw( 48, 19) =  rk( 48) * Y( 41)
      dw( 48, 41) =  rk( 48) * Y( 19)
      dw( 49, 15) =  rk( 49) * Y( 41)
      dw( 49, 41) =  rk( 49) * Y( 15)
      dw( 50, 22) =  rk( 50) * Y( 41)
      dw( 50, 41) =  rk( 50) * Y( 22)
      dw( 51, 27) =  rk( 51) * Y( 33)
      dw( 51, 33) =  rk( 51) * Y( 27)
      dw( 52, 12) =  rk( 52) * Y( 41)
      dw( 52, 41) =  rk( 52) * Y( 12)
      dw( 53, 30) =  rk( 53) * Y( 44)
      dw( 53, 44) =  rk( 53) * Y( 30)
      dw( 54, 30) =  rk( 54) * Y( 41)
      dw( 54, 41) =  rk( 54) * Y( 30)
      dw( 55, 30) =  rk( 55) * Y( 39)
      dw( 55, 39) =  rk( 55) * Y( 30)
      dw( 56, 11) =  rk( 56) * Y( 33)
      dw( 56, 33) =  rk( 56) * Y( 11)
      dw( 57,  1) =  rk( 57) * Y( 33)
      dw( 57, 33) =  rk( 57) * Y(  1)
      dw( 58,  2) =  rk( 58) * Y( 33)
      dw( 58, 33) =  rk( 58) * Y(  2)
      dw( 59, 19) =  rk( 59) * Y( 33)
      dw( 59, 33) =  rk( 59) * Y( 19)
      dw( 60, 15) =  rk( 60) * Y( 33)
      dw( 60, 33) =  rk( 60) * Y( 15)
      dw( 61,  3) =  rk( 61) * Y( 33)
      dw( 61, 33) =  rk( 61) * Y(  3)
      dw( 62, 12) =  rk( 62) * Y( 33)
      dw( 62, 33) =  rk( 62) * Y( 12)
      dw( 63, 22) =  rk( 63) * Y( 33)
      dw( 63, 33) =  rk( 63) * Y( 22)
      dw( 64, 38) =  rk( 64) * Y( 33)
      dw( 64, 33) =  rk( 64) * Y( 38)
      dw( 65, 29) =  rk( 65) * Y( 33)
      dw( 65, 33) =  rk( 65) * Y( 29)
      dw( 66,  4) =  rk( 66) * Y( 33)
      dw( 66, 33) =  rk( 66) * Y(  4)
      dw( 67, 28) =  rk( 67) * Y( 33)
      dw( 67, 33) =  rk( 67) * Y( 28)
      dw( 68,  5) =  rk( 68) * Y( 33)
      dw( 68, 33) =  rk( 68) * Y(  5)
      dw( 69, 18) =  rk( 69) * Y( 33)
      dw( 69, 33) =  rk( 69) * Y( 18)
      dw( 70, 17) =  rk( 70) * Y( 33)
      dw( 70, 33) =  rk( 70) * Y( 17)
      dw( 71, 10) =  rk( 71) * Y( 33)
      dw( 71, 33) =  rk( 71) * Y( 10)
      dw( 72, 25) =  rk( 72) * Y( 33)
      dw( 72, 33) =  rk( 72) * Y( 25)
      dw( 73, 10) =  rk( 73) * Y( 33)
      dw( 73, 33) =  rk( 73) * Y( 10)
      dw( 74, 38) =  rk( 74) * Y( 41)
      dw( 74, 41) =  rk( 74) * Y( 38)
      dw( 75, 29) =  rk( 75) * Y( 41)
      dw( 75, 41) =  rk( 75) * Y( 29)
      dw( 76, 37) =  rk( 76) * Y( 41)
      dw( 76, 41) =  rk( 76) * Y( 37)
      dw( 77, 43) =  rk( 77) * Y( 41)
      dw( 77, 41) =  rk( 77) * Y( 43)
      dw( 78, 19) =  rk( 78) * Y( 34)
      dw( 78, 34) =  rk( 78) * Y( 19)
      dw( 79, 15) =  rk( 79) * Y( 34)
      dw( 79, 34) =  rk( 79) * Y( 15)
      dw( 80, 12) =  rk( 80) * Y( 34)
      dw( 80, 34) =  rk( 80) * Y( 12)
      dw( 81, 14) =  rk( 81) * Y( 34)
      dw( 81, 34) =  rk( 81) * Y( 14)
      dw( 82, 17) =  rk( 82) * Y( 34)
      dw( 82, 34) =  rk( 82) * Y( 17)
      dw( 83, 22) =  rk( 83) * Y( 34)
      dw( 83, 34) =  rk( 83) * Y( 22)
      dw( 84, 37) =  rk( 84) * Y( 44)
      dw( 84, 44) =  rk( 84) * Y( 37)
      dw( 85, 43) =  rk( 85) * Y( 44)
      dw( 85, 44) =  rk( 85) * Y( 43)
      dw( 86, 37) =  rk( 86) * Y( 39)
      dw( 86, 39) =  rk( 86) * Y( 37)
      dw( 87, 43) =  rk( 87) * Y( 39)
      dw( 87, 39) =  rk( 87) * Y( 43)
      dw( 88, 37) =  rk( 88) * Y( 37)
      dw( 88, 37) =  rk( 88) * Y( 37)
      dw( 89, 43) =  rk( 89) * Y( 37)
      dw( 89, 37) =  rk( 89) * Y( 43)
      dw( 90, 43) =  rk( 90) * Y( 43)
      dw( 90, 43) =  rk( 90) * Y( 43)
      dw( 91, 43) =  rk( 91) * Y( 42)
      dw( 91, 42) =  rk( 91) * Y( 43)
      dw( 92, 23) =  rk( 92)
      dw( 93, 23) =  rk( 93) * Y( 33)
      dw( 93, 33) =  rk( 93) * Y( 23)
      dw( 94, 16) =  rk( 94) * Y( 33)
      dw( 94, 33) =  rk( 94) * Y( 16)
      dw( 95, 34) =  rk( 95)
      dw( 96, 42) =  rk( 96)
      dw( 97, 41) =  rk( 97)
      dw( 98, 41) =  rk( 98)
      dw( 99, 13) =  rk( 99)
      dw(100, 32) =  rk(100)
      dw(101,  7) =  rk(101)
      dw(102, 38) =  rk(102)
      dw(103, 38) =  rk(103)
      dw(104, 29) =  rk(104)
      dw(105,  6) =  rk(105)
      dw(106, 18) =  rk(106)
      dw(107,  5) =  rk(107)
      dw(108,  4) =  rk(108)
      dw(109, 28) =  rk(109)
      dw(110,  8) =  rk(110)
      dw(111, 10) =  rk(111)
      dw(112, 25) =  rk(112)
      dw(113, 23) =  rk(113)
      dw(114, 24) =  rk(114)
      dw(115, 21) =  rk(115)
      dw(116, 20) =  rk(116)
      
      RETURN
      END
