      subroutine rates(rk,y,w)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the reaction rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: MELCHIOR            
C     Species: _ciMELCHIOR         
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     RK: kinetic rates.
C     Y: chemical concentrations.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     W: reaction rates.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      INCLUDE 'PARADOM.INC'  
      
      double precision rk(nr),y(nesp),w(nr)

      
      w(  1) =  rk(  1) * Y( 34) * Y( 44)
      w(  2) =  rk(  2) * Y( 34) * Y( 42)
      w(  3) =  rk(  3) * Y( 34) * Y( 33)
      w(  4) =  rk(  4) * Y( 34) * Y( 39)
      w(  5) =  rk(  5) * Y( 44) * Y( 39)
      w(  6) =  rk(  6) * Y( 42) * Y( 33)
      w(  7) =  rk(  7) * Y( 39) * Y( 33)
      w(  8) =  rk(  8) * Y( 13) * Y( 33)
      w(  9) =  rk(  9) * Y( 32) * Y( 33)
      w( 10) =  rk( 10) * Y( 31) * Y( 33)
      w( 11) =  rk( 11) * Y( 39) * Y( 39)
      w( 12) =  rk( 12) * Y( 39) * Y( 39)
      w( 13) =  rk( 13) * Y( 41) * Y( 39)
      w( 14) =  rk( 14) * Y( 41) * Y( 13)
      w( 15) =  rk( 15) * Y( 41) * Y( 44)
      w( 16) =  rk( 16) * Y( 42) * Y( 41)
      w( 17) =  rk( 17) * Y( 41) * Y( 42)
      w( 18) =  rk( 18) * Y(  8)
      w( 19) =  rk( 19) * Y(  8)
      w( 20) =  rk( 20) * Y(  8)
      w( 21) =  rk( 21) * Y( 44) * Y( 33)
      w( 22) =  rk( 22) * Y(  7) * Y( 33)
      w( 23) =  rk( 23) * Y(  9) * Y( 37)
      w( 24) =  rk( 24) * Y(  9) * Y( 33)
      w( 25) =  rk( 25) * Y( 36) * Y( 44)
      w( 26) =  rk( 26) * Y( 36) * Y( 39)
      w( 27) =  rk( 27) * Y( 36) * Y( 41)
      w( 28) =  rk( 28) * Y( 37) * Y( 36)
      w( 29) =  rk( 29) * Y( 43) * Y( 36)
      w( 30) =  rk( 30) * Y( 20) * Y( 33)
      w( 31) =  rk( 31) * Y( 35) * Y( 44)
      w( 32) =  rk( 32) * Y( 35) * Y( 39)
      w( 33) =  rk( 33) * Y( 35) * Y( 35)
      w( 34) =  rk( 34) * Y( 35) * Y( 41)
      w( 35) =  rk( 35) * Y( 37) * Y( 35)
      w( 36) =  rk( 36) * Y( 43) * Y( 35)
      w( 37) =  rk( 37) * Y( 21) * Y( 33)
      w( 38) =  rk( 38) * Y( 14) * Y( 33)
      w( 39) =  rk( 39) * Y( 40) * Y( 44)
      w( 40) =  rk( 40) * Y( 40) * Y( 41)
      w( 41) =  rk( 41) * Y( 40) * Y( 39)
      w( 42) =  rk( 42) * Y( 24) * Y( 33)
      w( 43) =  rk( 43) * Y( 40) * Y( 37)
      w( 44) =  rk( 44) * Y( 40) * Y( 43)
      w( 45) =  rk( 45) * Y( 40) * Y( 42)
      w( 46) =  rk( 46) * Y( 26)
      w( 47) =  rk( 47) * Y( 26) * Y( 33)
      w( 48) =  rk( 48) * Y( 19) * Y( 41)
      w( 49) =  rk( 49) * Y( 15) * Y( 41)
      w( 50) =  rk( 50) * Y( 22) * Y( 41)
      w( 51) =  rk( 51) * Y( 27) * Y( 33)
      w( 52) =  rk( 52) * Y( 12) * Y( 41)
      w( 53) =  rk( 53) * Y( 30) * Y( 44)
      w( 54) =  rk( 54) * Y( 30) * Y( 41)
      w( 55) =  rk( 55) * Y( 30) * Y( 39)
      w( 56) =  rk( 56) * Y( 11) * Y( 33)
      w( 57) =  rk( 57) * Y(  1) * Y( 33)
      w( 58) =  rk( 58) * Y(  2) * Y( 33)
      w( 59) =  rk( 59) * Y( 19) * Y( 33)
      w( 60) =  rk( 60) * Y( 15) * Y( 33)
      w( 61) =  rk( 61) * Y(  3) * Y( 33)
      w( 62) =  rk( 62) * Y( 12) * Y( 33)
      w( 63) =  rk( 63) * Y( 22) * Y( 33)
      w( 64) =  rk( 64) * Y( 38) * Y( 33)
      w( 65) =  rk( 65) * Y( 29) * Y( 33)
      w( 66) =  rk( 66) * Y(  4) * Y( 33)
      w( 67) =  rk( 67) * Y( 28) * Y( 33)
      w( 68) =  rk( 68) * Y(  5) * Y( 33)
      w( 69) =  rk( 69) * Y( 18) * Y( 33)
      w( 70) =  rk( 70) * Y( 17) * Y( 33)
      w( 71) =  rk( 71) * Y( 10) * Y( 33)
      w( 72) =  rk( 72) * Y( 25) * Y( 33)
      w( 73) =  rk( 73) * Y( 10) * Y( 33)
      w( 74) =  rk( 74) * Y( 38) * Y( 41)
      w( 75) =  rk( 75) * Y( 29) * Y( 41)
      w( 76) =  rk( 76) * Y( 37) * Y( 41)
      w( 77) =  rk( 77) * Y( 43) * Y( 41)
      w( 78) =  rk( 78) * Y( 19) * Y( 34)
      w( 79) =  rk( 79) * Y( 15) * Y( 34)
      w( 80) =  rk( 80) * Y( 12) * Y( 34)
      w( 81) =  rk( 81) * Y( 14) * Y( 34)
      w( 82) =  rk( 82) * Y( 17) * Y( 34)
      w( 83) =  rk( 83) * Y( 22) * Y( 34)
      w( 84) =  rk( 84) * Y( 37) * Y( 44)
      w( 85) =  rk( 85) * Y( 43) * Y( 44)
      w( 86) =  rk( 86) * Y( 37) * Y( 39)
      w( 87) =  rk( 87) * Y( 43) * Y( 39)
      w( 88) =  rk( 88) * Y( 37) * Y( 37)
      w( 89) =  rk( 89) * Y( 43) * Y( 37)
      w( 90) =  rk( 90) * Y( 43) * Y( 43)
      w( 91) =  rk( 91) * Y( 43) * Y( 42)
      w( 92) =  rk( 92) * Y( 23)
      w( 93) =  rk( 93) * Y( 23) * Y( 33)
      w( 94) =  rk( 94) * Y( 16) * Y( 33)
      w( 95) =  rk( 95) * Y( 34)
      w( 96) =  rk( 96) * Y( 42)
      w( 97) =  rk( 97) * Y( 41)
      w( 98) =  rk( 98) * Y( 41)
      w( 99) =  rk( 99) * Y( 13)
      w(100) =  rk(100) * Y( 32)
      w(101) =  rk(101) * Y(  7)
      w(102) =  rk(102) * Y( 38)
      w(103) =  rk(103) * Y( 38)
      w(104) =  rk(104) * Y( 29)
      w(105) =  rk(105) * Y(  6)
      w(106) =  rk(106) * Y( 18)
      w(107) =  rk(107) * Y(  5)
      w(108) =  rk(108) * Y(  4)
      w(109) =  rk(109) * Y( 28)
      w(110) =  rk(110) * Y(  8)
      w(111) =  rk(111) * Y( 10)
      w(112) =  rk(112) * Y( 25)
      w(113) =  rk(113) * Y( 23)
      w(114) =  rk(114) * Y( 24)
      w(115) =  rk(115) * Y( 21)
      w(116) =  rk(116) * Y( 20)
      
      RETURN
      END
      
