C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

C***********************************************************
      
      SUBROUTINE solvlin (Kindlu,DLa,DLalu,IPVT,DLx,DLb)

C     *      Author
C     ------
C     D. QUELO, CEREVE
C     Modifications
C     -------------
C     Original: 2001/06/08
C----------------------------------------------------------------

      IMPLICIT NONE
      INCLUDE 'PARADOM.INC'
      INCLUDE 'PARACHEM.INC'

      INTEGER Kindlu
      INTEGER IPVT(NESP), Ji, Jj, INFO
      DOUBLE PRECISION DLa(NESP,NESP)
      DOUBLE PRECISION DLalu(NESP,NESP)
      DOUBLE PRECISION DLx(NESP), DLb(NESP)

C----------------------------------------------------------------
C     *    0. Setup

      DO Ji=1,NESP
         DLx(Ji)=DLb(Ji)
      ENDDO
      
C----------------------------------------------------------------
C     *    1. Compute DLx
      
      IF (Kindlu .EQ. 0) THEN
         DO Ji=1,NESP
            DO Jj=1,NESP
               DLalu(Ji,Jj)=DLa(Ji,Jj)
            ENDDO
         ENDDO

         CALL DGETRF(NESP,NESP,DLalu,NESP,IPVT,INFO)
         CALL DGETRS('N',NESP,1,DLalu,NESP,IPVT,DLx,NESP,INFO)

      ELSE 

         CALL DGETRS('N',NESP,1,DLalu,NESP,IPVT,DLx,NESP,INFO)

      ENDIF
      
      END
