      subroutine fexchem(y,rk,ZCsourc,chem)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the chemical production term.
C     This routine is automatically generated by SPACK.
C     Mechanism: RADM                
C     Species: _ciRADM             
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     Y: chemical concentrations.
C     RK: kinetic rates.
C     ZCSOURC: volumic emissions.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     CHEM: array of chemical production terms.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     COMUSE: flags and parameters for numerics.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      include 'COMCHEM.INC' 
      include 'COMUSE.INC' 
      INCLUDE 'PARADOM.INC'  
      
      double precision w(nr),rk(nr),y(nesp),chem(nesp),ZCsourc(nsrc)
      integer i
      
      do i=1,nesp
         chem(i)=0.d0
      enddo
      
C     Chemical production terms.
      
      w(  1) =  rk(  1) * Y( 61)
      chem( 28) = chem( 28) + w(  1)
      chem( 58) = chem( 58) + w(  1)
      chem( 61) = chem( 61) - w(  1)
      w(  2) =  rk(  2) * Y( 29)
      chem( 11) = chem( 11) + w(  2)
      chem( 29) = chem( 29) - w(  2)
      w(  3) =  rk(  3) * Y( 29)
      chem( 28) = chem( 28) + w(  3)
      chem( 29) = chem( 29) - w(  3)
      w(  4) =  rk(  4) * Y( 14)
      chem( 14) = chem( 14) - w(  4)
      chem( 54) = chem( 54) + w(  4)
      chem( 58) = chem( 58) + w(  4)
      w(  5) =  rk(  5) * Y( 53)
      chem( 53) = chem( 53) - w(  5)
      chem( 54) = chem( 54) + w(  5)
      chem( 61) = chem( 61) + w(  5)
      w(  6) =  rk(  6) * Y( 20)
      chem( 20) = chem( 20) - w(  6)
      chem( 59) = chem( 59) + w(  6)
      chem( 61) = chem( 61) + w(  6)
      w(  7) =  rk(  7) * Y( 55)
      chem( 55) = chem( 55) - w(  7)
      chem( 58) = chem( 58) + w(  7)
      w(  8) =  rk(  8) * Y( 55)
      chem( 28) = chem( 28) + w(  8)
      chem( 55) = chem( 55) - w(  8)
      chem( 61) = chem( 61) + w(  8)
      w(  9) =  rk(  9) * Y( 12)
      chem( 12) = chem( 12) - w(  9)
      chem( 54) = chem( 54) +  0.2000000000000000D+01 * w(  9)
      w( 10) =  rk( 10) * Y( 52)
      chem( 52) = chem( 52) - w( 10)
      chem( 56) = chem( 56) + w( 10)
      w( 11) =  rk( 11) * Y( 52)
      chem( 52) = chem( 52) - w( 11)
      chem( 56) = chem( 56) + w( 11)
      chem( 59) = chem( 59) +  0.2000000000000000D+01 * w( 11)
      w( 12) =  rk( 12) * Y( 47)
      chem( 47) = chem( 47) - w( 12)
      chem( 49) = chem( 49) + w( 12)
      chem( 56) = chem( 56) + w( 12)
      chem( 59) = chem( 59) + w( 12)
      w( 13) =  rk( 13) * Y( 24)
      chem( 24) = chem( 24) - w( 13)
      chem( 52) = chem( 52) + w( 13)
      chem( 54) = chem( 54) + w( 13)
      chem( 59) = chem( 59) + w( 13)
      w( 14) =  rk( 14) * Y( 45)
      chem( 45) = chem( 45) - w( 14)
      chem( 47) = chem( 47) + w( 14)
      chem( 54) = chem( 54) + w( 14)
      chem( 59) = chem( 59) + w( 14)
      w( 15) =  rk( 15) * Y( 25)
      chem( 25) = chem( 25) - w( 15)
      chem( 26) = chem( 26) + w( 15)
      chem( 49) = chem( 49) + w( 15)
      chem( 54) = chem( 54) + w( 15)
      w( 16) =  rk( 16) * Y( 41)
      chem( 41) = chem( 41) - w( 16)
      chem( 43) = chem( 43) + w( 16)
      chem( 60) = chem( 60) + w( 16)
      w( 17) =  rk( 17) * Y( 48)
      chem( 48) = chem( 48) - w( 17)
      chem( 52) = chem( 52) +  0.1300000000000000D+00 * w( 17)
      chem( 56) = chem( 56) +  0.1870000000000000D+01 * w( 17)
      w( 18) =  rk( 18) * Y( 48)
      chem( 48) = chem( 48) - w( 18)
      chem( 52) = chem( 52) +  0.4500000000000000D+00 * w( 18)
      chem( 56) = chem( 56) +  0.1550000000000000D+01 * w( 18)
      chem( 59) = chem( 59) +  0.8000000000000000D+00 * w( 18)
      w( 19) =  rk( 19) * Y( 50)
      chem( 50) = chem( 50) - w( 19)
      chem( 56) = chem( 56) + w( 19)
      chem( 59) = chem( 59) + w( 19)
      chem( 60) = chem( 60) + w( 19)
      w( 20) =  rk( 20) * Y( 37)
      chem( 37) = chem( 37) - w( 20)
      chem( 57) = chem( 57) + w( 20)
      chem( 59) = chem( 59) +  0.9800000000000000D+00 * w( 20)
      chem( 60) = chem( 60) +  0.2000000000000000D-01 * w( 20)
      w( 21) =  rk( 21) * Y( 40)
      chem( 40) = chem( 40) - w( 21)
      chem( 41) = chem( 41) +  0.8000000000000000D+00 * w( 21)
      chem( 47) = chem( 47) +  0.2000000000000000D+00 * w( 21)
      chem( 59) = chem( 59) + w( 21)
      chem( 61) = chem( 61) + w( 21)
      w( 22) =  rk( 22) * Y( 28) * Y( 61)
      chem( 28) = chem( 28) - w( 22)
      chem( 58) = chem( 58) + w( 22)
      chem( 61) = chem( 61) - w( 22)
      w( 23) =  rk( 23) * Y( 11)
      chem( 11) = chem( 11) - w( 23)
      chem( 28) = chem( 28) + w( 23)
      w( 24) =  rk( 24) * Y( 11)
      chem( 11) = chem( 11) - w( 24)
      chem( 28) = chem( 28) + w( 24)
      w( 25) =  rk( 25) * Y( 11)
      chem( 11) = chem( 11) - w( 25)
      chem( 54) = chem( 54) +  0.2000000000000000D+01 * w( 25)
      w( 26) =  rk( 26) * Y( 29) * Y( 58)
      chem( 29) = chem( 29) - w( 26)
      chem( 58) = chem( 58) - w( 26)
      chem( 61) = chem( 61) + w( 26)
      w( 27) =  rk( 27) * Y( 29) * Y( 54)
      chem( 29) = chem( 29) - w( 27)
      chem( 54) = chem( 54) - w( 27)
      chem( 59) = chem( 59) + w( 27)
      w( 28) =  rk( 28) * Y( 29) * Y( 59)
      chem( 29) = chem( 29) - w( 28)
      chem( 54) = chem( 54) + w( 28)
      chem( 59) = chem( 59) - w( 28)
      w( 29) =  rk( 29) * Y( 59) * Y( 58)
      chem( 54) = chem( 54) + w( 29)
      chem( 58) = chem( 58) - w( 29)
      chem( 59) = chem( 59) - w( 29)
      chem( 61) = chem( 61) + w( 29)
      w( 30) =  rk( 30) * Y( 12) * Y( 54)
      chem( 12) = chem( 12) - w( 30)
      chem( 54) = chem( 54) - w( 30)
      chem( 59) = chem( 59) + w( 30)
      w( 31) =  rk( 31) * Y( 58) * Y( 58)
      chem( 58) = chem( 58) -  0.2000000000000000D+01 * w( 31)
      chem( 61) = chem( 61) +  0.2000000000000000D+01 * w( 31)
      w( 32) =  rk( 32) * Y( 29) * Y( 61)
      chem( 29) = chem( 29) - w( 32)
      chem( 55) = chem( 55) + w( 32)
      chem( 61) = chem( 61) - w( 32)
      w( 33) =  rk( 33) * Y( 55) * Y( 58)
      chem( 55) = chem( 55) - w( 33)
      chem( 58) = chem( 58) - w( 33)
      chem( 61) = chem( 61) +  0.2000000000000000D+01 * w( 33)
      w( 34) =  rk( 34) * Y( 55) * Y( 61)
      chem( 55) = chem( 55) - w( 34)
      chem( 58) = chem( 58) + w( 34)
      w( 35) =  rk( 35) * Y( 55) * Y( 59)
      chem( 53) = chem( 53) + w( 35)
      chem( 55) = chem( 55) - w( 35)
      chem( 59) = chem( 59) - w( 35)
      w( 36) =  rk( 36) * Y( 16)
      chem( 16) = chem( 16) - w( 36)
      chem( 53) = chem( 53) +  0.2000000000000000D+01 * w( 36)
      w( 37) =  rk( 37) * Y( 54) * Y( 20)
      chem( 20) = chem( 20) - w( 37)
      chem( 54) = chem( 54) - w( 37)
      chem( 61) = chem( 61) + w( 37)
      w( 38) =  rk( 38) * Y( 54) * Y( 59)
      chem( 54) = chem( 54) - w( 38)
      chem( 59) = chem( 59) - w( 38)
      w( 39) =  rk( 39) * Y( 19) * Y( 54)
      chem( 19) = chem( 19) - w( 39)
      chem( 49) = chem( 49) + w( 39)
      chem( 54) = chem( 54) - w( 39)
      w( 40) =  rk( 40) * Y(  3) * Y( 54)
      chem(  3) = chem(  3) - w( 40)
      chem( 43) = chem( 43) + w( 40)
      chem( 54) = chem( 54) - w( 40)
      w( 41) =  rk( 41) * Y(  6) * Y( 54)
      chem(  6) = chem(  6) - w( 41)
      chem( 41) = chem( 41) +  0.2500000000000000D-01 * w( 41)
      chem( 46) = chem( 46) +  0.8300000000000000D+00 * w( 41)
      chem( 47) = chem( 47) +  0.7500000000000000D-01 * w( 41)
      chem( 52) = chem( 52) +  0.8999999999999999D-02 * w( 41)
      chem( 54) = chem( 54) - w( 41)
      chem( 59) = chem( 59) +  0.1700000000000000D+00 * w( 41)
      w( 42) =  rk( 42) * Y(  7) * Y( 54)
      chem(  7) = chem(  7) - w( 42)
      chem( 30) = chem( 30) + w( 42)
      chem( 51) = chem( 51) +  0.2500000000000000D+00 * w( 42)
      chem( 54) = chem( 54) - w( 42)
      w( 43) =  rk( 43) * Y(  8) * Y( 54)
      chem(  8) = chem(  8) - w( 43)
      chem( 31) = chem( 31) + w( 43)
      chem( 51) = chem( 51) +  0.7500000000000000D+00 * w( 43)
      chem( 54) = chem( 54) - w( 43)
      w( 44) =  rk( 44) * Y( 21) * Y( 54)
      chem( 21) = chem( 21) - w( 44)
      chem( 32) = chem( 32) + w( 44)
      chem( 54) = chem( 54) - w( 44)
      w( 45) =  rk( 45) * Y( 17) * Y( 54)
      chem( 17) = chem( 17) - w( 45)
      chem( 33) = chem( 33) + w( 45)
      chem( 54) = chem( 54) - w( 45)
      w( 46) =  rk( 46) * Y( 18) * Y( 54)
      chem( 18) = chem( 18) - w( 46)
      chem( 34) = chem( 34) + w( 46)
      chem( 54) = chem( 54) - w( 46)
      w( 47) =  rk( 47) * Y(  4) * Y( 54)
      chem(  4) = chem(  4) - w( 47)
      chem( 15) = chem( 15) +  0.2500000000000000D+00 * w( 47)
      chem( 35) = chem( 35) +  0.7500000000000000D+00 * w( 47)
      chem( 54) = chem( 54) - w( 47)
      chem( 59) = chem( 59) +  0.2500000000000000D+00 * w( 47)
      w( 48) =  rk( 48) * Y(  5) * Y( 54)
      chem(  5) = chem(  5) - w( 48)
      chem( 15) = chem( 15) +  0.1700000000000000D+00 * w( 48)
      chem( 36) = chem( 36) +  0.8300000000000000D+00 * w( 48)
      chem( 54) = chem( 54) - w( 48)
      chem( 59) = chem( 59) +  0.1700000000000000D+00 * w( 48)
      w( 49) =  rk( 49) * Y( 15) * Y( 54)
      chem( 15) = chem( 15) - w( 49)
      chem( 51) = chem( 51) +  0.9000000000000000D+00 * w( 49)
      chem( 54) = chem( 54) -  0.9999999999999998D-01 * w( 49)
      chem( 57) = chem( 57) +  0.9000000000000000D+00 * w( 49)
      chem( 59) = chem( 59) +  0.1000000000000000D+00 * w( 49)
      w( 50) =  rk( 50) * Y( 52) * Y( 54)
      chem( 52) = chem( 52) - w( 50)
      chem( 54) = chem( 54) - w( 50)
      chem( 56) = chem( 56) + w( 50)
      chem( 59) = chem( 59) + w( 50)
      w( 51) =  rk( 51) * Y( 47) * Y( 54)
      chem( 47) = chem( 47) - w( 51)
      chem( 54) = chem( 54) - w( 51)
      chem( 60) = chem( 60) + w( 51)
      w( 52) =  rk( 52) * Y( 41) * Y( 54)
      chem( 41) = chem( 41) - w( 52)
      chem( 42) = chem( 42) + w( 52)
      chem( 54) = chem( 54) - w( 52)
      w( 53) =  rk( 53) * Y( 48) * Y( 54)
      chem( 48) = chem( 48) - w( 53)
      chem( 54) = chem( 54) - w( 53)
      chem( 56) = chem( 56) +  0.2000000000000000D+01 * w( 53)
      chem( 59) = chem( 59) + w( 53)
      w( 54) =  rk( 54) * Y( 50) * Y( 54)
      chem( 50) = chem( 50) - w( 54)
      chem( 54) = chem( 54) - w( 54)
      chem( 56) = chem( 56) + w( 54)
      chem( 60) = chem( 60) + w( 54)
      w( 55) =  rk( 55) * Y( 37) * Y( 54)
      chem( 37) = chem( 37) - w( 55)
      chem( 54) = chem( 54) - w( 55)
      chem( 57) = chem( 57) + w( 55)
      w( 56) =  rk( 56) * Y( 24) * Y( 54)
      chem( 24) = chem( 24) - w( 56)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w( 56)
      chem( 52) = chem( 52) +  0.5000000000000000D+00 * w( 56)
      chem( 54) = chem( 54) -  0.5000000000000000D+00 * w( 56)
      w( 57) =  rk( 57) * Y( 45) * Y( 54)
      chem( 45) = chem( 45) - w( 57)
      chem( 46) = chem( 46) +  0.5000000000000000D+00 * w( 57)
      chem( 47) = chem( 47) +  0.5000000000000000D+00 * w( 57)
      chem( 54) = chem( 54) -  0.5000000000000000D+00 * w( 57)
      w( 58) =  rk( 58) * Y( 25) * Y( 54)
      chem( 25) = chem( 25) - w( 58)
      chem( 54) = chem( 54) - w( 58)
      chem( 60) = chem( 60) + w( 58)
      w( 59) =  rk( 59) * Y( 27) * Y( 54)
      chem( 27) = chem( 27) - w( 59)
      chem( 51) = chem( 51) + w( 59)
      chem( 52) = chem( 52) + w( 59)
      chem( 54) = chem( 54) - w( 59)
      chem( 55) = chem( 55) + w( 59)
      w( 60) =  rk( 60) * Y( 40) * Y( 54)
      chem( 40) = chem( 40) - w( 60)
      chem( 46) = chem( 46) + w( 60)
      chem( 54) = chem( 54) - w( 60)
      chem( 61) = chem( 61) + w( 60)
      w( 61) =  rk( 61) * Y( 23) * Y( 54)
      chem( 23) = chem( 23) - w( 61)
      chem( 33) = chem( 33) + w( 61)
      chem( 54) = chem( 54) - w( 61)
      w( 62) =  rk( 62) * Y( 60) * Y( 61)
      chem( 27) = chem( 27) + w( 62)
      chem( 60) = chem( 60) - w( 62)
      chem( 61) = chem( 61) - w( 62)
      w( 63) =  rk( 63) * Y( 27)
      chem( 27) = chem( 27) - w( 63)
      chem( 60) = chem( 60) + w( 63)
      chem( 61) = chem( 61) + w( 63)
      w( 64) =  rk( 64) * Y( 57) * Y( 61)
      chem( 13) = chem( 13) + w( 64)
      chem( 57) = chem( 57) - w( 64)
      chem( 61) = chem( 61) - w( 64)
      w( 65) =  rk( 65) * Y( 13)
      chem( 13) = chem( 13) - w( 65)
      chem( 57) = chem( 57) + w( 65)
      chem( 61) = chem( 61) + w( 65)
      w( 66) =  rk( 66) * Y( 49) * Y( 58)
      chem( 49) = chem( 49) - w( 66)
      chem( 52) = chem( 52) + w( 66)
      chem( 58) = chem( 58) - w( 66)
      chem( 59) = chem( 59) + w( 66)
      chem( 61) = chem( 61) + w( 66)
      w( 67) =  rk( 67) * Y( 46) * Y( 58)
      chem( 40) = chem( 40) +  0.3600000000000000D-01 * w( 67)
      chem( 41) = chem( 41) +  0.2500000000000000D+00 * w( 67)
      chem( 46) = chem( 46) - w( 67)
      chem( 47) = chem( 47) +  0.7500000000000000D+00 * w( 67)
      chem( 52) = chem( 52) +  0.9000000000000000D-01 * w( 67)
      chem( 58) = chem( 58) - w( 67)
      chem( 59) = chem( 59) +  0.9640000000000000D+00 * w( 67)
      chem( 61) = chem( 61) +  0.9640000000000000D+00 * w( 67)
      w( 68) =  rk( 68) * Y( 30) * Y( 58)
      chem( 30) = chem( 30) - w( 68)
      chem( 40) = chem( 40) +  0.8000000000000000D-01 * w( 68)
      chem( 41) = chem( 41) +  0.6899999999999999D+00 * w( 68)
      chem( 47) = chem( 47) +  0.3800000000000000D+00 * w( 68)
      chem( 58) = chem( 58) - w( 68)
      chem( 59) = chem( 59) +  0.9200000000000000D+00 * w( 68)
      chem( 61) = chem( 61) +  0.9200000000000000D+00 * w( 68)
      w( 69) =  rk( 69) * Y( 31) * Y( 58)
      chem( 31) = chem( 31) - w( 69)
      chem( 40) = chem( 40) +  0.2400000000000000D+00 * w( 69)
      chem( 41) = chem( 41) +  0.1060000000000000D+01 * w( 69)
      chem( 47) = chem( 47) +  0.3500000000000000D+00 * w( 69)
      chem( 52) = chem( 52) +  0.4000000000000000D-01 * w( 69)
      chem( 58) = chem( 58) - w( 69)
      chem( 59) = chem( 59) +  0.7600000000000000D+00 * w( 69)
      chem( 61) = chem( 61) +  0.7600000000000000D+00 * w( 69)
      w( 70) =  rk( 70) * Y( 32) * Y( 58)
      chem( 32) = chem( 32) - w( 70)
      chem( 47) = chem( 47) +  0.2000000000000000D+00 * w( 70)
      chem( 52) = chem( 52) +  0.1600000000000000D+01 * w( 70)
      chem( 58) = chem( 58) - w( 70)
      chem( 59) = chem( 59) + w( 70)
      chem( 61) = chem( 61) + w( 70)
      w( 71) =  rk( 71) * Y( 33) * Y( 58)
      chem( 33) = chem( 33) - w( 71)
      chem( 47) = chem( 47) + w( 71)
      chem( 52) = chem( 52) + w( 71)
      chem( 58) = chem( 58) - w( 71)
      chem( 59) = chem( 59) + w( 71)
      chem( 61) = chem( 61) + w( 71)
      w( 72) =  rk( 72) * Y( 34) * Y( 58)
      chem( 34) = chem( 34) - w( 72)
      chem( 41) = chem( 41) +  0.1000000000000000D+00 * w( 72)
      chem( 47) = chem( 47) +  0.1450000000000000D+01 * w( 72)
      chem( 52) = chem( 52) +  0.2800000000000000D+00 * w( 72)
      chem( 58) = chem( 58) - w( 72)
      chem( 59) = chem( 59) + w( 72)
      chem( 61) = chem( 61) + w( 72)
      w( 73) =  rk( 73) * Y( 60) * Y( 58)
      chem( 49) = chem( 49) + w( 73)
      chem( 58) = chem( 58) - w( 73)
      chem( 60) = chem( 60) - w( 73)
      chem( 61) = chem( 61) + w( 73)
      w( 74) =  rk( 74) * Y( 57) * Y( 58)
      chem( 48) = chem( 48) +  0.8900000000000000D+00 * w( 74)
      chem( 50) = chem( 50) +  0.1100000000000000D+00 * w( 74)
      chem( 51) = chem( 51) +  0.2000000000000000D+01 * w( 74)
      chem( 56) = chem( 56) +  0.9500000000000000D+00 * w( 74)
      chem( 57) = chem( 57) - w( 74)
      chem( 58) = chem( 58) - w( 74)
      chem( 59) = chem( 59) +  0.9200000000000000D+00 * w( 74)
      chem( 60) = chem( 60) +  0.5000000000000000D-01 * w( 74)
      chem( 61) = chem( 61) + w( 74)
      w( 75) =  rk( 75) * Y( 35) * Y( 58)
      chem( 35) = chem( 35) - w( 75)
      chem( 37) = chem( 37) +  0.7000000000000000D+00 * w( 75)
      chem( 48) = chem( 48) +  0.1600000000000000D+00 * w( 75)
      chem( 50) = chem( 50) +  0.1700000000000000D+00 * w( 75)
      chem( 58) = chem( 58) - w( 75)
      chem( 59) = chem( 59) + w( 75)
      chem( 61) = chem( 61) + w( 75)
      w( 76) =  rk( 76) * Y( 36) * Y( 58)
      chem( 36) = chem( 36) - w( 76)
      chem( 37) = chem( 37) +  0.8060000000000000D+00 * w( 76)
      chem( 50) = chem( 50) +  0.4500000000000000D+00 * w( 76)
      chem( 58) = chem( 58) - w( 76)
      chem( 59) = chem( 59) + w( 76)
      chem( 61) = chem( 61) + w( 76)
      w( 77) =  rk( 77) * Y( 43) * Y( 58)
      chem( 43) = chem( 43) - w( 77)
      chem( 47) = chem( 47) + w( 77)
      chem( 58) = chem( 58) - w( 77)
      chem( 59) = chem( 59) + w( 77)
      chem( 61) = chem( 61) + w( 77)
      w( 78) =  rk( 78) * Y( 42) * Y( 58)
      chem( 42) = chem( 42) - w( 78)
      chem( 50) = chem( 50) + w( 78)
      chem( 58) = chem( 58) - w( 78)
      chem( 59) = chem( 59) + w( 78)
      chem( 61) = chem( 61) + w( 78)
      w( 79) =  rk( 79) * Y( 38) * Y( 58)
      chem( 38) = chem( 38) - w( 79)
      chem( 47) = chem( 47) + w( 79)
      chem( 52) = chem( 52) + w( 79)
      chem( 58) = chem( 58) - w( 79)
      chem( 61) = chem( 61) +  0.2000000000000000D+01 * w( 79)
      w( 80) =  rk( 80) * Y( 52) * Y( 55)
      chem( 52) = chem( 52) - w( 80)
      chem( 53) = chem( 53) + w( 80)
      chem( 55) = chem( 55) - w( 80)
      chem( 56) = chem( 56) + w( 80)
      chem( 59) = chem( 59) + w( 80)
      w( 81) =  rk( 81) * Y( 47) * Y( 55)
      chem( 47) = chem( 47) - w( 81)
      chem( 53) = chem( 53) + w( 81)
      chem( 55) = chem( 55) - w( 81)
      chem( 60) = chem( 60) + w( 81)
      w( 82) =  rk( 82) * Y( 48) * Y( 55)
      chem( 48) = chem( 48) - w( 82)
      chem( 53) = chem( 53) + w( 82)
      chem( 55) = chem( 55) - w( 82)
      chem( 56) = chem( 56) +  0.2000000000000000D+01 * w( 82)
      chem( 59) = chem( 59) + w( 82)
      w( 83) =  rk( 83) * Y( 50) * Y( 55)
      chem( 50) = chem( 50) - w( 83)
      chem( 53) = chem( 53) + w( 83)
      chem( 55) = chem( 55) - w( 83)
      chem( 56) = chem( 56) + w( 83)
      chem( 60) = chem( 60) + w( 83)
      w( 84) =  rk( 84) * Y( 37) * Y( 55)
      chem( 37) = chem( 37) - w( 84)
      chem( 53) = chem( 53) + w( 84)
      chem( 55) = chem( 55) - w( 84)
      chem( 57) = chem( 57) + w( 84)
      w( 85) =  rk( 85) * Y( 15) * Y( 55)
      chem( 15) = chem( 15) -  0.5000000000000000D+00 * w( 85)
      chem( 39) = chem( 39) + w( 85)
      chem( 53) = chem( 53) + w( 85)
      chem( 55) = chem( 55) - w( 85)
      w( 86) =  rk( 86) * Y( 21) * Y( 55)
      chem( 21) = chem( 21) - w( 86)
      chem( 38) = chem( 38) + w( 86)
      chem( 55) = chem( 55) - w( 86)
      w( 87) =  rk( 87) * Y( 17) * Y( 55)
      chem( 17) = chem( 17) - w( 87)
      chem( 38) = chem( 38) + w( 87)
      chem( 55) = chem( 55) - w( 87)
      w( 88) =  rk( 88) * Y( 18) * Y( 55)
      chem( 18) = chem( 18) - w( 88)
      chem( 38) = chem( 38) + w( 88)
      chem( 55) = chem( 55) - w( 88)
      w( 89) =  rk( 89) * Y( 23) * Y( 55)
      chem( 23) = chem( 23) - w( 89)
      chem( 38) = chem( 38) + w( 89)
      chem( 55) = chem( 55) - w( 89)
      w( 90) =  rk( 90) * Y( 21) * Y( 29)
      chem( 21) = chem( 21) - w( 90)
      chem( 22) = chem( 22) +  0.4000000000000000D+00 * w( 90)
      chem( 29) = chem( 29) - w( 90)
      chem( 52) = chem( 52) + w( 90)
      chem( 56) = chem( 56) +  0.4200000000000000D+00 * w( 90)
      chem( 59) = chem( 59) +  0.1200000000000000D+00 * w( 90)
      w( 91) =  rk( 91) * Y( 17) * Y( 29)
      chem( 17) = chem( 17) - w( 91)
      chem( 19) = chem( 19) +  0.6000000000000000D-01 * w( 91)
      chem( 22) = chem( 22) +  0.2000000000000000D+00 * w( 91)
      chem( 29) = chem( 29) - w( 91)
      chem( 44) = chem( 44) +  0.2000000000000000D+00 * w( 91)
      chem( 47) = chem( 47) +  0.5000000000000000D+00 * w( 91)
      chem( 49) = chem( 49) +  0.2200000000000000D+00 * w( 91)
      chem( 52) = chem( 52) +  0.5300000000000000D+00 * w( 91)
      chem( 54) = chem( 54) +  0.1000000000000000D+00 * w( 91)
      chem( 56) = chem( 56) +  0.3300000000000000D+00 * w( 91)
      chem( 59) = chem( 59) +  0.2300000000000000D+00 * w( 91)
      w( 92) =  rk( 92) * Y( 18) * Y( 29)
      chem( 18) = chem( 18) - w( 92)
      chem( 19) = chem( 19) +  0.9000000000000000D-01 * w( 92)
      chem( 22) = chem( 22) +  0.6000000000000000D-01 * w( 92)
      chem( 29) = chem( 29) - w( 92)
      chem( 41) = chem( 41) +  0.1000000000000000D+00 * w( 92)
      chem( 44) = chem( 44) +  0.2900000000000000D+00 * w( 92)
      chem( 47) = chem( 47) +  0.7200000000000000D+00 * w( 92)
      chem( 49) = chem( 49) +  0.3100000000000000D+00 * w( 92)
      chem( 52) = chem( 52) +  0.1800000000000000D+00 * w( 92)
      chem( 54) = chem( 54) +  0.1400000000000000D+00 * w( 92)
      chem( 56) = chem( 56) +  0.2300000000000000D+00 * w( 92)
      chem( 59) = chem( 59) +  0.2600000000000000D+00 * w( 92)
      w( 93) =  rk( 93) * Y( 23) * Y( 29)
      chem( 22) = chem( 22) +  0.2000000000000000D+00 * w( 93)
      chem( 23) = chem( 23) - w( 93)
      chem( 29) = chem( 29) - w( 93)
      chem( 44) = chem( 44) +  0.2000000000000000D+00 * w( 93)
      chem( 47) = chem( 47) +  0.5000000000000000D+00 * w( 93)
      chem( 49) = chem( 49) +  0.2200000000000000D+00 * w( 93)
      chem( 52) = chem( 52) +  0.5300000000000000D+00 * w( 93)
      chem( 54) = chem( 54) +  0.1000000000000000D+00 * w( 93)
      chem( 56) = chem( 56) +  0.3300000000000000D+00 * w( 93)
      chem( 59) = chem( 59) +  0.2300000000000000D+00 * w( 93)
      w( 94) =  rk( 94) * Y( 59) * Y( 49)
      chem( 24) = chem( 24) + w( 94)
      chem( 49) = chem( 49) - w( 94)
      chem( 59) = chem( 59) - w( 94)
      w( 95) =  rk( 95) * Y( 59) * Y( 43)
      chem( 43) = chem( 43) - w( 95)
      chem( 45) = chem( 45) + w( 95)
      chem( 59) = chem( 59) - w( 95)
      w( 96) =  rk( 96) * Y( 59) * Y( 46)
      chem( 45) = chem( 45) + w( 96)
      chem( 46) = chem( 46) - w( 96)
      chem( 59) = chem( 59) - w( 96)
      w( 97) =  rk( 97) * Y( 59) * Y( 30)
      chem( 30) = chem( 30) - w( 97)
      chem( 45) = chem( 45) + w( 97)
      chem( 59) = chem( 59) - w( 97)
      w( 98) =  rk( 98) * Y( 59) * Y( 31)
      chem( 31) = chem( 31) - w( 98)
      chem( 45) = chem( 45) + w( 98)
      chem( 59) = chem( 59) - w( 98)
      w( 99) =  rk( 99) * Y( 59) * Y( 32)
      chem( 32) = chem( 32) - w( 99)
      chem( 45) = chem( 45) + w( 99)
      chem( 59) = chem( 59) - w( 99)
      w(100) =  rk(100) * Y( 59) * Y( 33)
      chem( 33) = chem( 33) - w(100)
      chem( 45) = chem( 45) + w(100)
      chem( 59) = chem( 59) - w(100)
      w(101) =  rk(101) * Y( 59) * Y( 34)
      chem( 34) = chem( 34) - w(101)
      chem( 45) = chem( 45) + w(101)
      chem( 59) = chem( 59) - w(101)
      w(102) =  rk(102) * Y( 59) * Y( 42)
      chem( 42) = chem( 42) - w(102)
      chem( 45) = chem( 45) + w(102)
      chem( 59) = chem( 59) - w(102)
      w(103) =  rk(103) * Y( 59) * Y( 60)
      chem( 25) = chem( 25) + w(103)
      chem( 59) = chem( 59) - w(103)
      chem( 60) = chem( 60) - w(103)
      w(104) =  rk(104) * Y( 59) * Y( 35)
      chem( 35) = chem( 35) - w(104)
      chem( 45) = chem( 45) + w(104)
      chem( 59) = chem( 59) - w(104)
      w(105) =  rk(105) * Y( 59) * Y( 36)
      chem( 36) = chem( 36) - w(105)
      chem( 45) = chem( 45) + w(105)
      chem( 59) = chem( 59) - w(105)
      w(106) =  rk(106) * Y( 59) * Y( 57)
      chem( 45) = chem( 45) + w(106)
      chem( 57) = chem( 57) - w(106)
      chem( 59) = chem( 59) - w(106)
      w(107) =  rk(107) * Y( 59) * Y( 38)
      chem( 38) = chem( 38) - w(107)
      chem( 40) = chem( 40) + w(107)
      chem( 59) = chem( 59) - w(107)
      w(108) =  rk(108) * Y( 49) * Y( 49)
      chem( 49) = chem( 49) -  0.2000000000000000D+01 * w(108)
      chem( 52) = chem( 52) +  0.1500000000000000D+01 * w(108)
      chem( 59) = chem( 59) + w(108)
      w(109) =  rk(109) * Y( 49) * Y( 43)
      chem( 43) = chem( 43) - w(109)
      chem( 47) = chem( 47) +  0.7500000000000000D+00 * w(109)
      chem( 49) = chem( 49) - w(109)
      chem( 52) = chem( 52) +  0.7500000000000000D+00 * w(109)
      chem( 59) = chem( 59) + w(109)
      w(110) =  rk(110) * Y( 49) * Y( 46)
      chem( 41) = chem( 41) +  0.2600000000000000D+00 * w(110)
      chem( 46) = chem( 46) - w(110)
      chem( 47) = chem( 47) +  0.7700000000000000D+00 * w(110)
      chem( 49) = chem( 49) - w(110)
      chem( 52) = chem( 52) +  0.8400000000000000D+00 * w(110)
      chem( 59) = chem( 59) + w(110)
      w(111) =  rk(111) * Y( 49) * Y( 30)
      chem( 30) = chem( 30) - w(111)
      chem( 41) = chem( 41) +  0.7500000000000000D+00 * w(111)
      chem( 47) = chem( 47) +  0.4100000000000000D+00 * w(111)
      chem( 49) = chem( 49) - w(111)
      chem( 52) = chem( 52) +  0.7700000000000000D+00 * w(111)
      chem( 59) = chem( 59) + w(111)
      w(112) =  rk(112) * Y( 49) * Y( 31)
      chem( 31) = chem( 31) - w(112)
      chem( 41) = chem( 41) +  0.1390000000000000D+01 * w(112)
      chem( 47) = chem( 47) +  0.4600000000000000D+00 * w(112)
      chem( 49) = chem( 49) - w(112)
      chem( 52) = chem( 52) +  0.8000000000000000D+00 * w(112)
      chem( 59) = chem( 59) + w(112)
      w(113) =  rk(113) * Y( 49) * Y( 32)
      chem( 32) = chem( 32) - w(113)
      chem( 47) = chem( 47) +  0.3500000000000000D+00 * w(113)
      chem( 49) = chem( 49) - w(113)
      chem( 52) = chem( 52) +  0.1550000000000000D+01 * w(113)
      chem( 59) = chem( 59) + w(113)
      w(114) =  rk(114) * Y( 49) * Y( 33)
      chem( 33) = chem( 33) - w(114)
      chem( 47) = chem( 47) +  0.7500000000000000D+00 * w(114)
      chem( 49) = chem( 49) - w(114)
      chem( 52) = chem( 52) +  0.1250000000000000D+01 * w(114)
      chem( 59) = chem( 59) + w(114)
      w(115) =  rk(115) * Y( 49) * Y( 34)
      chem( 34) = chem( 34) - w(115)
      chem( 41) = chem( 41) +  0.5500000000000000D+00 * w(115)
      chem( 47) = chem( 47) +  0.7250000000000000D+00 * w(115)
      chem( 49) = chem( 49) - w(115)
      chem( 52) = chem( 52) +  0.8900000000000000D+00 * w(115)
      chem( 59) = chem( 59) + w(115)
      w(116) =  rk(116) * Y( 49) * Y( 42)
      chem( 42) = chem( 42) - w(116)
      chem( 49) = chem( 49) - w(116)
      chem( 50) = chem( 50) +  0.7500000000000000D+00 * w(116)
      chem( 52) = chem( 52) +  0.7500000000000000D+00 * w(116)
      chem( 59) = chem( 59) + w(116)
      w(117) =  rk(117) * Y( 49) * Y( 60)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(117)
      chem( 49) = chem( 49) -  0.5000000000000000D+00 * w(117)
      chem( 52) = chem( 52) + w(117)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(117)
      chem( 60) = chem( 60) - w(117)
      w(118) =  rk(118) * Y( 49) * Y( 35)
      chem( 35) = chem( 35) - w(118)
      chem( 37) = chem( 37) +  0.7000000000000000D+00 * w(118)
      chem( 48) = chem( 48) +  0.1600000000000000D+00 * w(118)
      chem( 49) = chem( 49) - w(118)
      chem( 50) = chem( 50) +  0.1700000000000000D+00 * w(118)
      chem( 52) = chem( 52) + w(118)
      chem( 59) = chem( 59) +  0.2000000000000000D+01 * w(118)
      w(119) =  rk(119) * Y( 49) * Y( 36)
      chem( 36) = chem( 36) - w(119)
      chem( 37) = chem( 37) +  0.8060000000000000D+00 * w(119)
      chem( 49) = chem( 49) - w(119)
      chem( 50) = chem( 50) +  0.4500000000000000D+00 * w(119)
      chem( 52) = chem( 52) + w(119)
      chem( 59) = chem( 59) +  0.2000000000000000D+01 * w(119)
      w(120) =  rk(120) * Y( 49) * Y( 57)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(120)
      chem( 48) = chem( 48) +  0.4450000000000000D+00 * w(120)
      chem( 49) = chem( 49) - w(120)
      chem( 50) = chem( 50) +  0.5500000000000000D-01 * w(120)
      chem( 51) = chem( 51) + w(120)
      chem( 52) = chem( 52) +  0.5000000000000000D+00 * w(120)
      chem( 56) = chem( 56) +  0.4750000000000000D+00 * w(120)
      chem( 57) = chem( 57) - w(120)
      chem( 59) = chem( 59) +  0.4600000000000000D+00 * w(120)
      chem( 60) = chem( 60) +  0.2500000000000000D-01 * w(120)
      w(121) =  rk(121) * Y( 49) * Y( 38)
      chem( 38) = chem( 38) - w(121)
      chem( 47) = chem( 47) + w(121)
      chem( 49) = chem( 49) - w(121)
      chem( 52) = chem( 52) +  0.1750000000000000D+01 * w(121)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(121)
      chem( 61) = chem( 61) + w(121)
      w(122) =  rk(122) * Y( 43) * Y( 60)
      chem( 43) = chem( 43) - w(122)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(122)
      chem( 47) = chem( 47) + w(122)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(122)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(122)
      chem( 60) = chem( 60) - w(122)
      w(123) =  rk(123) * Y( 46) * Y( 60)
      chem( 41) = chem( 41) +  0.2600000000000000D+00 * w(123)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(123)
      chem( 46) = chem( 46) - w(123)
      chem( 47) = chem( 47) +  0.7700000000000000D+00 * w(123)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(123)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(123)
      chem( 60) = chem( 60) - w(123)
      w(124) =  rk(124) * Y( 30) * Y( 60)
      chem( 30) = chem( 30) - w(124)
      chem( 41) = chem( 41) +  0.7500000000000000D+00 * w(124)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(124)
      chem( 47) = chem( 47) +  0.4100000000000000D+00 * w(124)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(124)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(124)
      chem( 60) = chem( 60) - w(124)
      w(125) =  rk(125) * Y( 31) * Y( 60)
      chem( 31) = chem( 31) - w(125)
      chem( 41) = chem( 41) +  0.1390000000000000D+01 * w(125)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(125)
      chem( 47) = chem( 47) +  0.4600000000000000D+00 * w(125)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(125)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(125)
      chem( 60) = chem( 60) - w(125)
      w(126) =  rk(126) * Y( 32) * Y( 60)
      chem( 32) = chem( 32) - w(126)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(126)
      chem( 47) = chem( 47) +  0.6000000000000000D+00 * w(126)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(126)
      chem( 52) = chem( 52) +  0.8000000000000000D+00 * w(126)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(126)
      chem( 60) = chem( 60) - w(126)
      w(127) =  rk(127) * Y( 33) * Y( 60)
      chem( 33) = chem( 33) - w(127)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(127)
      chem( 47) = chem( 47) + w(127)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(127)
      chem( 52) = chem( 52) +  0.5000000000000000D+00 * w(127)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(127)
      chem( 60) = chem( 60) - w(127)
      w(128) =  rk(128) * Y( 34) * Y( 60)
      chem( 34) = chem( 34) - w(128)
      chem( 41) = chem( 41) +  0.5500000000000000D+00 * w(128)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(128)
      chem( 47) = chem( 47) +  0.7250000000000000D+00 * w(128)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(128)
      chem( 52) = chem( 52) +  0.1400000000000000D+00 * w(128)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(128)
      chem( 60) = chem( 60) - w(128)
      w(129) =  rk(129) * Y( 42) * Y( 60)
      chem( 42) = chem( 42) - w(129)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(129)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(129)
      chem( 50) = chem( 50) + w(129)
      chem( 59) = chem( 59) +  0.5000000000000000D+00 * w(129)
      chem( 60) = chem( 60) - w(129)
      w(130) =  rk(130) * Y( 60) * Y( 60)
      chem( 49) = chem( 49) +  0.2000000000000000D+01 * w(130)
      chem( 60) = chem( 60) -  0.2000000000000000D+01 * w(130)
      w(131) =  rk(131) * Y( 60) * Y( 35)
      chem( 35) = chem( 35) - w(131)
      chem( 37) = chem( 37) +  0.7000000000000000D+00 * w(131)
      chem( 48) = chem( 48) +  0.1600000000000000D+00 * w(131)
      chem( 49) = chem( 49) + w(131)
      chem( 50) = chem( 50) +  0.1700000000000000D+00 * w(131)
      chem( 59) = chem( 59) + w(131)
      chem( 60) = chem( 60) - w(131)
      w(132) =  rk(132) * Y( 60) * Y( 36)
      chem( 36) = chem( 36) - w(132)
      chem( 37) = chem( 37) +  0.8060000000000000D+00 * w(132)
      chem( 49) = chem( 49) + w(132)
      chem( 50) = chem( 50) +  0.4500000000000000D+00 * w(132)
      chem( 59) = chem( 59) + w(132)
      chem( 60) = chem( 60) - w(132)
      w(133) =  rk(133) * Y( 60) * Y( 57)
      chem( 48) = chem( 48) +  0.8900000000000000D+00 * w(133)
      chem( 49) = chem( 49) + w(133)
      chem( 50) = chem( 50) +  0.1100000000000000D+00 * w(133)
      chem( 51) = chem( 51) +  0.2000000000000000D+01 * w(133)
      chem( 56) = chem( 56) +  0.9500000000000000D+00 * w(133)
      chem( 57) = chem( 57) - w(133)
      chem( 59) = chem( 59) +  0.9200000000000000D+00 * w(133)
      chem( 60) = chem( 60) -  0.9500000000000000D+00 * w(133)
      w(134) =  rk(134) * Y( 60) * Y( 38)
      chem( 38) = chem( 38) - w(134)
      chem( 44) = chem( 44) +  0.5000000000000000D+00 * w(134)
      chem( 47) = chem( 47) + w(134)
      chem( 49) = chem( 49) +  0.5000000000000000D+00 * w(134)
      chem( 52) = chem( 52) + w(134)
      chem( 60) = chem( 60) - w(134)
      chem( 61) = chem( 61) + w(134)
      w(135) =  rk(135) * Y( 38) * Y( 38)
      chem( 38) = chem( 38) -  0.2000000000000000D+01 * w(135)
      chem( 47) = chem( 47) +  0.2000000000000000D+01 * w(135)
      chem( 52) = chem( 52) +  0.2000000000000000D+01 * w(135)
      chem( 61) = chem( 61) +  0.2000000000000000D+01 * w(135)
      w(136) =  rk(136) * Y( 51) * Y( 59)
      chem( 45) = chem( 45) + w(136)
      chem( 51) = chem( 51) - w(136)
      chem( 59) = chem( 59) - w(136)
      w(137) =  rk(137) * Y( 51) * Y( 49)
      chem( 49) = chem( 49) - w(137)
      chem( 51) = chem( 51) - w(137)
      chem( 52) = chem( 52) + w(137)
      chem( 59) = chem( 59) + w(137)
      w(138) =  rk(138) * Y( 51) * Y( 60)
      chem( 49) = chem( 49) + w(138)
      chem( 51) = chem( 51) - w(138)
      chem( 60) = chem( 60) - w(138)
      w(139) =  rk(139) * Y( 51) * Y( 51)
      chem( 51) = chem( 51) -  0.2000000000000000D+01 * w(139)
      w(140) =  rk(140) * Y( 51) * Y( 58)
      chem( 51) = chem( 51) - w(140)
      chem( 58) = chem( 58) - w(140)
      chem( 61) = chem( 61) + w(140)
      w(141) =  rk(141) * Y( 39) * Y( 61)
      chem( 39) = chem( 39) - w(141)
      chem( 40) = chem( 40) + w(141)
      chem( 61) = chem( 61) - w(141)
      w(142) =  rk(142) * Y( 39) * Y( 59)
      chem( 39) = chem( 39) - w(142)
      chem( 45) = chem( 45) + w(142)
      chem( 59) = chem( 59) - w(142)
      w(143) =  rk(143) * Y( 39) * Y( 49)
      chem( 39) = chem( 39) - w(143)
      chem( 49) = chem( 49) - w(143)
      chem( 52) = chem( 52) + w(143)
      chem( 59) = chem( 59) + w(143)
      w(144) =  rk(144) * Y( 39) * Y( 60)
      chem( 39) = chem( 39) - w(144)
      chem( 49) = chem( 49) + w(144)
      chem( 60) = chem( 60) - w(144)
      w(145) =  rk(145) * Y( 39) * Y( 39)
      chem( 39) = chem( 39) -  0.2000000000000000D+01 * w(145)
      w(146) =  rk(146) * Y( 59) * Y( 61)
      chem( 20) = chem( 20) + w(146)
      chem( 59) = chem( 59) - w(146)
      chem( 61) = chem( 61) - w(146)
      w(147) =  rk(147) * Y( 58) * Y( 54)
      chem( 14) = chem( 14) + w(147)
      chem( 54) = chem( 54) - w(147)
      chem( 58) = chem( 58) - w(147)
      w(148) =  rk(148) * Y( 55) * Y( 61)
      chem( 16) = chem( 16) + w(148)
      chem( 55) = chem( 55) - w(148)
      chem( 61) = chem( 61) - w(148)
      w(149) =  rk(149) * Y( 54) * Y( 61)
      chem( 53) = chem( 53) + w(149)
      chem( 54) = chem( 54) - w(149)
      chem( 61) = chem( 61) - w(149)
      w(150) =  rk(150) * Y( 54) * Y(  9)
      chem(  9) = chem(  9) - w(150)
      chem( 10) = chem( 10) + w(150)
      chem( 54) = chem( 54) - w(150)
      chem( 59) = chem( 59) + w(150)
      w(151) =  rk(151) * Y( 20)
      chem( 20) = chem( 20) - w(151)
      chem( 59) = chem( 59) + w(151)
      chem( 61) = chem( 61) + w(151)
      w(152) =  rk(152) * Y( 16)
      chem( 16) = chem( 16) - w(152)
      chem( 55) = chem( 55) + w(152)
      chem( 61) = chem( 61) + w(152)
      w(153) =  rk(153) * Y( 28)
      chem( 28) = chem( 28) - w(153)
      chem( 29) = chem( 29) + w(153)
      w(154) =  rk(154) * Y( 59) * Y( 59)
      chem( 12) = chem( 12) + w(154)
      chem( 59) = chem( 59) -  0.2000000000000000D+01 * w(154)
      w(155) =  rk(155) * Y( 59) * Y( 59)
      chem( 12) = chem( 12) + w(155)
      chem( 59) = chem( 59) -  0.2000000000000000D+01 * w(155)
      w(156) =  rk(156) * Y( 54) * Y( 53)
      chem( 53) = chem( 53) - w(156)
      chem( 54) = chem( 54) - w(156)
      chem( 55) = chem( 55) + w(156)
      w(157) =  rk(157) * Y( 56) * Y( 54)
      chem( 26) = chem( 26) + w(157)
      chem( 54) = chem( 54) - w(157)
      chem( 56) = chem( 56) - w(157)
      chem( 59) = chem( 59) + w(157)
      
C     Volumic source terms.
      
      IF(LSOURC)THEN
         do i=1,nsrc
            chem(Nesps(i))=chem(Nesps(i))+ZCsourc(i)
         enddo
      endif
      
      END
      
