      subroutine jacdchemdc(y,rk,JacC)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the Jacobian matrix for the gas-phase.
C     This routine is automatically generated by SPACK.
C     Mechanism: RADM                
C     Species: _ciRADM             
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     Y: chemical concentrations.
C     RK: kinetic rates.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     JACC: Jacobian matrix.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C     The matrix JACC could be stored in a low-dimensional vector.
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      INCLUDE 'PARADOM.INC'  
      
      integer i,j
      double precision dw(nr,nesp),rk(nr),y(nesp),JacC(nesp,nesp)
      
      do j=1,nesp
         do i=1,nesp
            JacC(i,j)=0.d0
         enddo
      enddo
      
      dw(  1, 61) =  rk(  1)
      JacC( 28, 61) = JacC( 28, 61) + dw(  1, 61)
      JacC( 58, 61) = JacC( 58, 61) + dw(  1, 61)
      JacC( 61, 61) = JacC( 61, 61) - dw(  1, 61)
      dw(  2, 29) =  rk(  2)
      JacC( 11, 29) = JacC( 11, 29) + dw(  2, 29)
      JacC( 29, 29) = JacC( 29, 29) - dw(  2, 29)
      dw(  3, 29) =  rk(  3)
      JacC( 28, 29) = JacC( 28, 29) + dw(  3, 29)
      JacC( 29, 29) = JacC( 29, 29) - dw(  3, 29)
      dw(  4, 14) =  rk(  4)
      JacC( 14, 14) = JacC( 14, 14) - dw(  4, 14)
      JacC( 54, 14) = JacC( 54, 14) + dw(  4, 14)
      JacC( 58, 14) = JacC( 58, 14) + dw(  4, 14)
      dw(  5, 53) =  rk(  5)
      JacC( 53, 53) = JacC( 53, 53) - dw(  5, 53)
      JacC( 54, 53) = JacC( 54, 53) + dw(  5, 53)
      JacC( 61, 53) = JacC( 61, 53) + dw(  5, 53)
      dw(  6, 20) =  rk(  6)
      JacC( 20, 20) = JacC( 20, 20) - dw(  6, 20)
      JacC( 59, 20) = JacC( 59, 20) + dw(  6, 20)
      JacC( 61, 20) = JacC( 61, 20) + dw(  6, 20)
      dw(  7, 55) =  rk(  7)
      JacC( 55, 55) = JacC( 55, 55) - dw(  7, 55)
      JacC( 58, 55) = JacC( 58, 55) + dw(  7, 55)
      dw(  8, 55) =  rk(  8)
      JacC( 28, 55) = JacC( 28, 55) + dw(  8, 55)
      JacC( 55, 55) = JacC( 55, 55) - dw(  8, 55)
      JacC( 61, 55) = JacC( 61, 55) + dw(  8, 55)
      dw(  9, 12) =  rk(  9)
      JacC( 12, 12) = JacC( 12, 12) - dw(  9, 12)
      JacC( 54, 12) = JacC( 54, 12)+ 0.2000000000000000D+01*dw(  9, 12)
      dw( 10, 52) =  rk( 10)
      JacC( 52, 52) = JacC( 52, 52) - dw( 10, 52)
      JacC( 56, 52) = JacC( 56, 52) + dw( 10, 52)
      dw( 11, 52) =  rk( 11)
      JacC( 52, 52) = JacC( 52, 52) - dw( 11, 52)
      JacC( 56, 52) = JacC( 56, 52) + dw( 11, 52)
      JacC( 59, 52) = JacC( 59, 52)+ 0.2000000000000000D+01*dw( 11, 52)
      dw( 12, 47) =  rk( 12)
      JacC( 47, 47) = JacC( 47, 47) - dw( 12, 47)
      JacC( 49, 47) = JacC( 49, 47) + dw( 12, 47)
      JacC( 56, 47) = JacC( 56, 47) + dw( 12, 47)
      JacC( 59, 47) = JacC( 59, 47) + dw( 12, 47)
      dw( 13, 24) =  rk( 13)
      JacC( 24, 24) = JacC( 24, 24) - dw( 13, 24)
      JacC( 52, 24) = JacC( 52, 24) + dw( 13, 24)
      JacC( 54, 24) = JacC( 54, 24) + dw( 13, 24)
      JacC( 59, 24) = JacC( 59, 24) + dw( 13, 24)
      dw( 14, 45) =  rk( 14)
      JacC( 45, 45) = JacC( 45, 45) - dw( 14, 45)
      JacC( 47, 45) = JacC( 47, 45) + dw( 14, 45)
      JacC( 54, 45) = JacC( 54, 45) + dw( 14, 45)
      JacC( 59, 45) = JacC( 59, 45) + dw( 14, 45)
      dw( 15, 25) =  rk( 15)
      JacC( 25, 25) = JacC( 25, 25) - dw( 15, 25)
      JacC( 26, 25) = JacC( 26, 25) + dw( 15, 25)
      JacC( 49, 25) = JacC( 49, 25) + dw( 15, 25)
      JacC( 54, 25) = JacC( 54, 25) + dw( 15, 25)
      dw( 16, 41) =  rk( 16)
      JacC( 41, 41) = JacC( 41, 41) - dw( 16, 41)
      JacC( 43, 41) = JacC( 43, 41) + dw( 16, 41)
      JacC( 60, 41) = JacC( 60, 41) + dw( 16, 41)
      dw( 17, 48) =  rk( 17)
      JacC( 48, 48) = JacC( 48, 48) - dw( 17, 48)
      JacC( 52, 48) = JacC( 52, 48)+ 0.1300000000000000D+00*dw( 17, 48)
      JacC( 56, 48) = JacC( 56, 48)+ 0.1870000000000000D+01*dw( 17, 48)
      dw( 18, 48) =  rk( 18)
      JacC( 48, 48) = JacC( 48, 48) - dw( 18, 48)
      JacC( 52, 48) = JacC( 52, 48)+ 0.4500000000000000D+00*dw( 18, 48)
      JacC( 56, 48) = JacC( 56, 48)+ 0.1550000000000000D+01*dw( 18, 48)
      JacC( 59, 48) = JacC( 59, 48)+ 0.8000000000000000D+00*dw( 18, 48)
      dw( 19, 50) =  rk( 19)
      JacC( 50, 50) = JacC( 50, 50) - dw( 19, 50)
      JacC( 56, 50) = JacC( 56, 50) + dw( 19, 50)
      JacC( 59, 50) = JacC( 59, 50) + dw( 19, 50)
      JacC( 60, 50) = JacC( 60, 50) + dw( 19, 50)
      dw( 20, 37) =  rk( 20)
      JacC( 37, 37) = JacC( 37, 37) - dw( 20, 37)
      JacC( 57, 37) = JacC( 57, 37) + dw( 20, 37)
      JacC( 59, 37) = JacC( 59, 37)+ 0.9800000000000000D+00*dw( 20, 37)
      JacC( 60, 37) = JacC( 60, 37)+ 0.2000000000000000D-01*dw( 20, 37)
      dw( 21, 40) =  rk( 21)
      JacC( 40, 40) = JacC( 40, 40) - dw( 21, 40)
      JacC( 41, 40) = JacC( 41, 40)+ 0.8000000000000000D+00*dw( 21, 40)
      JacC( 47, 40) = JacC( 47, 40)+ 0.2000000000000000D+00*dw( 21, 40)
      JacC( 59, 40) = JacC( 59, 40) + dw( 21, 40)
      JacC( 61, 40) = JacC( 61, 40) + dw( 21, 40)
      dw( 22, 28) =  rk( 22) * Y( 61)
      dw( 22, 61) =  rk( 22) * Y( 28)
      JacC( 28, 28) = JacC( 28, 28) - dw( 22, 28)
      JacC( 28, 61) = JacC( 28, 61) - dw( 22, 61)
      JacC( 58, 28) = JacC( 58, 28) + dw( 22, 28)
      JacC( 58, 61) = JacC( 58, 61) + dw( 22, 61)
      JacC( 61, 28) = JacC( 61, 28) - dw( 22, 28)
      JacC( 61, 61) = JacC( 61, 61) - dw( 22, 61)
      dw( 23, 11) =  rk( 23)
      JacC( 11, 11) = JacC( 11, 11) - dw( 23, 11)
      JacC( 28, 11) = JacC( 28, 11) + dw( 23, 11)
      dw( 24, 11) =  rk( 24)
      JacC( 11, 11) = JacC( 11, 11) - dw( 24, 11)
      JacC( 28, 11) = JacC( 28, 11) + dw( 24, 11)
      dw( 25, 11) =  rk( 25)
      JacC( 11, 11) = JacC( 11, 11) - dw( 25, 11)
      JacC( 54, 11) = JacC( 54, 11)+ 0.2000000000000000D+01*dw( 25, 11)
      dw( 26, 29) =  rk( 26) * Y( 58)
      dw( 26, 58) =  rk( 26) * Y( 29)
      JacC( 29, 29) = JacC( 29, 29) - dw( 26, 29)
      JacC( 29, 58) = JacC( 29, 58) - dw( 26, 58)
      JacC( 58, 29) = JacC( 58, 29) - dw( 26, 29)
      JacC( 58, 58) = JacC( 58, 58) - dw( 26, 58)
      JacC( 61, 29) = JacC( 61, 29) + dw( 26, 29)
      JacC( 61, 58) = JacC( 61, 58) + dw( 26, 58)
      dw( 27, 29) =  rk( 27) * Y( 54)
      dw( 27, 54) =  rk( 27) * Y( 29)
      JacC( 29, 29) = JacC( 29, 29) - dw( 27, 29)
      JacC( 29, 54) = JacC( 29, 54) - dw( 27, 54)
      JacC( 54, 29) = JacC( 54, 29) - dw( 27, 29)
      JacC( 54, 54) = JacC( 54, 54) - dw( 27, 54)
      JacC( 59, 29) = JacC( 59, 29) + dw( 27, 29)
      JacC( 59, 54) = JacC( 59, 54) + dw( 27, 54)
      dw( 28, 29) =  rk( 28) * Y( 59)
      dw( 28, 59) =  rk( 28) * Y( 29)
      JacC( 29, 29) = JacC( 29, 29) - dw( 28, 29)
      JacC( 29, 59) = JacC( 29, 59) - dw( 28, 59)
      JacC( 54, 29) = JacC( 54, 29) + dw( 28, 29)
      JacC( 54, 59) = JacC( 54, 59) + dw( 28, 59)
      JacC( 59, 29) = JacC( 59, 29) - dw( 28, 29)
      JacC( 59, 59) = JacC( 59, 59) - dw( 28, 59)
      dw( 29, 59) =  rk( 29) * Y( 58)
      dw( 29, 58) =  rk( 29) * Y( 59)
      JacC( 54, 59) = JacC( 54, 59) + dw( 29, 59)
      JacC( 54, 58) = JacC( 54, 58) + dw( 29, 58)
      JacC( 58, 59) = JacC( 58, 59) - dw( 29, 59)
      JacC( 58, 58) = JacC( 58, 58) - dw( 29, 58)
      JacC( 59, 59) = JacC( 59, 59) - dw( 29, 59)
      JacC( 59, 58) = JacC( 59, 58) - dw( 29, 58)
      JacC( 61, 59) = JacC( 61, 59) + dw( 29, 59)
      JacC( 61, 58) = JacC( 61, 58) + dw( 29, 58)
      dw( 30, 12) =  rk( 30) * Y( 54)
      dw( 30, 54) =  rk( 30) * Y( 12)
      JacC( 12, 12) = JacC( 12, 12) - dw( 30, 12)
      JacC( 12, 54) = JacC( 12, 54) - dw( 30, 54)
      JacC( 54, 12) = JacC( 54, 12) - dw( 30, 12)
      JacC( 54, 54) = JacC( 54, 54) - dw( 30, 54)
      JacC( 59, 12) = JacC( 59, 12) + dw( 30, 12)
      JacC( 59, 54) = JacC( 59, 54) + dw( 30, 54)
      dw( 31, 58) =  rk( 31) * Y( 58)
      dw( 31, 58) =  rk( 31) * Y( 58)
      JacC( 58, 58) = JacC( 58, 58)- 0.2000000000000000D+01*dw( 31, 58)
      JacC( 58, 58) = JacC( 58, 58)- 0.2000000000000000D+01*dw( 31, 58)
      JacC( 61, 58) = JacC( 61, 58)+ 0.2000000000000000D+01*dw( 31, 58)
      JacC( 61, 58) = JacC( 61, 58)+ 0.2000000000000000D+01*dw( 31, 58)
      dw( 32, 29) =  rk( 32) * Y( 61)
      dw( 32, 61) =  rk( 32) * Y( 29)
      JacC( 29, 29) = JacC( 29, 29) - dw( 32, 29)
      JacC( 29, 61) = JacC( 29, 61) - dw( 32, 61)
      JacC( 55, 29) = JacC( 55, 29) + dw( 32, 29)
      JacC( 55, 61) = JacC( 55, 61) + dw( 32, 61)
      JacC( 61, 29) = JacC( 61, 29) - dw( 32, 29)
      JacC( 61, 61) = JacC( 61, 61) - dw( 32, 61)
      dw( 33, 55) =  rk( 33) * Y( 58)
      dw( 33, 58) =  rk( 33) * Y( 55)
      JacC( 55, 55) = JacC( 55, 55) - dw( 33, 55)
      JacC( 55, 58) = JacC( 55, 58) - dw( 33, 58)
      JacC( 58, 55) = JacC( 58, 55) - dw( 33, 55)
      JacC( 58, 58) = JacC( 58, 58) - dw( 33, 58)
      JacC( 61, 55) = JacC( 61, 55)+ 0.2000000000000000D+01*dw( 33, 55)
      JacC( 61, 58) = JacC( 61, 58)+ 0.2000000000000000D+01*dw( 33, 58)
      dw( 34, 55) =  rk( 34) * Y( 61)
      dw( 34, 61) =  rk( 34) * Y( 55)
      JacC( 55, 55) = JacC( 55, 55) - dw( 34, 55)
      JacC( 55, 61) = JacC( 55, 61) - dw( 34, 61)
      JacC( 58, 55) = JacC( 58, 55) + dw( 34, 55)
      JacC( 58, 61) = JacC( 58, 61) + dw( 34, 61)
      dw( 35, 55) =  rk( 35) * Y( 59)
      dw( 35, 59) =  rk( 35) * Y( 55)
      JacC( 53, 55) = JacC( 53, 55) + dw( 35, 55)
      JacC( 53, 59) = JacC( 53, 59) + dw( 35, 59)
      JacC( 55, 55) = JacC( 55, 55) - dw( 35, 55)
      JacC( 55, 59) = JacC( 55, 59) - dw( 35, 59)
      JacC( 59, 55) = JacC( 59, 55) - dw( 35, 55)
      JacC( 59, 59) = JacC( 59, 59) - dw( 35, 59)
      dw( 36, 16) =  rk( 36)
      JacC( 16, 16) = JacC( 16, 16) - dw( 36, 16)
      JacC( 53, 16) = JacC( 53, 16)+ 0.2000000000000000D+01*dw( 36, 16)
      dw( 37, 54) =  rk( 37) * Y( 20)
      dw( 37, 20) =  rk( 37) * Y( 54)
      JacC( 20, 54) = JacC( 20, 54) - dw( 37, 54)
      JacC( 20, 20) = JacC( 20, 20) - dw( 37, 20)
      JacC( 54, 54) = JacC( 54, 54) - dw( 37, 54)
      JacC( 54, 20) = JacC( 54, 20) - dw( 37, 20)
      JacC( 61, 54) = JacC( 61, 54) + dw( 37, 54)
      JacC( 61, 20) = JacC( 61, 20) + dw( 37, 20)
      dw( 38, 54) =  rk( 38) * Y( 59)
      dw( 38, 59) =  rk( 38) * Y( 54)
      JacC( 54, 54) = JacC( 54, 54) - dw( 38, 54)
      JacC( 54, 59) = JacC( 54, 59) - dw( 38, 59)
      JacC( 59, 54) = JacC( 59, 54) - dw( 38, 54)
      JacC( 59, 59) = JacC( 59, 59) - dw( 38, 59)
      dw( 39, 19) =  rk( 39) * Y( 54)
      dw( 39, 54) =  rk( 39) * Y( 19)
      JacC( 19, 19) = JacC( 19, 19) - dw( 39, 19)
      JacC( 19, 54) = JacC( 19, 54) - dw( 39, 54)
      JacC( 49, 19) = JacC( 49, 19) + dw( 39, 19)
      JacC( 49, 54) = JacC( 49, 54) + dw( 39, 54)
      JacC( 54, 19) = JacC( 54, 19) - dw( 39, 19)
      JacC( 54, 54) = JacC( 54, 54) - dw( 39, 54)
      dw( 40,  3) =  rk( 40) * Y( 54)
      dw( 40, 54) =  rk( 40) * Y(  3)
      JacC(  3,  3) = JacC(  3,  3) - dw( 40,  3)
      JacC(  3, 54) = JacC(  3, 54) - dw( 40, 54)
      JacC( 43,  3) = JacC( 43,  3) + dw( 40,  3)
      JacC( 43, 54) = JacC( 43, 54) + dw( 40, 54)
      JacC( 54,  3) = JacC( 54,  3) - dw( 40,  3)
      JacC( 54, 54) = JacC( 54, 54) - dw( 40, 54)
      dw( 41,  6) =  rk( 41) * Y( 54)
      dw( 41, 54) =  rk( 41) * Y(  6)
      JacC(  6,  6) = JacC(  6,  6) - dw( 41,  6)
      JacC(  6, 54) = JacC(  6, 54) - dw( 41, 54)
      JacC( 41,  6) = JacC( 41,  6)+ 0.2500000000000000D-01*dw( 41,  6)
      JacC( 41, 54) = JacC( 41, 54)+ 0.2500000000000000D-01*dw( 41, 54)
      JacC( 46,  6) = JacC( 46,  6)+ 0.8300000000000000D+00*dw( 41,  6)
      JacC( 46, 54) = JacC( 46, 54)+ 0.8300000000000000D+00*dw( 41, 54)
      JacC( 47,  6) = JacC( 47,  6)+ 0.7500000000000000D-01*dw( 41,  6)
      JacC( 47, 54) = JacC( 47, 54)+ 0.7500000000000000D-01*dw( 41, 54)
      JacC( 52,  6) = JacC( 52,  6)+ 0.8999999999999999D-02*dw( 41,  6)
      JacC( 52, 54) = JacC( 52, 54)+ 0.8999999999999999D-02*dw( 41, 54)
      JacC( 54,  6) = JacC( 54,  6) - dw( 41,  6)
      JacC( 54, 54) = JacC( 54, 54) - dw( 41, 54)
      JacC( 59,  6) = JacC( 59,  6)+ 0.1700000000000000D+00*dw( 41,  6)
      JacC( 59, 54) = JacC( 59, 54)+ 0.1700000000000000D+00*dw( 41, 54)
      dw( 42,  7) =  rk( 42) * Y( 54)
      dw( 42, 54) =  rk( 42) * Y(  7)
      JacC(  7,  7) = JacC(  7,  7) - dw( 42,  7)
      JacC(  7, 54) = JacC(  7, 54) - dw( 42, 54)
      JacC( 30,  7) = JacC( 30,  7) + dw( 42,  7)
      JacC( 30, 54) = JacC( 30, 54) + dw( 42, 54)
      JacC( 51,  7) = JacC( 51,  7)+ 0.2500000000000000D+00*dw( 42,  7)
      JacC( 51, 54) = JacC( 51, 54)+ 0.2500000000000000D+00*dw( 42, 54)
      JacC( 54,  7) = JacC( 54,  7) - dw( 42,  7)
      JacC( 54, 54) = JacC( 54, 54) - dw( 42, 54)
      dw( 43,  8) =  rk( 43) * Y( 54)
      dw( 43, 54) =  rk( 43) * Y(  8)
      JacC(  8,  8) = JacC(  8,  8) - dw( 43,  8)
      JacC(  8, 54) = JacC(  8, 54) - dw( 43, 54)
      JacC( 31,  8) = JacC( 31,  8) + dw( 43,  8)
      JacC( 31, 54) = JacC( 31, 54) + dw( 43, 54)
      JacC( 51,  8) = JacC( 51,  8)+ 0.7500000000000000D+00*dw( 43,  8)
      JacC( 51, 54) = JacC( 51, 54)+ 0.7500000000000000D+00*dw( 43, 54)
      JacC( 54,  8) = JacC( 54,  8) - dw( 43,  8)
      JacC( 54, 54) = JacC( 54, 54) - dw( 43, 54)
      dw( 44, 21) =  rk( 44) * Y( 54)
      dw( 44, 54) =  rk( 44) * Y( 21)
      JacC( 21, 21) = JacC( 21, 21) - dw( 44, 21)
      JacC( 21, 54) = JacC( 21, 54) - dw( 44, 54)
      JacC( 32, 21) = JacC( 32, 21) + dw( 44, 21)
      JacC( 32, 54) = JacC( 32, 54) + dw( 44, 54)
      JacC( 54, 21) = JacC( 54, 21) - dw( 44, 21)
      JacC( 54, 54) = JacC( 54, 54) - dw( 44, 54)
      dw( 45, 17) =  rk( 45) * Y( 54)
      dw( 45, 54) =  rk( 45) * Y( 17)
      JacC( 17, 17) = JacC( 17, 17) - dw( 45, 17)
      JacC( 17, 54) = JacC( 17, 54) - dw( 45, 54)
      JacC( 33, 17) = JacC( 33, 17) + dw( 45, 17)
      JacC( 33, 54) = JacC( 33, 54) + dw( 45, 54)
      JacC( 54, 17) = JacC( 54, 17) - dw( 45, 17)
      JacC( 54, 54) = JacC( 54, 54) - dw( 45, 54)
      dw( 46, 18) =  rk( 46) * Y( 54)
      dw( 46, 54) =  rk( 46) * Y( 18)
      JacC( 18, 18) = JacC( 18, 18) - dw( 46, 18)
      JacC( 18, 54) = JacC( 18, 54) - dw( 46, 54)
      JacC( 34, 18) = JacC( 34, 18) + dw( 46, 18)
      JacC( 34, 54) = JacC( 34, 54) + dw( 46, 54)
      JacC( 54, 18) = JacC( 54, 18) - dw( 46, 18)
      JacC( 54, 54) = JacC( 54, 54) - dw( 46, 54)
      dw( 47,  4) =  rk( 47) * Y( 54)
      dw( 47, 54) =  rk( 47) * Y(  4)
      JacC(  4,  4) = JacC(  4,  4) - dw( 47,  4)
      JacC(  4, 54) = JacC(  4, 54) - dw( 47, 54)
      JacC( 15,  4) = JacC( 15,  4)+ 0.2500000000000000D+00*dw( 47,  4)
      JacC( 15, 54) = JacC( 15, 54)+ 0.2500000000000000D+00*dw( 47, 54)
      JacC( 35,  4) = JacC( 35,  4)+ 0.7500000000000000D+00*dw( 47,  4)
      JacC( 35, 54) = JacC( 35, 54)+ 0.7500000000000000D+00*dw( 47, 54)
      JacC( 54,  4) = JacC( 54,  4) - dw( 47,  4)
      JacC( 54, 54) = JacC( 54, 54) - dw( 47, 54)
      JacC( 59,  4) = JacC( 59,  4)+ 0.2500000000000000D+00*dw( 47,  4)
      JacC( 59, 54) = JacC( 59, 54)+ 0.2500000000000000D+00*dw( 47, 54)
      dw( 48,  5) =  rk( 48) * Y( 54)
      dw( 48, 54) =  rk( 48) * Y(  5)
      JacC(  5,  5) = JacC(  5,  5) - dw( 48,  5)
      JacC(  5, 54) = JacC(  5, 54) - dw( 48, 54)
      JacC( 15,  5) = JacC( 15,  5)+ 0.1700000000000000D+00*dw( 48,  5)
      JacC( 15, 54) = JacC( 15, 54)+ 0.1700000000000000D+00*dw( 48, 54)
      JacC( 36,  5) = JacC( 36,  5)+ 0.8300000000000000D+00*dw( 48,  5)
      JacC( 36, 54) = JacC( 36, 54)+ 0.8300000000000000D+00*dw( 48, 54)
      JacC( 54,  5) = JacC( 54,  5) - dw( 48,  5)
      JacC( 54, 54) = JacC( 54, 54) - dw( 48, 54)
      JacC( 59,  5) = JacC( 59,  5)+ 0.1700000000000000D+00*dw( 48,  5)
      JacC( 59, 54) = JacC( 59, 54)+ 0.1700000000000000D+00*dw( 48, 54)
      dw( 49, 15) =  rk( 49) * Y( 54)
      dw( 49, 54) =  rk( 49) * Y( 15)
      JacC( 15, 15) = JacC( 15, 15) - dw( 49, 15)
      JacC( 15, 54) = JacC( 15, 54) - dw( 49, 54)
      JacC( 51, 15) = JacC( 51, 15)+ 0.9000000000000000D+00*dw( 49, 15)
      JacC( 51, 54) = JacC( 51, 54)+ 0.9000000000000000D+00*dw( 49, 54)
      JacC( 54, 15) = JacC( 54, 15)- 0.9999999999999998D-01*dw( 49, 15)
      JacC( 54, 54) = JacC( 54, 54)- 0.9999999999999998D-01*dw( 49, 54)
      JacC( 57, 15) = JacC( 57, 15)+ 0.9000000000000000D+00*dw( 49, 15)
      JacC( 57, 54) = JacC( 57, 54)+ 0.9000000000000000D+00*dw( 49, 54)
      JacC( 59, 15) = JacC( 59, 15)+ 0.1000000000000000D+00*dw( 49, 15)
      JacC( 59, 54) = JacC( 59, 54)+ 0.1000000000000000D+00*dw( 49, 54)
      dw( 50, 52) =  rk( 50) * Y( 54)
      dw( 50, 54) =  rk( 50) * Y( 52)
      JacC( 52, 52) = JacC( 52, 52) - dw( 50, 52)
      JacC( 52, 54) = JacC( 52, 54) - dw( 50, 54)
      JacC( 54, 52) = JacC( 54, 52) - dw( 50, 52)
      JacC( 54, 54) = JacC( 54, 54) - dw( 50, 54)
      JacC( 56, 52) = JacC( 56, 52) + dw( 50, 52)
      JacC( 56, 54) = JacC( 56, 54) + dw( 50, 54)
      JacC( 59, 52) = JacC( 59, 52) + dw( 50, 52)
      JacC( 59, 54) = JacC( 59, 54) + dw( 50, 54)
      dw( 51, 47) =  rk( 51) * Y( 54)
      dw( 51, 54) =  rk( 51) * Y( 47)
      JacC( 47, 47) = JacC( 47, 47) - dw( 51, 47)
      JacC( 47, 54) = JacC( 47, 54) - dw( 51, 54)
      JacC( 54, 47) = JacC( 54, 47) - dw( 51, 47)
      JacC( 54, 54) = JacC( 54, 54) - dw( 51, 54)
      JacC( 60, 47) = JacC( 60, 47) + dw( 51, 47)
      JacC( 60, 54) = JacC( 60, 54) + dw( 51, 54)
      dw( 52, 41) =  rk( 52) * Y( 54)
      dw( 52, 54) =  rk( 52) * Y( 41)
      JacC( 41, 41) = JacC( 41, 41) - dw( 52, 41)
      JacC( 41, 54) = JacC( 41, 54) - dw( 52, 54)
      JacC( 42, 41) = JacC( 42, 41) + dw( 52, 41)
      JacC( 42, 54) = JacC( 42, 54) + dw( 52, 54)
      JacC( 54, 41) = JacC( 54, 41) - dw( 52, 41)
      JacC( 54, 54) = JacC( 54, 54) - dw( 52, 54)
      dw( 53, 48) =  rk( 53) * Y( 54)
      dw( 53, 54) =  rk( 53) * Y( 48)
      JacC( 48, 48) = JacC( 48, 48) - dw( 53, 48)
      JacC( 48, 54) = JacC( 48, 54) - dw( 53, 54)
      JacC( 54, 48) = JacC( 54, 48) - dw( 53, 48)
      JacC( 54, 54) = JacC( 54, 54) - dw( 53, 54)
      JacC( 56, 48) = JacC( 56, 48)+ 0.2000000000000000D+01*dw( 53, 48)
      JacC( 56, 54) = JacC( 56, 54)+ 0.2000000000000000D+01*dw( 53, 54)
      JacC( 59, 48) = JacC( 59, 48) + dw( 53, 48)
      JacC( 59, 54) = JacC( 59, 54) + dw( 53, 54)
      dw( 54, 50) =  rk( 54) * Y( 54)
      dw( 54, 54) =  rk( 54) * Y( 50)
      JacC( 50, 50) = JacC( 50, 50) - dw( 54, 50)
      JacC( 50, 54) = JacC( 50, 54) - dw( 54, 54)
      JacC( 54, 50) = JacC( 54, 50) - dw( 54, 50)
      JacC( 54, 54) = JacC( 54, 54) - dw( 54, 54)
      JacC( 56, 50) = JacC( 56, 50) + dw( 54, 50)
      JacC( 56, 54) = JacC( 56, 54) + dw( 54, 54)
      JacC( 60, 50) = JacC( 60, 50) + dw( 54, 50)
      JacC( 60, 54) = JacC( 60, 54) + dw( 54, 54)
      dw( 55, 37) =  rk( 55) * Y( 54)
      dw( 55, 54) =  rk( 55) * Y( 37)
      JacC( 37, 37) = JacC( 37, 37) - dw( 55, 37)
      JacC( 37, 54) = JacC( 37, 54) - dw( 55, 54)
      JacC( 54, 37) = JacC( 54, 37) - dw( 55, 37)
      JacC( 54, 54) = JacC( 54, 54) - dw( 55, 54)
      JacC( 57, 37) = JacC( 57, 37) + dw( 55, 37)
      JacC( 57, 54) = JacC( 57, 54) + dw( 55, 54)
      dw( 56, 24) =  rk( 56) * Y( 54)
      dw( 56, 54) =  rk( 56) * Y( 24)
      JacC( 24, 24) = JacC( 24, 24) - dw( 56, 24)
      JacC( 24, 54) = JacC( 24, 54) - dw( 56, 54)
      JacC( 49, 24) = JacC( 49, 24)+ 0.5000000000000000D+00*dw( 56, 24)
      JacC( 49, 54) = JacC( 49, 54)+ 0.5000000000000000D+00*dw( 56, 54)
      JacC( 52, 24) = JacC( 52, 24)+ 0.5000000000000000D+00*dw( 56, 24)
      JacC( 52, 54) = JacC( 52, 54)+ 0.5000000000000000D+00*dw( 56, 54)
      JacC( 54, 24) = JacC( 54, 24)- 0.5000000000000000D+00*dw( 56, 24)
      JacC( 54, 54) = JacC( 54, 54)- 0.5000000000000000D+00*dw( 56, 54)
      dw( 57, 45) =  rk( 57) * Y( 54)
      dw( 57, 54) =  rk( 57) * Y( 45)
      JacC( 45, 45) = JacC( 45, 45) - dw( 57, 45)
      JacC( 45, 54) = JacC( 45, 54) - dw( 57, 54)
      JacC( 46, 45) = JacC( 46, 45)+ 0.5000000000000000D+00*dw( 57, 45)
      JacC( 46, 54) = JacC( 46, 54)+ 0.5000000000000000D+00*dw( 57, 54)
      JacC( 47, 45) = JacC( 47, 45)+ 0.5000000000000000D+00*dw( 57, 45)
      JacC( 47, 54) = JacC( 47, 54)+ 0.5000000000000000D+00*dw( 57, 54)
      JacC( 54, 45) = JacC( 54, 45)- 0.5000000000000000D+00*dw( 57, 45)
      JacC( 54, 54) = JacC( 54, 54)- 0.5000000000000000D+00*dw( 57, 54)
      dw( 58, 25) =  rk( 58) * Y( 54)
      dw( 58, 54) =  rk( 58) * Y( 25)
      JacC( 25, 25) = JacC( 25, 25) - dw( 58, 25)
      JacC( 25, 54) = JacC( 25, 54) - dw( 58, 54)
      JacC( 54, 25) = JacC( 54, 25) - dw( 58, 25)
      JacC( 54, 54) = JacC( 54, 54) - dw( 58, 54)
      JacC( 60, 25) = JacC( 60, 25) + dw( 58, 25)
      JacC( 60, 54) = JacC( 60, 54) + dw( 58, 54)
      dw( 59, 27) =  rk( 59) * Y( 54)
      dw( 59, 54) =  rk( 59) * Y( 27)
      JacC( 27, 27) = JacC( 27, 27) - dw( 59, 27)
      JacC( 27, 54) = JacC( 27, 54) - dw( 59, 54)
      JacC( 51, 27) = JacC( 51, 27) + dw( 59, 27)
      JacC( 51, 54) = JacC( 51, 54) + dw( 59, 54)
      JacC( 52, 27) = JacC( 52, 27) + dw( 59, 27)
      JacC( 52, 54) = JacC( 52, 54) + dw( 59, 54)
      JacC( 54, 27) = JacC( 54, 27) - dw( 59, 27)
      JacC( 54, 54) = JacC( 54, 54) - dw( 59, 54)
      JacC( 55, 27) = JacC( 55, 27) + dw( 59, 27)
      JacC( 55, 54) = JacC( 55, 54) + dw( 59, 54)
      dw( 60, 40) =  rk( 60) * Y( 54)
      dw( 60, 54) =  rk( 60) * Y( 40)
      JacC( 40, 40) = JacC( 40, 40) - dw( 60, 40)
      JacC( 40, 54) = JacC( 40, 54) - dw( 60, 54)
      JacC( 46, 40) = JacC( 46, 40) + dw( 60, 40)
      JacC( 46, 54) = JacC( 46, 54) + dw( 60, 54)
      JacC( 54, 40) = JacC( 54, 40) - dw( 60, 40)
      JacC( 54, 54) = JacC( 54, 54) - dw( 60, 54)
      JacC( 61, 40) = JacC( 61, 40) + dw( 60, 40)
      JacC( 61, 54) = JacC( 61, 54) + dw( 60, 54)
      dw( 61, 23) =  rk( 61) * Y( 54)
      dw( 61, 54) =  rk( 61) * Y( 23)
      JacC( 23, 23) = JacC( 23, 23) - dw( 61, 23)
      JacC( 23, 54) = JacC( 23, 54) - dw( 61, 54)
      JacC( 33, 23) = JacC( 33, 23) + dw( 61, 23)
      JacC( 33, 54) = JacC( 33, 54) + dw( 61, 54)
      JacC( 54, 23) = JacC( 54, 23) - dw( 61, 23)
      JacC( 54, 54) = JacC( 54, 54) - dw( 61, 54)
      dw( 62, 60) =  rk( 62) * Y( 61)
      dw( 62, 61) =  rk( 62) * Y( 60)
      JacC( 27, 60) = JacC( 27, 60) + dw( 62, 60)
      JacC( 27, 61) = JacC( 27, 61) + dw( 62, 61)
      JacC( 60, 60) = JacC( 60, 60) - dw( 62, 60)
      JacC( 60, 61) = JacC( 60, 61) - dw( 62, 61)
      JacC( 61, 60) = JacC( 61, 60) - dw( 62, 60)
      JacC( 61, 61) = JacC( 61, 61) - dw( 62, 61)
      dw( 63, 27) =  rk( 63)
      JacC( 27, 27) = JacC( 27, 27) - dw( 63, 27)
      JacC( 60, 27) = JacC( 60, 27) + dw( 63, 27)
      JacC( 61, 27) = JacC( 61, 27) + dw( 63, 27)
      dw( 64, 57) =  rk( 64) * Y( 61)
      dw( 64, 61) =  rk( 64) * Y( 57)
      JacC( 13, 57) = JacC( 13, 57) + dw( 64, 57)
      JacC( 13, 61) = JacC( 13, 61) + dw( 64, 61)
      JacC( 57, 57) = JacC( 57, 57) - dw( 64, 57)
      JacC( 57, 61) = JacC( 57, 61) - dw( 64, 61)
      JacC( 61, 57) = JacC( 61, 57) - dw( 64, 57)
      JacC( 61, 61) = JacC( 61, 61) - dw( 64, 61)
      dw( 65, 13) =  rk( 65)
      JacC( 13, 13) = JacC( 13, 13) - dw( 65, 13)
      JacC( 57, 13) = JacC( 57, 13) + dw( 65, 13)
      JacC( 61, 13) = JacC( 61, 13) + dw( 65, 13)
      dw( 66, 49) =  rk( 66) * Y( 58)
      dw( 66, 58) =  rk( 66) * Y( 49)
      JacC( 49, 49) = JacC( 49, 49) - dw( 66, 49)
      JacC( 49, 58) = JacC( 49, 58) - dw( 66, 58)
      JacC( 52, 49) = JacC( 52, 49) + dw( 66, 49)
      JacC( 52, 58) = JacC( 52, 58) + dw( 66, 58)
      JacC( 58, 49) = JacC( 58, 49) - dw( 66, 49)
      JacC( 58, 58) = JacC( 58, 58) - dw( 66, 58)
      JacC( 59, 49) = JacC( 59, 49) + dw( 66, 49)
      JacC( 59, 58) = JacC( 59, 58) + dw( 66, 58)
      JacC( 61, 49) = JacC( 61, 49) + dw( 66, 49)
      JacC( 61, 58) = JacC( 61, 58) + dw( 66, 58)
      dw( 67, 46) =  rk( 67) * Y( 58)
      dw( 67, 58) =  rk( 67) * Y( 46)
      JacC( 40, 46) = JacC( 40, 46)+ 0.3600000000000000D-01*dw( 67, 46)
      JacC( 40, 58) = JacC( 40, 58)+ 0.3600000000000000D-01*dw( 67, 58)
      JacC( 41, 46) = JacC( 41, 46)+ 0.2500000000000000D+00*dw( 67, 46)
      JacC( 41, 58) = JacC( 41, 58)+ 0.2500000000000000D+00*dw( 67, 58)
      JacC( 46, 46) = JacC( 46, 46) - dw( 67, 46)
      JacC( 46, 58) = JacC( 46, 58) - dw( 67, 58)
      JacC( 47, 46) = JacC( 47, 46)+ 0.7500000000000000D+00*dw( 67, 46)
      JacC( 47, 58) = JacC( 47, 58)+ 0.7500000000000000D+00*dw( 67, 58)
      JacC( 52, 46) = JacC( 52, 46)+ 0.9000000000000000D-01*dw( 67, 46)
      JacC( 52, 58) = JacC( 52, 58)+ 0.9000000000000000D-01*dw( 67, 58)
      JacC( 58, 46) = JacC( 58, 46) - dw( 67, 46)
      JacC( 58, 58) = JacC( 58, 58) - dw( 67, 58)
      JacC( 59, 46) = JacC( 59, 46)+ 0.9640000000000000D+00*dw( 67, 46)
      JacC( 59, 58) = JacC( 59, 58)+ 0.9640000000000000D+00*dw( 67, 58)
      JacC( 61, 46) = JacC( 61, 46)+ 0.9640000000000000D+00*dw( 67, 46)
      JacC( 61, 58) = JacC( 61, 58)+ 0.9640000000000000D+00*dw( 67, 58)
      dw( 68, 30) =  rk( 68) * Y( 58)
      dw( 68, 58) =  rk( 68) * Y( 30)
      JacC( 30, 30) = JacC( 30, 30) - dw( 68, 30)
      JacC( 30, 58) = JacC( 30, 58) - dw( 68, 58)
      JacC( 40, 30) = JacC( 40, 30)+ 0.8000000000000000D-01*dw( 68, 30)
      JacC( 40, 58) = JacC( 40, 58)+ 0.8000000000000000D-01*dw( 68, 58)
      JacC( 41, 30) = JacC( 41, 30)+ 0.6899999999999999D+00*dw( 68, 30)
      JacC( 41, 58) = JacC( 41, 58)+ 0.6899999999999999D+00*dw( 68, 58)
      JacC( 47, 30) = JacC( 47, 30)+ 0.3800000000000000D+00*dw( 68, 30)
      JacC( 47, 58) = JacC( 47, 58)+ 0.3800000000000000D+00*dw( 68, 58)
      JacC( 58, 30) = JacC( 58, 30) - dw( 68, 30)
      JacC( 58, 58) = JacC( 58, 58) - dw( 68, 58)
      JacC( 59, 30) = JacC( 59, 30)+ 0.9200000000000000D+00*dw( 68, 30)
      JacC( 59, 58) = JacC( 59, 58)+ 0.9200000000000000D+00*dw( 68, 58)
      JacC( 61, 30) = JacC( 61, 30)+ 0.9200000000000000D+00*dw( 68, 30)
      JacC( 61, 58) = JacC( 61, 58)+ 0.9200000000000000D+00*dw( 68, 58)
      dw( 69, 31) =  rk( 69) * Y( 58)
      dw( 69, 58) =  rk( 69) * Y( 31)
      JacC( 31, 31) = JacC( 31, 31) - dw( 69, 31)
      JacC( 31, 58) = JacC( 31, 58) - dw( 69, 58)
      JacC( 40, 31) = JacC( 40, 31)+ 0.2400000000000000D+00*dw( 69, 31)
      JacC( 40, 58) = JacC( 40, 58)+ 0.2400000000000000D+00*dw( 69, 58)
      JacC( 41, 31) = JacC( 41, 31)+ 0.1060000000000000D+01*dw( 69, 31)
      JacC( 41, 58) = JacC( 41, 58)+ 0.1060000000000000D+01*dw( 69, 58)
      JacC( 47, 31) = JacC( 47, 31)+ 0.3500000000000000D+00*dw( 69, 31)
      JacC( 47, 58) = JacC( 47, 58)+ 0.3500000000000000D+00*dw( 69, 58)
      JacC( 52, 31) = JacC( 52, 31)+ 0.4000000000000000D-01*dw( 69, 31)
      JacC( 52, 58) = JacC( 52, 58)+ 0.4000000000000000D-01*dw( 69, 58)
      JacC( 58, 31) = JacC( 58, 31) - dw( 69, 31)
      JacC( 58, 58) = JacC( 58, 58) - dw( 69, 58)
      JacC( 59, 31) = JacC( 59, 31)+ 0.7600000000000000D+00*dw( 69, 31)
      JacC( 59, 58) = JacC( 59, 58)+ 0.7600000000000000D+00*dw( 69, 58)
      JacC( 61, 31) = JacC( 61, 31)+ 0.7600000000000000D+00*dw( 69, 31)
      JacC( 61, 58) = JacC( 61, 58)+ 0.7600000000000000D+00*dw( 69, 58)
      dw( 70, 32) =  rk( 70) * Y( 58)
      dw( 70, 58) =  rk( 70) * Y( 32)
      JacC( 32, 32) = JacC( 32, 32) - dw( 70, 32)
      JacC( 32, 58) = JacC( 32, 58) - dw( 70, 58)
      JacC( 47, 32) = JacC( 47, 32)+ 0.2000000000000000D+00*dw( 70, 32)
      JacC( 47, 58) = JacC( 47, 58)+ 0.2000000000000000D+00*dw( 70, 58)
      JacC( 52, 32) = JacC( 52, 32)+ 0.1600000000000000D+01*dw( 70, 32)
      JacC( 52, 58) = JacC( 52, 58)+ 0.1600000000000000D+01*dw( 70, 58)
      JacC( 58, 32) = JacC( 58, 32) - dw( 70, 32)
      JacC( 58, 58) = JacC( 58, 58) - dw( 70, 58)
      JacC( 59, 32) = JacC( 59, 32) + dw( 70, 32)
      JacC( 59, 58) = JacC( 59, 58) + dw( 70, 58)
      JacC( 61, 32) = JacC( 61, 32) + dw( 70, 32)
      JacC( 61, 58) = JacC( 61, 58) + dw( 70, 58)
      dw( 71, 33) =  rk( 71) * Y( 58)
      dw( 71, 58) =  rk( 71) * Y( 33)
      JacC( 33, 33) = JacC( 33, 33) - dw( 71, 33)
      JacC( 33, 58) = JacC( 33, 58) - dw( 71, 58)
      JacC( 47, 33) = JacC( 47, 33) + dw( 71, 33)
      JacC( 47, 58) = JacC( 47, 58) + dw( 71, 58)
      JacC( 52, 33) = JacC( 52, 33) + dw( 71, 33)
      JacC( 52, 58) = JacC( 52, 58) + dw( 71, 58)
      JacC( 58, 33) = JacC( 58, 33) - dw( 71, 33)
      JacC( 58, 58) = JacC( 58, 58) - dw( 71, 58)
      JacC( 59, 33) = JacC( 59, 33) + dw( 71, 33)
      JacC( 59, 58) = JacC( 59, 58) + dw( 71, 58)
      JacC( 61, 33) = JacC( 61, 33) + dw( 71, 33)
      JacC( 61, 58) = JacC( 61, 58) + dw( 71, 58)
      dw( 72, 34) =  rk( 72) * Y( 58)
      dw( 72, 58) =  rk( 72) * Y( 34)
      JacC( 34, 34) = JacC( 34, 34) - dw( 72, 34)
      JacC( 34, 58) = JacC( 34, 58) - dw( 72, 58)
      JacC( 41, 34) = JacC( 41, 34)+ 0.1000000000000000D+00*dw( 72, 34)
      JacC( 41, 58) = JacC( 41, 58)+ 0.1000000000000000D+00*dw( 72, 58)
      JacC( 47, 34) = JacC( 47, 34)+ 0.1450000000000000D+01*dw( 72, 34)
      JacC( 47, 58) = JacC( 47, 58)+ 0.1450000000000000D+01*dw( 72, 58)
      JacC( 52, 34) = JacC( 52, 34)+ 0.2800000000000000D+00*dw( 72, 34)
      JacC( 52, 58) = JacC( 52, 58)+ 0.2800000000000000D+00*dw( 72, 58)
      JacC( 58, 34) = JacC( 58, 34) - dw( 72, 34)
      JacC( 58, 58) = JacC( 58, 58) - dw( 72, 58)
      JacC( 59, 34) = JacC( 59, 34) + dw( 72, 34)
      JacC( 59, 58) = JacC( 59, 58) + dw( 72, 58)
      JacC( 61, 34) = JacC( 61, 34) + dw( 72, 34)
      JacC( 61, 58) = JacC( 61, 58) + dw( 72, 58)
      dw( 73, 60) =  rk( 73) * Y( 58)
      dw( 73, 58) =  rk( 73) * Y( 60)
      JacC( 49, 60) = JacC( 49, 60) + dw( 73, 60)
      JacC( 49, 58) = JacC( 49, 58) + dw( 73, 58)
      JacC( 58, 60) = JacC( 58, 60) - dw( 73, 60)
      JacC( 58, 58) = JacC( 58, 58) - dw( 73, 58)
      JacC( 60, 60) = JacC( 60, 60) - dw( 73, 60)
      JacC( 60, 58) = JacC( 60, 58) - dw( 73, 58)
      JacC( 61, 60) = JacC( 61, 60) + dw( 73, 60)
      JacC( 61, 58) = JacC( 61, 58) + dw( 73, 58)
      dw( 74, 57) =  rk( 74) * Y( 58)
      dw( 74, 58) =  rk( 74) * Y( 57)
      JacC( 48, 57) = JacC( 48, 57)+ 0.8900000000000000D+00*dw( 74, 57)
      JacC( 48, 58) = JacC( 48, 58)+ 0.8900000000000000D+00*dw( 74, 58)
      JacC( 50, 57) = JacC( 50, 57)+ 0.1100000000000000D+00*dw( 74, 57)
      JacC( 50, 58) = JacC( 50, 58)+ 0.1100000000000000D+00*dw( 74, 58)
      JacC( 51, 57) = JacC( 51, 57)+ 0.2000000000000000D+01*dw( 74, 57)
      JacC( 51, 58) = JacC( 51, 58)+ 0.2000000000000000D+01*dw( 74, 58)
      JacC( 56, 57) = JacC( 56, 57)+ 0.9500000000000000D+00*dw( 74, 57)
      JacC( 56, 58) = JacC( 56, 58)+ 0.9500000000000000D+00*dw( 74, 58)
      JacC( 57, 57) = JacC( 57, 57) - dw( 74, 57)
      JacC( 57, 58) = JacC( 57, 58) - dw( 74, 58)
      JacC( 58, 57) = JacC( 58, 57) - dw( 74, 57)
      JacC( 58, 58) = JacC( 58, 58) - dw( 74, 58)
      JacC( 59, 57) = JacC( 59, 57)+ 0.9200000000000000D+00*dw( 74, 57)
      JacC( 59, 58) = JacC( 59, 58)+ 0.9200000000000000D+00*dw( 74, 58)
      JacC( 60, 57) = JacC( 60, 57)+ 0.5000000000000000D-01*dw( 74, 57)
      JacC( 60, 58) = JacC( 60, 58)+ 0.5000000000000000D-01*dw( 74, 58)
      JacC( 61, 57) = JacC( 61, 57) + dw( 74, 57)
      JacC( 61, 58) = JacC( 61, 58) + dw( 74, 58)
      dw( 75, 35) =  rk( 75) * Y( 58)
      dw( 75, 58) =  rk( 75) * Y( 35)
      JacC( 35, 35) = JacC( 35, 35) - dw( 75, 35)
      JacC( 35, 58) = JacC( 35, 58) - dw( 75, 58)
      JacC( 37, 35) = JacC( 37, 35)+ 0.7000000000000000D+00*dw( 75, 35)
      JacC( 37, 58) = JacC( 37, 58)+ 0.7000000000000000D+00*dw( 75, 58)
      JacC( 48, 35) = JacC( 48, 35)+ 0.1600000000000000D+00*dw( 75, 35)
      JacC( 48, 58) = JacC( 48, 58)+ 0.1600000000000000D+00*dw( 75, 58)
      JacC( 50, 35) = JacC( 50, 35)+ 0.1700000000000000D+00*dw( 75, 35)
      JacC( 50, 58) = JacC( 50, 58)+ 0.1700000000000000D+00*dw( 75, 58)
      JacC( 58, 35) = JacC( 58, 35) - dw( 75, 35)
      JacC( 58, 58) = JacC( 58, 58) - dw( 75, 58)
      JacC( 59, 35) = JacC( 59, 35) + dw( 75, 35)
      JacC( 59, 58) = JacC( 59, 58) + dw( 75, 58)
      JacC( 61, 35) = JacC( 61, 35) + dw( 75, 35)
      JacC( 61, 58) = JacC( 61, 58) + dw( 75, 58)
      dw( 76, 36) =  rk( 76) * Y( 58)
      dw( 76, 58) =  rk( 76) * Y( 36)
      JacC( 36, 36) = JacC( 36, 36) - dw( 76, 36)
      JacC( 36, 58) = JacC( 36, 58) - dw( 76, 58)
      JacC( 37, 36) = JacC( 37, 36)+ 0.8060000000000000D+00*dw( 76, 36)
      JacC( 37, 58) = JacC( 37, 58)+ 0.8060000000000000D+00*dw( 76, 58)
      JacC( 50, 36) = JacC( 50, 36)+ 0.4500000000000000D+00*dw( 76, 36)
      JacC( 50, 58) = JacC( 50, 58)+ 0.4500000000000000D+00*dw( 76, 58)
      JacC( 58, 36) = JacC( 58, 36) - dw( 76, 36)
      JacC( 58, 58) = JacC( 58, 58) - dw( 76, 58)
      JacC( 59, 36) = JacC( 59, 36) + dw( 76, 36)
      JacC( 59, 58) = JacC( 59, 58) + dw( 76, 58)
      JacC( 61, 36) = JacC( 61, 36) + dw( 76, 36)
      JacC( 61, 58) = JacC( 61, 58) + dw( 76, 58)
      dw( 77, 43) =  rk( 77) * Y( 58)
      dw( 77, 58) =  rk( 77) * Y( 43)
      JacC( 43, 43) = JacC( 43, 43) - dw( 77, 43)
      JacC( 43, 58) = JacC( 43, 58) - dw( 77, 58)
      JacC( 47, 43) = JacC( 47, 43) + dw( 77, 43)
      JacC( 47, 58) = JacC( 47, 58) + dw( 77, 58)
      JacC( 58, 43) = JacC( 58, 43) - dw( 77, 43)
      JacC( 58, 58) = JacC( 58, 58) - dw( 77, 58)
      JacC( 59, 43) = JacC( 59, 43) + dw( 77, 43)
      JacC( 59, 58) = JacC( 59, 58) + dw( 77, 58)
      JacC( 61, 43) = JacC( 61, 43) + dw( 77, 43)
      JacC( 61, 58) = JacC( 61, 58) + dw( 77, 58)
      dw( 78, 42) =  rk( 78) * Y( 58)
      dw( 78, 58) =  rk( 78) * Y( 42)
      JacC( 42, 42) = JacC( 42, 42) - dw( 78, 42)
      JacC( 42, 58) = JacC( 42, 58) - dw( 78, 58)
      JacC( 50, 42) = JacC( 50, 42) + dw( 78, 42)
      JacC( 50, 58) = JacC( 50, 58) + dw( 78, 58)
      JacC( 58, 42) = JacC( 58, 42) - dw( 78, 42)
      JacC( 58, 58) = JacC( 58, 58) - dw( 78, 58)
      JacC( 59, 42) = JacC( 59, 42) + dw( 78, 42)
      JacC( 59, 58) = JacC( 59, 58) + dw( 78, 58)
      JacC( 61, 42) = JacC( 61, 42) + dw( 78, 42)
      JacC( 61, 58) = JacC( 61, 58) + dw( 78, 58)
      dw( 79, 38) =  rk( 79) * Y( 58)
      dw( 79, 58) =  rk( 79) * Y( 38)
      JacC( 38, 38) = JacC( 38, 38) - dw( 79, 38)
      JacC( 38, 58) = JacC( 38, 58) - dw( 79, 58)
      JacC( 47, 38) = JacC( 47, 38) + dw( 79, 38)
      JacC( 47, 58) = JacC( 47, 58) + dw( 79, 58)
      JacC( 52, 38) = JacC( 52, 38) + dw( 79, 38)
      JacC( 52, 58) = JacC( 52, 58) + dw( 79, 58)
      JacC( 58, 38) = JacC( 58, 38) - dw( 79, 38)
      JacC( 58, 58) = JacC( 58, 58) - dw( 79, 58)
      JacC( 61, 38) = JacC( 61, 38)+ 0.2000000000000000D+01*dw( 79, 38)
      JacC( 61, 58) = JacC( 61, 58)+ 0.2000000000000000D+01*dw( 79, 58)
      dw( 80, 52) =  rk( 80) * Y( 55)
      dw( 80, 55) =  rk( 80) * Y( 52)
      JacC( 52, 52) = JacC( 52, 52) - dw( 80, 52)
      JacC( 52, 55) = JacC( 52, 55) - dw( 80, 55)
      JacC( 53, 52) = JacC( 53, 52) + dw( 80, 52)
      JacC( 53, 55) = JacC( 53, 55) + dw( 80, 55)
      JacC( 55, 52) = JacC( 55, 52) - dw( 80, 52)
      JacC( 55, 55) = JacC( 55, 55) - dw( 80, 55)
      JacC( 56, 52) = JacC( 56, 52) + dw( 80, 52)
      JacC( 56, 55) = JacC( 56, 55) + dw( 80, 55)
      JacC( 59, 52) = JacC( 59, 52) + dw( 80, 52)
      JacC( 59, 55) = JacC( 59, 55) + dw( 80, 55)
      dw( 81, 47) =  rk( 81) * Y( 55)
      dw( 81, 55) =  rk( 81) * Y( 47)
      JacC( 47, 47) = JacC( 47, 47) - dw( 81, 47)
      JacC( 47, 55) = JacC( 47, 55) - dw( 81, 55)
      JacC( 53, 47) = JacC( 53, 47) + dw( 81, 47)
      JacC( 53, 55) = JacC( 53, 55) + dw( 81, 55)
      JacC( 55, 47) = JacC( 55, 47) - dw( 81, 47)
      JacC( 55, 55) = JacC( 55, 55) - dw( 81, 55)
      JacC( 60, 47) = JacC( 60, 47) + dw( 81, 47)
      JacC( 60, 55) = JacC( 60, 55) + dw( 81, 55)
      dw( 82, 48) =  rk( 82) * Y( 55)
      dw( 82, 55) =  rk( 82) * Y( 48)
      JacC( 48, 48) = JacC( 48, 48) - dw( 82, 48)
      JacC( 48, 55) = JacC( 48, 55) - dw( 82, 55)
      JacC( 53, 48) = JacC( 53, 48) + dw( 82, 48)
      JacC( 53, 55) = JacC( 53, 55) + dw( 82, 55)
      JacC( 55, 48) = JacC( 55, 48) - dw( 82, 48)
      JacC( 55, 55) = JacC( 55, 55) - dw( 82, 55)
      JacC( 56, 48) = JacC( 56, 48)+ 0.2000000000000000D+01*dw( 82, 48)
      JacC( 56, 55) = JacC( 56, 55)+ 0.2000000000000000D+01*dw( 82, 55)
      JacC( 59, 48) = JacC( 59, 48) + dw( 82, 48)
      JacC( 59, 55) = JacC( 59, 55) + dw( 82, 55)
      dw( 83, 50) =  rk( 83) * Y( 55)
      dw( 83, 55) =  rk( 83) * Y( 50)
      JacC( 50, 50) = JacC( 50, 50) - dw( 83, 50)
      JacC( 50, 55) = JacC( 50, 55) - dw( 83, 55)
      JacC( 53, 50) = JacC( 53, 50) + dw( 83, 50)
      JacC( 53, 55) = JacC( 53, 55) + dw( 83, 55)
      JacC( 55, 50) = JacC( 55, 50) - dw( 83, 50)
      JacC( 55, 55) = JacC( 55, 55) - dw( 83, 55)
      JacC( 56, 50) = JacC( 56, 50) + dw( 83, 50)
      JacC( 56, 55) = JacC( 56, 55) + dw( 83, 55)
      JacC( 60, 50) = JacC( 60, 50) + dw( 83, 50)
      JacC( 60, 55) = JacC( 60, 55) + dw( 83, 55)
      dw( 84, 37) =  rk( 84) * Y( 55)
      dw( 84, 55) =  rk( 84) * Y( 37)
      JacC( 37, 37) = JacC( 37, 37) - dw( 84, 37)
      JacC( 37, 55) = JacC( 37, 55) - dw( 84, 55)
      JacC( 53, 37) = JacC( 53, 37) + dw( 84, 37)
      JacC( 53, 55) = JacC( 53, 55) + dw( 84, 55)
      JacC( 55, 37) = JacC( 55, 37) - dw( 84, 37)
      JacC( 55, 55) = JacC( 55, 55) - dw( 84, 55)
      JacC( 57, 37) = JacC( 57, 37) + dw( 84, 37)
      JacC( 57, 55) = JacC( 57, 55) + dw( 84, 55)
      dw( 85, 15) =  rk( 85) * Y( 55)
      dw( 85, 55) =  rk( 85) * Y( 15)
      JacC( 15, 15) = JacC( 15, 15)- 0.5000000000000000D+00*dw( 85, 15)
      JacC( 15, 55) = JacC( 15, 55)- 0.5000000000000000D+00*dw( 85, 55)
      JacC( 39, 15) = JacC( 39, 15) + dw( 85, 15)
      JacC( 39, 55) = JacC( 39, 55) + dw( 85, 55)
      JacC( 53, 15) = JacC( 53, 15) + dw( 85, 15)
      JacC( 53, 55) = JacC( 53, 55) + dw( 85, 55)
      JacC( 55, 15) = JacC( 55, 15) - dw( 85, 15)
      JacC( 55, 55) = JacC( 55, 55) - dw( 85, 55)
      dw( 86, 21) =  rk( 86) * Y( 55)
      dw( 86, 55) =  rk( 86) * Y( 21)
      JacC( 21, 21) = JacC( 21, 21) - dw( 86, 21)
      JacC( 21, 55) = JacC( 21, 55) - dw( 86, 55)
      JacC( 38, 21) = JacC( 38, 21) + dw( 86, 21)
      JacC( 38, 55) = JacC( 38, 55) + dw( 86, 55)
      JacC( 55, 21) = JacC( 55, 21) - dw( 86, 21)
      JacC( 55, 55) = JacC( 55, 55) - dw( 86, 55)
      dw( 87, 17) =  rk( 87) * Y( 55)
      dw( 87, 55) =  rk( 87) * Y( 17)
      JacC( 17, 17) = JacC( 17, 17) - dw( 87, 17)
      JacC( 17, 55) = JacC( 17, 55) - dw( 87, 55)
      JacC( 38, 17) = JacC( 38, 17) + dw( 87, 17)
      JacC( 38, 55) = JacC( 38, 55) + dw( 87, 55)
      JacC( 55, 17) = JacC( 55, 17) - dw( 87, 17)
      JacC( 55, 55) = JacC( 55, 55) - dw( 87, 55)
      dw( 88, 18) =  rk( 88) * Y( 55)
      dw( 88, 55) =  rk( 88) * Y( 18)
      JacC( 18, 18) = JacC( 18, 18) - dw( 88, 18)
      JacC( 18, 55) = JacC( 18, 55) - dw( 88, 55)
      JacC( 38, 18) = JacC( 38, 18) + dw( 88, 18)
      JacC( 38, 55) = JacC( 38, 55) + dw( 88, 55)
      JacC( 55, 18) = JacC( 55, 18) - dw( 88, 18)
      JacC( 55, 55) = JacC( 55, 55) - dw( 88, 55)
      dw( 89, 23) =  rk( 89) * Y( 55)
      dw( 89, 55) =  rk( 89) * Y( 23)
      JacC( 23, 23) = JacC( 23, 23) - dw( 89, 23)
      JacC( 23, 55) = JacC( 23, 55) - dw( 89, 55)
      JacC( 38, 23) = JacC( 38, 23) + dw( 89, 23)
      JacC( 38, 55) = JacC( 38, 55) + dw( 89, 55)
      JacC( 55, 23) = JacC( 55, 23) - dw( 89, 23)
      JacC( 55, 55) = JacC( 55, 55) - dw( 89, 55)
      dw( 90, 21) =  rk( 90) * Y( 29)
      dw( 90, 29) =  rk( 90) * Y( 21)
      JacC( 21, 21) = JacC( 21, 21) - dw( 90, 21)
      JacC( 21, 29) = JacC( 21, 29) - dw( 90, 29)
      JacC( 22, 21) = JacC( 22, 21)+ 0.4000000000000000D+00*dw( 90, 21)
      JacC( 22, 29) = JacC( 22, 29)+ 0.4000000000000000D+00*dw( 90, 29)
      JacC( 29, 21) = JacC( 29, 21) - dw( 90, 21)
      JacC( 29, 29) = JacC( 29, 29) - dw( 90, 29)
      JacC( 52, 21) = JacC( 52, 21) + dw( 90, 21)
      JacC( 52, 29) = JacC( 52, 29) + dw( 90, 29)
      JacC( 56, 21) = JacC( 56, 21)+ 0.4200000000000000D+00*dw( 90, 21)
      JacC( 56, 29) = JacC( 56, 29)+ 0.4200000000000000D+00*dw( 90, 29)
      JacC( 59, 21) = JacC( 59, 21)+ 0.1200000000000000D+00*dw( 90, 21)
      JacC( 59, 29) = JacC( 59, 29)+ 0.1200000000000000D+00*dw( 90, 29)
      dw( 91, 17) =  rk( 91) * Y( 29)
      dw( 91, 29) =  rk( 91) * Y( 17)
      JacC( 17, 17) = JacC( 17, 17) - dw( 91, 17)
      JacC( 17, 29) = JacC( 17, 29) - dw( 91, 29)
      JacC( 19, 17) = JacC( 19, 17)+ 0.6000000000000000D-01*dw( 91, 17)
      JacC( 19, 29) = JacC( 19, 29)+ 0.6000000000000000D-01*dw( 91, 29)
      JacC( 22, 17) = JacC( 22, 17)+ 0.2000000000000000D+00*dw( 91, 17)
      JacC( 22, 29) = JacC( 22, 29)+ 0.2000000000000000D+00*dw( 91, 29)
      JacC( 29, 17) = JacC( 29, 17) - dw( 91, 17)
      JacC( 29, 29) = JacC( 29, 29) - dw( 91, 29)
      JacC( 44, 17) = JacC( 44, 17)+ 0.2000000000000000D+00*dw( 91, 17)
      JacC( 44, 29) = JacC( 44, 29)+ 0.2000000000000000D+00*dw( 91, 29)
      JacC( 47, 17) = JacC( 47, 17)+ 0.5000000000000000D+00*dw( 91, 17)
      JacC( 47, 29) = JacC( 47, 29)+ 0.5000000000000000D+00*dw( 91, 29)
      JacC( 49, 17) = JacC( 49, 17)+ 0.2200000000000000D+00*dw( 91, 17)
      JacC( 49, 29) = JacC( 49, 29)+ 0.2200000000000000D+00*dw( 91, 29)
      JacC( 52, 17) = JacC( 52, 17)+ 0.5300000000000000D+00*dw( 91, 17)
      JacC( 52, 29) = JacC( 52, 29)+ 0.5300000000000000D+00*dw( 91, 29)
      JacC( 54, 17) = JacC( 54, 17)+ 0.1000000000000000D+00*dw( 91, 17)
      JacC( 54, 29) = JacC( 54, 29)+ 0.1000000000000000D+00*dw( 91, 29)
      JacC( 56, 17) = JacC( 56, 17)+ 0.3300000000000000D+00*dw( 91, 17)
      JacC( 56, 29) = JacC( 56, 29)+ 0.3300000000000000D+00*dw( 91, 29)
      JacC( 59, 17) = JacC( 59, 17)+ 0.2300000000000000D+00*dw( 91, 17)
      JacC( 59, 29) = JacC( 59, 29)+ 0.2300000000000000D+00*dw( 91, 29)
      dw( 92, 18) =  rk( 92) * Y( 29)
      dw( 92, 29) =  rk( 92) * Y( 18)
      JacC( 18, 18) = JacC( 18, 18) - dw( 92, 18)
      JacC( 18, 29) = JacC( 18, 29) - dw( 92, 29)
      JacC( 19, 18) = JacC( 19, 18)+ 0.9000000000000000D-01*dw( 92, 18)
      JacC( 19, 29) = JacC( 19, 29)+ 0.9000000000000000D-01*dw( 92, 29)
      JacC( 22, 18) = JacC( 22, 18)+ 0.6000000000000000D-01*dw( 92, 18)
      JacC( 22, 29) = JacC( 22, 29)+ 0.6000000000000000D-01*dw( 92, 29)
      JacC( 29, 18) = JacC( 29, 18) - dw( 92, 18)
      JacC( 29, 29) = JacC( 29, 29) - dw( 92, 29)
      JacC( 41, 18) = JacC( 41, 18)+ 0.1000000000000000D+00*dw( 92, 18)
      JacC( 41, 29) = JacC( 41, 29)+ 0.1000000000000000D+00*dw( 92, 29)
      JacC( 44, 18) = JacC( 44, 18)+ 0.2900000000000000D+00*dw( 92, 18)
      JacC( 44, 29) = JacC( 44, 29)+ 0.2900000000000000D+00*dw( 92, 29)
      JacC( 47, 18) = JacC( 47, 18)+ 0.7200000000000000D+00*dw( 92, 18)
      JacC( 47, 29) = JacC( 47, 29)+ 0.7200000000000000D+00*dw( 92, 29)
      JacC( 49, 18) = JacC( 49, 18)+ 0.3100000000000000D+00*dw( 92, 18)
      JacC( 49, 29) = JacC( 49, 29)+ 0.3100000000000000D+00*dw( 92, 29)
      JacC( 52, 18) = JacC( 52, 18)+ 0.1800000000000000D+00*dw( 92, 18)
      JacC( 52, 29) = JacC( 52, 29)+ 0.1800000000000000D+00*dw( 92, 29)
      JacC( 54, 18) = JacC( 54, 18)+ 0.1400000000000000D+00*dw( 92, 18)
      JacC( 54, 29) = JacC( 54, 29)+ 0.1400000000000000D+00*dw( 92, 29)
      JacC( 56, 18) = JacC( 56, 18)+ 0.2300000000000000D+00*dw( 92, 18)
      JacC( 56, 29) = JacC( 56, 29)+ 0.2300000000000000D+00*dw( 92, 29)
      JacC( 59, 18) = JacC( 59, 18)+ 0.2600000000000000D+00*dw( 92, 18)
      JacC( 59, 29) = JacC( 59, 29)+ 0.2600000000000000D+00*dw( 92, 29)
      dw( 93, 23) =  rk( 93) * Y( 29)
      dw( 93, 29) =  rk( 93) * Y( 23)
      JacC( 22, 23) = JacC( 22, 23)+ 0.2000000000000000D+00*dw( 93, 23)
      JacC( 22, 29) = JacC( 22, 29)+ 0.2000000000000000D+00*dw( 93, 29)
      JacC( 23, 23) = JacC( 23, 23) - dw( 93, 23)
      JacC( 23, 29) = JacC( 23, 29) - dw( 93, 29)
      JacC( 29, 23) = JacC( 29, 23) - dw( 93, 23)
      JacC( 29, 29) = JacC( 29, 29) - dw( 93, 29)
      JacC( 44, 23) = JacC( 44, 23)+ 0.2000000000000000D+00*dw( 93, 23)
      JacC( 44, 29) = JacC( 44, 29)+ 0.2000000000000000D+00*dw( 93, 29)
      JacC( 47, 23) = JacC( 47, 23)+ 0.5000000000000000D+00*dw( 93, 23)
      JacC( 47, 29) = JacC( 47, 29)+ 0.5000000000000000D+00*dw( 93, 29)
      JacC( 49, 23) = JacC( 49, 23)+ 0.2200000000000000D+00*dw( 93, 23)
      JacC( 49, 29) = JacC( 49, 29)+ 0.2200000000000000D+00*dw( 93, 29)
      JacC( 52, 23) = JacC( 52, 23)+ 0.5300000000000000D+00*dw( 93, 23)
      JacC( 52, 29) = JacC( 52, 29)+ 0.5300000000000000D+00*dw( 93, 29)
      JacC( 54, 23) = JacC( 54, 23)+ 0.1000000000000000D+00*dw( 93, 23)
      JacC( 54, 29) = JacC( 54, 29)+ 0.1000000000000000D+00*dw( 93, 29)
      JacC( 56, 23) = JacC( 56, 23)+ 0.3300000000000000D+00*dw( 93, 23)
      JacC( 56, 29) = JacC( 56, 29)+ 0.3300000000000000D+00*dw( 93, 29)
      JacC( 59, 23) = JacC( 59, 23)+ 0.2300000000000000D+00*dw( 93, 23)
      JacC( 59, 29) = JacC( 59, 29)+ 0.2300000000000000D+00*dw( 93, 29)
      dw( 94, 59) =  rk( 94) * Y( 49)
      dw( 94, 49) =  rk( 94) * Y( 59)
      JacC( 24, 59) = JacC( 24, 59) + dw( 94, 59)
      JacC( 24, 49) = JacC( 24, 49) + dw( 94, 49)
      JacC( 49, 59) = JacC( 49, 59) - dw( 94, 59)
      JacC( 49, 49) = JacC( 49, 49) - dw( 94, 49)
      JacC( 59, 59) = JacC( 59, 59) - dw( 94, 59)
      JacC( 59, 49) = JacC( 59, 49) - dw( 94, 49)
      dw( 95, 59) =  rk( 95) * Y( 43)
      dw( 95, 43) =  rk( 95) * Y( 59)
      JacC( 43, 59) = JacC( 43, 59) - dw( 95, 59)
      JacC( 43, 43) = JacC( 43, 43) - dw( 95, 43)
      JacC( 45, 59) = JacC( 45, 59) + dw( 95, 59)
      JacC( 45, 43) = JacC( 45, 43) + dw( 95, 43)
      JacC( 59, 59) = JacC( 59, 59) - dw( 95, 59)
      JacC( 59, 43) = JacC( 59, 43) - dw( 95, 43)
      dw( 96, 59) =  rk( 96) * Y( 46)
      dw( 96, 46) =  rk( 96) * Y( 59)
      JacC( 45, 59) = JacC( 45, 59) + dw( 96, 59)
      JacC( 45, 46) = JacC( 45, 46) + dw( 96, 46)
      JacC( 46, 59) = JacC( 46, 59) - dw( 96, 59)
      JacC( 46, 46) = JacC( 46, 46) - dw( 96, 46)
      JacC( 59, 59) = JacC( 59, 59) - dw( 96, 59)
      JacC( 59, 46) = JacC( 59, 46) - dw( 96, 46)
      dw( 97, 59) =  rk( 97) * Y( 30)
      dw( 97, 30) =  rk( 97) * Y( 59)
      JacC( 30, 59) = JacC( 30, 59) - dw( 97, 59)
      JacC( 30, 30) = JacC( 30, 30) - dw( 97, 30)
      JacC( 45, 59) = JacC( 45, 59) + dw( 97, 59)
      JacC( 45, 30) = JacC( 45, 30) + dw( 97, 30)
      JacC( 59, 59) = JacC( 59, 59) - dw( 97, 59)
      JacC( 59, 30) = JacC( 59, 30) - dw( 97, 30)
      dw( 98, 59) =  rk( 98) * Y( 31)
      dw( 98, 31) =  rk( 98) * Y( 59)
      JacC( 31, 59) = JacC( 31, 59) - dw( 98, 59)
      JacC( 31, 31) = JacC( 31, 31) - dw( 98, 31)
      JacC( 45, 59) = JacC( 45, 59) + dw( 98, 59)
      JacC( 45, 31) = JacC( 45, 31) + dw( 98, 31)
      JacC( 59, 59) = JacC( 59, 59) - dw( 98, 59)
      JacC( 59, 31) = JacC( 59, 31) - dw( 98, 31)
      dw( 99, 59) =  rk( 99) * Y( 32)
      dw( 99, 32) =  rk( 99) * Y( 59)
      JacC( 32, 59) = JacC( 32, 59) - dw( 99, 59)
      JacC( 32, 32) = JacC( 32, 32) - dw( 99, 32)
      JacC( 45, 59) = JacC( 45, 59) + dw( 99, 59)
      JacC( 45, 32) = JacC( 45, 32) + dw( 99, 32)
      JacC( 59, 59) = JacC( 59, 59) - dw( 99, 59)
      JacC( 59, 32) = JacC( 59, 32) - dw( 99, 32)
      dw(100, 59) =  rk(100) * Y( 33)
      dw(100, 33) =  rk(100) * Y( 59)
      JacC( 33, 59) = JacC( 33, 59) - dw(100, 59)
      JacC( 33, 33) = JacC( 33, 33) - dw(100, 33)
      JacC( 45, 59) = JacC( 45, 59) + dw(100, 59)
      JacC( 45, 33) = JacC( 45, 33) + dw(100, 33)
      JacC( 59, 59) = JacC( 59, 59) - dw(100, 59)
      JacC( 59, 33) = JacC( 59, 33) - dw(100, 33)
      dw(101, 59) =  rk(101) * Y( 34)
      dw(101, 34) =  rk(101) * Y( 59)
      JacC( 34, 59) = JacC( 34, 59) - dw(101, 59)
      JacC( 34, 34) = JacC( 34, 34) - dw(101, 34)
      JacC( 45, 59) = JacC( 45, 59) + dw(101, 59)
      JacC( 45, 34) = JacC( 45, 34) + dw(101, 34)
      JacC( 59, 59) = JacC( 59, 59) - dw(101, 59)
      JacC( 59, 34) = JacC( 59, 34) - dw(101, 34)
      dw(102, 59) =  rk(102) * Y( 42)
      dw(102, 42) =  rk(102) * Y( 59)
      JacC( 42, 59) = JacC( 42, 59) - dw(102, 59)
      JacC( 42, 42) = JacC( 42, 42) - dw(102, 42)
      JacC( 45, 59) = JacC( 45, 59) + dw(102, 59)
      JacC( 45, 42) = JacC( 45, 42) + dw(102, 42)
      JacC( 59, 59) = JacC( 59, 59) - dw(102, 59)
      JacC( 59, 42) = JacC( 59, 42) - dw(102, 42)
      dw(103, 59) =  rk(103) * Y( 60)
      dw(103, 60) =  rk(103) * Y( 59)
      JacC( 25, 59) = JacC( 25, 59) + dw(103, 59)
      JacC( 25, 60) = JacC( 25, 60) + dw(103, 60)
      JacC( 59, 59) = JacC( 59, 59) - dw(103, 59)
      JacC( 59, 60) = JacC( 59, 60) - dw(103, 60)
      JacC( 60, 59) = JacC( 60, 59) - dw(103, 59)
      JacC( 60, 60) = JacC( 60, 60) - dw(103, 60)
      dw(104, 59) =  rk(104) * Y( 35)
      dw(104, 35) =  rk(104) * Y( 59)
      JacC( 35, 59) = JacC( 35, 59) - dw(104, 59)
      JacC( 35, 35) = JacC( 35, 35) - dw(104, 35)
      JacC( 45, 59) = JacC( 45, 59) + dw(104, 59)
      JacC( 45, 35) = JacC( 45, 35) + dw(104, 35)
      JacC( 59, 59) = JacC( 59, 59) - dw(104, 59)
      JacC( 59, 35) = JacC( 59, 35) - dw(104, 35)
      dw(105, 59) =  rk(105) * Y( 36)
      dw(105, 36) =  rk(105) * Y( 59)
      JacC( 36, 59) = JacC( 36, 59) - dw(105, 59)
      JacC( 36, 36) = JacC( 36, 36) - dw(105, 36)
      JacC( 45, 59) = JacC( 45, 59) + dw(105, 59)
      JacC( 45, 36) = JacC( 45, 36) + dw(105, 36)
      JacC( 59, 59) = JacC( 59, 59) - dw(105, 59)
      JacC( 59, 36) = JacC( 59, 36) - dw(105, 36)
      dw(106, 59) =  rk(106) * Y( 57)
      dw(106, 57) =  rk(106) * Y( 59)
      JacC( 45, 59) = JacC( 45, 59) + dw(106, 59)
      JacC( 45, 57) = JacC( 45, 57) + dw(106, 57)
      JacC( 57, 59) = JacC( 57, 59) - dw(106, 59)
      JacC( 57, 57) = JacC( 57, 57) - dw(106, 57)
      JacC( 59, 59) = JacC( 59, 59) - dw(106, 59)
      JacC( 59, 57) = JacC( 59, 57) - dw(106, 57)
      dw(107, 59) =  rk(107) * Y( 38)
      dw(107, 38) =  rk(107) * Y( 59)
      JacC( 38, 59) = JacC( 38, 59) - dw(107, 59)
      JacC( 38, 38) = JacC( 38, 38) - dw(107, 38)
      JacC( 40, 59) = JacC( 40, 59) + dw(107, 59)
      JacC( 40, 38) = JacC( 40, 38) + dw(107, 38)
      JacC( 59, 59) = JacC( 59, 59) - dw(107, 59)
      JacC( 59, 38) = JacC( 59, 38) - dw(107, 38)
      dw(108, 49) =  rk(108) * Y( 49)
      dw(108, 49) =  rk(108) * Y( 49)
      JacC( 49, 49) = JacC( 49, 49)- 0.2000000000000000D+01*dw(108, 49)
      JacC( 49, 49) = JacC( 49, 49)- 0.2000000000000000D+01*dw(108, 49)
      JacC( 52, 49) = JacC( 52, 49)+ 0.1500000000000000D+01*dw(108, 49)
      JacC( 52, 49) = JacC( 52, 49)+ 0.1500000000000000D+01*dw(108, 49)
      JacC( 59, 49) = JacC( 59, 49) + dw(108, 49)
      JacC( 59, 49) = JacC( 59, 49) + dw(108, 49)
      dw(109, 49) =  rk(109) * Y( 43)
      dw(109, 43) =  rk(109) * Y( 49)
      JacC( 43, 49) = JacC( 43, 49) - dw(109, 49)
      JacC( 43, 43) = JacC( 43, 43) - dw(109, 43)
      JacC( 47, 49) = JacC( 47, 49)+ 0.7500000000000000D+00*dw(109, 49)
      JacC( 47, 43) = JacC( 47, 43)+ 0.7500000000000000D+00*dw(109, 43)
      JacC( 49, 49) = JacC( 49, 49) - dw(109, 49)
      JacC( 49, 43) = JacC( 49, 43) - dw(109, 43)
      JacC( 52, 49) = JacC( 52, 49)+ 0.7500000000000000D+00*dw(109, 49)
      JacC( 52, 43) = JacC( 52, 43)+ 0.7500000000000000D+00*dw(109, 43)
      JacC( 59, 49) = JacC( 59, 49) + dw(109, 49)
      JacC( 59, 43) = JacC( 59, 43) + dw(109, 43)
      dw(110, 49) =  rk(110) * Y( 46)
      dw(110, 46) =  rk(110) * Y( 49)
      JacC( 41, 49) = JacC( 41, 49)+ 0.2600000000000000D+00*dw(110, 49)
      JacC( 41, 46) = JacC( 41, 46)+ 0.2600000000000000D+00*dw(110, 46)
      JacC( 46, 49) = JacC( 46, 49) - dw(110, 49)
      JacC( 46, 46) = JacC( 46, 46) - dw(110, 46)
      JacC( 47, 49) = JacC( 47, 49)+ 0.7700000000000000D+00*dw(110, 49)
      JacC( 47, 46) = JacC( 47, 46)+ 0.7700000000000000D+00*dw(110, 46)
      JacC( 49, 49) = JacC( 49, 49) - dw(110, 49)
      JacC( 49, 46) = JacC( 49, 46) - dw(110, 46)
      JacC( 52, 49) = JacC( 52, 49)+ 0.8400000000000000D+00*dw(110, 49)
      JacC( 52, 46) = JacC( 52, 46)+ 0.8400000000000000D+00*dw(110, 46)
      JacC( 59, 49) = JacC( 59, 49) + dw(110, 49)
      JacC( 59, 46) = JacC( 59, 46) + dw(110, 46)
      dw(111, 49) =  rk(111) * Y( 30)
      dw(111, 30) =  rk(111) * Y( 49)
      JacC( 30, 49) = JacC( 30, 49) - dw(111, 49)
      JacC( 30, 30) = JacC( 30, 30) - dw(111, 30)
      JacC( 41, 49) = JacC( 41, 49)+ 0.7500000000000000D+00*dw(111, 49)
      JacC( 41, 30) = JacC( 41, 30)+ 0.7500000000000000D+00*dw(111, 30)
      JacC( 47, 49) = JacC( 47, 49)+ 0.4100000000000000D+00*dw(111, 49)
      JacC( 47, 30) = JacC( 47, 30)+ 0.4100000000000000D+00*dw(111, 30)
      JacC( 49, 49) = JacC( 49, 49) - dw(111, 49)
      JacC( 49, 30) = JacC( 49, 30) - dw(111, 30)
      JacC( 52, 49) = JacC( 52, 49)+ 0.7700000000000000D+00*dw(111, 49)
      JacC( 52, 30) = JacC( 52, 30)+ 0.7700000000000000D+00*dw(111, 30)
      JacC( 59, 49) = JacC( 59, 49) + dw(111, 49)
      JacC( 59, 30) = JacC( 59, 30) + dw(111, 30)
      dw(112, 49) =  rk(112) * Y( 31)
      dw(112, 31) =  rk(112) * Y( 49)
      JacC( 31, 49) = JacC( 31, 49) - dw(112, 49)
      JacC( 31, 31) = JacC( 31, 31) - dw(112, 31)
      JacC( 41, 49) = JacC( 41, 49)+ 0.1390000000000000D+01*dw(112, 49)
      JacC( 41, 31) = JacC( 41, 31)+ 0.1390000000000000D+01*dw(112, 31)
      JacC( 47, 49) = JacC( 47, 49)+ 0.4600000000000000D+00*dw(112, 49)
      JacC( 47, 31) = JacC( 47, 31)+ 0.4600000000000000D+00*dw(112, 31)
      JacC( 49, 49) = JacC( 49, 49) - dw(112, 49)
      JacC( 49, 31) = JacC( 49, 31) - dw(112, 31)
      JacC( 52, 49) = JacC( 52, 49)+ 0.8000000000000000D+00*dw(112, 49)
      JacC( 52, 31) = JacC( 52, 31)+ 0.8000000000000000D+00*dw(112, 31)
      JacC( 59, 49) = JacC( 59, 49) + dw(112, 49)
      JacC( 59, 31) = JacC( 59, 31) + dw(112, 31)
      dw(113, 49) =  rk(113) * Y( 32)
      dw(113, 32) =  rk(113) * Y( 49)
      JacC( 32, 49) = JacC( 32, 49) - dw(113, 49)
      JacC( 32, 32) = JacC( 32, 32) - dw(113, 32)
      JacC( 47, 49) = JacC( 47, 49)+ 0.3500000000000000D+00*dw(113, 49)
      JacC( 47, 32) = JacC( 47, 32)+ 0.3500000000000000D+00*dw(113, 32)
      JacC( 49, 49) = JacC( 49, 49) - dw(113, 49)
      JacC( 49, 32) = JacC( 49, 32) - dw(113, 32)
      JacC( 52, 49) = JacC( 52, 49)+ 0.1550000000000000D+01*dw(113, 49)
      JacC( 52, 32) = JacC( 52, 32)+ 0.1550000000000000D+01*dw(113, 32)
      JacC( 59, 49) = JacC( 59, 49) + dw(113, 49)
      JacC( 59, 32) = JacC( 59, 32) + dw(113, 32)
      dw(114, 49) =  rk(114) * Y( 33)
      dw(114, 33) =  rk(114) * Y( 49)
      JacC( 33, 49) = JacC( 33, 49) - dw(114, 49)
      JacC( 33, 33) = JacC( 33, 33) - dw(114, 33)
      JacC( 47, 49) = JacC( 47, 49)+ 0.7500000000000000D+00*dw(114, 49)
      JacC( 47, 33) = JacC( 47, 33)+ 0.7500000000000000D+00*dw(114, 33)
      JacC( 49, 49) = JacC( 49, 49) - dw(114, 49)
      JacC( 49, 33) = JacC( 49, 33) - dw(114, 33)
      JacC( 52, 49) = JacC( 52, 49)+ 0.1250000000000000D+01*dw(114, 49)
      JacC( 52, 33) = JacC( 52, 33)+ 0.1250000000000000D+01*dw(114, 33)
      JacC( 59, 49) = JacC( 59, 49) + dw(114, 49)
      JacC( 59, 33) = JacC( 59, 33) + dw(114, 33)
      dw(115, 49) =  rk(115) * Y( 34)
      dw(115, 34) =  rk(115) * Y( 49)
      JacC( 34, 49) = JacC( 34, 49) - dw(115, 49)
      JacC( 34, 34) = JacC( 34, 34) - dw(115, 34)
      JacC( 41, 49) = JacC( 41, 49)+ 0.5500000000000000D+00*dw(115, 49)
      JacC( 41, 34) = JacC( 41, 34)+ 0.5500000000000000D+00*dw(115, 34)
      JacC( 47, 49) = JacC( 47, 49)+ 0.7250000000000000D+00*dw(115, 49)
      JacC( 47, 34) = JacC( 47, 34)+ 0.7250000000000000D+00*dw(115, 34)
      JacC( 49, 49) = JacC( 49, 49) - dw(115, 49)
      JacC( 49, 34) = JacC( 49, 34) - dw(115, 34)
      JacC( 52, 49) = JacC( 52, 49)+ 0.8900000000000000D+00*dw(115, 49)
      JacC( 52, 34) = JacC( 52, 34)+ 0.8900000000000000D+00*dw(115, 34)
      JacC( 59, 49) = JacC( 59, 49) + dw(115, 49)
      JacC( 59, 34) = JacC( 59, 34) + dw(115, 34)
      dw(116, 49) =  rk(116) * Y( 42)
      dw(116, 42) =  rk(116) * Y( 49)
      JacC( 42, 49) = JacC( 42, 49) - dw(116, 49)
      JacC( 42, 42) = JacC( 42, 42) - dw(116, 42)
      JacC( 49, 49) = JacC( 49, 49) - dw(116, 49)
      JacC( 49, 42) = JacC( 49, 42) - dw(116, 42)
      JacC( 50, 49) = JacC( 50, 49)+ 0.7500000000000000D+00*dw(116, 49)
      JacC( 50, 42) = JacC( 50, 42)+ 0.7500000000000000D+00*dw(116, 42)
      JacC( 52, 49) = JacC( 52, 49)+ 0.7500000000000000D+00*dw(116, 49)
      JacC( 52, 42) = JacC( 52, 42)+ 0.7500000000000000D+00*dw(116, 42)
      JacC( 59, 49) = JacC( 59, 49) + dw(116, 49)
      JacC( 59, 42) = JacC( 59, 42) + dw(116, 42)
      dw(117, 49) =  rk(117) * Y( 60)
      dw(117, 60) =  rk(117) * Y( 49)
      JacC( 44, 49) = JacC( 44, 49)+ 0.5000000000000000D+00*dw(117, 49)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(117, 60)
      JacC( 49, 49) = JacC( 49, 49)- 0.5000000000000000D+00*dw(117, 49)
      JacC( 49, 60) = JacC( 49, 60)- 0.5000000000000000D+00*dw(117, 60)
      JacC( 52, 49) = JacC( 52, 49) + dw(117, 49)
      JacC( 52, 60) = JacC( 52, 60) + dw(117, 60)
      JacC( 59, 49) = JacC( 59, 49)+ 0.5000000000000000D+00*dw(117, 49)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(117, 60)
      JacC( 60, 49) = JacC( 60, 49) - dw(117, 49)
      JacC( 60, 60) = JacC( 60, 60) - dw(117, 60)
      dw(118, 49) =  rk(118) * Y( 35)
      dw(118, 35) =  rk(118) * Y( 49)
      JacC( 35, 49) = JacC( 35, 49) - dw(118, 49)
      JacC( 35, 35) = JacC( 35, 35) - dw(118, 35)
      JacC( 37, 49) = JacC( 37, 49)+ 0.7000000000000000D+00*dw(118, 49)
      JacC( 37, 35) = JacC( 37, 35)+ 0.7000000000000000D+00*dw(118, 35)
      JacC( 48, 49) = JacC( 48, 49)+ 0.1600000000000000D+00*dw(118, 49)
      JacC( 48, 35) = JacC( 48, 35)+ 0.1600000000000000D+00*dw(118, 35)
      JacC( 49, 49) = JacC( 49, 49) - dw(118, 49)
      JacC( 49, 35) = JacC( 49, 35) - dw(118, 35)
      JacC( 50, 49) = JacC( 50, 49)+ 0.1700000000000000D+00*dw(118, 49)
      JacC( 50, 35) = JacC( 50, 35)+ 0.1700000000000000D+00*dw(118, 35)
      JacC( 52, 49) = JacC( 52, 49) + dw(118, 49)
      JacC( 52, 35) = JacC( 52, 35) + dw(118, 35)
      JacC( 59, 49) = JacC( 59, 49)+ 0.2000000000000000D+01*dw(118, 49)
      JacC( 59, 35) = JacC( 59, 35)+ 0.2000000000000000D+01*dw(118, 35)
      dw(119, 49) =  rk(119) * Y( 36)
      dw(119, 36) =  rk(119) * Y( 49)
      JacC( 36, 49) = JacC( 36, 49) - dw(119, 49)
      JacC( 36, 36) = JacC( 36, 36) - dw(119, 36)
      JacC( 37, 49) = JacC( 37, 49)+ 0.8060000000000000D+00*dw(119, 49)
      JacC( 37, 36) = JacC( 37, 36)+ 0.8060000000000000D+00*dw(119, 36)
      JacC( 49, 49) = JacC( 49, 49) - dw(119, 49)
      JacC( 49, 36) = JacC( 49, 36) - dw(119, 36)
      JacC( 50, 49) = JacC( 50, 49)+ 0.4500000000000000D+00*dw(119, 49)
      JacC( 50, 36) = JacC( 50, 36)+ 0.4500000000000000D+00*dw(119, 36)
      JacC( 52, 49) = JacC( 52, 49) + dw(119, 49)
      JacC( 52, 36) = JacC( 52, 36) + dw(119, 36)
      JacC( 59, 49) = JacC( 59, 49)+ 0.2000000000000000D+01*dw(119, 49)
      JacC( 59, 36) = JacC( 59, 36)+ 0.2000000000000000D+01*dw(119, 36)
      dw(120, 49) =  rk(120) * Y( 57)
      dw(120, 57) =  rk(120) * Y( 49)
      JacC( 44, 49) = JacC( 44, 49)+ 0.5000000000000000D+00*dw(120, 49)
      JacC( 44, 57) = JacC( 44, 57)+ 0.5000000000000000D+00*dw(120, 57)
      JacC( 48, 49) = JacC( 48, 49)+ 0.4450000000000000D+00*dw(120, 49)
      JacC( 48, 57) = JacC( 48, 57)+ 0.4450000000000000D+00*dw(120, 57)
      JacC( 49, 49) = JacC( 49, 49) - dw(120, 49)
      JacC( 49, 57) = JacC( 49, 57) - dw(120, 57)
      JacC( 50, 49) = JacC( 50, 49)+ 0.5500000000000000D-01*dw(120, 49)
      JacC( 50, 57) = JacC( 50, 57)+ 0.5500000000000000D-01*dw(120, 57)
      JacC( 51, 49) = JacC( 51, 49) + dw(120, 49)
      JacC( 51, 57) = JacC( 51, 57) + dw(120, 57)
      JacC( 52, 49) = JacC( 52, 49)+ 0.5000000000000000D+00*dw(120, 49)
      JacC( 52, 57) = JacC( 52, 57)+ 0.5000000000000000D+00*dw(120, 57)
      JacC( 56, 49) = JacC( 56, 49)+ 0.4750000000000000D+00*dw(120, 49)
      JacC( 56, 57) = JacC( 56, 57)+ 0.4750000000000000D+00*dw(120, 57)
      JacC( 57, 49) = JacC( 57, 49) - dw(120, 49)
      JacC( 57, 57) = JacC( 57, 57) - dw(120, 57)
      JacC( 59, 49) = JacC( 59, 49)+ 0.4600000000000000D+00*dw(120, 49)
      JacC( 59, 57) = JacC( 59, 57)+ 0.4600000000000000D+00*dw(120, 57)
      JacC( 60, 49) = JacC( 60, 49)+ 0.2500000000000000D-01*dw(120, 49)
      JacC( 60, 57) = JacC( 60, 57)+ 0.2500000000000000D-01*dw(120, 57)
      dw(121, 49) =  rk(121) * Y( 38)
      dw(121, 38) =  rk(121) * Y( 49)
      JacC( 38, 49) = JacC( 38, 49) - dw(121, 49)
      JacC( 38, 38) = JacC( 38, 38) - dw(121, 38)
      JacC( 47, 49) = JacC( 47, 49) + dw(121, 49)
      JacC( 47, 38) = JacC( 47, 38) + dw(121, 38)
      JacC( 49, 49) = JacC( 49, 49) - dw(121, 49)
      JacC( 49, 38) = JacC( 49, 38) - dw(121, 38)
      JacC( 52, 49) = JacC( 52, 49)+ 0.1750000000000000D+01*dw(121, 49)
      JacC( 52, 38) = JacC( 52, 38)+ 0.1750000000000000D+01*dw(121, 38)
      JacC( 59, 49) = JacC( 59, 49)+ 0.5000000000000000D+00*dw(121, 49)
      JacC( 59, 38) = JacC( 59, 38)+ 0.5000000000000000D+00*dw(121, 38)
      JacC( 61, 49) = JacC( 61, 49) + dw(121, 49)
      JacC( 61, 38) = JacC( 61, 38) + dw(121, 38)
      dw(122, 43) =  rk(122) * Y( 60)
      dw(122, 60) =  rk(122) * Y( 43)
      JacC( 43, 43) = JacC( 43, 43) - dw(122, 43)
      JacC( 43, 60) = JacC( 43, 60) - dw(122, 60)
      JacC( 44, 43) = JacC( 44, 43)+ 0.5000000000000000D+00*dw(122, 43)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(122, 60)
      JacC( 47, 43) = JacC( 47, 43) + dw(122, 43)
      JacC( 47, 60) = JacC( 47, 60) + dw(122, 60)
      JacC( 49, 43) = JacC( 49, 43)+ 0.5000000000000000D+00*dw(122, 43)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(122, 60)
      JacC( 59, 43) = JacC( 59, 43)+ 0.5000000000000000D+00*dw(122, 43)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(122, 60)
      JacC( 60, 43) = JacC( 60, 43) - dw(122, 43)
      JacC( 60, 60) = JacC( 60, 60) - dw(122, 60)
      dw(123, 46) =  rk(123) * Y( 60)
      dw(123, 60) =  rk(123) * Y( 46)
      JacC( 41, 46) = JacC( 41, 46)+ 0.2600000000000000D+00*dw(123, 46)
      JacC( 41, 60) = JacC( 41, 60)+ 0.2600000000000000D+00*dw(123, 60)
      JacC( 44, 46) = JacC( 44, 46)+ 0.5000000000000000D+00*dw(123, 46)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(123, 60)
      JacC( 46, 46) = JacC( 46, 46) - dw(123, 46)
      JacC( 46, 60) = JacC( 46, 60) - dw(123, 60)
      JacC( 47, 46) = JacC( 47, 46)+ 0.7700000000000000D+00*dw(123, 46)
      JacC( 47, 60) = JacC( 47, 60)+ 0.7700000000000000D+00*dw(123, 60)
      JacC( 49, 46) = JacC( 49, 46)+ 0.5000000000000000D+00*dw(123, 46)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(123, 60)
      JacC( 59, 46) = JacC( 59, 46)+ 0.5000000000000000D+00*dw(123, 46)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(123, 60)
      JacC( 60, 46) = JacC( 60, 46) - dw(123, 46)
      JacC( 60, 60) = JacC( 60, 60) - dw(123, 60)
      dw(124, 30) =  rk(124) * Y( 60)
      dw(124, 60) =  rk(124) * Y( 30)
      JacC( 30, 30) = JacC( 30, 30) - dw(124, 30)
      JacC( 30, 60) = JacC( 30, 60) - dw(124, 60)
      JacC( 41, 30) = JacC( 41, 30)+ 0.7500000000000000D+00*dw(124, 30)
      JacC( 41, 60) = JacC( 41, 60)+ 0.7500000000000000D+00*dw(124, 60)
      JacC( 44, 30) = JacC( 44, 30)+ 0.5000000000000000D+00*dw(124, 30)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(124, 60)
      JacC( 47, 30) = JacC( 47, 30)+ 0.4100000000000000D+00*dw(124, 30)
      JacC( 47, 60) = JacC( 47, 60)+ 0.4100000000000000D+00*dw(124, 60)
      JacC( 49, 30) = JacC( 49, 30)+ 0.5000000000000000D+00*dw(124, 30)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(124, 60)
      JacC( 59, 30) = JacC( 59, 30)+ 0.5000000000000000D+00*dw(124, 30)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(124, 60)
      JacC( 60, 30) = JacC( 60, 30) - dw(124, 30)
      JacC( 60, 60) = JacC( 60, 60) - dw(124, 60)
      dw(125, 31) =  rk(125) * Y( 60)
      dw(125, 60) =  rk(125) * Y( 31)
      JacC( 31, 31) = JacC( 31, 31) - dw(125, 31)
      JacC( 31, 60) = JacC( 31, 60) - dw(125, 60)
      JacC( 41, 31) = JacC( 41, 31)+ 0.1390000000000000D+01*dw(125, 31)
      JacC( 41, 60) = JacC( 41, 60)+ 0.1390000000000000D+01*dw(125, 60)
      JacC( 44, 31) = JacC( 44, 31)+ 0.5000000000000000D+00*dw(125, 31)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(125, 60)
      JacC( 47, 31) = JacC( 47, 31)+ 0.4600000000000000D+00*dw(125, 31)
      JacC( 47, 60) = JacC( 47, 60)+ 0.4600000000000000D+00*dw(125, 60)
      JacC( 49, 31) = JacC( 49, 31)+ 0.5000000000000000D+00*dw(125, 31)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(125, 60)
      JacC( 59, 31) = JacC( 59, 31)+ 0.5000000000000000D+00*dw(125, 31)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(125, 60)
      JacC( 60, 31) = JacC( 60, 31) - dw(125, 31)
      JacC( 60, 60) = JacC( 60, 60) - dw(125, 60)
      dw(126, 32) =  rk(126) * Y( 60)
      dw(126, 60) =  rk(126) * Y( 32)
      JacC( 32, 32) = JacC( 32, 32) - dw(126, 32)
      JacC( 32, 60) = JacC( 32, 60) - dw(126, 60)
      JacC( 44, 32) = JacC( 44, 32)+ 0.5000000000000000D+00*dw(126, 32)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(126, 60)
      JacC( 47, 32) = JacC( 47, 32)+ 0.6000000000000000D+00*dw(126, 32)
      JacC( 47, 60) = JacC( 47, 60)+ 0.6000000000000000D+00*dw(126, 60)
      JacC( 49, 32) = JacC( 49, 32)+ 0.5000000000000000D+00*dw(126, 32)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(126, 60)
      JacC( 52, 32) = JacC( 52, 32)+ 0.8000000000000000D+00*dw(126, 32)
      JacC( 52, 60) = JacC( 52, 60)+ 0.8000000000000000D+00*dw(126, 60)
      JacC( 59, 32) = JacC( 59, 32)+ 0.5000000000000000D+00*dw(126, 32)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(126, 60)
      JacC( 60, 32) = JacC( 60, 32) - dw(126, 32)
      JacC( 60, 60) = JacC( 60, 60) - dw(126, 60)
      dw(127, 33) =  rk(127) * Y( 60)
      dw(127, 60) =  rk(127) * Y( 33)
      JacC( 33, 33) = JacC( 33, 33) - dw(127, 33)
      JacC( 33, 60) = JacC( 33, 60) - dw(127, 60)
      JacC( 44, 33) = JacC( 44, 33)+ 0.5000000000000000D+00*dw(127, 33)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(127, 60)
      JacC( 47, 33) = JacC( 47, 33) + dw(127, 33)
      JacC( 47, 60) = JacC( 47, 60) + dw(127, 60)
      JacC( 49, 33) = JacC( 49, 33)+ 0.5000000000000000D+00*dw(127, 33)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(127, 60)
      JacC( 52, 33) = JacC( 52, 33)+ 0.5000000000000000D+00*dw(127, 33)
      JacC( 52, 60) = JacC( 52, 60)+ 0.5000000000000000D+00*dw(127, 60)
      JacC( 59, 33) = JacC( 59, 33)+ 0.5000000000000000D+00*dw(127, 33)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(127, 60)
      JacC( 60, 33) = JacC( 60, 33) - dw(127, 33)
      JacC( 60, 60) = JacC( 60, 60) - dw(127, 60)
      dw(128, 34) =  rk(128) * Y( 60)
      dw(128, 60) =  rk(128) * Y( 34)
      JacC( 34, 34) = JacC( 34, 34) - dw(128, 34)
      JacC( 34, 60) = JacC( 34, 60) - dw(128, 60)
      JacC( 41, 34) = JacC( 41, 34)+ 0.5500000000000000D+00*dw(128, 34)
      JacC( 41, 60) = JacC( 41, 60)+ 0.5500000000000000D+00*dw(128, 60)
      JacC( 44, 34) = JacC( 44, 34)+ 0.5000000000000000D+00*dw(128, 34)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(128, 60)
      JacC( 47, 34) = JacC( 47, 34)+ 0.7250000000000000D+00*dw(128, 34)
      JacC( 47, 60) = JacC( 47, 60)+ 0.7250000000000000D+00*dw(128, 60)
      JacC( 49, 34) = JacC( 49, 34)+ 0.5000000000000000D+00*dw(128, 34)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(128, 60)
      JacC( 52, 34) = JacC( 52, 34)+ 0.1400000000000000D+00*dw(128, 34)
      JacC( 52, 60) = JacC( 52, 60)+ 0.1400000000000000D+00*dw(128, 60)
      JacC( 59, 34) = JacC( 59, 34)+ 0.5000000000000000D+00*dw(128, 34)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(128, 60)
      JacC( 60, 34) = JacC( 60, 34) - dw(128, 34)
      JacC( 60, 60) = JacC( 60, 60) - dw(128, 60)
      dw(129, 42) =  rk(129) * Y( 60)
      dw(129, 60) =  rk(129) * Y( 42)
      JacC( 42, 42) = JacC( 42, 42) - dw(129, 42)
      JacC( 42, 60) = JacC( 42, 60) - dw(129, 60)
      JacC( 44, 42) = JacC( 44, 42)+ 0.5000000000000000D+00*dw(129, 42)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(129, 60)
      JacC( 49, 42) = JacC( 49, 42)+ 0.5000000000000000D+00*dw(129, 42)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(129, 60)
      JacC( 50, 42) = JacC( 50, 42) + dw(129, 42)
      JacC( 50, 60) = JacC( 50, 60) + dw(129, 60)
      JacC( 59, 42) = JacC( 59, 42)+ 0.5000000000000000D+00*dw(129, 42)
      JacC( 59, 60) = JacC( 59, 60)+ 0.5000000000000000D+00*dw(129, 60)
      JacC( 60, 42) = JacC( 60, 42) - dw(129, 42)
      JacC( 60, 60) = JacC( 60, 60) - dw(129, 60)
      dw(130, 60) =  rk(130) * Y( 60)
      dw(130, 60) =  rk(130) * Y( 60)
      JacC( 49, 60) = JacC( 49, 60)+ 0.2000000000000000D+01*dw(130, 60)
      JacC( 49, 60) = JacC( 49, 60)+ 0.2000000000000000D+01*dw(130, 60)
      JacC( 60, 60) = JacC( 60, 60)- 0.2000000000000000D+01*dw(130, 60)
      JacC( 60, 60) = JacC( 60, 60)- 0.2000000000000000D+01*dw(130, 60)
      dw(131, 60) =  rk(131) * Y( 35)
      dw(131, 35) =  rk(131) * Y( 60)
      JacC( 35, 60) = JacC( 35, 60) - dw(131, 60)
      JacC( 35, 35) = JacC( 35, 35) - dw(131, 35)
      JacC( 37, 60) = JacC( 37, 60)+ 0.7000000000000000D+00*dw(131, 60)
      JacC( 37, 35) = JacC( 37, 35)+ 0.7000000000000000D+00*dw(131, 35)
      JacC( 48, 60) = JacC( 48, 60)+ 0.1600000000000000D+00*dw(131, 60)
      JacC( 48, 35) = JacC( 48, 35)+ 0.1600000000000000D+00*dw(131, 35)
      JacC( 49, 60) = JacC( 49, 60) + dw(131, 60)
      JacC( 49, 35) = JacC( 49, 35) + dw(131, 35)
      JacC( 50, 60) = JacC( 50, 60)+ 0.1700000000000000D+00*dw(131, 60)
      JacC( 50, 35) = JacC( 50, 35)+ 0.1700000000000000D+00*dw(131, 35)
      JacC( 59, 60) = JacC( 59, 60) + dw(131, 60)
      JacC( 59, 35) = JacC( 59, 35) + dw(131, 35)
      JacC( 60, 60) = JacC( 60, 60) - dw(131, 60)
      JacC( 60, 35) = JacC( 60, 35) - dw(131, 35)
      dw(132, 60) =  rk(132) * Y( 36)
      dw(132, 36) =  rk(132) * Y( 60)
      JacC( 36, 60) = JacC( 36, 60) - dw(132, 60)
      JacC( 36, 36) = JacC( 36, 36) - dw(132, 36)
      JacC( 37, 60) = JacC( 37, 60)+ 0.8060000000000000D+00*dw(132, 60)
      JacC( 37, 36) = JacC( 37, 36)+ 0.8060000000000000D+00*dw(132, 36)
      JacC( 49, 60) = JacC( 49, 60) + dw(132, 60)
      JacC( 49, 36) = JacC( 49, 36) + dw(132, 36)
      JacC( 50, 60) = JacC( 50, 60)+ 0.4500000000000000D+00*dw(132, 60)
      JacC( 50, 36) = JacC( 50, 36)+ 0.4500000000000000D+00*dw(132, 36)
      JacC( 59, 60) = JacC( 59, 60) + dw(132, 60)
      JacC( 59, 36) = JacC( 59, 36) + dw(132, 36)
      JacC( 60, 60) = JacC( 60, 60) - dw(132, 60)
      JacC( 60, 36) = JacC( 60, 36) - dw(132, 36)
      dw(133, 60) =  rk(133) * Y( 57)
      dw(133, 57) =  rk(133) * Y( 60)
      JacC( 48, 60) = JacC( 48, 60)+ 0.8900000000000000D+00*dw(133, 60)
      JacC( 48, 57) = JacC( 48, 57)+ 0.8900000000000000D+00*dw(133, 57)
      JacC( 49, 60) = JacC( 49, 60) + dw(133, 60)
      JacC( 49, 57) = JacC( 49, 57) + dw(133, 57)
      JacC( 50, 60) = JacC( 50, 60)+ 0.1100000000000000D+00*dw(133, 60)
      JacC( 50, 57) = JacC( 50, 57)+ 0.1100000000000000D+00*dw(133, 57)
      JacC( 51, 60) = JacC( 51, 60)+ 0.2000000000000000D+01*dw(133, 60)
      JacC( 51, 57) = JacC( 51, 57)+ 0.2000000000000000D+01*dw(133, 57)
      JacC( 56, 60) = JacC( 56, 60)+ 0.9500000000000000D+00*dw(133, 60)
      JacC( 56, 57) = JacC( 56, 57)+ 0.9500000000000000D+00*dw(133, 57)
      JacC( 57, 60) = JacC( 57, 60) - dw(133, 60)
      JacC( 57, 57) = JacC( 57, 57) - dw(133, 57)
      JacC( 59, 60) = JacC( 59, 60)+ 0.9200000000000000D+00*dw(133, 60)
      JacC( 59, 57) = JacC( 59, 57)+ 0.9200000000000000D+00*dw(133, 57)
      JacC( 60, 60) = JacC( 60, 60)- 0.9500000000000000D+00*dw(133, 60)
      JacC( 60, 57) = JacC( 60, 57)- 0.9500000000000000D+00*dw(133, 57)
      dw(134, 60) =  rk(134) * Y( 38)
      dw(134, 38) =  rk(134) * Y( 60)
      JacC( 38, 60) = JacC( 38, 60) - dw(134, 60)
      JacC( 38, 38) = JacC( 38, 38) - dw(134, 38)
      JacC( 44, 60) = JacC( 44, 60)+ 0.5000000000000000D+00*dw(134, 60)
      JacC( 44, 38) = JacC( 44, 38)+ 0.5000000000000000D+00*dw(134, 38)
      JacC( 47, 60) = JacC( 47, 60) + dw(134, 60)
      JacC( 47, 38) = JacC( 47, 38) + dw(134, 38)
      JacC( 49, 60) = JacC( 49, 60)+ 0.5000000000000000D+00*dw(134, 60)
      JacC( 49, 38) = JacC( 49, 38)+ 0.5000000000000000D+00*dw(134, 38)
      JacC( 52, 60) = JacC( 52, 60) + dw(134, 60)
      JacC( 52, 38) = JacC( 52, 38) + dw(134, 38)
      JacC( 60, 60) = JacC( 60, 60) - dw(134, 60)
      JacC( 60, 38) = JacC( 60, 38) - dw(134, 38)
      JacC( 61, 60) = JacC( 61, 60) + dw(134, 60)
      JacC( 61, 38) = JacC( 61, 38) + dw(134, 38)
      dw(135, 38) =  rk(135) * Y( 38)
      dw(135, 38) =  rk(135) * Y( 38)
      JacC( 38, 38) = JacC( 38, 38)- 0.2000000000000000D+01*dw(135, 38)
      JacC( 38, 38) = JacC( 38, 38)- 0.2000000000000000D+01*dw(135, 38)
      JacC( 47, 38) = JacC( 47, 38)+ 0.2000000000000000D+01*dw(135, 38)
      JacC( 47, 38) = JacC( 47, 38)+ 0.2000000000000000D+01*dw(135, 38)
      JacC( 52, 38) = JacC( 52, 38)+ 0.2000000000000000D+01*dw(135, 38)
      JacC( 52, 38) = JacC( 52, 38)+ 0.2000000000000000D+01*dw(135, 38)
      JacC( 61, 38) = JacC( 61, 38)+ 0.2000000000000000D+01*dw(135, 38)
      JacC( 61, 38) = JacC( 61, 38)+ 0.2000000000000000D+01*dw(135, 38)
      dw(136, 51) =  rk(136) * Y( 59)
      dw(136, 59) =  rk(136) * Y( 51)
      JacC( 45, 51) = JacC( 45, 51) + dw(136, 51)
      JacC( 45, 59) = JacC( 45, 59) + dw(136, 59)
      JacC( 51, 51) = JacC( 51, 51) - dw(136, 51)
      JacC( 51, 59) = JacC( 51, 59) - dw(136, 59)
      JacC( 59, 51) = JacC( 59, 51) - dw(136, 51)
      JacC( 59, 59) = JacC( 59, 59) - dw(136, 59)
      dw(137, 51) =  rk(137) * Y( 49)
      dw(137, 49) =  rk(137) * Y( 51)
      JacC( 49, 51) = JacC( 49, 51) - dw(137, 51)
      JacC( 49, 49) = JacC( 49, 49) - dw(137, 49)
      JacC( 51, 51) = JacC( 51, 51) - dw(137, 51)
      JacC( 51, 49) = JacC( 51, 49) - dw(137, 49)
      JacC( 52, 51) = JacC( 52, 51) + dw(137, 51)
      JacC( 52, 49) = JacC( 52, 49) + dw(137, 49)
      JacC( 59, 51) = JacC( 59, 51) + dw(137, 51)
      JacC( 59, 49) = JacC( 59, 49) + dw(137, 49)
      dw(138, 51) =  rk(138) * Y( 60)
      dw(138, 60) =  rk(138) * Y( 51)
      JacC( 49, 51) = JacC( 49, 51) + dw(138, 51)
      JacC( 49, 60) = JacC( 49, 60) + dw(138, 60)
      JacC( 51, 51) = JacC( 51, 51) - dw(138, 51)
      JacC( 51, 60) = JacC( 51, 60) - dw(138, 60)
      JacC( 60, 51) = JacC( 60, 51) - dw(138, 51)
      JacC( 60, 60) = JacC( 60, 60) - dw(138, 60)
      dw(139, 51) =  rk(139) * Y( 51)
      dw(139, 51) =  rk(139) * Y( 51)
      JacC( 51, 51) = JacC( 51, 51)- 0.2000000000000000D+01*dw(139, 51)
      JacC( 51, 51) = JacC( 51, 51)- 0.2000000000000000D+01*dw(139, 51)
      dw(140, 51) =  rk(140) * Y( 58)
      dw(140, 58) =  rk(140) * Y( 51)
      JacC( 51, 51) = JacC( 51, 51) - dw(140, 51)
      JacC( 51, 58) = JacC( 51, 58) - dw(140, 58)
      JacC( 58, 51) = JacC( 58, 51) - dw(140, 51)
      JacC( 58, 58) = JacC( 58, 58) - dw(140, 58)
      JacC( 61, 51) = JacC( 61, 51) + dw(140, 51)
      JacC( 61, 58) = JacC( 61, 58) + dw(140, 58)
      dw(141, 39) =  rk(141) * Y( 61)
      dw(141, 61) =  rk(141) * Y( 39)
      JacC( 39, 39) = JacC( 39, 39) - dw(141, 39)
      JacC( 39, 61) = JacC( 39, 61) - dw(141, 61)
      JacC( 40, 39) = JacC( 40, 39) + dw(141, 39)
      JacC( 40, 61) = JacC( 40, 61) + dw(141, 61)
      JacC( 61, 39) = JacC( 61, 39) - dw(141, 39)
      JacC( 61, 61) = JacC( 61, 61) - dw(141, 61)
      dw(142, 39) =  rk(142) * Y( 59)
      dw(142, 59) =  rk(142) * Y( 39)
      JacC( 39, 39) = JacC( 39, 39) - dw(142, 39)
      JacC( 39, 59) = JacC( 39, 59) - dw(142, 59)
      JacC( 45, 39) = JacC( 45, 39) + dw(142, 39)
      JacC( 45, 59) = JacC( 45, 59) + dw(142, 59)
      JacC( 59, 39) = JacC( 59, 39) - dw(142, 39)
      JacC( 59, 59) = JacC( 59, 59) - dw(142, 59)
      dw(143, 39) =  rk(143) * Y( 49)
      dw(143, 49) =  rk(143) * Y( 39)
      JacC( 39, 39) = JacC( 39, 39) - dw(143, 39)
      JacC( 39, 49) = JacC( 39, 49) - dw(143, 49)
      JacC( 49, 39) = JacC( 49, 39) - dw(143, 39)
      JacC( 49, 49) = JacC( 49, 49) - dw(143, 49)
      JacC( 52, 39) = JacC( 52, 39) + dw(143, 39)
      JacC( 52, 49) = JacC( 52, 49) + dw(143, 49)
      JacC( 59, 39) = JacC( 59, 39) + dw(143, 39)
      JacC( 59, 49) = JacC( 59, 49) + dw(143, 49)
      dw(144, 39) =  rk(144) * Y( 60)
      dw(144, 60) =  rk(144) * Y( 39)
      JacC( 39, 39) = JacC( 39, 39) - dw(144, 39)
      JacC( 39, 60) = JacC( 39, 60) - dw(144, 60)
      JacC( 49, 39) = JacC( 49, 39) + dw(144, 39)
      JacC( 49, 60) = JacC( 49, 60) + dw(144, 60)
      JacC( 60, 39) = JacC( 60, 39) - dw(144, 39)
      JacC( 60, 60) = JacC( 60, 60) - dw(144, 60)
      dw(145, 39) =  rk(145) * Y( 39)
      dw(145, 39) =  rk(145) * Y( 39)
      JacC( 39, 39) = JacC( 39, 39)- 0.2000000000000000D+01*dw(145, 39)
      JacC( 39, 39) = JacC( 39, 39)- 0.2000000000000000D+01*dw(145, 39)
      dw(146, 59) =  rk(146) * Y( 61)
      dw(146, 61) =  rk(146) * Y( 59)
      JacC( 20, 59) = JacC( 20, 59) + dw(146, 59)
      JacC( 20, 61) = JacC( 20, 61) + dw(146, 61)
      JacC( 59, 59) = JacC( 59, 59) - dw(146, 59)
      JacC( 59, 61) = JacC( 59, 61) - dw(146, 61)
      JacC( 61, 59) = JacC( 61, 59) - dw(146, 59)
      JacC( 61, 61) = JacC( 61, 61) - dw(146, 61)
      dw(147, 58) =  rk(147) * Y( 54)
      dw(147, 54) =  rk(147) * Y( 58)
      JacC( 14, 58) = JacC( 14, 58) + dw(147, 58)
      JacC( 14, 54) = JacC( 14, 54) + dw(147, 54)
      JacC( 54, 58) = JacC( 54, 58) - dw(147, 58)
      JacC( 54, 54) = JacC( 54, 54) - dw(147, 54)
      JacC( 58, 58) = JacC( 58, 58) - dw(147, 58)
      JacC( 58, 54) = JacC( 58, 54) - dw(147, 54)
      dw(148, 55) =  rk(148) * Y( 61)
      dw(148, 61) =  rk(148) * Y( 55)
      JacC( 16, 55) = JacC( 16, 55) + dw(148, 55)
      JacC( 16, 61) = JacC( 16, 61) + dw(148, 61)
      JacC( 55, 55) = JacC( 55, 55) - dw(148, 55)
      JacC( 55, 61) = JacC( 55, 61) - dw(148, 61)
      JacC( 61, 55) = JacC( 61, 55) - dw(148, 55)
      JacC( 61, 61) = JacC( 61, 61) - dw(148, 61)
      dw(149, 54) =  rk(149) * Y( 61)
      dw(149, 61) =  rk(149) * Y( 54)
      JacC( 53, 54) = JacC( 53, 54) + dw(149, 54)
      JacC( 53, 61) = JacC( 53, 61) + dw(149, 61)
      JacC( 54, 54) = JacC( 54, 54) - dw(149, 54)
      JacC( 54, 61) = JacC( 54, 61) - dw(149, 61)
      JacC( 61, 54) = JacC( 61, 54) - dw(149, 54)
      JacC( 61, 61) = JacC( 61, 61) - dw(149, 61)
      dw(150, 54) =  rk(150) * Y(  9)
      dw(150,  9) =  rk(150) * Y( 54)
      JacC(  9, 54) = JacC(  9, 54) - dw(150, 54)
      JacC(  9,  9) = JacC(  9,  9) - dw(150,  9)
      JacC( 10, 54) = JacC( 10, 54) + dw(150, 54)
      JacC( 10,  9) = JacC( 10,  9) + dw(150,  9)
      JacC( 54, 54) = JacC( 54, 54) - dw(150, 54)
      JacC( 54,  9) = JacC( 54,  9) - dw(150,  9)
      JacC( 59, 54) = JacC( 59, 54) + dw(150, 54)
      JacC( 59,  9) = JacC( 59,  9) + dw(150,  9)
      dw(151, 20) =  rk(151)
      JacC( 20, 20) = JacC( 20, 20) - dw(151, 20)
      JacC( 59, 20) = JacC( 59, 20) + dw(151, 20)
      JacC( 61, 20) = JacC( 61, 20) + dw(151, 20)
      dw(152, 16) =  rk(152)
      JacC( 16, 16) = JacC( 16, 16) - dw(152, 16)
      JacC( 55, 16) = JacC( 55, 16) + dw(152, 16)
      JacC( 61, 16) = JacC( 61, 16) + dw(152, 16)
      dw(153, 28) =  rk(153)
      JacC( 28, 28) = JacC( 28, 28) - dw(153, 28)
      JacC( 29, 28) = JacC( 29, 28) + dw(153, 28)
      dw(154, 59) =  rk(154) * Y( 59)
      dw(154, 59) =  rk(154) * Y( 59)
      JacC( 12, 59) = JacC( 12, 59) + dw(154, 59)
      JacC( 12, 59) = JacC( 12, 59) + dw(154, 59)
      JacC( 59, 59) = JacC( 59, 59)- 0.2000000000000000D+01*dw(154, 59)
      JacC( 59, 59) = JacC( 59, 59)- 0.2000000000000000D+01*dw(154, 59)
      dw(155, 59) =  rk(155) * Y( 59)
      dw(155, 59) =  rk(155) * Y( 59)
      JacC( 12, 59) = JacC( 12, 59) + dw(155, 59)
      JacC( 12, 59) = JacC( 12, 59) + dw(155, 59)
      JacC( 59, 59) = JacC( 59, 59)- 0.2000000000000000D+01*dw(155, 59)
      JacC( 59, 59) = JacC( 59, 59)- 0.2000000000000000D+01*dw(155, 59)
      dw(156, 54) =  rk(156) * Y( 53)
      dw(156, 53) =  rk(156) * Y( 54)
      JacC( 53, 54) = JacC( 53, 54) - dw(156, 54)
      JacC( 53, 53) = JacC( 53, 53) - dw(156, 53)
      JacC( 54, 54) = JacC( 54, 54) - dw(156, 54)
      JacC( 54, 53) = JacC( 54, 53) - dw(156, 53)
      JacC( 55, 54) = JacC( 55, 54) + dw(156, 54)
      JacC( 55, 53) = JacC( 55, 53) + dw(156, 53)
      dw(157, 56) =  rk(157) * Y( 54)
      dw(157, 54) =  rk(157) * Y( 56)
      JacC( 26, 56) = JacC( 26, 56) + dw(157, 56)
      JacC( 26, 54) = JacC( 26, 54) + dw(157, 54)
      JacC( 54, 56) = JacC( 54, 56) - dw(157, 56)
      JacC( 54, 54) = JacC( 54, 54) - dw(157, 54)
      JacC( 56, 56) = JacC( 56, 56) - dw(157, 56)
      JacC( 56, 54) = JacC( 56, 54) - dw(157, 54)
      JacC( 59, 56) = JacC( 59, 56) + dw(157, 56)
      JacC( 59, 54) = JacC( 59, 54) + dw(157, 54)
      
      RETURN
      END
      
