C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     This file defines global variables related to provided data.
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C------------------------------------------------------------------------

C     Initial concentrations.
      DOUBLE PRECISION DLCG0(Nx,Ny,Nz,NESP)

C     Timestep for meteorological data.
      DOUBLE PRECISION Dtmeteo
      DOUBLE PRECISION Dtmet0
C     Timestep for vertical diffusion.
      DOUBLE PRECISION DtKz
      DOUBLE PRECISION DtKz0
C     Timestep for volumic-emissions data.
      DOUBLE PRECISION Dtsourc
      DOUBLE PRECISION Dtsourc0
C     Timestep for deposition velocities.
      DOUBLE PRECISION Dtvdep
      DOUBLE PRECISION Dtvdep0
C     Timestep for surfacic-emissions data.
      DOUBLE PRECISION Dtemis
      DOUBLE PRECISION Dtemis0
C     Timestep for forced-concentrations data.
      DOUBLE PRECISION Dtconcf
      DOUBLE PRECISION Dtconcf0
C     Timestep for initial concentrations.
      DOUBLE PRECISION Dtcl
      DOUBLE PRECISION Dtcl0
C     Steps and initial values for photolysis rates.
      DOUBLE PRECISION Dttimephot, Dtanglephot, Dtlatphot
      DOUBLE PRECISION Dttimephot0, Dtanglephot0, Dtlatphot0
C     Heights at which photolytic rates are provided.
      DOUBLE PRECISION Dzphot(Nzphot)

C     Number of available steps.
      INTEGER NECHSOURC,NECHVDEP,NECHCONCF,NECHMET,NECHEMIS,NECHCL
      INTEGER NECHTIMEPHOT,NANGLEPHOT,NLATPHOT,NECHKZ

C     Sets to 'true' ('false') if the current iteration is (not) the
C     first one.
      LOGICAL LITER

C     All variables are global variables.
      COMMON/COMDATA/DLCG0,Dzphot,
     s     Dtmeteo,Dtmet0,DtKz,DtKz0,
     s     Dtsourc,Dtsourc0,Dtemis0,Dtemis,
     s     Dtvdep,Dtvdep0,Dtconcf,Dtconcf0,Dtcl,Dtcl0,Dttimephot,
     $     Dttimephot0,Dtanglephot,Dtanglephot0,Dtlatphot,Dtlatphot0,
     s     NECHSOURC,NECHVDEP,NECHCONCF,NECHMET,NECHEMIS,NECHCL,NECHKZ,
     s     NECHTIMEPHOT,NANGLEPHOT,NLATPHOT,LITER


