C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     This file defines global variables for files names.
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C------------------------------------------------------------------------

C     Species names.
      CHARACTER*30 species_names(Nesp+Nespf)

C     Lists of file names.

C     Initial concentrations.
      CHARACTER*200 file_conc0(Nconc0)

C     Boundary conditions.
      CHARACTER*200 file_clx(Nspcl)
      CHARACTER*200 file_cly(Nspcl)
      CHARACTER*200 file_clz(Nspcl)

C     Surfacic emissions.
      CHARACTER*200 file_emis(Nemi)

C     Volumic emissions.
      CHARACTER*200 file_sourc(Nsrc)

C     Dry deposition velocities.
      CHARACTER*200 file_vdep(Ndep)

C     Photolysis rates.
      CHARACTER*200 file_photolysis_rates(Nrphot)

C     Outputs.
      CHARACTER*200 file_res(Nesp)
      CHARACTER*200 file_res_vdep(Ndep)
      CHARACTER*200 file_res_scavg(Nscav)

C     All variables are global variables.
      COMMON /COMFILES/ species_names, file_conc0,
     $     file_clx, file_cly, file_clz,
     $     file_emis, file_sourc, file_vdep,
     $     file_res, file_res_vdep,
     $     file_res_scavg, file_photolysis_rates
