C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

      SUBROUTINE apply_perm(permutation, length, strings)

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     This routine applies a permutation to an array of strings.
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     PERMUTATION: permutation.
C     LENGTH: length of the array of strings.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     STRINGS: on entry, an array of strings. On exit, array elements
C     were permuted.
C     
C     -- OUTPUT VARIABLES
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     Vivien Mallet, CEREA, March 2003.
C     
C------------------------------------------------------------------------

      IMPLICIT NONE

      INTEGER i
      INTEGER length

      INTEGER permutation(length)
      CHARACTER*200 strings(length)
      CHARACTER*200 buffer(length)

      DO i=1, length
         buffer(i) = strings(i)
      ENDDO

      DO i=1, length
         strings(i) = buffer(permutation(i))
      ENDDO

      END
