C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

      SUBROUTINE INITCTM1

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     This routine initializes the CTM.
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     Jaouad Boutahar, CEREA, June 2001.
C     
C------------------------------------------------------------------------

      IMPLICIT NONE

C     -- INCLUDE FILES
C     PARADOM: parameters for all forced fields.
C     PARACHEM: parameters for sizes of 'chemical' arrays.
C     COMDATA: data on forced fields.
C     COMPOST: global variables for post treatment.

      INCLUDE 'PARADOM.INC'
      INCLUDE 'PARACHEM.INC'
      INCLUDE 'COMDATA.INC'
      INCLUDE 'COMUSE.INC'
      INCLUDE 'COMPOST.INC'

      INTEGER Ji, Jj, Jk, Jsp

C     Reads species names and input/output files names
C     related to chemistry.
      CALL READFILES

C     Reads species physical constants.
      CALL INITPHYS

C     Domain.
      CALL INITDOM

C     Units (for files).
      CALL INITLUN

C     Available data.
      CALL INITDATA

C     Initial concentrations.
      CALL INITCONCI

C     Time independant dry deposition resistance.
      IF (LVDEPOCOMP) CALL INITVDEPO1

C     For integrated concentrations: nothing was cumulated.
      IF (L_POST_INTEGRATION) THEN
         I_post_int = 0
         DO Jsp = 1,Nesp
            DO Jk = 1,Nz
               DO Jj = 1,Ny
                  DO Ji = 1,Nx
                     S_conc_int(Ji, Jj, Jk, Jsp) = 0.5
     $                    * REAL(DLCG0(Ji, Jj, Jk, Jsp))
                  ENDDO
               ENDDO
            ENDDO
         ENDDO
      ENDIF

      END
