C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

      SUBROUTINE INITDATA

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     This routine reads data on forced fields.
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     Jaouad Boutahar, CEREA, June 2001.
C     
C------------------------------------------------------------------------

      IMPLICIT NONE

C     -- INCLUDE FILES
C     PARADOM: parameters for all forced fields.
C     PARACHEM: parameters for sizes of 'chemical' arrays.
C     COMDATA: data on forced fields.

      INCLUDE 'PARADOM.INC'
      INCLUDE 'PARACHEM.INC'
      INCLUDE 'COMDATA.INC'

      INTEGER NUC


      NUC=4
      OPEN(NUC,FILE ='CONTROL/NAMDATA',STATUS = 'OLD')

C-----------------------------------------------

      READ(NUC,*)

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtmeteo
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtmet0
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)NECHMET

C-----------------------------------------------

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)DtKz
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)DtKz0
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)NECHKZ

C-----------------------------------------------

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtcl
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtcl0
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)NECHCL

C-----------------------------------------------

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtemis
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtemis0
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)NECHEMIS

C-----------------------------------------------

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtsourc
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtsourc0
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)NECHSOURC

C-----------------------------------------------

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtvdep
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtvdep0
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)NECHVDEP

C-----------------------------------------------

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtconcf
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)Dtconcf0
C     
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)NECHCONCF

C-----------------------------------------------

      CLOSE(NUC)

      END
