C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

      SUBROUTINE READKZ(irrKz,DGKzf)

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     This routine reads vertical diffusion coefficients.
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     IRRKZ: iteration.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     DGKZF: 3D Kz field.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     Vivien Mallet, CEREA, September 2003.
C     
C------------------------------------------------------------------------

      IMPLICIT NONE

C     -- INCLUDE FILES
C     PARADOM: parameters for all forced fields.
C     COMLUN: global variables for unit numbers.

      INCLUDE 'PARADOM.INC'
      INCLUDE 'COMLUN.INC'

      REAL DGKzf(NX,NY,NZ+1)

      CHARACTER*200 file_kz

      INTEGER NUC,i,j,k,irrKz


      NUC=2
      OPEN(NUC,FILE ='CONTROL/NAMETEO',STATUS ='OLD')

      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)
      READ(NUC,*)

C     Kz.
      READ(NUC,*)
      READ(NUC,*)

      READ(NUC,*)file_kz
      
      OPEN(unit=NULMETEO,file=file_kz,access='direct',
     s     form='unformatted',recl=4*(Nx)*(Ny)*(Nz+1))
      READ(NULMETEO,rec=1+(irrKz-1))
     s     (((DGKzf(i,j,k),i=1,Nx),j=1,Ny),k=1,Nz+1)
      CLOSE (NULMETEO)

      CLOSE(NUC)

      END
