C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

      SUBROUTINE readlatlon

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     This routine reads latitude/longitude coordinates of cells centers.
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
c     .Karine Sartelet - CEREVE ENPC - mars 2002
c     - Initialisation de ddlon, ddlat, dlat0 et dlon0
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     Jaouad Boutahar, CEREA, February 2002.
C     
C------------------------------------------------------------------------

      IMPLICIT NONE

C     -- INCLUDE FILES
C     PARADOM: parameters for all forced fields.
C     COMDOM: global variables for the domain.
C     COMUSE: flags and parameters for numerics. 

      INCLUDE 'PARADOM.INC'
      INCLUDE 'COMDOM.INC'
      INCLUDE 'COMUSE.INC'

      INTEGER Ji,Jj,Jk,NUC
      REAL DGlat0,DGlon0 


      NUC=45
      OPEN(NUC,FILE='CONTROL/latlon',STATUS='OLD')

C     Coordinates.
      DO Ji=1,Nx
         DO Jj=1,Ny
            READ(NUC,*)DGlat0,DGlon0
            DO Jk=1,Nz
               Dlat(Ji,Jj,Jk)=DBLE(DGlat0) 
               Dlon(Ji,Jj,Jk)=DBLE(DGlon0)
            ENDDO
         ENDDO
      ENDDO

C     Longitude steps.
      Do Ji=1,Nx
         IF (Ji.LT.Nx) THEN
            DDlon(Ji)=Dlon(Ji+1,1,1)-Dlon(Ji,1,1)
         ELSE
            IF (Ji.NE.1) DDlon(Ji)=DDlon(Ji-1)
         ENDIF
      Enddo

C     Latitude steps.
      Do Ji=1,Ny
         IF (Ji.LT.Ny) THEN
            DDlat(Ji)=Dlat(1,Ji+1,1)-Dlat(1,Ji,1)
         ELSE
            IF (Ji.NE.1) DDlat(Ji)=DDlat(Ji-1)
         ENDIF
      Enddo

C     !!!  WARNING  !!!
C     When LatLon used, Dlat0 and Dlon0 are linked to a nodes
C     here Dlat0 and Dlon0 are linked to a cell center.
C     These variables are not used later.
C     !!!  WARNING  !!!

      Dlat0=Dlat(1,1,1)  
      Dlon0=Dlon(1,1,1)  

      CLOSE(NUC)

      END
