C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C------------------------------------------------------------------------
C     
C     Parameters for OZONE16 mechanism.
C     
C     NESP: number of species.
C     NR: number of reactions.
C     NDEP: number of species with dry deposition.
C     NSCAV: number of species with scavenging.
C     NEMI: number of species with surfacic emissions.
C     NSRC: number of species with volumic emissions.
C     NZS: number of source levels.
C     NESPF: number of forced species.
C     NSPCL: number of species with boundary conditions.
C     
C     Parameters for photolysis reactions to be read.
C     NRPHOT: number of photolysis reactions.
C     
C     NCYCLE: number of subcycling timesteps for chemistry.
C------------------------------------------------------------------------

      INTEGER NESP,NR
      PARAMETER(NESP=16,NR=12)

C     Number of photolysis reactions.
      INTEGER NRphot
      PARAMETER (NRPHOT=1)

C     Number of species for which initial concentrations are available.
      INTEGER Nconc0
      PARAMETER (Nconc0=16)

      INTEGER Ndep
      PARAMETER(Ndep=3)

      INTEGER Nscav
      PARAMETER(Nscav=1)

      INTEGER Nemi
      PARAMETER(Nemi=3)

      INTEGER Nsrc,Nzs
      PARAMETER(Nsrc=1,Nzs=1)

      INTEGER NESPF
      PARAMETER(NESPF=1)

      INTEGER NSPCL
      PARAMETER(NSPCL=1)

      INTEGER Ncycle
      PARAMETER(Ncycle=1)
