      subroutine jacdchemdc(y,rk,JacC)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the Jacobian matrix for the gas-phase.
C     This routine is automatically generated by SPACK.
C     Mechanism: EURORADM            
C     Species: _ciEURORADM         
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     Y: chemical concentrations.
C     RK: kinetic rates.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     JACC: Jacobian matrix.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C     The matrix JACC could be stored in a low-dimensional vector.
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
C     PARADOM: parameters for all forced fields.
      
      include 'PARACHEM.INC' 
      INCLUDE 'PARADOM.INC'  
      
      integer i,j
      double precision dw(nr,nesp),rk(nr),y(nesp),JacC(nesp,nesp)
      
      do j=1,nesp
         do i=1,nesp
            JacC(i,j)=0.d0
         enddo
      enddo
      
      call dratedc(rk,y,dw)
      
      JacC( 32, 81) = JacC( 32, 81) + dw(  1, 81)
      JacC( 80, 81) = JacC( 80, 81) + dw(  1, 81)
      JacC( 81, 81) = JacC( 81, 81) - dw(  1, 81)
      JacC(  3, 58) = JacC(  3, 58) + dw(  2, 58)
      JacC( 58, 58) = JacC( 58, 58) - dw(  2, 58)
      JacC( 32, 58) = JacC( 32, 58) + dw(  3, 58)
      JacC( 58, 58) = JacC( 58, 58) - dw(  3, 58)
      JacC( 14, 14) = JacC( 14, 14) - dw(  4, 14)
      JacC( 75, 14) = JacC( 75, 14) + dw(  4, 14)
      JacC( 80, 14) = JacC( 80, 14) + dw(  4, 14)
      JacC( 72, 72) = JacC( 72, 72) - dw(  5, 72)
      JacC( 75, 72) = JacC( 75, 72) + dw(  5, 72)
      JacC( 81, 72) = JacC( 81, 72) + dw(  5, 72)
      JacC( 18, 18) = JacC( 18, 18) - dw(  6, 18)
      JacC( 73, 18) = JacC( 73, 18)+ 0.3500000000000000D+00*dw(  6, 18)
      JacC( 75, 18) = JacC( 75, 18)+ 0.3500000000000000D+00*dw(  6, 18)
      JacC( 79, 18) = JacC( 79, 18)+ 0.6500000000000000D+00*dw(  6, 18)
      JacC( 81, 18) = JacC( 81, 18)+ 0.6500000000000000D+00*dw(  6, 18)
      JacC( 73, 73) = JacC( 73, 73) - dw(  7, 73)
      JacC( 80, 73) = JacC( 80, 73) + dw(  7, 73)
      JacC( 32, 73) = JacC( 32, 73) + dw(  8, 73)
      JacC( 73, 73) = JacC( 73, 73) - dw(  8, 73)
      JacC( 81, 73) = JacC( 81, 73) + dw(  8, 73)
      JacC( 29, 29) = JacC( 29, 29) - dw(  9, 29)
      JacC( 75, 29) = JacC( 75, 29)+ 0.2000000000000000D+01*dw(  9, 29)
      JacC( 74, 74) = JacC( 74, 74) - dw( 10, 74)
      JacC( 76, 74) = JacC( 76, 74) + dw( 10, 74)
      JacC( 74, 74) = JacC( 74, 74) - dw( 11, 74)
      JacC( 76, 74) = JacC( 76, 74) + dw( 11, 74)
      JacC( 79, 74) = JacC( 79, 74)+ 0.2000000000000000D+01*dw( 11, 74)
      JacC( 67, 67) = JacC( 67, 67) - dw( 12, 67)
      JacC( 69, 67) = JacC( 69, 67) + dw( 12, 67)
      JacC( 76, 67) = JacC( 76, 67) + dw( 12, 67)
      JacC( 79, 67) = JacC( 79, 67) + dw( 12, 67)
      JacC( 27, 27) = JacC( 27, 27) - dw( 13, 27)
      JacC( 74, 27) = JacC( 74, 27) + dw( 13, 27)
      JacC( 75, 27) = JacC( 75, 27) + dw( 13, 27)
      JacC( 79, 27) = JacC( 79, 27) + dw( 13, 27)
      JacC( 65, 65) = JacC( 65, 65) - dw( 14, 65)
      JacC( 67, 65) = JacC( 67, 65) + dw( 14, 65)
      JacC( 75, 65) = JacC( 75, 65) + dw( 14, 65)
      JacC( 79, 65) = JacC( 79, 65) + dw( 14, 65)
      JacC( 28, 28) = JacC( 28, 28) - dw( 15, 28)
      JacC( 69, 28) = JacC( 69, 28) + dw( 15, 28)
      JacC( 75, 28) = JacC( 75, 28) + dw( 15, 28)
      JacC( 62, 62) = JacC( 62, 62) - dw( 16, 62)
      JacC( 63, 62) = JacC( 63, 62) + dw( 16, 62)
      JacC( 82, 62) = JacC( 82, 62) + dw( 16, 62)
      JacC( 71, 71) = JacC( 71, 71) - dw( 17, 71)
      JacC( 74, 71) = JacC( 74, 71)+ 0.1300000000000000D+00*dw( 17, 71)
      JacC( 76, 71) = JacC( 76, 71)+ 0.1870000000000000D+01*dw( 17, 71)
      JacC( 71, 71) = JacC( 71, 71) - dw( 18, 71)
      JacC( 74, 71) = JacC( 74, 71)+ 0.4500000000000000D+00*dw( 18, 71)
      JacC( 76, 71) = JacC( 76, 71)+ 0.1550000000000000D+01*dw( 18, 71)
      JacC( 79, 71) = JacC( 79, 71)+ 0.8000000000000000D+00*dw( 18, 71)
      JacC( 70, 70) = JacC( 70, 70) - dw( 19, 70)
      JacC( 76, 70) = JacC( 76, 70) + dw( 19, 70)
      JacC( 79, 70) = JacC( 79, 70) + dw( 19, 70)
      JacC( 82, 70) = JacC( 82, 70) + dw( 19, 70)
      JacC( 52, 52) = JacC( 52, 52) - dw( 20, 52)
      JacC( 77, 52) = JacC( 77, 52) + dw( 20, 52)
      JacC( 79, 52) = JacC( 79, 52) + dw( 20, 52)
      JacC( 61, 61) = JacC( 61, 61) - dw( 21, 61)
      JacC( 62, 61) = JacC( 62, 61)+ 0.8000000000000000D+00*dw( 21, 61)
      JacC( 67, 61) = JacC( 67, 61)+ 0.2000000000000000D+00*dw( 21, 61)
      JacC( 79, 61) = JacC( 79, 61) + dw( 21, 61)
      JacC( 81, 61) = JacC( 81, 61) + dw( 21, 61)
      JacC( 33, 33) = JacC( 33, 33) - dw( 22, 33)
      JacC( 74, 33) = JacC( 74, 33) + dw( 22, 33)
      JacC( 76, 33) = JacC( 76, 33) + dw( 22, 33)
      JacC( 79, 33) = JacC( 79, 33)+ 0.2000000000000000D+01*dw( 22, 33)
      JacC( 30, 30) = JacC( 30, 30) - dw( 23, 30)
      JacC( 74, 30) = JacC( 74, 30) + dw( 23, 30)
      JacC( 79, 30) = JacC( 79, 30) + dw( 23, 30)
      JacC( 82, 30) = JacC( 82, 30) + dw( 23, 30)
      JacC( 32, 32) = JacC( 32, 32) - dw( 24, 32)
      JacC( 58, 32) = JacC( 58, 32) + dw( 24, 32)
      JacC( 32, 32) = JacC( 32, 32) - dw( 25, 32)
      JacC( 32, 81) = JacC( 32, 81) - dw( 25, 81)
      JacC( 80, 32) = JacC( 80, 32) + dw( 25, 32)
      JacC( 80, 81) = JacC( 80, 81) + dw( 25, 81)
      JacC( 81, 32) = JacC( 81, 32) - dw( 25, 32)
      JacC( 81, 81) = JacC( 81, 81) - dw( 25, 81)
      JacC(  3,  3) = JacC(  3,  3) - dw( 26,  3)
      JacC( 32,  3) = JacC( 32,  3) + dw( 26,  3)
      JacC(  3,  3) = JacC(  3,  3) - dw( 27,  3)
      JacC( 32,  3) = JacC( 32,  3) + dw( 27,  3)
      JacC(  3,  3) = JacC(  3,  3) - dw( 28,  3)
      JacC( 75,  3) = JacC( 75,  3)+ 0.2000000000000000D+01*dw( 28,  3)
      JacC( 58, 58) = JacC( 58, 58) - dw( 29, 58)
      JacC( 58, 80) = JacC( 58, 80) - dw( 29, 80)
      JacC( 80, 58) = JacC( 80, 58) - dw( 29, 58)
      JacC( 80, 80) = JacC( 80, 80) - dw( 29, 80)
      JacC( 81, 58) = JacC( 81, 58) + dw( 29, 58)
      JacC( 81, 80) = JacC( 81, 80) + dw( 29, 80)
      JacC( 58, 58) = JacC( 58, 58) - dw( 30, 58)
      JacC( 58, 75) = JacC( 58, 75) - dw( 30, 75)
      JacC( 75, 58) = JacC( 75, 58) - dw( 30, 58)
      JacC( 75, 75) = JacC( 75, 75) - dw( 30, 75)
      JacC( 79, 58) = JacC( 79, 58) + dw( 30, 58)
      JacC( 79, 75) = JacC( 79, 75) + dw( 30, 75)
      JacC( 58, 58) = JacC( 58, 58) - dw( 31, 58)
      JacC( 58, 79) = JacC( 58, 79) - dw( 31, 79)
      JacC( 75, 58) = JacC( 75, 58) + dw( 31, 58)
      JacC( 75, 79) = JacC( 75, 79) + dw( 31, 79)
      JacC( 79, 58) = JacC( 79, 58) - dw( 31, 58)
      JacC( 79, 79) = JacC( 79, 79) - dw( 31, 79)
      JacC( 75, 79) = JacC( 75, 79) + dw( 32, 79)
      JacC( 75, 80) = JacC( 75, 80) + dw( 32, 80)
      JacC( 79, 79) = JacC( 79, 79) - dw( 32, 79)
      JacC( 79, 80) = JacC( 79, 80) - dw( 32, 80)
      JacC( 80, 79) = JacC( 80, 79) - dw( 32, 79)
      JacC( 80, 80) = JacC( 80, 80) - dw( 32, 80)
      JacC( 81, 79) = JacC( 81, 79) + dw( 32, 79)
      JacC( 81, 80) = JacC( 81, 80) + dw( 32, 80)
      JacC( 18, 79) = JacC( 18, 79) + dw( 33, 79)
      JacC( 18, 81) = JacC( 18, 81) + dw( 33, 81)
      JacC( 79, 79) = JacC( 79, 79) - dw( 33, 79)
      JacC( 79, 81) = JacC( 79, 81) - dw( 33, 81)
      JacC( 81, 79) = JacC( 81, 79) - dw( 33, 79)
      JacC( 81, 81) = JacC( 81, 81) - dw( 33, 81)
      JacC( 18, 18) = JacC( 18, 18) - dw( 34, 18)
      JacC( 79, 18) = JacC( 79, 18) + dw( 34, 18)
      JacC( 81, 18) = JacC( 81, 18) + dw( 34, 18)
      JacC( 29, 79) = JacC( 29, 79) + dw( 35, 79)
      JacC( 29, 79) = JacC( 29, 79) + dw( 35, 79)
      JacC( 79, 79) = JacC( 79, 79)- 0.2000000000000000D+01*dw( 35, 79)
      JacC( 79, 79) = JacC( 79, 79)- 0.2000000000000000D+01*dw( 35, 79)
      JacC( 29, 79) = JacC( 29, 79) + dw( 36, 79)
      JacC( 29, 79) = JacC( 29, 79) + dw( 36, 79)
      JacC( 79, 79) = JacC( 79, 79)- 0.2000000000000000D+01*dw( 36, 79)
      JacC( 79, 79) = JacC( 79, 79)- 0.2000000000000000D+01*dw( 36, 79)
      JacC( 29, 29) = JacC( 29, 29) - dw( 37, 29)
      JacC( 29, 75) = JacC( 29, 75) - dw( 37, 75)
      JacC( 75, 29) = JacC( 75, 29) - dw( 37, 29)
      JacC( 75, 75) = JacC( 75, 75) - dw( 37, 75)
      JacC( 79, 29) = JacC( 79, 29) + dw( 37, 29)
      JacC( 79, 75) = JacC( 79, 75) + dw( 37, 75)
      JacC( 14, 80) = JacC( 14, 80) + dw( 38, 80)
      JacC( 14, 75) = JacC( 14, 75) + dw( 38, 75)
      JacC( 75, 80) = JacC( 75, 80) - dw( 38, 80)
      JacC( 75, 75) = JacC( 75, 75) - dw( 38, 75)
      JacC( 80, 80) = JacC( 80, 80) - dw( 38, 80)
      JacC( 80, 75) = JacC( 80, 75) - dw( 38, 75)
      JacC( 80, 80) = JacC( 80, 80)- 0.2000000000000000D+01*dw( 39, 80)
      JacC( 80, 80) = JacC( 80, 80)- 0.2000000000000000D+01*dw( 39, 80)
      JacC( 81, 80) = JacC( 81, 80)+ 0.2000000000000000D+01*dw( 39, 80)
      JacC( 81, 80) = JacC( 81, 80)+ 0.2000000000000000D+01*dw( 39, 80)
      JacC( 58, 58) = JacC( 58, 58) - dw( 40, 58)
      JacC( 58, 81) = JacC( 58, 81) - dw( 40, 81)
      JacC( 73, 58) = JacC( 73, 58) + dw( 40, 58)
      JacC( 73, 81) = JacC( 73, 81) + dw( 40, 81)
      JacC( 81, 58) = JacC( 81, 58) - dw( 40, 58)
      JacC( 81, 81) = JacC( 81, 81) - dw( 40, 81)
      JacC( 73, 73) = JacC( 73, 73) - dw( 41, 73)
      JacC( 73, 80) = JacC( 73, 80) - dw( 41, 80)
      JacC( 80, 73) = JacC( 80, 73) - dw( 41, 73)
      JacC( 80, 80) = JacC( 80, 80) - dw( 41, 80)
      JacC( 81, 73) = JacC( 81, 73)+ 0.2000000000000000D+01*dw( 41, 73)
      JacC( 81, 80) = JacC( 81, 80)+ 0.2000000000000000D+01*dw( 41, 80)
      JacC( 73, 73) = JacC( 73, 73) - dw( 42, 73)
      JacC( 73, 81) = JacC( 73, 81) - dw( 42, 81)
      JacC( 80, 73) = JacC( 80, 73) + dw( 42, 73)
      JacC( 80, 81) = JacC( 80, 81) + dw( 42, 81)
      JacC( 72, 73) = JacC( 72, 73) + dw( 43, 73)
      JacC( 72, 79) = JacC( 72, 79) + dw( 43, 79)
      JacC( 73, 73) = JacC( 73, 73) - dw( 43, 73)
      JacC( 73, 79) = JacC( 73, 79) - dw( 43, 79)
      JacC( 79, 73) = JacC( 79, 73) - dw( 43, 73)
      JacC( 79, 79) = JacC( 79, 79) - dw( 43, 79)
      JacC( 15, 73) = JacC( 15, 73) + dw( 44, 73)
      JacC( 15, 81) = JacC( 15, 81) + dw( 44, 81)
      JacC( 73, 73) = JacC( 73, 73) - dw( 44, 73)
      JacC( 73, 81) = JacC( 73, 81) - dw( 44, 81)
      JacC( 81, 73) = JacC( 81, 73) - dw( 44, 73)
      JacC( 81, 81) = JacC( 81, 81) - dw( 44, 81)
      JacC( 15, 15) = JacC( 15, 15) - dw( 45, 15)
      JacC( 73, 15) = JacC( 73, 15) + dw( 45, 15)
      JacC( 81, 15) = JacC( 81, 15) + dw( 45, 15)
      JacC( 72, 75) = JacC( 72, 75) + dw( 46, 75)
      JacC( 72, 81) = JacC( 72, 81) + dw( 46, 81)
      JacC( 75, 75) = JacC( 75, 75) - dw( 46, 75)
      JacC( 75, 81) = JacC( 75, 81) - dw( 46, 81)
      JacC( 81, 75) = JacC( 81, 75) - dw( 46, 75)
      JacC( 81, 81) = JacC( 81, 81) - dw( 46, 81)
      JacC( 72, 75) = JacC( 72, 75) - dw( 47, 75)
      JacC( 72, 72) = JacC( 72, 72) - dw( 47, 72)
      JacC( 73, 75) = JacC( 73, 75) + dw( 47, 75)
      JacC( 73, 72) = JacC( 73, 72) + dw( 47, 72)
      JacC( 75, 75) = JacC( 75, 75) - dw( 47, 75)
      JacC( 75, 72) = JacC( 75, 72) - dw( 47, 72)
      JacC( 18, 75) = JacC( 18, 75) - dw( 48, 75)
      JacC( 18, 18) = JacC( 18, 18) - dw( 48, 18)
      JacC( 75, 75) = JacC( 75, 75) - dw( 48, 75)
      JacC( 75, 18) = JacC( 75, 18) - dw( 48, 18)
      JacC( 81, 75) = JacC( 81, 75) + dw( 48, 75)
      JacC( 81, 18) = JacC( 81, 18) + dw( 48, 18)
      JacC( 75, 75) = JacC( 75, 75) - dw( 49, 75)
      JacC( 75, 79) = JacC( 75, 79) - dw( 49, 79)
      JacC( 79, 75) = JacC( 79, 75) - dw( 49, 75)
      JacC( 79, 79) = JacC( 79, 79) - dw( 49, 79)
      JacC(  1, 75) = JacC(  1, 75) - dw( 50, 75)
      JacC(  1,  1) = JacC(  1,  1) - dw( 50,  1)
      JacC(  2, 75) = JacC(  2, 75) + dw( 50, 75)
      JacC(  2,  1) = JacC(  2,  1) + dw( 50,  1)
      JacC( 75, 75) = JacC( 75, 75) - dw( 50, 75)
      JacC( 75,  1) = JacC( 75,  1) - dw( 50,  1)
      JacC( 79, 75) = JacC( 79, 75) + dw( 50, 75)
      JacC( 79,  1) = JacC( 79,  1) + dw( 50,  1)
      JacC( 75, 76) = JacC( 75, 76) - dw( 51, 76)
      JacC( 75, 75) = JacC( 75, 75) - dw( 51, 75)
      JacC( 76, 76) = JacC( 76, 76) - dw( 51, 76)
      JacC( 76, 75) = JacC( 76, 75) - dw( 51, 75)
      JacC( 79, 76) = JacC( 79, 76) + dw( 51, 76)
      JacC( 79, 75) = JacC( 79, 75) + dw( 51, 75)
      JacC( 31, 31) = JacC( 31, 31) - dw( 52, 31)
      JacC( 31, 75) = JacC( 31, 75) - dw( 52, 75)
      JacC( 69, 31) = JacC( 69, 31) + dw( 52, 31)
      JacC( 69, 75) = JacC( 69, 75) + dw( 52, 75)
      JacC( 75, 31) = JacC( 75, 31) - dw( 52, 31)
      JacC( 75, 75) = JacC( 75, 75) - dw( 52, 75)
      JacC(  4,  4) = JacC(  4,  4) - dw( 53,  4)
      JacC(  4, 75) = JacC(  4, 75) - dw( 53, 75)
      JacC( 63,  4) = JacC( 63,  4) + dw( 53,  4)
      JacC( 63, 75) = JacC( 63, 75) + dw( 53, 75)
      JacC( 75,  4) = JacC( 75,  4) - dw( 53,  4)
      JacC( 75, 75) = JacC( 75, 75) - dw( 53, 75)
      JacC(  5,  5) = JacC(  5,  5) - dw( 54,  5)
      JacC(  5, 75) = JacC(  5, 75) - dw( 54, 75)
      JacC( 66,  5) = JacC( 66,  5) + dw( 54,  5)
      JacC( 66, 75) = JacC( 66, 75) + dw( 54, 75)
      JacC( 75,  5) = JacC( 75,  5) - dw( 54,  5)
      JacC( 75, 75) = JacC( 75, 75) - dw( 54, 75)
      JacC(  6,  6) = JacC(  6,  6) - dw( 55,  6)
      JacC(  6, 75) = JacC(  6, 75) - dw( 55, 75)
      JacC( 35,  6) = JacC( 35,  6) + dw( 55,  6)
      JacC( 35, 75) = JacC( 35, 75) + dw( 55, 75)
      JacC( 75,  6) = JacC( 75,  6) - dw( 55,  6)
      JacC( 75, 75) = JacC( 75, 75) - dw( 55, 75)
      JacC( 78,  6) = JacC( 78,  6)+ 0.3970000000000000D+00*dw( 55,  6)
      JacC( 78, 75) = JacC( 78, 75)+ 0.3970000000000000D+00*dw( 55, 75)
      JacC( 10, 10) = JacC( 10, 10) - dw( 56, 10)
      JacC( 10, 75) = JacC( 10, 75) - dw( 56, 75)
      JacC( 39, 10) = JacC( 39, 10) + dw( 56, 10)
      JacC( 39, 75) = JacC( 39, 75) + dw( 56, 75)
      JacC( 75, 10) = JacC( 75, 10) - dw( 56, 10)
      JacC( 75, 75) = JacC( 75, 75) - dw( 56, 75)
      JacC( 78, 10) = JacC( 78, 10)+ 0.7500000000000000D+00*dw( 56, 10)
      JacC( 78, 75) = JacC( 78, 75)+ 0.7500000000000000D+00*dw( 56, 75)
      JacC( 19, 19) = JacC( 19, 19) - dw( 57, 19)
      JacC( 19, 75) = JacC( 19, 75) - dw( 57, 75)
      JacC( 41, 19) = JacC( 41, 19) + dw( 57, 19)
      JacC( 41, 75) = JacC( 41, 75) + dw( 57, 75)
      JacC( 75, 19) = JacC( 75, 19) - dw( 57, 19)
      JacC( 75, 75) = JacC( 75, 75) - dw( 57, 75)
      JacC( 45, 45) = JacC( 45, 45) - dw( 58, 45)
      JacC( 45, 75) = JacC( 45, 75) - dw( 58, 75)
      JacC( 46, 45) = JacC( 46, 45) + dw( 58, 45)
      JacC( 46, 75) = JacC( 46, 75) + dw( 58, 75)
      JacC( 75, 45) = JacC( 75, 45) - dw( 58, 45)
      JacC( 75, 75) = JacC( 75, 75) - dw( 58, 75)
      JacC( 54, 59) = JacC( 54, 59) + dw( 59, 59)
      JacC( 54, 75) = JacC( 54, 75) + dw( 59, 75)
      JacC( 59, 59) = JacC( 59, 59) - dw( 59, 59)
      JacC( 59, 75) = JacC( 59, 75) - dw( 59, 75)
      JacC( 75, 59) = JacC( 75, 59) - dw( 59, 59)
      JacC( 75, 75) = JacC( 75, 75) - dw( 59, 75)
      JacC( 12, 12) = JacC( 12, 12) - dw( 60, 12)
      JacC( 12, 75) = JacC( 12, 75) - dw( 60, 75)
      JacC( 16, 12) = JacC( 16, 12)+ 0.2500000000000000D+00*dw( 60, 12)
      JacC( 16, 75) = JacC( 16, 75)+ 0.2500000000000000D+00*dw( 60, 75)
      JacC( 47, 12) = JacC( 47, 12)+ 0.7500000000000000D+00*dw( 60, 12)
      JacC( 47, 75) = JacC( 47, 75)+ 0.7500000000000000D+00*dw( 60, 75)
      JacC( 75, 12) = JacC( 75, 12) - dw( 60, 12)
      JacC( 75, 75) = JacC( 75, 75) - dw( 60, 75)
      JacC( 79, 12) = JacC( 79, 12)+ 0.2500000000000000D+00*dw( 60, 12)
      JacC( 79, 75) = JacC( 79, 75)+ 0.2500000000000000D+00*dw( 60, 75)
      JacC( 13, 13) = JacC( 13, 13) - dw( 61, 13)
      JacC( 13, 75) = JacC( 13, 75) - dw( 61, 75)
      JacC( 16, 13) = JacC( 16, 13)+ 0.1700000000000000D+00*dw( 61, 13)
      JacC( 16, 75) = JacC( 16, 75)+ 0.1700000000000000D+00*dw( 61, 75)
      JacC( 48, 13) = JacC( 48, 13)+ 0.8300000000000000D+00*dw( 61, 13)
      JacC( 48, 75) = JacC( 48, 75)+ 0.8300000000000000D+00*dw( 61, 75)
      JacC( 75, 13) = JacC( 75, 13) - dw( 61, 13)
      JacC( 75, 75) = JacC( 75, 75) - dw( 61, 75)
      JacC( 79, 13) = JacC( 79, 13)+ 0.1700000000000000D+00*dw( 61, 13)
      JacC( 79, 75) = JacC( 79, 75)+ 0.1700000000000000D+00*dw( 61, 75)
      JacC( 16, 16) = JacC( 16, 16) - dw( 62, 16)
      JacC( 16, 75) = JacC( 16, 75) - dw( 62, 75)
      JacC( 75, 16) = JacC( 75, 16) - dw( 62, 16)
      JacC( 75, 75) = JacC( 75, 75) - dw( 62, 75)
      JacC( 77, 16) = JacC( 77, 16)+ 0.9000000000000000D+00*dw( 62, 16)
      JacC( 77, 75) = JacC( 77, 75)+ 0.9000000000000000D+00*dw( 62, 75)
      JacC( 78, 16) = JacC( 78, 16)+ 0.9000000000000000D+00*dw( 62, 16)
      JacC( 78, 75) = JacC( 78, 75)+ 0.9000000000000000D+00*dw( 62, 75)
      JacC( 79, 16) = JacC( 79, 16)+ 0.1000000000000000D+00*dw( 62, 16)
      JacC( 79, 75) = JacC( 79, 75)+ 0.1000000000000000D+00*dw( 62, 75)
      JacC( 75, 16) = JacC( 75, 16) - dw( 63, 16)
      JacC( 75, 75) = JacC( 75, 75) - dw( 63, 75)
      JacC( 74, 74) = JacC( 74, 74) - dw( 64, 74)
      JacC( 74, 75) = JacC( 74, 75) - dw( 64, 75)
      JacC( 75, 74) = JacC( 75, 74) - dw( 64, 74)
      JacC( 75, 75) = JacC( 75, 75) - dw( 64, 75)
      JacC( 76, 74) = JacC( 76, 74) + dw( 64, 74)
      JacC( 76, 75) = JacC( 76, 75) + dw( 64, 75)
      JacC( 79, 74) = JacC( 79, 74) + dw( 64, 74)
      JacC( 79, 75) = JacC( 79, 75) + dw( 64, 75)
      JacC( 67, 67) = JacC( 67, 67) - dw( 65, 67)
      JacC( 67, 75) = JacC( 67, 75) - dw( 65, 75)
      JacC( 75, 67) = JacC( 75, 67) - dw( 65, 67)
      JacC( 75, 75) = JacC( 75, 75) - dw( 65, 75)
      JacC( 82, 67) = JacC( 82, 67) + dw( 65, 67)
      JacC( 82, 75) = JacC( 82, 75) + dw( 65, 75)
      JacC( 62, 62) = JacC( 62, 62) - dw( 66, 62)
      JacC( 62, 75) = JacC( 62, 75) - dw( 66, 75)
      JacC( 64, 62) = JacC( 64, 62) + dw( 66, 62)
      JacC( 64, 75) = JacC( 64, 75) + dw( 66, 75)
      JacC( 75, 62) = JacC( 75, 62) - dw( 66, 62)
      JacC( 75, 75) = JacC( 75, 75) - dw( 66, 75)
      JacC( 71, 71) = JacC( 71, 71) - dw( 67, 71)
      JacC( 71, 75) = JacC( 71, 75) - dw( 67, 75)
      JacC( 75, 71) = JacC( 75, 71) - dw( 67, 71)
      JacC( 75, 75) = JacC( 75, 75) - dw( 67, 75)
      JacC( 76, 71) = JacC( 76, 71)+ 0.2000000000000000D+01*dw( 67, 71)
      JacC( 76, 75) = JacC( 76, 75)+ 0.2000000000000000D+01*dw( 67, 75)
      JacC( 79, 71) = JacC( 79, 71) + dw( 67, 71)
      JacC( 79, 75) = JacC( 79, 75) + dw( 67, 75)
      JacC( 70, 70) = JacC( 70, 70) - dw( 68, 70)
      JacC( 70, 75) = JacC( 70, 75) - dw( 68, 75)
      JacC( 75, 70) = JacC( 75, 70) - dw( 68, 70)
      JacC( 75, 75) = JacC( 75, 75) - dw( 68, 75)
      JacC( 76, 70) = JacC( 76, 70) + dw( 68, 70)
      JacC( 76, 75) = JacC( 76, 75) + dw( 68, 75)
      JacC( 82, 70) = JacC( 82, 70) + dw( 68, 70)
      JacC( 82, 75) = JacC( 82, 75) + dw( 68, 75)
      JacC( 52, 52) = JacC( 52, 52) - dw( 69, 52)
      JacC( 52, 75) = JacC( 52, 75) - dw( 69, 75)
      JacC( 75, 52) = JacC( 75, 52) - dw( 69, 52)
      JacC( 75, 75) = JacC( 75, 75) - dw( 69, 75)
      JacC( 77, 52) = JacC( 77, 52) + dw( 69, 52)
      JacC( 77, 75) = JacC( 77, 75) + dw( 69, 75)
      JacC( 27, 27) = JacC( 27, 27) - dw( 70, 27)
      JacC( 27, 75) = JacC( 27, 75) - dw( 70, 75)
      JacC( 69, 27) = JacC( 69, 27)+ 0.5000000000000000D+00*dw( 70, 27)
      JacC( 69, 75) = JacC( 69, 75)+ 0.5000000000000000D+00*dw( 70, 75)
      JacC( 74, 27) = JacC( 74, 27)+ 0.5000000000000000D+00*dw( 70, 27)
      JacC( 74, 75) = JacC( 74, 75)+ 0.5000000000000000D+00*dw( 70, 75)
      JacC( 75, 27) = JacC( 75, 27)- 0.5000000000000000D+00*dw( 70, 27)
      JacC( 75, 75) = JacC( 75, 75)- 0.5000000000000000D+00*dw( 70, 75)
      JacC( 65, 65) = JacC( 65, 65) - dw( 71, 65)
      JacC( 65, 75) = JacC( 65, 75) - dw( 71, 75)
      JacC( 66, 65) = JacC( 66, 65)+ 0.5000000000000000D+00*dw( 71, 65)
      JacC( 66, 75) = JacC( 66, 75)+ 0.5000000000000000D+00*dw( 71, 75)
      JacC( 67, 65) = JacC( 67, 65)+ 0.5000000000000000D+00*dw( 71, 65)
      JacC( 67, 75) = JacC( 67, 75)+ 0.5000000000000000D+00*dw( 71, 75)
      JacC( 75, 65) = JacC( 75, 65)- 0.5000000000000000D+00*dw( 71, 65)
      JacC( 75, 75) = JacC( 75, 75)- 0.5000000000000000D+00*dw( 71, 75)
      JacC( 28, 28) = JacC( 28, 28) - dw( 72, 28)
      JacC( 28, 75) = JacC( 28, 75) - dw( 72, 75)
      JacC( 75, 28) = JacC( 75, 28) - dw( 72, 28)
      JacC( 75, 75) = JacC( 75, 75) - dw( 72, 75)
      JacC( 82, 28) = JacC( 82, 28) + dw( 72, 28)
      JacC( 82, 75) = JacC( 82, 75) + dw( 72, 75)
      JacC( 26, 26) = JacC( 26, 26) - dw( 73, 26)
      JacC( 26, 75) = JacC( 26, 75) - dw( 73, 75)
      JacC( 73, 26) = JacC( 73, 26) + dw( 73, 26)
      JacC( 73, 75) = JacC( 73, 75) + dw( 73, 75)
      JacC( 74, 26) = JacC( 74, 26) + dw( 73, 26)
      JacC( 74, 75) = JacC( 74, 75) + dw( 73, 75)
      JacC( 75, 26) = JacC( 75, 26) - dw( 73, 26)
      JacC( 75, 75) = JacC( 75, 75) - dw( 73, 75)
      JacC( 78, 26) = JacC( 78, 26) + dw( 73, 26)
      JacC( 78, 75) = JacC( 78, 75) + dw( 73, 75)
      JacC( 61, 61) = JacC( 61, 61) - dw( 74, 61)
      JacC( 61, 75) = JacC( 61, 75) - dw( 74, 75)
      JacC( 66, 61) = JacC( 66, 61) + dw( 74, 61)
      JacC( 66, 75) = JacC( 66, 75) + dw( 74, 75)
      JacC( 75, 61) = JacC( 75, 61) - dw( 74, 61)
      JacC( 75, 75) = JacC( 75, 75) - dw( 74, 75)
      JacC( 81, 61) = JacC( 81, 61) + dw( 74, 61)
      JacC( 81, 75) = JacC( 81, 75) + dw( 74, 75)
      JacC( 22, 22) = JacC( 22, 22) - dw( 75, 22)
      JacC( 22, 75) = JacC( 22, 75) - dw( 75, 75)
      JacC( 44, 22) = JacC( 44, 22) + dw( 75, 22)
      JacC( 44, 75) = JacC( 44, 75) + dw( 75, 75)
      JacC( 75, 22) = JacC( 75, 22) - dw( 75, 22)
      JacC( 75, 75) = JacC( 75, 75) - dw( 75, 75)
      JacC( 26, 82) = JacC( 26, 82) + dw( 76, 82)
      JacC( 26, 81) = JacC( 26, 81) + dw( 76, 81)
      JacC( 81, 82) = JacC( 81, 82) - dw( 76, 82)
      JacC( 81, 81) = JacC( 81, 81) - dw( 76, 81)
      JacC( 82, 82) = JacC( 82, 82) - dw( 76, 82)
      JacC( 82, 81) = JacC( 82, 81) - dw( 76, 81)
      JacC( 26, 26) = JacC( 26, 26) - dw( 77, 26)
      JacC( 81, 26) = JacC( 81, 26) + dw( 77, 26)
      JacC( 82, 26) = JacC( 82, 26) + dw( 77, 26)
      JacC( 17, 77) = JacC( 17, 77) + dw( 78, 77)
      JacC( 17, 81) = JacC( 17, 81) + dw( 78, 81)
      JacC( 77, 77) = JacC( 77, 77) - dw( 78, 77)
      JacC( 77, 81) = JacC( 77, 81) - dw( 78, 81)
      JacC( 81, 77) = JacC( 81, 77) - dw( 78, 77)
      JacC( 81, 81) = JacC( 81, 81) - dw( 78, 81)
      JacC( 17, 17) = JacC( 17, 17) - dw( 79, 17)
      JacC( 77, 17) = JacC( 77, 17) + dw( 79, 17)
      JacC( 81, 17) = JacC( 81, 17) + dw( 79, 17)
      JacC( 69, 69) = JacC( 69, 69) - dw( 80, 69)
      JacC( 69, 80) = JacC( 69, 80) - dw( 80, 80)
      JacC( 74, 69) = JacC( 74, 69) + dw( 80, 69)
      JacC( 74, 80) = JacC( 74, 80) + dw( 80, 80)
      JacC( 79, 69) = JacC( 79, 69) + dw( 80, 69)
      JacC( 79, 80) = JacC( 79, 80) + dw( 80, 80)
      JacC( 80, 69) = JacC( 80, 69) - dw( 80, 69)
      JacC( 80, 80) = JacC( 80, 80) - dw( 80, 80)
      JacC( 81, 69) = JacC( 81, 69) + dw( 80, 69)
      JacC( 81, 80) = JacC( 81, 80) + dw( 80, 80)
      JacC( 61, 66) = JacC( 61, 66)+ 0.3900000000000000D-01*dw( 81, 66)
      JacC( 61, 80) = JacC( 61, 80)+ 0.3900000000000000D-01*dw( 81, 80)
      JacC( 62, 66) = JacC( 62, 66)+ 0.6580000000000000D+00*dw( 81, 66)
      JacC( 62, 80) = JacC( 62, 80)+ 0.6580000000000000D+00*dw( 81, 80)
      JacC( 66, 66) = JacC( 66, 66) - dw( 81, 66)
      JacC( 66, 80) = JacC( 66, 80) - dw( 81, 80)
      JacC( 67, 66) = JacC( 67, 66)+ 0.3000000000000000D+00*dw( 81, 66)
      JacC( 67, 80) = JacC( 67, 80)+ 0.3000000000000000D+00*dw( 81, 80)
      JacC( 79, 66) = JacC( 79, 66)+ 0.9610000000000000D+00*dw( 81, 66)
      JacC( 79, 80) = JacC( 79, 80)+ 0.9610000000000000D+00*dw( 81, 80)
      JacC( 80, 66) = JacC( 80, 66) - dw( 81, 66)
      JacC( 80, 80) = JacC( 80, 80) - dw( 81, 80)
      JacC( 81, 66) = JacC( 81, 66)+ 0.9610000000000000D+00*dw( 81, 66)
      JacC( 81, 80) = JacC( 81, 80)+ 0.9610000000000000D+00*dw( 81, 80)
      JacC( 35, 35) = JacC( 35, 35) - dw( 82, 35)
      JacC( 35, 80) = JacC( 35, 80) - dw( 82, 80)
      JacC( 61, 35) = JacC( 61, 35)+ 0.8000000000000000D-01*dw( 82, 35)
      JacC( 61, 80) = JacC( 61, 80)+ 0.8000000000000000D-01*dw( 82, 80)
      JacC( 62, 35) = JacC( 62, 35)+ 0.5330000000000000D+00*dw( 82, 35)
      JacC( 62, 80) = JacC( 62, 80)+ 0.5330000000000000D+00*dw( 82, 80)
      JacC( 67, 35) = JacC( 67, 35)+ 0.7110000000000000D+00*dw( 82, 35)
      JacC( 67, 80) = JacC( 67, 80)+ 0.7110000000000000D+00*dw( 82, 80)
      JacC( 74, 35) = JacC( 74, 35)+ 0.1000000000000000D-02*dw( 82, 35)
      JacC( 74, 80) = JacC( 74, 80)+ 0.1000000000000000D-02*dw( 82, 80)
      JacC( 79, 35) = JacC( 79, 35)+ 0.9240000000000000D+00*dw( 82, 35)
      JacC( 79, 80) = JacC( 79, 80)+ 0.9240000000000000D+00*dw( 82, 80)
      JacC( 80, 35) = JacC( 80, 35) - dw( 82, 35)
      JacC( 80, 80) = JacC( 80, 80) - dw( 82, 80)
      JacC( 81, 35) = JacC( 81, 35)+ 0.9240000000000000D+00*dw( 82, 35)
      JacC( 81, 80) = JacC( 81, 80)+ 0.9240000000000000D+00*dw( 82, 80)
      JacC( 39, 39) = JacC( 39, 39) - dw( 83, 39)
      JacC( 39, 80) = JacC( 39, 80) - dw( 83, 80)
      JacC( 61, 39) = JacC( 61, 39)+ 0.2400000000000000D+00*dw( 83, 39)
      JacC( 61, 80) = JacC( 61, 80)+ 0.2400000000000000D+00*dw( 83, 80)
      JacC( 62, 39) = JacC( 62, 39)+ 0.1060000000000000D+01*dw( 83, 39)
      JacC( 62, 80) = JacC( 62, 80)+ 0.1060000000000000D+01*dw( 83, 80)
      JacC( 67, 39) = JacC( 67, 39)+ 0.3500000000000000D+00*dw( 83, 39)
      JacC( 67, 80) = JacC( 67, 80)+ 0.3500000000000000D+00*dw( 83, 80)
      JacC( 74, 39) = JacC( 74, 39)+ 0.4000000000000000D-01*dw( 83, 39)
      JacC( 74, 80) = JacC( 74, 80)+ 0.4000000000000000D-01*dw( 83, 80)
      JacC( 79, 39) = JacC( 79, 39)+ 0.7600000000000000D+00*dw( 83, 39)
      JacC( 79, 80) = JacC( 79, 80)+ 0.7600000000000000D+00*dw( 83, 80)
      JacC( 80, 39) = JacC( 80, 39) - dw( 83, 39)
      JacC( 80, 80) = JacC( 80, 80) - dw( 83, 80)
      JacC( 81, 39) = JacC( 81, 39)+ 0.7600000000000000D+00*dw( 83, 39)
      JacC( 81, 80) = JacC( 81, 80)+ 0.7600000000000000D+00*dw( 83, 80)
      JacC( 33, 41) = JacC( 33, 41)+ 0.2000000000000000D+00*dw( 84, 41)
      JacC( 33, 80) = JacC( 33, 80)+ 0.2000000000000000D+00*dw( 84, 80)
      JacC( 41, 41) = JacC( 41, 41) - dw( 84, 41)
      JacC( 41, 80) = JacC( 41, 80) - dw( 84, 80)
      JacC( 74, 41) = JacC( 74, 41)+ 0.1600000000000000D+01*dw( 84, 41)
      JacC( 74, 80) = JacC( 74, 80)+ 0.1600000000000000D+01*dw( 84, 80)
      JacC( 79, 41) = JacC( 79, 41) + dw( 84, 41)
      JacC( 79, 80) = JacC( 79, 80) + dw( 84, 80)
      JacC( 80, 41) = JacC( 80, 41) - dw( 84, 41)
      JacC( 80, 80) = JacC( 80, 80) - dw( 84, 80)
      JacC( 81, 41) = JacC( 81, 41) + dw( 84, 41)
      JacC( 81, 80) = JacC( 81, 80) + dw( 84, 80)
      JacC( 46, 46) = JacC( 46, 46) - dw( 85, 46)
      JacC( 46, 80) = JacC( 46, 80) - dw( 85, 80)
      JacC( 67, 46) = JacC( 67, 46) + dw( 85, 46)
      JacC( 67, 80) = JacC( 67, 80) + dw( 85, 80)
      JacC( 74, 46) = JacC( 74, 46) + dw( 85, 46)
      JacC( 74, 80) = JacC( 74, 80) + dw( 85, 80)
      JacC( 79, 46) = JacC( 79, 46) + dw( 85, 46)
      JacC( 79, 80) = JacC( 79, 80) + dw( 85, 80)
      JacC( 80, 46) = JacC( 80, 46) - dw( 85, 46)
      JacC( 80, 80) = JacC( 80, 80) - dw( 85, 80)
      JacC( 81, 46) = JacC( 81, 46) + dw( 85, 46)
      JacC( 81, 80) = JacC( 81, 80) + dw( 85, 80)
      JacC( 54, 54) = JacC( 54, 54) - dw( 86, 54)
      JacC( 54, 80) = JacC( 54, 80) - dw( 86, 80)
      JacC( 62, 54) = JacC( 62, 54)+ 0.1000000000000000D+00*dw( 86, 54)
      JacC( 62, 80) = JacC( 62, 80)+ 0.1000000000000000D+00*dw( 86, 80)
      JacC( 67, 54) = JacC( 67, 54)+ 0.1450000000000000D+01*dw( 86, 54)
      JacC( 67, 80) = JacC( 67, 80)+ 0.1450000000000000D+01*dw( 86, 80)
      JacC( 74, 54) = JacC( 74, 54)+ 0.2800000000000000D+00*dw( 86, 54)
      JacC( 74, 80) = JacC( 74, 80)+ 0.2800000000000000D+00*dw( 86, 80)
      JacC( 79, 54) = JacC( 79, 54) + dw( 86, 54)
      JacC( 79, 80) = JacC( 79, 80) + dw( 86, 80)
      JacC( 80, 54) = JacC( 80, 54) - dw( 86, 54)
      JacC( 80, 80) = JacC( 80, 80) - dw( 86, 80)
      JacC( 81, 54) = JacC( 81, 54) + dw( 86, 54)
      JacC( 81, 80) = JacC( 81, 80) + dw( 86, 80)
      JacC( 69, 82) = JacC( 69, 82) + dw( 87, 82)
      JacC( 69, 80) = JacC( 69, 80) + dw( 87, 80)
      JacC( 80, 82) = JacC( 80, 82) - dw( 87, 82)
      JacC( 80, 80) = JacC( 80, 80) - dw( 87, 80)
      JacC( 81, 82) = JacC( 81, 82) + dw( 87, 82)
      JacC( 81, 80) = JacC( 81, 80) + dw( 87, 80)
      JacC( 82, 82) = JacC( 82, 82) - dw( 87, 82)
      JacC( 82, 80) = JacC( 82, 80) - dw( 87, 80)
      JacC( 70, 77) = JacC( 70, 77)+ 0.1100000000000000D+00*dw( 88, 77)
      JacC( 70, 80) = JacC( 70, 80)+ 0.1100000000000000D+00*dw( 88, 80)
      JacC( 71, 77) = JacC( 71, 77)+ 0.8900000000000000D+00*dw( 88, 77)
      JacC( 71, 80) = JacC( 71, 80)+ 0.8900000000000000D+00*dw( 88, 80)
      JacC( 76, 77) = JacC( 76, 77)+ 0.9500000000000000D+00*dw( 88, 77)
      JacC( 76, 80) = JacC( 76, 80)+ 0.9500000000000000D+00*dw( 88, 80)
      JacC( 77, 77) = JacC( 77, 77) - dw( 88, 77)
      JacC( 77, 80) = JacC( 77, 80) - dw( 88, 80)
      JacC( 78, 77) = JacC( 78, 77)+ 0.2000000000000000D+01*dw( 88, 77)
      JacC( 78, 80) = JacC( 78, 80)+ 0.2000000000000000D+01*dw( 88, 80)
      JacC( 79, 77) = JacC( 79, 77)+ 0.9200000000000000D+00*dw( 88, 77)
      JacC( 79, 80) = JacC( 79, 80)+ 0.9200000000000000D+00*dw( 88, 80)
      JacC( 80, 77) = JacC( 80, 77) - dw( 88, 77)
      JacC( 80, 80) = JacC( 80, 80) - dw( 88, 80)
      JacC( 81, 77) = JacC( 81, 77) + dw( 88, 77)
      JacC( 81, 80) = JacC( 81, 80) + dw( 88, 80)
      JacC( 82, 77) = JacC( 82, 77)+ 0.5000000000000000D-01*dw( 88, 77)
      JacC( 82, 80) = JacC( 82, 80)+ 0.5000000000000000D-01*dw( 88, 80)
      JacC( 47, 47) = JacC( 47, 47) - dw( 89, 47)
      JacC( 47, 80) = JacC( 47, 80) - dw( 89, 80)
      JacC( 52, 47) = JacC( 52, 47)+ 0.7000000000000000D+00*dw( 89, 47)
      JacC( 52, 80) = JacC( 52, 80)+ 0.7000000000000000D+00*dw( 89, 80)
      JacC( 70, 47) = JacC( 70, 47)+ 0.1700000000000000D+00*dw( 89, 47)
      JacC( 70, 80) = JacC( 70, 80)+ 0.1700000000000000D+00*dw( 89, 80)
      JacC( 71, 47) = JacC( 71, 47)+ 0.1600000000000000D+00*dw( 89, 47)
      JacC( 71, 80) = JacC( 71, 80)+ 0.1600000000000000D+00*dw( 89, 80)
      JacC( 79, 47) = JacC( 79, 47) + dw( 89, 47)
      JacC( 79, 80) = JacC( 79, 80) + dw( 89, 80)
      JacC( 80, 47) = JacC( 80, 47) - dw( 89, 47)
      JacC( 80, 80) = JacC( 80, 80) - dw( 89, 80)
      JacC( 81, 47) = JacC( 81, 47) + dw( 89, 47)
      JacC( 81, 80) = JacC( 81, 80) + dw( 89, 80)
      JacC( 48, 48) = JacC( 48, 48) - dw( 90, 48)
      JacC( 48, 80) = JacC( 48, 80) - dw( 90, 80)
      JacC( 52, 48) = JacC( 52, 48)+ 0.8060000000000000D+00*dw( 90, 48)
      JacC( 52, 80) = JacC( 52, 80)+ 0.8060000000000000D+00*dw( 90, 80)
      JacC( 70, 48) = JacC( 70, 48)+ 0.4500000000000000D+00*dw( 90, 48)
      JacC( 70, 80) = JacC( 70, 80)+ 0.4500000000000000D+00*dw( 90, 80)
      JacC( 79, 48) = JacC( 79, 48) + dw( 90, 48)
      JacC( 79, 80) = JacC( 79, 80) + dw( 90, 80)
      JacC( 80, 48) = JacC( 80, 48) - dw( 90, 48)
      JacC( 80, 80) = JacC( 80, 80) - dw( 90, 80)
      JacC( 81, 48) = JacC( 81, 48) + dw( 90, 48)
      JacC( 81, 80) = JacC( 81, 80) + dw( 90, 80)
      JacC( 63, 63) = JacC( 63, 63) - dw( 91, 63)
      JacC( 63, 80) = JacC( 63, 80) - dw( 91, 80)
      JacC( 67, 63) = JacC( 67, 63) + dw( 91, 63)
      JacC( 67, 80) = JacC( 67, 80) + dw( 91, 80)
      JacC( 79, 63) = JacC( 79, 63) + dw( 91, 63)
      JacC( 79, 80) = JacC( 79, 80) + dw( 91, 80)
      JacC( 80, 63) = JacC( 80, 63) - dw( 91, 63)
      JacC( 80, 80) = JacC( 80, 80) - dw( 91, 80)
      JacC( 81, 63) = JacC( 81, 63) + dw( 91, 63)
      JacC( 81, 80) = JacC( 81, 80) + dw( 91, 80)
      JacC( 64, 64) = JacC( 64, 64) - dw( 92, 64)
      JacC( 64, 80) = JacC( 64, 80) - dw( 92, 80)
      JacC( 70, 64) = JacC( 70, 64) + dw( 92, 64)
      JacC( 70, 80) = JacC( 70, 80) + dw( 92, 80)
      JacC( 79, 64) = JacC( 79, 64) + dw( 92, 64)
      JacC( 79, 80) = JacC( 79, 80) + dw( 92, 80)
      JacC( 80, 64) = JacC( 80, 64) - dw( 92, 64)
      JacC( 80, 80) = JacC( 80, 80) - dw( 92, 80)
      JacC( 81, 64) = JacC( 81, 64) + dw( 92, 64)
      JacC( 81, 80) = JacC( 81, 80) + dw( 92, 80)
      JacC( 60, 60) = JacC( 60, 60) - dw( 93, 60)
      JacC( 60, 80) = JacC( 60, 80) - dw( 93, 80)
      JacC( 67, 60) = JacC( 67, 60) + dw( 93, 60)
      JacC( 67, 80) = JacC( 67, 80) + dw( 93, 80)
      JacC( 74, 60) = JacC( 74, 60) + dw( 93, 60)
      JacC( 74, 80) = JacC( 74, 80) + dw( 93, 80)
      JacC( 80, 60) = JacC( 80, 60) - dw( 93, 60)
      JacC( 80, 80) = JacC( 80, 80) - dw( 93, 80)
      JacC( 81, 60) = JacC( 81, 60)+ 0.2000000000000000D+01*dw( 93, 60)
      JacC( 81, 80) = JacC( 81, 80)+ 0.2000000000000000D+01*dw( 93, 80)
      JacC( 72, 74) = JacC( 72, 74) + dw( 94, 74)
      JacC( 72, 73) = JacC( 72, 73) + dw( 94, 73)
      JacC( 73, 74) = JacC( 73, 74) - dw( 94, 74)
      JacC( 73, 73) = JacC( 73, 73) - dw( 94, 73)
      JacC( 74, 74) = JacC( 74, 74) - dw( 94, 74)
      JacC( 74, 73) = JacC( 74, 73) - dw( 94, 73)
      JacC( 76, 74) = JacC( 76, 74) + dw( 94, 74)
      JacC( 76, 73) = JacC( 76, 73) + dw( 94, 73)
      JacC( 79, 74) = JacC( 79, 74) + dw( 94, 74)
      JacC( 79, 73) = JacC( 79, 73) + dw( 94, 73)
      JacC( 67, 67) = JacC( 67, 67) - dw( 95, 67)
      JacC( 67, 73) = JacC( 67, 73) - dw( 95, 73)
      JacC( 72, 67) = JacC( 72, 67) + dw( 95, 67)
      JacC( 72, 73) = JacC( 72, 73) + dw( 95, 73)
      JacC( 73, 67) = JacC( 73, 67) - dw( 95, 67)
      JacC( 73, 73) = JacC( 73, 73) - dw( 95, 73)
      JacC( 82, 67) = JacC( 82, 67) + dw( 95, 67)
      JacC( 82, 73) = JacC( 82, 73) + dw( 95, 73)
      JacC( 71, 71) = JacC( 71, 71) - dw( 96, 71)
      JacC( 71, 73) = JacC( 71, 73) - dw( 96, 73)
      JacC( 72, 71) = JacC( 72, 71) + dw( 96, 71)
      JacC( 72, 73) = JacC( 72, 73) + dw( 96, 73)
      JacC( 73, 71) = JacC( 73, 71) - dw( 96, 71)
      JacC( 73, 73) = JacC( 73, 73) - dw( 96, 73)
      JacC( 76, 71) = JacC( 76, 71)+ 0.2000000000000000D+01*dw( 96, 71)
      JacC( 76, 73) = JacC( 76, 73)+ 0.2000000000000000D+01*dw( 96, 73)
      JacC( 79, 71) = JacC( 79, 71) + dw( 96, 71)
      JacC( 79, 73) = JacC( 79, 73) + dw( 96, 73)
      JacC( 70, 70) = JacC( 70, 70) - dw( 97, 70)
      JacC( 70, 73) = JacC( 70, 73) - dw( 97, 73)
      JacC( 72, 70) = JacC( 72, 70) + dw( 97, 70)
      JacC( 72, 73) = JacC( 72, 73) + dw( 97, 73)
      JacC( 73, 70) = JacC( 73, 70) - dw( 97, 70)
      JacC( 73, 73) = JacC( 73, 73) - dw( 97, 73)
      JacC( 76, 70) = JacC( 76, 70) + dw( 97, 70)
      JacC( 76, 73) = JacC( 76, 73) + dw( 97, 73)
      JacC( 82, 70) = JacC( 82, 70) + dw( 97, 70)
      JacC( 82, 73) = JacC( 82, 73) + dw( 97, 73)
      JacC( 52, 52) = JacC( 52, 52) - dw( 98, 52)
      JacC( 52, 73) = JacC( 52, 73) - dw( 98, 73)
      JacC( 72, 52) = JacC( 72, 52) + dw( 98, 52)
      JacC( 72, 73) = JacC( 72, 73) + dw( 98, 73)
      JacC( 73, 52) = JacC( 73, 52) - dw( 98, 52)
      JacC( 73, 73) = JacC( 73, 73) - dw( 98, 73)
      JacC( 77, 52) = JacC( 77, 52) + dw( 98, 52)
      JacC( 77, 73) = JacC( 77, 73) + dw( 98, 73)
      JacC( 16, 16) = JacC( 16, 16)- 0.5000000000000000D+00*dw( 99, 16)
      JacC( 16, 73) = JacC( 16, 73)- 0.5000000000000000D+00*dw( 99, 73)
      JacC( 53, 16) = JacC( 53, 16) + dw( 99, 16)
      JacC( 53, 73) = JacC( 53, 73) + dw( 99, 73)
      JacC( 72, 16) = JacC( 72, 16) + dw( 99, 16)
      JacC( 72, 73) = JacC( 72, 73) + dw( 99, 73)
      JacC( 73, 16) = JacC( 73, 16) - dw( 99, 16)
      JacC( 73, 73) = JacC( 73, 73) - dw( 99, 73)
      JacC( 19, 19) = JacC( 19, 19) - dw(100, 19)
      JacC( 19, 73) = JacC( 19, 73) - dw(100, 73)
      JacC( 60, 19) = JacC( 60, 19) + dw(100, 19)
      JacC( 60, 73) = JacC( 60, 73) + dw(100, 73)
      JacC( 73, 19) = JacC( 73, 19) - dw(100, 19)
      JacC( 73, 73) = JacC( 73, 73) - dw(100, 73)
      JacC( 45, 45) = JacC( 45, 45) - dw(101, 45)
      JacC( 45, 73) = JacC( 45, 73) - dw(101, 73)
      JacC( 60, 45) = JacC( 60, 45) + dw(101, 45)
      JacC( 60, 73) = JacC( 60, 73) + dw(101, 73)
      JacC( 73, 45) = JacC( 73, 45) - dw(101, 45)
      JacC( 73, 73) = JacC( 73, 73) - dw(101, 73)
      JacC( 59, 59) = JacC( 59, 59) - dw(102, 59)
      JacC( 59, 73) = JacC( 59, 73) - dw(102, 73)
      JacC( 60, 59) = JacC( 60, 59) + dw(102, 59)
      JacC( 60, 73) = JacC( 60, 73) + dw(102, 73)
      JacC( 73, 59) = JacC( 73, 59) - dw(102, 59)
      JacC( 73, 73) = JacC( 73, 73) - dw(102, 73)
      JacC( 22, 22) = JacC( 22, 22) - dw(103, 22)
      JacC( 22, 73) = JacC( 22, 73) - dw(103, 73)
      JacC( 23, 22) = JacC( 23, 22) + dw(103, 22)
      JacC( 23, 73) = JacC( 23, 73) + dw(103, 73)
      JacC( 73, 22) = JacC( 73, 22) - dw(103, 22)
      JacC( 73, 73) = JacC( 73, 73) - dw(103, 73)
      JacC( 19, 19) = JacC( 19, 19) - dw(104, 19)
      JacC( 19, 58) = JacC( 19, 58) - dw(104, 58)
      JacC( 34, 19) = JacC( 34, 19)+ 0.4000000000000000D+00*dw(104, 19)
      JacC( 34, 58) = JacC( 34, 58)+ 0.4000000000000000D+00*dw(104, 58)
      JacC( 58, 19) = JacC( 58, 19) - dw(104, 19)
      JacC( 58, 58) = JacC( 58, 58) - dw(104, 58)
      JacC( 74, 19) = JacC( 74, 19) + dw(104, 19)
      JacC( 74, 58) = JacC( 74, 58) + dw(104, 58)
      JacC( 76, 19) = JacC( 76, 19)+ 0.4200000000000000D+00*dw(104, 19)
      JacC( 76, 58) = JacC( 76, 58)+ 0.4200000000000000D+00*dw(104, 58)
      JacC( 79, 19) = JacC( 79, 19)+ 0.1200000000000000D+00*dw(104, 19)
      JacC( 79, 58) = JacC( 79, 58)+ 0.1200000000000000D+00*dw(104, 58)
      JacC( 31, 45) = JacC( 31, 45)+ 0.6000000000000000D-01*dw(105, 45)
      JacC( 31, 58) = JacC( 31, 58)+ 0.6000000000000000D-01*dw(105, 58)
      JacC( 34, 45) = JacC( 34, 45)+ 0.2000000000000000D+00*dw(105, 45)
      JacC( 34, 58) = JacC( 34, 58)+ 0.2000000000000000D+00*dw(105, 58)
      JacC( 45, 45) = JacC( 45, 45) - dw(105, 45)
      JacC( 45, 58) = JacC( 45, 58) - dw(105, 58)
      JacC( 58, 45) = JacC( 58, 45) - dw(105, 45)
      JacC( 58, 58) = JacC( 58, 58) - dw(105, 58)
      JacC( 67, 45) = JacC( 67, 45)+ 0.5000000000000000D+00*dw(105, 45)
      JacC( 67, 58) = JacC( 67, 58)+ 0.5000000000000000D+00*dw(105, 58)
      JacC( 68, 45) = JacC( 68, 45)+ 0.2000000000000000D+00*dw(105, 45)
      JacC( 68, 58) = JacC( 68, 58)+ 0.2000000000000000D+00*dw(105, 58)
      JacC( 69, 45) = JacC( 69, 45)+ 0.2200000000000000D+00*dw(105, 45)
      JacC( 69, 58) = JacC( 69, 58)+ 0.2200000000000000D+00*dw(105, 58)
      JacC( 74, 45) = JacC( 74, 45)+ 0.5300000000000000D+00*dw(105, 45)
      JacC( 74, 58) = JacC( 74, 58)+ 0.5300000000000000D+00*dw(105, 58)
      JacC( 75, 45) = JacC( 75, 45)+ 0.1000000000000000D+00*dw(105, 45)
      JacC( 75, 58) = JacC( 75, 58)+ 0.1000000000000000D+00*dw(105, 58)
      JacC( 76, 45) = JacC( 76, 45)+ 0.3300000000000000D+00*dw(105, 45)
      JacC( 76, 58) = JacC( 76, 58)+ 0.3300000000000000D+00*dw(105, 58)
      JacC( 79, 45) = JacC( 79, 45)+ 0.2300000000000000D+00*dw(105, 45)
      JacC( 79, 58) = JacC( 79, 58)+ 0.2300000000000000D+00*dw(105, 58)
      JacC( 31, 59) = JacC( 31, 59)+ 0.9000000000000000D-01*dw(106, 59)
      JacC( 31, 58) = JacC( 31, 58)+ 0.9000000000000000D-01*dw(106, 58)
      JacC( 34, 59) = JacC( 34, 59)+ 0.6000000000000000D-01*dw(106, 59)
      JacC( 34, 58) = JacC( 34, 58)+ 0.6000000000000000D-01*dw(106, 58)
      JacC( 58, 59) = JacC( 58, 59) - dw(106, 59)
      JacC( 58, 58) = JacC( 58, 58) - dw(106, 58)
      JacC( 59, 59) = JacC( 59, 59) - dw(106, 59)
      JacC( 59, 58) = JacC( 59, 58) - dw(106, 58)
      JacC( 62, 59) = JacC( 62, 59)+ 0.1000000000000000D+00*dw(106, 59)
      JacC( 62, 58) = JacC( 62, 58)+ 0.1000000000000000D+00*dw(106, 58)
      JacC( 67, 59) = JacC( 67, 59)+ 0.7200000000000000D+00*dw(106, 59)
      JacC( 67, 58) = JacC( 67, 58)+ 0.7200000000000000D+00*dw(106, 58)
      JacC( 68, 59) = JacC( 68, 59)+ 0.2900000000000000D+00*dw(106, 59)
      JacC( 68, 58) = JacC( 68, 58)+ 0.2900000000000000D+00*dw(106, 58)
      JacC( 69, 59) = JacC( 69, 59)+ 0.3100000000000000D+00*dw(106, 59)
      JacC( 69, 58) = JacC( 69, 58)+ 0.3100000000000000D+00*dw(106, 58)
      JacC( 74, 59) = JacC( 74, 59)+ 0.1800000000000000D+00*dw(106, 59)
      JacC( 74, 58) = JacC( 74, 58)+ 0.1800000000000000D+00*dw(106, 58)
      JacC( 75, 59) = JacC( 75, 59)+ 0.1400000000000000D+00*dw(106, 59)
      JacC( 75, 58) = JacC( 75, 58)+ 0.1400000000000000D+00*dw(106, 58)
      JacC( 76, 59) = JacC( 76, 59)+ 0.2300000000000000D+00*dw(106, 59)
      JacC( 76, 58) = JacC( 76, 58)+ 0.2300000000000000D+00*dw(106, 58)
      JacC( 79, 59) = JacC( 79, 59)+ 0.2600000000000000D+00*dw(106, 59)
      JacC( 79, 58) = JacC( 79, 58)+ 0.2600000000000000D+00*dw(106, 58)
      JacC( 22, 22) = JacC( 22, 22) - dw(107, 22)
      JacC( 22, 58) = JacC( 22, 58) - dw(107, 58)
      JacC( 32, 22) = JacC( 32, 22)+ 0.3000000000000000D+00*dw(107, 22)
      JacC( 32, 58) = JacC( 32, 58)+ 0.3000000000000000D+00*dw(107, 58)
      JacC( 34, 22) = JacC( 34, 22)+ 0.7000000000000001D-01*dw(107, 22)
      JacC( 34, 58) = JacC( 34, 58)+ 0.7000000000000001D-01*dw(107, 58)
      JacC( 45, 22) = JacC( 45, 22)+ 0.7000000000000001D-01*dw(107, 22)
      JacC( 45, 58) = JacC( 45, 58)+ 0.7000000000000001D-01*dw(107, 58)
      JacC( 50, 22) = JacC( 50, 22)+ 0.2100000000000000D+00*dw(107, 22)
      JacC( 50, 58) = JacC( 50, 58)+ 0.2100000000000000D+00*dw(107, 58)
      JacC( 57, 22) = JacC( 57, 22)+ 0.5500000000000000D+00*dw(107, 22)
      JacC( 57, 58) = JacC( 57, 58)+ 0.5500000000000000D+00*dw(107, 58)
      JacC( 58, 22) = JacC( 58, 22) - dw(107, 22)
      JacC( 58, 58) = JacC( 58, 58) - dw(107, 58)
      JacC( 68, 22) = JacC( 68, 22)+ 0.1500000000000000D+00*dw(107, 22)
      JacC( 68, 58) = JacC( 68, 58)+ 0.1500000000000000D+00*dw(107, 58)
      JacC( 69, 22) = JacC( 69, 22)+ 0.9000000000000000D-01*dw(107, 22)
      JacC( 69, 58) = JacC( 69, 58)+ 0.9000000000000000D-01*dw(107, 58)
      JacC( 71, 22) = JacC( 71, 22)+ 0.1000000000000000D-01*dw(107, 22)
      JacC( 71, 58) = JacC( 71, 58)+ 0.1000000000000000D-01*dw(107, 58)
      JacC( 74, 22) = JacC( 74, 22)+ 0.8000000000000000D+00*dw(107, 22)
      JacC( 74, 58) = JacC( 74, 58)+ 0.8000000000000000D+00*dw(107, 58)
      JacC( 75, 22) = JacC( 75, 22)+ 0.5000000000000000D+00*dw(107, 22)
      JacC( 75, 58) = JacC( 75, 58)+ 0.5000000000000000D+00*dw(107, 58)
      JacC( 76, 22) = JacC( 76, 22)+ 0.1800000000000000D+00*dw(107, 22)
      JacC( 76, 58) = JacC( 76, 58)+ 0.1800000000000000D+00*dw(107, 58)
      JacC( 79, 22) = JacC( 79, 22)+ 0.1100000000000000D+00*dw(107, 22)
      JacC( 79, 58) = JacC( 79, 58)+ 0.1100000000000000D+00*dw(107, 58)
      JacC( 27, 79) = JacC( 27, 79) + dw(108, 79)
      JacC( 27, 69) = JacC( 27, 69) + dw(108, 69)
      JacC( 69, 79) = JacC( 69, 79) - dw(108, 79)
      JacC( 69, 69) = JacC( 69, 69) - dw(108, 69)
      JacC( 79, 79) = JacC( 79, 79) - dw(108, 79)
      JacC( 79, 69) = JacC( 79, 69) - dw(108, 69)
      JacC( 63, 79) = JacC( 63, 79) - dw(109, 79)
      JacC( 63, 63) = JacC( 63, 63) - dw(109, 63)
      JacC( 65, 79) = JacC( 65, 79) + dw(109, 79)
      JacC( 65, 63) = JacC( 65, 63) + dw(109, 63)
      JacC( 79, 79) = JacC( 79, 79) - dw(109, 79)
      JacC( 79, 63) = JacC( 79, 63) - dw(109, 63)
      JacC( 65, 79) = JacC( 65, 79) + dw(110, 79)
      JacC( 65, 66) = JacC( 65, 66) + dw(110, 66)
      JacC( 66, 79) = JacC( 66, 79) - dw(110, 79)
      JacC( 66, 66) = JacC( 66, 66) - dw(110, 66)
      JacC( 79, 79) = JacC( 79, 79) - dw(110, 79)
      JacC( 79, 66) = JacC( 79, 66) - dw(110, 66)
      JacC( 35, 79) = JacC( 35, 79) - dw(111, 79)
      JacC( 35, 35) = JacC( 35, 35) - dw(111, 35)
      JacC( 65, 79) = JacC( 65, 79) + dw(111, 79)
      JacC( 65, 35) = JacC( 65, 35) + dw(111, 35)
      JacC( 79, 79) = JacC( 79, 79) - dw(111, 79)
      JacC( 79, 35) = JacC( 79, 35) - dw(111, 35)
      JacC( 39, 79) = JacC( 39, 79) - dw(112, 79)
      JacC( 39, 39) = JacC( 39, 39) - dw(112, 39)
      JacC( 65, 79) = JacC( 65, 79) + dw(112, 79)
      JacC( 65, 39) = JacC( 65, 39) + dw(112, 39)
      JacC( 79, 79) = JacC( 79, 79) - dw(112, 79)
      JacC( 79, 39) = JacC( 79, 39) - dw(112, 39)
      JacC( 41, 79) = JacC( 41, 79) - dw(113, 79)
      JacC( 41, 41) = JacC( 41, 41) - dw(113, 41)
      JacC( 65, 79) = JacC( 65, 79) + dw(113, 79)
      JacC( 65, 41) = JacC( 65, 41) + dw(113, 41)
      JacC( 79, 79) = JacC( 79, 79) - dw(113, 79)
      JacC( 79, 41) = JacC( 79, 41) - dw(113, 41)
      JacC( 46, 79) = JacC( 46, 79) - dw(114, 79)
      JacC( 46, 46) = JacC( 46, 46) - dw(114, 46)
      JacC( 65, 79) = JacC( 65, 79) + dw(114, 79)
      JacC( 65, 46) = JacC( 65, 46) + dw(114, 46)
      JacC( 79, 79) = JacC( 79, 79) - dw(114, 79)
      JacC( 79, 46) = JacC( 79, 46) - dw(114, 46)
      JacC( 54, 79) = JacC( 54, 79) - dw(115, 79)
      JacC( 54, 54) = JacC( 54, 54) - dw(115, 54)
      JacC( 65, 79) = JacC( 65, 79) + dw(115, 79)
      JacC( 65, 54) = JacC( 65, 54) + dw(115, 54)
      JacC( 79, 79) = JacC( 79, 79) - dw(115, 79)
      JacC( 79, 54) = JacC( 79, 54) - dw(115, 54)
      JacC( 64, 79) = JacC( 64, 79) - dw(116, 79)
      JacC( 64, 64) = JacC( 64, 64) - dw(116, 64)
      JacC( 65, 79) = JacC( 65, 79) + dw(116, 79)
      JacC( 65, 64) = JacC( 65, 64) + dw(116, 64)
      JacC( 79, 79) = JacC( 79, 79) - dw(116, 79)
      JacC( 79, 64) = JacC( 79, 64) - dw(116, 64)
      JacC( 28, 79) = JacC( 28, 79) + dw(117, 79)
      JacC( 28, 82) = JacC( 28, 82) + dw(117, 82)
      JacC( 79, 79) = JacC( 79, 79) - dw(117, 79)
      JacC( 79, 82) = JacC( 79, 82) - dw(117, 82)
      JacC( 82, 79) = JacC( 82, 79) - dw(117, 79)
      JacC( 82, 82) = JacC( 82, 82) - dw(117, 82)
      JacC( 47, 79) = JacC( 47, 79) - dw(118, 79)
      JacC( 47, 47) = JacC( 47, 47) - dw(118, 47)
      JacC( 65, 79) = JacC( 65, 79) + dw(118, 79)
      JacC( 65, 47) = JacC( 65, 47) + dw(118, 47)
      JacC( 79, 79) = JacC( 79, 79) - dw(118, 79)
      JacC( 79, 47) = JacC( 79, 47) - dw(118, 47)
      JacC( 48, 79) = JacC( 48, 79) - dw(119, 79)
      JacC( 48, 48) = JacC( 48, 48) - dw(119, 48)
      JacC( 65, 79) = JacC( 65, 79) + dw(119, 79)
      JacC( 65, 48) = JacC( 65, 48) + dw(119, 48)
      JacC( 79, 79) = JacC( 79, 79) - dw(119, 79)
      JacC( 79, 48) = JacC( 79, 48) - dw(119, 48)
      JacC( 65, 79) = JacC( 65, 79) + dw(120, 79)
      JacC( 65, 77) = JacC( 65, 77) + dw(120, 77)
      JacC( 77, 79) = JacC( 77, 79) - dw(120, 79)
      JacC( 77, 77) = JacC( 77, 77) - dw(120, 77)
      JacC( 79, 79) = JacC( 79, 79) - dw(120, 79)
      JacC( 79, 77) = JacC( 79, 77) - dw(120, 77)
      JacC( 60, 79) = JacC( 60, 79) - dw(121, 79)
      JacC( 60, 60) = JacC( 60, 60) - dw(121, 60)
      JacC( 61, 79) = JacC( 61, 79) + dw(121, 79)
      JacC( 61, 60) = JacC( 61, 60) + dw(121, 60)
      JacC( 79, 79) = JacC( 79, 79) - dw(121, 79)
      JacC( 79, 60) = JacC( 79, 60) - dw(121, 60)
      JacC( 69, 69) = JacC( 69, 69)- 0.2000000000000000D+01*dw(122, 69)
      JacC( 69, 69) = JacC( 69, 69)- 0.2000000000000000D+01*dw(122, 69)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1500000000000000D+01*dw(122, 69)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1500000000000000D+01*dw(122, 69)
      JacC( 79, 69) = JacC( 79, 69) + dw(122, 69)
      JacC( 79, 69) = JacC( 79, 69) + dw(122, 69)
      JacC( 63, 69) = JacC( 63, 69) - dw(123, 69)
      JacC( 63, 63) = JacC( 63, 63) - dw(123, 63)
      JacC( 67, 69) = JacC( 67, 69)+ 0.7500000000000000D+00*dw(123, 69)
      JacC( 67, 63) = JacC( 67, 63)+ 0.7500000000000000D+00*dw(123, 63)
      JacC( 69, 69) = JacC( 69, 69) - dw(123, 69)
      JacC( 69, 63) = JacC( 69, 63) - dw(123, 63)
      JacC( 74, 69) = JacC( 74, 69)+ 0.7500000000000000D+00*dw(123, 69)
      JacC( 74, 63) = JacC( 74, 63)+ 0.7500000000000000D+00*dw(123, 63)
      JacC( 79, 69) = JacC( 79, 69) + dw(123, 69)
      JacC( 79, 63) = JacC( 79, 63) + dw(123, 63)
      JacC( 62, 69) = JacC( 62, 69)+ 0.5140000000000000D+00*dw(124, 69)
      JacC( 62, 66) = JacC( 62, 66)+ 0.5140000000000000D+00*dw(124, 66)
      JacC( 66, 69) = JacC( 66, 69) - dw(124, 69)
      JacC( 66, 66) = JacC( 66, 66) - dw(124, 66)
      JacC( 67, 69) = JacC( 67, 69)+ 0.2360000000000000D+00*dw(124, 69)
      JacC( 67, 66) = JacC( 67, 66)+ 0.2360000000000000D+00*dw(124, 66)
      JacC( 69, 69) = JacC( 69, 69) - dw(124, 69)
      JacC( 69, 66) = JacC( 69, 66) - dw(124, 66)
      JacC( 74, 69) = JacC( 74, 69)+ 0.7500000000000000D+00*dw(124, 69)
      JacC( 74, 66) = JacC( 74, 66)+ 0.7500000000000000D+00*dw(124, 66)
      JacC( 79, 69) = JacC( 79, 69) + dw(124, 69)
      JacC( 79, 66) = JacC( 79, 66) + dw(124, 66)
      JacC( 35, 69) = JacC( 35, 69) - dw(125, 69)
      JacC( 35, 35) = JacC( 35, 35) - dw(125, 35)
      JacC( 62, 69) = JacC( 62, 69)+ 0.4330000000000000D+00*dw(125, 69)
      JacC( 62, 35) = JacC( 62, 35)+ 0.4330000000000000D+00*dw(125, 35)
      JacC( 67, 69) = JacC( 67, 69)+ 0.5770000000000000D+00*dw(125, 69)
      JacC( 67, 35) = JacC( 67, 35)+ 0.5770000000000000D+00*dw(125, 35)
      JacC( 69, 69) = JacC( 69, 69) - dw(125, 69)
      JacC( 69, 35) = JacC( 69, 35) - dw(125, 35)
      JacC( 74, 69) = JacC( 74, 69)+ 0.7510000000000000D+00*dw(125, 69)
      JacC( 74, 35) = JacC( 74, 35)+ 0.7510000000000000D+00*dw(125, 35)
      JacC( 79, 69) = JacC( 79, 69) + dw(125, 69)
      JacC( 79, 35) = JacC( 79, 35) + dw(125, 35)
      JacC( 39, 69) = JacC( 39, 69) - dw(126, 69)
      JacC( 39, 39) = JacC( 39, 39) - dw(126, 39)
      JacC( 62, 69) = JacC( 62, 69)+ 0.1050000000000000D+01*dw(126, 69)
      JacC( 62, 39) = JacC( 62, 39)+ 0.1050000000000000D+01*dw(126, 39)
      JacC( 67, 69) = JacC( 67, 69)+ 0.3500000000000000D+00*dw(126, 69)
      JacC( 67, 39) = JacC( 67, 39)+ 0.3500000000000000D+00*dw(126, 39)
      JacC( 69, 69) = JacC( 69, 69) - dw(126, 69)
      JacC( 69, 39) = JacC( 69, 39) - dw(126, 39)
      JacC( 74, 69) = JacC( 74, 69)+ 0.7900000000000000D+00*dw(126, 69)
      JacC( 74, 39) = JacC( 74, 39)+ 0.7900000000000000D+00*dw(126, 39)
      JacC( 79, 69) = JacC( 79, 69) + dw(126, 69)
      JacC( 79, 39) = JacC( 79, 39) + dw(126, 39)
      JacC( 41, 69) = JacC( 41, 69) - dw(127, 69)
      JacC( 41, 41) = JacC( 41, 41) - dw(127, 41)
      JacC( 67, 69) = JacC( 67, 69)+ 0.1500000000000000D+00*dw(127, 69)
      JacC( 67, 41) = JacC( 67, 41)+ 0.1500000000000000D+00*dw(127, 41)
      JacC( 69, 69) = JacC( 69, 69) - dw(127, 69)
      JacC( 69, 41) = JacC( 69, 41) - dw(127, 41)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1950000000000000D+01*dw(127, 69)
      JacC( 74, 41) = JacC( 74, 41)+ 0.1950000000000000D+01*dw(127, 41)
      JacC( 79, 69) = JacC( 79, 69) + dw(127, 69)
      JacC( 79, 41) = JacC( 79, 41) + dw(127, 41)
      JacC( 46, 69) = JacC( 46, 69) - dw(128, 69)
      JacC( 46, 46) = JacC( 46, 46) - dw(128, 46)
      JacC( 67, 69) = JacC( 67, 69)+ 0.7500000000000000D+00*dw(128, 69)
      JacC( 67, 46) = JacC( 67, 46)+ 0.7500000000000000D+00*dw(128, 46)
      JacC( 69, 69) = JacC( 69, 69) - dw(128, 69)
      JacC( 69, 46) = JacC( 69, 46) - dw(128, 46)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1250000000000000D+01*dw(128, 69)
      JacC( 74, 46) = JacC( 74, 46)+ 0.1250000000000000D+01*dw(128, 46)
      JacC( 79, 69) = JacC( 79, 69) + dw(128, 69)
      JacC( 79, 46) = JacC( 79, 46) + dw(128, 46)
      JacC( 54, 69) = JacC( 54, 69) - dw(129, 69)
      JacC( 54, 54) = JacC( 54, 54) - dw(129, 54)
      JacC( 62, 69) = JacC( 62, 69)+ 0.5500000000000000D+00*dw(129, 69)
      JacC( 62, 54) = JacC( 62, 54)+ 0.5500000000000000D+00*dw(129, 54)
      JacC( 67, 69) = JacC( 67, 69)+ 0.7250000000000000D+00*dw(129, 69)
      JacC( 67, 54) = JacC( 67, 54)+ 0.7250000000000000D+00*dw(129, 54)
      JacC( 69, 69) = JacC( 69, 69) - dw(129, 69)
      JacC( 69, 54) = JacC( 69, 54) - dw(129, 54)
      JacC( 74, 69) = JacC( 74, 69)+ 0.8900000000000000D+00*dw(129, 69)
      JacC( 74, 54) = JacC( 74, 54)+ 0.8900000000000000D+00*dw(129, 54)
      JacC( 79, 69) = JacC( 79, 69) + dw(129, 69)
      JacC( 79, 54) = JacC( 79, 54) + dw(129, 54)
      JacC( 64, 69) = JacC( 64, 69) - dw(130, 69)
      JacC( 64, 64) = JacC( 64, 64) - dw(130, 64)
      JacC( 69, 69) = JacC( 69, 69) - dw(130, 69)
      JacC( 69, 64) = JacC( 69, 64) - dw(130, 64)
      JacC( 70, 69) = JacC( 70, 69)+ 0.7500000000000000D+00*dw(130, 69)
      JacC( 70, 64) = JacC( 70, 64)+ 0.7500000000000000D+00*dw(130, 64)
      JacC( 74, 69) = JacC( 74, 69)+ 0.7500000000000000D+00*dw(130, 69)
      JacC( 74, 64) = JacC( 74, 64)+ 0.7500000000000000D+00*dw(130, 64)
      JacC( 79, 69) = JacC( 79, 69) + dw(130, 69)
      JacC( 79, 64) = JacC( 79, 64) + dw(130, 64)
      JacC( 68, 69) = JacC( 68, 69)+ 0.5000000000000000D+00*dw(131, 69)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(131, 82)
      JacC( 69, 69) = JacC( 69, 69)- 0.5000000000000000D+00*dw(131, 69)
      JacC( 69, 82) = JacC( 69, 82)- 0.5000000000000000D+00*dw(131, 82)
      JacC( 74, 69) = JacC( 74, 69) + dw(131, 69)
      JacC( 74, 82) = JacC( 74, 82) + dw(131, 82)
      JacC( 79, 69) = JacC( 79, 69)+ 0.5000000000000000D+00*dw(131, 69)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(131, 82)
      JacC( 82, 69) = JacC( 82, 69) - dw(131, 69)
      JacC( 82, 82) = JacC( 82, 82) - dw(131, 82)
      JacC( 47, 69) = JacC( 47, 69) - dw(132, 69)
      JacC( 47, 47) = JacC( 47, 47) - dw(132, 47)
      JacC( 52, 69) = JacC( 52, 69)+ 0.7000000000000000D+00*dw(132, 69)
      JacC( 52, 47) = JacC( 52, 47)+ 0.7000000000000000D+00*dw(132, 47)
      JacC( 69, 69) = JacC( 69, 69) - dw(132, 69)
      JacC( 69, 47) = JacC( 69, 47) - dw(132, 47)
      JacC( 70, 69) = JacC( 70, 69)+ 0.1700000000000000D+00*dw(132, 69)
      JacC( 70, 47) = JacC( 70, 47)+ 0.1700000000000000D+00*dw(132, 47)
      JacC( 71, 69) = JacC( 71, 69)+ 0.1600000000000000D+00*dw(132, 69)
      JacC( 71, 47) = JacC( 71, 47)+ 0.1600000000000000D+00*dw(132, 47)
      JacC( 74, 69) = JacC( 74, 69) + dw(132, 69)
      JacC( 74, 47) = JacC( 74, 47) + dw(132, 47)
      JacC( 79, 69) = JacC( 79, 69)+ 0.2000000000000000D+01*dw(132, 69)
      JacC( 79, 47) = JacC( 79, 47)+ 0.2000000000000000D+01*dw(132, 47)
      JacC( 48, 69) = JacC( 48, 69) - dw(133, 69)
      JacC( 48, 48) = JacC( 48, 48) - dw(133, 48)
      JacC( 52, 69) = JacC( 52, 69)+ 0.8060000000000000D+00*dw(133, 69)
      JacC( 52, 48) = JacC( 52, 48)+ 0.8060000000000000D+00*dw(133, 48)
      JacC( 69, 69) = JacC( 69, 69) - dw(133, 69)
      JacC( 69, 48) = JacC( 69, 48) - dw(133, 48)
      JacC( 70, 69) = JacC( 70, 69)+ 0.4500000000000000D+00*dw(133, 69)
      JacC( 70, 48) = JacC( 70, 48)+ 0.4500000000000000D+00*dw(133, 48)
      JacC( 74, 69) = JacC( 74, 69) + dw(133, 69)
      JacC( 74, 48) = JacC( 74, 48) + dw(133, 48)
      JacC( 79, 69) = JacC( 79, 69)+ 0.2000000000000000D+01*dw(133, 69)
      JacC( 79, 48) = JacC( 79, 48)+ 0.2000000000000000D+01*dw(133, 48)
      JacC( 68, 69) = JacC( 68, 69)+ 0.5000000000000000D+00*dw(134, 69)
      JacC( 68, 77) = JacC( 68, 77)+ 0.5000000000000000D+00*dw(134, 77)
      JacC( 69, 69) = JacC( 69, 69) - dw(134, 69)
      JacC( 69, 77) = JacC( 69, 77) - dw(134, 77)
      JacC( 70, 69) = JacC( 70, 69)+ 0.5500000000000000D-01*dw(134, 69)
      JacC( 70, 77) = JacC( 70, 77)+ 0.5500000000000000D-01*dw(134, 77)
      JacC( 71, 69) = JacC( 71, 69)+ 0.4450000000000000D+00*dw(134, 69)
      JacC( 71, 77) = JacC( 71, 77)+ 0.4450000000000000D+00*dw(134, 77)
      JacC( 74, 69) = JacC( 74, 69)+ 0.5000000000000000D+00*dw(134, 69)
      JacC( 74, 77) = JacC( 74, 77)+ 0.5000000000000000D+00*dw(134, 77)
      JacC( 76, 69) = JacC( 76, 69)+ 0.4750000000000000D+00*dw(134, 69)
      JacC( 76, 77) = JacC( 76, 77)+ 0.4750000000000000D+00*dw(134, 77)
      JacC( 77, 69) = JacC( 77, 69) - dw(134, 69)
      JacC( 77, 77) = JacC( 77, 77) - dw(134, 77)
      JacC( 78, 69) = JacC( 78, 69) + dw(134, 69)
      JacC( 78, 77) = JacC( 78, 77) + dw(134, 77)
      JacC( 79, 69) = JacC( 79, 69)+ 0.4600000000000000D+00*dw(134, 69)
      JacC( 79, 77) = JacC( 79, 77)+ 0.4600000000000000D+00*dw(134, 77)
      JacC( 82, 69) = JacC( 82, 69)+ 0.2500000000000000D-01*dw(134, 69)
      JacC( 82, 77) = JacC( 82, 77)+ 0.2500000000000000D-01*dw(134, 77)
      JacC( 63, 63) = JacC( 63, 63) - dw(135, 63)
      JacC( 63, 82) = JacC( 63, 82) - dw(135, 82)
      JacC( 67, 63) = JacC( 67, 63) + dw(135, 63)
      JacC( 67, 82) = JacC( 67, 82) + dw(135, 82)
      JacC( 68, 63) = JacC( 68, 63)+ 0.5000000000000000D+00*dw(135, 63)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(135, 82)
      JacC( 69, 63) = JacC( 69, 63)+ 0.5000000000000000D+00*dw(135, 63)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(135, 82)
      JacC( 79, 63) = JacC( 79, 63)+ 0.5000000000000000D+00*dw(135, 63)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(135, 82)
      JacC( 82, 63) = JacC( 82, 63) - dw(135, 63)
      JacC( 82, 82) = JacC( 82, 82) - dw(135, 82)
      JacC( 62, 66) = JacC( 62, 66)+ 0.6850000000000001D+00*dw(136, 66)
      JacC( 62, 82) = JacC( 62, 82)+ 0.6850000000000001D+00*dw(136, 82)
      JacC( 66, 66) = JacC( 66, 66) - dw(136, 66)
      JacC( 66, 82) = JacC( 66, 82) - dw(136, 82)
      JacC( 67, 66) = JacC( 67, 66)+ 0.3150000000000000D+00*dw(136, 66)
      JacC( 67, 82) = JacC( 67, 82)+ 0.3150000000000000D+00*dw(136, 82)
      JacC( 68, 66) = JacC( 68, 66)+ 0.5000000000000000D+00*dw(136, 66)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(136, 82)
      JacC( 69, 66) = JacC( 69, 66)+ 0.5000000000000000D+00*dw(136, 66)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(136, 82)
      JacC( 79, 66) = JacC( 79, 66)+ 0.5000000000000000D+00*dw(136, 66)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(136, 82)
      JacC( 82, 66) = JacC( 82, 66) - dw(136, 66)
      JacC( 82, 82) = JacC( 82, 82) - dw(136, 82)
      JacC( 35, 35) = JacC( 35, 35) - dw(137, 35)
      JacC( 35, 82) = JacC( 35, 82) - dw(137, 82)
      JacC( 62, 35) = JacC( 62, 35)+ 0.5770000000000000D+00*dw(137, 35)
      JacC( 62, 82) = JacC( 62, 82)+ 0.5770000000000000D+00*dw(137, 82)
      JacC( 67, 35) = JacC( 67, 35)+ 0.7690000000000000D+00*dw(137, 35)
      JacC( 67, 82) = JacC( 67, 82)+ 0.7690000000000000D+00*dw(137, 82)
      JacC( 68, 35) = JacC( 68, 35)+ 0.5000000000000000D+00*dw(137, 35)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(137, 82)
      JacC( 69, 35) = JacC( 69, 35)+ 0.5000000000000000D+00*dw(137, 35)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(137, 82)
      JacC( 74, 35) = JacC( 74, 35)+ 0.1000000000000000D-02*dw(137, 35)
      JacC( 74, 82) = JacC( 74, 82)+ 0.1000000000000000D-02*dw(137, 82)
      JacC( 79, 35) = JacC( 79, 35)+ 0.5000000000000000D+00*dw(137, 35)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(137, 82)
      JacC( 82, 35) = JacC( 82, 35) - dw(137, 35)
      JacC( 82, 82) = JacC( 82, 82) - dw(137, 82)
      JacC( 39, 39) = JacC( 39, 39) - dw(138, 39)
      JacC( 39, 82) = JacC( 39, 82) - dw(138, 82)
      JacC( 62, 39) = JacC( 62, 39)+ 0.1400000000000000D+01*dw(138, 39)
      JacC( 62, 82) = JacC( 62, 82)+ 0.1400000000000000D+01*dw(138, 82)
      JacC( 67, 39) = JacC( 67, 39)+ 0.4600000000000000D+00*dw(138, 39)
      JacC( 67, 82) = JacC( 67, 82)+ 0.4600000000000000D+00*dw(138, 82)
      JacC( 68, 39) = JacC( 68, 39)+ 0.5000000000000000D+00*dw(138, 39)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(138, 82)
      JacC( 69, 39) = JacC( 69, 39)+ 0.5000000000000000D+00*dw(138, 39)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(138, 82)
      JacC( 74, 39) = JacC( 74, 39)+ 0.5300000000000000D-01*dw(138, 39)
      JacC( 74, 82) = JacC( 74, 82)+ 0.5300000000000000D-01*dw(138, 82)
      JacC( 79, 39) = JacC( 79, 39)+ 0.5000000000000000D+00*dw(138, 39)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(138, 82)
      JacC( 82, 39) = JacC( 82, 39) - dw(138, 39)
      JacC( 82, 82) = JacC( 82, 82) - dw(138, 82)
      JacC( 41, 41) = JacC( 41, 41) - dw(139, 41)
      JacC( 41, 82) = JacC( 41, 82) - dw(139, 82)
      JacC( 67, 41) = JacC( 67, 41)+ 0.2000000000000000D+00*dw(139, 41)
      JacC( 67, 82) = JacC( 67, 82)+ 0.2000000000000000D+00*dw(139, 82)
      JacC( 68, 41) = JacC( 68, 41)+ 0.5000000000000000D+00*dw(139, 41)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(139, 82)
      JacC( 69, 41) = JacC( 69, 41)+ 0.5000000000000000D+00*dw(139, 41)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(139, 82)
      JacC( 74, 41) = JacC( 74, 41)+ 0.1600000000000000D+01*dw(139, 41)
      JacC( 74, 82) = JacC( 74, 82)+ 0.1600000000000000D+01*dw(139, 82)
      JacC( 79, 41) = JacC( 79, 41)+ 0.5000000000000000D+00*dw(139, 41)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(139, 82)
      JacC( 82, 41) = JacC( 82, 41) - dw(139, 41)
      JacC( 82, 82) = JacC( 82, 82) - dw(139, 82)
      JacC( 46, 46) = JacC( 46, 46) - dw(140, 46)
      JacC( 46, 82) = JacC( 46, 82) - dw(140, 82)
      JacC( 67, 46) = JacC( 67, 46) + dw(140, 46)
      JacC( 67, 82) = JacC( 67, 82) + dw(140, 82)
      JacC( 68, 46) = JacC( 68, 46)+ 0.5000000000000000D+00*dw(140, 46)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(140, 82)
      JacC( 69, 46) = JacC( 69, 46)+ 0.5000000000000000D+00*dw(140, 46)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(140, 82)
      JacC( 74, 46) = JacC( 74, 46)+ 0.5000000000000000D+00*dw(140, 46)
      JacC( 74, 82) = JacC( 74, 82)+ 0.5000000000000000D+00*dw(140, 82)
      JacC( 79, 46) = JacC( 79, 46)+ 0.5000000000000000D+00*dw(140, 46)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(140, 82)
      JacC( 82, 46) = JacC( 82, 46) - dw(140, 46)
      JacC( 82, 82) = JacC( 82, 82) - dw(140, 82)
      JacC( 54, 54) = JacC( 54, 54) - dw(141, 54)
      JacC( 54, 82) = JacC( 54, 82) - dw(141, 82)
      JacC( 62, 54) = JacC( 62, 54)+ 0.5500000000000000D+00*dw(141, 54)
      JacC( 62, 82) = JacC( 62, 82)+ 0.5500000000000000D+00*dw(141, 82)
      JacC( 67, 54) = JacC( 67, 54)+ 0.7250000000000000D+00*dw(141, 54)
      JacC( 67, 82) = JacC( 67, 82)+ 0.7250000000000000D+00*dw(141, 82)
      JacC( 68, 54) = JacC( 68, 54)+ 0.5000000000000000D+00*dw(141, 54)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(141, 82)
      JacC( 69, 54) = JacC( 69, 54)+ 0.5000000000000000D+00*dw(141, 54)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(141, 82)
      JacC( 74, 54) = JacC( 74, 54)+ 0.1400000000000000D+00*dw(141, 54)
      JacC( 74, 82) = JacC( 74, 82)+ 0.1400000000000000D+00*dw(141, 82)
      JacC( 79, 54) = JacC( 79, 54)+ 0.5000000000000000D+00*dw(141, 54)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(141, 82)
      JacC( 82, 54) = JacC( 82, 54) - dw(141, 54)
      JacC( 82, 82) = JacC( 82, 82) - dw(141, 82)
      JacC( 64, 64) = JacC( 64, 64) - dw(142, 64)
      JacC( 64, 82) = JacC( 64, 82) - dw(142, 82)
      JacC( 68, 64) = JacC( 68, 64)+ 0.5000000000000000D+00*dw(142, 64)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(142, 82)
      JacC( 69, 64) = JacC( 69, 64)+ 0.5000000000000000D+00*dw(142, 64)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(142, 82)
      JacC( 70, 64) = JacC( 70, 64) + dw(142, 64)
      JacC( 70, 82) = JacC( 70, 82) + dw(142, 82)
      JacC( 79, 64) = JacC( 79, 64)+ 0.5000000000000000D+00*dw(142, 64)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(142, 82)
      JacC( 82, 64) = JacC( 82, 64) - dw(142, 64)
      JacC( 82, 82) = JacC( 82, 82) - dw(142, 82)
      JacC( 69, 82) = JacC( 69, 82)+ 0.2000000000000000D+01*dw(143, 82)
      JacC( 69, 82) = JacC( 69, 82)+ 0.2000000000000000D+01*dw(143, 82)
      JacC( 82, 82) = JacC( 82, 82)- 0.2000000000000000D+01*dw(143, 82)
      JacC( 82, 82) = JacC( 82, 82)- 0.2000000000000000D+01*dw(143, 82)
      JacC( 47, 82) = JacC( 47, 82) - dw(144, 82)
      JacC( 47, 47) = JacC( 47, 47) - dw(144, 47)
      JacC( 52, 82) = JacC( 52, 82)+ 0.7000000000000000D+00*dw(144, 82)
      JacC( 52, 47) = JacC( 52, 47)+ 0.7000000000000000D+00*dw(144, 47)
      JacC( 69, 82) = JacC( 69, 82) + dw(144, 82)
      JacC( 69, 47) = JacC( 69, 47) + dw(144, 47)
      JacC( 70, 82) = JacC( 70, 82)+ 0.1700000000000000D+00*dw(144, 82)
      JacC( 70, 47) = JacC( 70, 47)+ 0.1700000000000000D+00*dw(144, 47)
      JacC( 71, 82) = JacC( 71, 82)+ 0.1600000000000000D+00*dw(144, 82)
      JacC( 71, 47) = JacC( 71, 47)+ 0.1600000000000000D+00*dw(144, 47)
      JacC( 79, 82) = JacC( 79, 82) + dw(144, 82)
      JacC( 79, 47) = JacC( 79, 47) + dw(144, 47)
      JacC( 82, 82) = JacC( 82, 82) - dw(144, 82)
      JacC( 82, 47) = JacC( 82, 47) - dw(144, 47)
      JacC( 48, 82) = JacC( 48, 82) - dw(145, 82)
      JacC( 48, 48) = JacC( 48, 48) - dw(145, 48)
      JacC( 52, 82) = JacC( 52, 82)+ 0.8060000000000000D+00*dw(145, 82)
      JacC( 52, 48) = JacC( 52, 48)+ 0.8060000000000000D+00*dw(145, 48)
      JacC( 69, 82) = JacC( 69, 82) + dw(145, 82)
      JacC( 69, 48) = JacC( 69, 48) + dw(145, 48)
      JacC( 70, 82) = JacC( 70, 82)+ 0.4500000000000000D+00*dw(145, 82)
      JacC( 70, 48) = JacC( 70, 48)+ 0.4500000000000000D+00*dw(145, 48)
      JacC( 79, 82) = JacC( 79, 82) + dw(145, 82)
      JacC( 79, 48) = JacC( 79, 48) + dw(145, 48)
      JacC( 82, 82) = JacC( 82, 82) - dw(145, 82)
      JacC( 82, 48) = JacC( 82, 48) - dw(145, 48)
      JacC( 69, 82) = JacC( 69, 82) + dw(146, 82)
      JacC( 69, 77) = JacC( 69, 77) + dw(146, 77)
      JacC( 70, 82) = JacC( 70, 82)+ 0.1100000000000000D+00*dw(146, 82)
      JacC( 70, 77) = JacC( 70, 77)+ 0.1100000000000000D+00*dw(146, 77)
      JacC( 71, 82) = JacC( 71, 82)+ 0.8900000000000000D+00*dw(146, 82)
      JacC( 71, 77) = JacC( 71, 77)+ 0.8900000000000000D+00*dw(146, 77)
      JacC( 76, 82) = JacC( 76, 82)+ 0.9500000000000000D+00*dw(146, 82)
      JacC( 76, 77) = JacC( 76, 77)+ 0.9500000000000000D+00*dw(146, 77)
      JacC( 77, 82) = JacC( 77, 82) - dw(146, 82)
      JacC( 77, 77) = JacC( 77, 77) - dw(146, 77)
      JacC( 78, 82) = JacC( 78, 82)+ 0.2000000000000000D+01*dw(146, 82)
      JacC( 78, 77) = JacC( 78, 77)+ 0.2000000000000000D+01*dw(146, 77)
      JacC( 79, 82) = JacC( 79, 82)+ 0.9200000000000000D+00*dw(146, 82)
      JacC( 79, 77) = JacC( 79, 77)+ 0.9200000000000000D+00*dw(146, 77)
      JacC( 82, 82) = JacC( 82, 82)- 0.9500000000000000D+00*dw(146, 82)
      JacC( 82, 77) = JacC( 82, 77)- 0.9500000000000000D+00*dw(146, 77)
      JacC( 65, 78) = JacC( 65, 78) + dw(147, 78)
      JacC( 65, 79) = JacC( 65, 79) + dw(147, 79)
      JacC( 78, 78) = JacC( 78, 78) - dw(147, 78)
      JacC( 78, 79) = JacC( 78, 79) - dw(147, 79)
      JacC( 79, 78) = JacC( 79, 78) - dw(147, 78)
      JacC( 79, 79) = JacC( 79, 79) - dw(147, 79)
      JacC( 69, 78) = JacC( 69, 78) - dw(148, 78)
      JacC( 69, 69) = JacC( 69, 69) - dw(148, 69)
      JacC( 74, 78) = JacC( 74, 78) + dw(148, 78)
      JacC( 74, 69) = JacC( 74, 69) + dw(148, 69)
      JacC( 78, 78) = JacC( 78, 78) - dw(148, 78)
      JacC( 78, 69) = JacC( 78, 69) - dw(148, 69)
      JacC( 79, 78) = JacC( 79, 78) + dw(148, 78)
      JacC( 79, 69) = JacC( 79, 69) + dw(148, 69)
      JacC( 69, 78) = JacC( 69, 78) + dw(149, 78)
      JacC( 69, 82) = JacC( 69, 82) + dw(149, 82)
      JacC( 78, 78) = JacC( 78, 78) - dw(149, 78)
      JacC( 78, 82) = JacC( 78, 82) - dw(149, 82)
      JacC( 82, 78) = JacC( 82, 78) - dw(149, 78)
      JacC( 82, 82) = JacC( 82, 82) - dw(149, 82)
      JacC( 78, 78) = JacC( 78, 78)- 0.2000000000000000D+01*dw(150, 78)
      JacC( 78, 78) = JacC( 78, 78)- 0.2000000000000000D+01*dw(150, 78)
      JacC( 78, 78) = JacC( 78, 78) - dw(151, 78)
      JacC( 78, 80) = JacC( 78, 80) - dw(151, 80)
      JacC( 80, 78) = JacC( 80, 78) - dw(151, 78)
      JacC( 80, 80) = JacC( 80, 80) - dw(151, 80)
      JacC( 81, 78) = JacC( 81, 78) + dw(151, 78)
      JacC( 81, 80) = JacC( 81, 80) + dw(151, 80)
      JacC( 53, 53) = JacC( 53, 53) - dw(152, 53)
      JacC( 53, 81) = JacC( 53, 81) - dw(152, 81)
      JacC( 61, 53) = JacC( 61, 53) + dw(152, 53)
      JacC( 61, 81) = JacC( 61, 81) + dw(152, 81)
      JacC( 81, 53) = JacC( 81, 53) - dw(152, 53)
      JacC( 81, 81) = JacC( 81, 81) - dw(152, 81)
      JacC( 53, 53) = JacC( 53, 53) - dw(153, 53)
      JacC( 53, 79) = JacC( 53, 79) - dw(153, 79)
      JacC( 65, 53) = JacC( 65, 53) + dw(153, 53)
      JacC( 65, 79) = JacC( 65, 79) + dw(153, 79)
      JacC( 79, 53) = JacC( 79, 53) - dw(153, 53)
      JacC( 79, 79) = JacC( 79, 79) - dw(153, 79)
      JacC( 53, 53) = JacC( 53, 53) - dw(154, 53)
      JacC( 53, 69) = JacC( 53, 69) - dw(154, 69)
      JacC( 69, 53) = JacC( 69, 53) - dw(154, 53)
      JacC( 69, 69) = JacC( 69, 69) - dw(154, 69)
      JacC( 74, 53) = JacC( 74, 53) + dw(154, 53)
      JacC( 74, 69) = JacC( 74, 69) + dw(154, 69)
      JacC( 79, 53) = JacC( 79, 53) + dw(154, 53)
      JacC( 79, 69) = JacC( 79, 69) + dw(154, 69)
      JacC( 53, 53) = JacC( 53, 53) - dw(155, 53)
      JacC( 53, 82) = JacC( 53, 82) - dw(155, 82)
      JacC( 69, 53) = JacC( 69, 53) + dw(155, 53)
      JacC( 69, 82) = JacC( 69, 82) + dw(155, 82)
      JacC( 82, 53) = JacC( 82, 53) - dw(155, 53)
      JacC( 82, 82) = JacC( 82, 82) - dw(155, 82)
      JacC( 53, 53) = JacC( 53, 53)- 0.2000000000000000D+01*dw(156, 53)
      JacC( 53, 53) = JacC( 53, 53)- 0.2000000000000000D+01*dw(156, 53)
      JacC( 60, 69) = JacC( 60, 69) - dw(157, 69)
      JacC( 60, 60) = JacC( 60, 60) - dw(157, 60)
      JacC( 67, 69) = JacC( 67, 69) + dw(157, 69)
      JacC( 67, 60) = JacC( 67, 60) + dw(157, 60)
      JacC( 69, 69) = JacC( 69, 69) - dw(157, 69)
      JacC( 69, 60) = JacC( 69, 60) - dw(157, 60)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1750000000000000D+01*dw(157, 69)
      JacC( 74, 60) = JacC( 74, 60)+ 0.1750000000000000D+01*dw(157, 60)
      JacC( 79, 69) = JacC( 79, 69)+ 0.5000000000000000D+00*dw(157, 69)
      JacC( 79, 60) = JacC( 79, 60)+ 0.5000000000000000D+00*dw(157, 60)
      JacC( 81, 69) = JacC( 81, 69) + dw(157, 69)
      JacC( 81, 60) = JacC( 81, 60) + dw(157, 60)
      JacC( 60, 82) = JacC( 60, 82) - dw(158, 82)
      JacC( 60, 60) = JacC( 60, 60) - dw(158, 60)
      JacC( 67, 82) = JacC( 67, 82) + dw(158, 82)
      JacC( 67, 60) = JacC( 67, 60) + dw(158, 60)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(158, 82)
      JacC( 68, 60) = JacC( 68, 60)+ 0.5000000000000000D+00*dw(158, 60)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(158, 82)
      JacC( 69, 60) = JacC( 69, 60)+ 0.5000000000000000D+00*dw(158, 60)
      JacC( 74, 82) = JacC( 74, 82) + dw(158, 82)
      JacC( 74, 60) = JacC( 74, 60) + dw(158, 60)
      JacC( 81, 82) = JacC( 81, 82) + dw(158, 82)
      JacC( 81, 60) = JacC( 81, 60) + dw(158, 60)
      JacC( 82, 82) = JacC( 82, 82) - dw(158, 82)
      JacC( 82, 60) = JacC( 82, 60) - dw(158, 60)
      JacC( 60, 60) = JacC( 60, 60)- 0.2000000000000000D+01*dw(159, 60)
      JacC( 60, 60) = JacC( 60, 60)- 0.2000000000000000D+01*dw(159, 60)
      JacC( 67, 60) = JacC( 67, 60)+ 0.2000000000000000D+01*dw(159, 60)
      JacC( 67, 60) = JacC( 67, 60)+ 0.2000000000000000D+01*dw(159, 60)
      JacC( 74, 60) = JacC( 74, 60)+ 0.2000000000000000D+01*dw(159, 60)
      JacC( 74, 60) = JacC( 74, 60)+ 0.2000000000000000D+01*dw(159, 60)
      JacC( 81, 60) = JacC( 81, 60)+ 0.2000000000000000D+01*dw(159, 60)
      JacC( 81, 60) = JacC( 81, 60)+ 0.2000000000000000D+01*dw(159, 60)
      JacC( 49, 57) = JacC( 49, 57)+ 0.6000000000000000D+00*dw(160, 57)
      JacC( 49, 75) = JacC( 49, 75)+ 0.6000000000000000D+00*dw(160, 75)
      JacC( 57, 57) = JacC( 57, 57) - dw(160, 57)
      JacC( 57, 75) = JacC( 57, 75) - dw(160, 75)
      JacC( 74, 57) = JacC( 74, 57)+ 0.4000000000000000D+00*dw(160, 57)
      JacC( 74, 75) = JacC( 74, 75)+ 0.4000000000000000D+00*dw(160, 75)
      JacC( 75, 57) = JacC( 75, 57) - dw(160, 57)
      JacC( 75, 75) = JacC( 75, 75) - dw(160, 75)
      JacC( 82, 57) = JacC( 82, 57)+ 0.4000000000000000D+00*dw(160, 57)
      JacC( 82, 75) = JacC( 82, 75)+ 0.4000000000000000D+00*dw(160, 75)
      JacC( 50, 50) = JacC( 50, 50) - dw(161, 50)
      JacC( 50, 75) = JacC( 50, 75) - dw(161, 75)
      JacC( 51, 50) = JacC( 51, 50) + dw(161, 50)
      JacC( 51, 75) = JacC( 51, 75) + dw(161, 75)
      JacC( 75, 50) = JacC( 75, 50) - dw(161, 50)
      JacC( 75, 75) = JacC( 75, 75) - dw(161, 75)
      JacC( 33, 33) = JacC( 33, 33) - dw(162, 33)
      JacC( 33, 75) = JacC( 33, 75) - dw(162, 75)
      JacC( 69, 33) = JacC( 69, 33)+ 0.4000000000000000D+00*dw(162, 33)
      JacC( 69, 75) = JacC( 69, 75)+ 0.4000000000000000D+00*dw(162, 75)
      JacC( 71, 33) = JacC( 71, 33) + dw(162, 33)
      JacC( 71, 75) = JacC( 71, 75) + dw(162, 75)
      JacC( 75, 33) = JacC( 75, 33) - dw(162, 33)
      JacC( 75, 75) = JacC( 75, 75) - dw(162, 75)
      JacC( 79, 33) = JacC( 79, 33)+ 0.6000000000000000D+00*dw(162, 33)
      JacC( 79, 75) = JacC( 79, 75)+ 0.6000000000000000D+00*dw(162, 75)
      JacC( 30, 30) = JacC( 30, 30) - dw(163, 30)
      JacC( 30, 75) = JacC( 30, 75) - dw(163, 75)
      JacC( 68, 30) = JacC( 68, 30)+ 0.5000000000000000D+00*dw(163, 30)
      JacC( 68, 75) = JacC( 68, 75)+ 0.5000000000000000D+00*dw(163, 75)
      JacC( 69, 30) = JacC( 69, 30)+ 0.9000000000000000D+00*dw(163, 30)
      JacC( 69, 75) = JacC( 69, 75)+ 0.9000000000000000D+00*dw(163, 75)
      JacC( 74, 30) = JacC( 74, 30)+ 0.5000000000000000D+00*dw(163, 30)
      JacC( 74, 75) = JacC( 74, 75)+ 0.5000000000000000D+00*dw(163, 75)
      JacC( 75, 30) = JacC( 75, 30) - dw(163, 30)
      JacC( 75, 75) = JacC( 75, 75) - dw(163, 75)
      JacC( 79, 30) = JacC( 79, 30)+ 0.1000000000000000D+00*dw(163, 30)
      JacC( 79, 75) = JacC( 79, 75)+ 0.1000000000000000D+00*dw(163, 75)
      JacC( 32, 57) = JacC( 32, 57)+ 0.4400000000000000D+00*dw(164, 57)
      JacC( 32, 58) = JacC( 32, 58)+ 0.4400000000000000D+00*dw(164, 58)
      JacC( 34, 57) = JacC( 34, 57)+ 0.7000000000000001D-01*dw(164, 57)
      JacC( 34, 58) = JacC( 34, 58)+ 0.7000000000000001D-01*dw(164, 58)
      JacC( 57, 57) = JacC( 57, 57) - dw(164, 57)
      JacC( 57, 58) = JacC( 57, 58) - dw(164, 58)
      JacC( 58, 57) = JacC( 58, 57) - dw(164, 57)
      JacC( 58, 58) = JacC( 58, 58) - dw(164, 58)
      JacC( 68, 57) = JacC( 68, 57)+ 0.9000000000000000D-01*dw(164, 57)
      JacC( 68, 58) = JacC( 68, 58)+ 0.9000000000000000D-01*dw(164, 58)
      JacC( 70, 57) = JacC( 70, 57)+ 0.9100000000000000D+00*dw(164, 57)
      JacC( 70, 58) = JacC( 70, 58)+ 0.9100000000000000D+00*dw(164, 58)
      JacC( 74, 57) = JacC( 74, 57)+ 0.8000000000000000D+00*dw(164, 57)
      JacC( 74, 58) = JacC( 74, 58)+ 0.8000000000000000D+00*dw(164, 58)
      JacC( 75, 57) = JacC( 75, 57)+ 0.5400000000000000D+00*dw(164, 57)
      JacC( 75, 58) = JacC( 75, 58)+ 0.5400000000000000D+00*dw(164, 58)
      JacC( 32, 50) = JacC( 32, 50)+ 0.4400000000000000D+00*dw(165, 50)
      JacC( 32, 58) = JacC( 32, 58)+ 0.4400000000000000D+00*dw(165, 58)
      JacC( 34, 50) = JacC( 34, 50)+ 0.7000000000000001D-01*dw(165, 50)
      JacC( 34, 58) = JacC( 34, 58)+ 0.7000000000000001D-01*dw(165, 58)
      JacC( 50, 50) = JacC( 50, 50) - dw(165, 50)
      JacC( 50, 58) = JacC( 50, 58) - dw(165, 58)
      JacC( 58, 50) = JacC( 58, 50) - dw(165, 50)
      JacC( 58, 58) = JacC( 58, 58) - dw(165, 58)
      JacC( 67, 50) = JacC( 67, 50)+ 0.8000000000000000D-01*dw(165, 50)
      JacC( 67, 58) = JacC( 67, 58)+ 0.8000000000000000D-01*dw(165, 58)
      JacC( 68, 50) = JacC( 68, 50)+ 0.7000000000000001D-01*dw(165, 50)
      JacC( 68, 58) = JacC( 68, 58)+ 0.7000000000000001D-01*dw(165, 58)
      JacC( 70, 50) = JacC( 70, 50)+ 0.8500000000000000D+00*dw(165, 50)
      JacC( 70, 58) = JacC( 70, 58)+ 0.8500000000000000D+00*dw(165, 58)
      JacC( 74, 50) = JacC( 74, 50)+ 0.8000000000000000D+00*dw(165, 50)
      JacC( 74, 58) = JacC( 74, 58)+ 0.8000000000000000D+00*dw(165, 58)
      JacC( 75, 50) = JacC( 75, 50)+ 0.4200000000000000D+00*dw(165, 50)
      JacC( 75, 58) = JacC( 75, 58)+ 0.4200000000000000D+00*dw(165, 58)
      JacC( 30, 44) = JacC( 30, 44)+ 0.1200000000000000D+00*dw(166, 44)
      JacC( 30, 80) = JacC( 30, 80)+ 0.1200000000000000D+00*dw(166, 80)
      JacC( 33, 44) = JacC( 33, 44)+ 0.9000000000000000D-01*dw(166, 44)
      JacC( 33, 80) = JacC( 33, 80)+ 0.9000000000000000D-01*dw(166, 80)
      JacC( 44, 44) = JacC( 44, 44) - dw(166, 44)
      JacC( 44, 80) = JacC( 44, 80) - dw(166, 80)
      JacC( 50, 44) = JacC( 50, 44)+ 0.3800000000000000D+00*dw(166, 44)
      JacC( 50, 80) = JacC( 50, 80)+ 0.3800000000000000D+00*dw(166, 80)
      JacC( 57, 44) = JacC( 57, 44)+ 0.2800000000000000D+00*dw(166, 44)
      JacC( 57, 80) = JacC( 57, 80)+ 0.2800000000000000D+00*dw(166, 80)
      JacC( 61, 44) = JacC( 61, 44)+ 0.1200000000000000D+00*dw(166, 44)
      JacC( 61, 80) = JacC( 61, 80)+ 0.1200000000000000D+00*dw(166, 80)
      JacC( 68, 44) = JacC( 68, 44)+ 0.2000000000000000D-01*dw(166, 44)
      JacC( 68, 80) = JacC( 68, 80)+ 0.2000000000000000D-01*dw(166, 80)
      JacC( 70, 44) = JacC( 70, 44)+ 0.9000000000000000D-01*dw(166, 44)
      JacC( 70, 80) = JacC( 70, 80)+ 0.9000000000000000D-01*dw(166, 80)
      JacC( 71, 44) = JacC( 71, 44)+ 0.1000000000000000D+00*dw(166, 44)
      JacC( 71, 80) = JacC( 71, 80)+ 0.1000000000000000D+00*dw(166, 80)
      JacC( 74, 44) = JacC( 74, 44)+ 0.6200000000000000D+00*dw(166, 44)
      JacC( 74, 80) = JacC( 74, 80)+ 0.6200000000000000D+00*dw(166, 80)
      JacC( 75, 44) = JacC( 75, 44)+ 0.1100000000000000D+00*dw(166, 44)
      JacC( 75, 80) = JacC( 75, 80)+ 0.1100000000000000D+00*dw(166, 80)
      JacC( 79, 44) = JacC( 79, 44)+ 0.8800000000000000D+00*dw(166, 44)
      JacC( 79, 80) = JacC( 79, 80)+ 0.8800000000000000D+00*dw(166, 80)
      JacC( 80, 44) = JacC( 80, 44) - dw(166, 44)
      JacC( 80, 80) = JacC( 80, 80) - dw(166, 80)
      JacC( 81, 44) = JacC( 81, 44)+ 0.8800000000000000D+00*dw(166, 44)
      JacC( 81, 80) = JacC( 81, 80)+ 0.8800000000000000D+00*dw(166, 80)
      JacC( 30, 49) = JacC( 30, 49)+ 0.8000000000000000D+00*dw(167, 49)
      JacC( 30, 80) = JacC( 30, 80)+ 0.8000000000000000D+00*dw(167, 80)
      JacC( 49, 49) = JacC( 49, 49) - dw(167, 49)
      JacC( 49, 80) = JacC( 49, 80) - dw(167, 80)
      JacC( 70, 49) = JacC( 70, 49)+ 0.2000000000000000D+00*dw(167, 49)
      JacC( 70, 80) = JacC( 70, 80)+ 0.2000000000000000D+00*dw(167, 80)
      JacC( 74, 49) = JacC( 74, 49)+ 0.2000000000000000D+00*dw(167, 49)
      JacC( 74, 80) = JacC( 74, 80)+ 0.2000000000000000D+00*dw(167, 80)
      JacC( 79, 49) = JacC( 79, 49) + dw(167, 49)
      JacC( 79, 80) = JacC( 79, 80) + dw(167, 80)
      JacC( 80, 49) = JacC( 80, 49) - dw(167, 49)
      JacC( 80, 80) = JacC( 80, 80) - dw(167, 80)
      JacC( 81, 49) = JacC( 81, 49) + dw(167, 49)
      JacC( 81, 80) = JacC( 81, 80) + dw(167, 80)
      JacC( 33, 51) = JacC( 33, 51)+ 0.8000000000000000D+00*dw(168, 51)
      JacC( 33, 80) = JacC( 33, 80)+ 0.8000000000000000D+00*dw(168, 80)
      JacC( 51, 51) = JacC( 51, 51) - dw(168, 51)
      JacC( 51, 80) = JacC( 51, 80) - dw(168, 80)
      JacC( 70, 51) = JacC( 70, 51)+ 0.3000000000000000D+00*dw(168, 51)
      JacC( 70, 80) = JacC( 70, 80)+ 0.3000000000000000D+00*dw(168, 80)
      JacC( 74, 51) = JacC( 74, 51)+ 0.3000000000000000D+00*dw(168, 51)
      JacC( 74, 80) = JacC( 74, 80)+ 0.3000000000000000D+00*dw(168, 80)
      JacC( 79, 51) = JacC( 79, 51)+ 0.3000000000000000D+00*dw(168, 51)
      JacC( 79, 80) = JacC( 79, 80)+ 0.3000000000000000D+00*dw(168, 80)
      JacC( 80, 51) = JacC( 80, 51) - dw(168, 51)
      JacC( 80, 80) = JacC( 80, 80) - dw(168, 80)
      JacC( 81, 51) = JacC( 81, 51) + dw(168, 51)
      JacC( 81, 80) = JacC( 81, 80) + dw(168, 80)
      JacC( 82, 51) = JacC( 82, 51)+ 0.7000000000000000D+00*dw(168, 51)
      JacC( 82, 80) = JacC( 82, 80)+ 0.7000000000000000D+00*dw(168, 80)
      JacC( 23, 23) = JacC( 23, 23) - dw(169, 23)
      JacC( 23, 80) = JacC( 23, 80) - dw(169, 80)
      JacC( 50, 23) = JacC( 50, 23)+ 0.5000000000000000D+00*dw(169, 23)
      JacC( 50, 80) = JacC( 50, 80)+ 0.5000000000000000D+00*dw(169, 80)
      JacC( 57, 23) = JacC( 57, 23)+ 0.5000000000000000D+00*dw(169, 23)
      JacC( 57, 80) = JacC( 57, 80)+ 0.5000000000000000D+00*dw(169, 80)
      JacC( 74, 23) = JacC( 74, 23) + dw(169, 23)
      JacC( 74, 80) = JacC( 74, 80) + dw(169, 80)
      JacC( 80, 23) = JacC( 80, 23) - dw(169, 23)
      JacC( 80, 80) = JacC( 80, 80) - dw(169, 80)
      JacC( 81, 23) = JacC( 81, 23)+ 0.2000000000000000D+01*dw(169, 23)
      JacC( 81, 80) = JacC( 81, 80)+ 0.2000000000000000D+01*dw(169, 80)
      JacC( 44, 44) = JacC( 44, 44) - dw(170, 44)
      JacC( 44, 79) = JacC( 44, 79) - dw(170, 79)
      JacC( 65, 44) = JacC( 65, 44) + dw(170, 44)
      JacC( 65, 79) = JacC( 65, 79) + dw(170, 79)
      JacC( 79, 44) = JacC( 79, 44) - dw(170, 44)
      JacC( 79, 79) = JacC( 79, 79) - dw(170, 79)
      JacC( 49, 49) = JacC( 49, 49) - dw(171, 49)
      JacC( 49, 79) = JacC( 49, 79) - dw(171, 79)
      JacC( 65, 49) = JacC( 65, 49) + dw(171, 49)
      JacC( 65, 79) = JacC( 65, 79) + dw(171, 79)
      JacC( 79, 49) = JacC( 79, 49) - dw(171, 49)
      JacC( 79, 79) = JacC( 79, 79) - dw(171, 79)
      JacC( 51, 51) = JacC( 51, 51) - dw(172, 51)
      JacC( 51, 79) = JacC( 51, 79) - dw(172, 79)
      JacC( 65, 51) = JacC( 65, 51) + dw(172, 51)
      JacC( 65, 79) = JacC( 65, 79) + dw(172, 79)
      JacC( 79, 51) = JacC( 79, 51) - dw(172, 51)
      JacC( 79, 79) = JacC( 79, 79) - dw(172, 79)
      JacC( 30, 44) = JacC( 30, 44)+ 0.2200000000000000D+00*dw(173, 44)
      JacC( 30, 44) = JacC( 30, 44)+ 0.2200000000000000D+00*dw(173, 44)
      JacC( 33, 44) = JacC( 33, 44)+ 0.1600000000000000D+00*dw(173, 44)
      JacC( 33, 44) = JacC( 33, 44)+ 0.1600000000000000D+00*dw(173, 44)
      JacC( 44, 44) = JacC( 44, 44)- 0.2000000000000000D+01*dw(173, 44)
      JacC( 44, 44) = JacC( 44, 44)- 0.2000000000000000D+01*dw(173, 44)
      JacC( 45, 44) = JacC( 45, 44)+ 0.3000000000000000D+00*dw(173, 44)
      JacC( 45, 44) = JacC( 45, 44)+ 0.3000000000000000D+00*dw(173, 44)
      JacC( 50, 44) = JacC( 50, 44)+ 0.5000000000000000D+00*dw(173, 44)
      JacC( 50, 44) = JacC( 50, 44)+ 0.5000000000000000D+00*dw(173, 44)
      JacC( 52, 44) = JacC( 52, 44)+ 0.6000000000000000D-01*dw(173, 44)
      JacC( 52, 44) = JacC( 52, 44)+ 0.6000000000000000D-01*dw(173, 44)
      JacC( 57, 44) = JacC( 57, 44)+ 0.3700000000000000D+00*dw(173, 44)
      JacC( 57, 44) = JacC( 57, 44)+ 0.3700000000000000D+00*dw(173, 44)
      JacC( 59, 44) = JacC( 59, 44)+ 0.1000000000000000D+00*dw(173, 44)
      JacC( 59, 44) = JacC( 59, 44)+ 0.1000000000000000D+00*dw(173, 44)
      JacC( 68, 44) = JacC( 68, 44)+ 0.4000000000000000D-01*dw(173, 44)
      JacC( 68, 44) = JacC( 68, 44)+ 0.4000000000000000D-01*dw(173, 44)
      JacC( 70, 44) = JacC( 70, 44)+ 0.1600000000000000D+00*dw(173, 44)
      JacC( 70, 44) = JacC( 70, 44)+ 0.1600000000000000D+00*dw(173, 44)
      JacC( 71, 44) = JacC( 71, 44)+ 0.1800000000000000D+00*dw(173, 44)
      JacC( 71, 44) = JacC( 71, 44)+ 0.1800000000000000D+00*dw(173, 44)
      JacC( 74, 44) = JacC( 74, 44)+ 0.5000000000000000D+00*dw(173, 44)
      JacC( 74, 44) = JacC( 74, 44)+ 0.5000000000000000D+00*dw(173, 44)
      JacC( 75, 44) = JacC( 75, 44)+ 0.2000000000000000D+00*dw(173, 44)
      JacC( 75, 44) = JacC( 75, 44)+ 0.2000000000000000D+00*dw(173, 44)
      JacC( 79, 44) = JacC( 79, 44)+ 0.1600000000000000D+01*dw(173, 44)
      JacC( 79, 44) = JacC( 79, 44)+ 0.1600000000000000D+01*dw(173, 44)
      JacC( 50, 50) = JacC( 50, 50) - dw(174, 50)
      JacC( 50, 73) = JacC( 50, 73) - dw(174, 73)
      JacC( 51, 50) = JacC( 51, 50) + dw(174, 50)
      JacC( 51, 73) = JacC( 51, 73) + dw(174, 73)
      JacC( 73, 50) = JacC( 73, 50) - dw(174, 50)
      JacC( 73, 73) = JacC( 73, 73) - dw(174, 73)
      JacC( 81, 50) = JacC( 81, 50) + dw(174, 50)
      JacC( 81, 73) = JacC( 81, 73) + dw(174, 73)
      JacC( 49, 57) = JacC( 49, 57)+ 0.7000000000000000D+00*dw(175, 57)
      JacC( 49, 73) = JacC( 49, 73)+ 0.7000000000000000D+00*dw(175, 73)
      JacC( 57, 57) = JacC( 57, 57) - dw(175, 57)
      JacC( 57, 73) = JacC( 57, 73) - dw(175, 73)
      JacC( 72, 57) = JacC( 72, 57)+ 0.3000000000000000D+00*dw(175, 57)
      JacC( 72, 73) = JacC( 72, 73)+ 0.3000000000000000D+00*dw(175, 73)
      JacC( 73, 57) = JacC( 73, 57) - dw(175, 57)
      JacC( 73, 73) = JacC( 73, 73) - dw(175, 73)
      JacC( 77, 57) = JacC( 77, 57)+ 0.3000000000000000D+00*dw(175, 57)
      JacC( 77, 73) = JacC( 77, 73)+ 0.3000000000000000D+00*dw(175, 73)
      JacC( 81, 57) = JacC( 81, 57)+ 0.7000000000000000D+00*dw(175, 57)
      JacC( 81, 73) = JacC( 81, 73)+ 0.7000000000000000D+00*dw(175, 73)
      JacC( 44, 51) = JacC( 44, 51) - dw(176, 51)
      JacC( 44, 44) = JacC( 44, 44) - dw(176, 44)
      JacC( 45, 51) = JacC( 45, 51)+ 0.4000000000000000D+00*dw(176, 51)
      JacC( 45, 44) = JacC( 45, 44)+ 0.4000000000000000D+00*dw(176, 44)
      JacC( 50, 51) = JacC( 50, 51)+ 0.3000000000000000D+00*dw(176, 51)
      JacC( 50, 44) = JacC( 50, 44)+ 0.3000000000000000D+00*dw(176, 44)
      JacC( 51, 51) = JacC( 51, 51) - dw(176, 51)
      JacC( 51, 44) = JacC( 51, 44) - dw(176, 44)
      JacC( 52, 51) = JacC( 52, 51)+ 0.1000000000000000D+00*dw(176, 51)
      JacC( 52, 44) = JacC( 52, 44)+ 0.1000000000000000D+00*dw(176, 44)
      JacC( 57, 51) = JacC( 57, 51)+ 0.3000000000000000D+00*dw(176, 51)
      JacC( 57, 44) = JacC( 57, 44)+ 0.3000000000000000D+00*dw(176, 44)
      JacC( 59, 51) = JacC( 59, 51)+ 0.3000000000000000D+00*dw(176, 51)
      JacC( 59, 44) = JacC( 59, 44)+ 0.3000000000000000D+00*dw(176, 44)
      JacC( 70, 51) = JacC( 70, 51)+ 0.6000000000000000D+00*dw(176, 51)
      JacC( 70, 44) = JacC( 70, 44)+ 0.6000000000000000D+00*dw(176, 44)
      JacC( 74, 51) = JacC( 74, 51) + dw(176, 51)
      JacC( 74, 44) = JacC( 74, 44) + dw(176, 44)
      JacC( 79, 51) = JacC( 79, 51)+ 0.1200000000000000D+01*dw(176, 51)
      JacC( 79, 44) = JacC( 79, 44)+ 0.1200000000000000D+01*dw(176, 44)
      JacC( 44, 49) = JacC( 44, 49) - dw(177, 49)
      JacC( 44, 44) = JacC( 44, 44) - dw(177, 44)
      JacC( 45, 49) = JacC( 45, 49)+ 0.4000000000000000D+00*dw(177, 49)
      JacC( 45, 44) = JacC( 45, 44)+ 0.4000000000000000D+00*dw(177, 44)
      JacC( 49, 49) = JacC( 49, 49) - dw(177, 49)
      JacC( 49, 44) = JacC( 49, 44) - dw(177, 44)
      JacC( 50, 49) = JacC( 50, 49)+ 0.3000000000000000D+00*dw(177, 49)
      JacC( 50, 44) = JacC( 50, 44)+ 0.3000000000000000D+00*dw(177, 44)
      JacC( 52, 49) = JacC( 52, 49)+ 0.1000000000000000D+00*dw(177, 49)
      JacC( 52, 44) = JacC( 52, 44)+ 0.1000000000000000D+00*dw(177, 44)
      JacC( 57, 49) = JacC( 57, 49)+ 0.3000000000000000D+00*dw(177, 49)
      JacC( 57, 44) = JacC( 57, 44)+ 0.3000000000000000D+00*dw(177, 44)
      JacC( 59, 49) = JacC( 59, 49)+ 0.3000000000000000D+00*dw(177, 49)
      JacC( 59, 44) = JacC( 59, 44)+ 0.3000000000000000D+00*dw(177, 44)
      JacC( 70, 49) = JacC( 70, 49)+ 0.6000000000000000D+00*dw(177, 49)
      JacC( 70, 44) = JacC( 70, 44)+ 0.6000000000000000D+00*dw(177, 44)
      JacC( 74, 49) = JacC( 74, 49) + dw(177, 49)
      JacC( 74, 44) = JacC( 74, 44) + dw(177, 44)
      JacC( 79, 49) = JacC( 79, 49)+ 0.1200000000000000D+01*dw(177, 49)
      JacC( 79, 44) = JacC( 79, 44)+ 0.1200000000000000D+01*dw(177, 44)
      JacC(  7,  7) = JacC(  7,  7) - dw(178,  7)
      JacC(  7, 75) = JacC(  7, 75) - dw(178, 75)
      JacC( 36,  7) = JacC( 36,  7) + dw(178,  7)
      JacC( 36, 75) = JacC( 36, 75) + dw(178, 75)
      JacC( 75,  7) = JacC( 75,  7) - dw(178,  7)
      JacC( 75, 75) = JacC( 75, 75) - dw(178, 75)
      JacC( 78,  7) = JacC( 78,  7)+ 0.7440000000000000D+00*dw(178,  7)
      JacC( 78, 75) = JacC( 78, 75)+ 0.7440000000000000D+00*dw(178, 75)
      JacC(  8,  8) = JacC(  8,  8) - dw(179,  8)
      JacC(  8, 75) = JacC(  8, 75) - dw(179, 75)
      JacC( 37,  8) = JacC( 37,  8) + dw(179,  8)
      JacC( 37, 75) = JacC( 37, 75) + dw(179, 75)
      JacC( 75,  8) = JacC( 75,  8) - dw(179,  8)
      JacC( 75, 75) = JacC( 75, 75) - dw(179, 75)
      JacC( 78,  8) = JacC( 78,  8)+ 0.5440000000000000D+00*dw(179,  8)
      JacC( 78, 75) = JacC( 78, 75)+ 0.5440000000000000D+00*dw(179, 75)
      JacC(  9,  9) = JacC(  9,  9) - dw(180,  9)
      JacC(  9, 75) = JacC(  9, 75) - dw(180, 75)
      JacC( 38,  9) = JacC( 38,  9) + dw(180,  9)
      JacC( 38, 75) = JacC( 38, 75) + dw(180, 75)
      JacC( 75,  9) = JacC( 75,  9) - dw(180,  9)
      JacC( 75, 75) = JacC( 75, 75) - dw(180, 75)
      JacC( 78,  9) = JacC( 78,  9)+ 0.7340000000000000D+00*dw(180,  9)
      JacC( 78, 75) = JacC( 78, 75)+ 0.7340000000000000D+00*dw(180, 75)
      JacC( 11, 11) = JacC( 11, 11) - dw(181, 11)
      JacC( 11, 75) = JacC( 11, 75) - dw(181, 75)
      JacC( 40, 11) = JacC( 40, 11)+ 0.7000000000000000D+00*dw(181, 11)
      JacC( 40, 75) = JacC( 40, 75)+ 0.7000000000000000D+00*dw(181, 75)
      JacC( 75, 11) = JacC( 75, 11) - dw(181, 11)
      JacC( 75, 75) = JacC( 75, 75) - dw(181, 75)
      JacC( 79, 11) = JacC( 79, 11)+ 0.3000000000000000D+00*dw(181, 11)
      JacC( 79, 75) = JacC( 79, 75)+ 0.3000000000000000D+00*dw(181, 75)
      JacC( 20, 20) = JacC( 20, 20) - dw(182, 20)
      JacC( 20, 75) = JacC( 20, 75) - dw(182, 75)
      JacC( 42, 20) = JacC( 42, 20) + dw(182, 20)
      JacC( 42, 75) = JacC( 42, 75) + dw(182, 75)
      JacC( 75, 20) = JacC( 75, 20) - dw(182, 20)
      JacC( 75, 75) = JacC( 75, 75) - dw(182, 75)
      JacC( 21, 21) = JacC( 21, 21) - dw(183, 21)
      JacC( 21, 75) = JacC( 21, 75) - dw(183, 75)
      JacC( 43, 21) = JacC( 43, 21) + dw(183, 21)
      JacC( 43, 75) = JacC( 43, 75) + dw(183, 75)
      JacC( 75, 21) = JacC( 75, 21) - dw(183, 21)
      JacC( 75, 75) = JacC( 75, 75) - dw(183, 75)
      JacC( 36, 36) = JacC( 36, 36) - dw(184, 36)
      JacC( 36, 80) = JacC( 36, 80) - dw(184, 80)
      JacC( 61, 36) = JacC( 61, 36)+ 0.2700000000000000D-01*dw(184, 36)
      JacC( 61, 80) = JacC( 61, 80)+ 0.2700000000000000D-01*dw(184, 80)
      JacC( 62, 36) = JacC( 62, 36)+ 0.7440000000000000D+00*dw(184, 36)
      JacC( 62, 80) = JacC( 62, 80)+ 0.7440000000000000D+00*dw(184, 80)
      JacC( 67, 36) = JacC( 67, 36)+ 0.2990000000000000D+00*dw(184, 36)
      JacC( 67, 80) = JacC( 67, 80)+ 0.2990000000000000D+00*dw(184, 80)
      JacC( 74, 36) = JacC( 74, 36)+ 0.7440000000000000D+00*dw(184, 36)
      JacC( 74, 80) = JacC( 74, 80)+ 0.7440000000000000D+00*dw(184, 80)
      JacC( 79, 36) = JacC( 79, 36)+ 0.9730000000000000D+00*dw(184, 36)
      JacC( 79, 80) = JacC( 79, 80)+ 0.9730000000000000D+00*dw(184, 80)
      JacC( 80, 36) = JacC( 80, 36) - dw(184, 36)
      JacC( 80, 80) = JacC( 80, 80) - dw(184, 80)
      JacC( 81, 36) = JacC( 81, 36)+ 0.9730000000000000D+00*dw(184, 36)
      JacC( 81, 80) = JacC( 81, 80)+ 0.9730000000000000D+00*dw(184, 80)
      JacC( 37, 37) = JacC( 37, 37) - dw(185, 37)
      JacC( 37, 80) = JacC( 37, 80) - dw(185, 80)
      JacC( 61, 37) = JacC( 61, 37)+ 0.2700000000000000D-01*dw(185, 37)
      JacC( 61, 80) = JacC( 61, 80)+ 0.2700000000000000D-01*dw(185, 80)
      JacC( 62, 37) = JacC( 62, 37)+ 0.9290000000000000D+00*dw(185, 37)
      JacC( 62, 80) = JacC( 62, 80)+ 0.9290000000000000D+00*dw(185, 80)
      JacC( 67, 37) = JacC( 67, 37)+ 0.2520000000000000D+00*dw(185, 37)
      JacC( 67, 80) = JacC( 67, 80)+ 0.2520000000000000D+00*dw(185, 80)
      JacC( 74, 37) = JacC( 74, 37)+ 0.7000000000000000D-02*dw(185, 37)
      JacC( 74, 80) = JacC( 74, 80)+ 0.7000000000000000D-02*dw(185, 80)
      JacC( 79, 37) = JacC( 79, 37)+ 0.8800000000000000D+00*dw(185, 37)
      JacC( 79, 80) = JacC( 79, 80)+ 0.8800000000000000D+00*dw(185, 80)
      JacC( 80, 37) = JacC( 80, 37) - dw(185, 37)
      JacC( 80, 80) = JacC( 80, 80) - dw(185, 80)
      JacC( 81, 37) = JacC( 81, 37)+ 0.8800000000000000D+00*dw(185, 37)
      JacC( 81, 80) = JacC( 81, 80)+ 0.8800000000000000D+00*dw(185, 80)
      JacC( 38, 38) = JacC( 38, 38) - dw(186, 38)
      JacC( 38, 80) = JacC( 38, 80) - dw(186, 80)
      JacC( 61, 38) = JacC( 61, 38)+ 0.1200000000000000D+00*dw(186, 38)
      JacC( 61, 80) = JacC( 61, 80)+ 0.1200000000000000D+00*dw(186, 80)
      JacC( 62, 38) = JacC( 62, 38)+ 0.9140000000000000D+00*dw(186, 38)
      JacC( 62, 80) = JacC( 62, 80)+ 0.9140000000000000D+00*dw(186, 80)
      JacC( 67, 38) = JacC( 67, 38)+ 0.7470000000000000D+00*dw(186, 38)
      JacC( 67, 80) = JacC( 67, 80)+ 0.7470000000000000D+00*dw(186, 80)
      JacC( 79, 38) = JacC( 79, 38)+ 0.9330000000000001D+00*dw(186, 38)
      JacC( 79, 80) = JacC( 79, 80)+ 0.9330000000000001D+00*dw(186, 80)
      JacC( 80, 38) = JacC( 80, 38) - dw(186, 38)
      JacC( 80, 80) = JacC( 80, 80) - dw(186, 80)
      JacC( 81, 38) = JacC( 81, 38)+ 0.8800000000000000D+00*dw(186, 38)
      JacC( 81, 80) = JacC( 81, 80)+ 0.8800000000000000D+00*dw(186, 80)
      JacC( 40, 40) = JacC( 40, 40) - dw(187, 40)
      JacC( 40, 80) = JacC( 40, 80) - dw(187, 80)
      JacC( 71, 40) = JacC( 71, 40) + dw(187, 40)
      JacC( 71, 80) = JacC( 71, 80) + dw(187, 80)
      JacC( 79, 40) = JacC( 79, 40) + dw(187, 40)
      JacC( 79, 80) = JacC( 79, 80) + dw(187, 80)
      JacC( 80, 40) = JacC( 80, 40) - dw(187, 40)
      JacC( 80, 80) = JacC( 80, 80) - dw(187, 80)
      JacC( 81, 40) = JacC( 81, 40) + dw(187, 40)
      JacC( 81, 80) = JacC( 81, 80) + dw(187, 80)
      JacC( 42, 42) = JacC( 42, 42) - dw(188, 42)
      JacC( 42, 80) = JacC( 42, 80) - dw(188, 80)
      JacC( 67, 42) = JacC( 67, 42) + dw(188, 42)
      JacC( 67, 80) = JacC( 67, 80) + dw(188, 80)
      JacC( 74, 42) = JacC( 74, 42) + dw(188, 42)
      JacC( 74, 80) = JacC( 74, 80) + dw(188, 80)
      JacC( 79, 42) = JacC( 79, 42) + dw(188, 42)
      JacC( 79, 80) = JacC( 79, 80) + dw(188, 80)
      JacC( 80, 42) = JacC( 80, 42) - dw(188, 42)
      JacC( 80, 80) = JacC( 80, 80) - dw(188, 80)
      JacC( 81, 42) = JacC( 81, 42) + dw(188, 42)
      JacC( 81, 80) = JacC( 81, 80) + dw(188, 80)
      JacC( 43, 43) = JacC( 43, 43) - dw(189, 43)
      JacC( 43, 80) = JacC( 43, 80) - dw(189, 80)
      JacC( 67, 43) = JacC( 67, 43) + dw(189, 43)
      JacC( 67, 80) = JacC( 67, 80) + dw(189, 80)
      JacC( 74, 43) = JacC( 74, 43) + dw(189, 43)
      JacC( 74, 80) = JacC( 74, 80) + dw(189, 80)
      JacC( 79, 43) = JacC( 79, 43) + dw(189, 43)
      JacC( 79, 80) = JacC( 79, 80) + dw(189, 80)
      JacC( 80, 43) = JacC( 80, 43) - dw(189, 43)
      JacC( 80, 80) = JacC( 80, 80) - dw(189, 80)
      JacC( 81, 43) = JacC( 81, 43) + dw(189, 43)
      JacC( 81, 80) = JacC( 81, 80) + dw(189, 80)
      JacC( 20, 20) = JacC( 20, 20) - dw(190, 20)
      JacC( 20, 73) = JacC( 20, 73) - dw(190, 73)
      JacC( 60, 20) = JacC( 60, 20) + dw(190, 20)
      JacC( 60, 73) = JacC( 60, 73) + dw(190, 73)
      JacC( 73, 20) = JacC( 73, 20) - dw(190, 20)
      JacC( 73, 73) = JacC( 73, 73) - dw(190, 73)
      JacC( 21, 21) = JacC( 21, 21) - dw(191, 21)
      JacC( 21, 73) = JacC( 21, 73) - dw(191, 73)
      JacC( 60, 21) = JacC( 60, 21) + dw(191, 21)
      JacC( 60, 73) = JacC( 60, 73) + dw(191, 73)
      JacC( 73, 21) = JacC( 73, 21) - dw(191, 21)
      JacC( 73, 73) = JacC( 73, 73) - dw(191, 73)
      JacC( 20, 20) = JacC( 20, 20) - dw(192, 20)
      JacC( 20, 58) = JacC( 20, 58) - dw(192, 58)
      JacC( 34, 20) = JacC( 34, 20)+ 0.1430000000000000D+00*dw(192, 20)
      JacC( 34, 58) = JacC( 34, 58)+ 0.1430000000000000D+00*dw(192, 58)
      JacC( 58, 20) = JacC( 58, 20) - dw(192, 20)
      JacC( 58, 58) = JacC( 58, 58) - dw(192, 58)
      JacC( 62, 20) = JacC( 62, 20)+ 0.1400000000000000D+00*dw(192, 20)
      JacC( 62, 58) = JacC( 62, 58)+ 0.1400000000000000D+00*dw(192, 58)
      JacC( 67, 20) = JacC( 67, 20)+ 0.5000000000000000D+00*dw(192, 20)
      JacC( 67, 58) = JacC( 67, 58)+ 0.5000000000000000D+00*dw(192, 58)
      JacC( 68, 20) = JacC( 68, 20)+ 0.1430000000000000D+00*dw(192, 20)
      JacC( 68, 58) = JacC( 68, 58)+ 0.1430000000000000D+00*dw(192, 58)
      JacC( 69, 20) = JacC( 69, 20)+ 0.1350000000000000D+00*dw(192, 20)
      JacC( 69, 58) = JacC( 69, 58)+ 0.1350000000000000D+00*dw(192, 58)
      JacC( 74, 20) = JacC( 74, 20)+ 0.6500000000000000D+00*dw(192, 20)
      JacC( 74, 58) = JacC( 74, 58)+ 0.6500000000000000D+00*dw(192, 58)
      JacC( 75, 20) = JacC( 75, 20)+ 0.6000000000000000D-01*dw(192, 20)
      JacC( 75, 58) = JacC( 75, 58)+ 0.6000000000000000D-01*dw(192, 58)
      JacC( 76, 20) = JacC( 76, 20)+ 0.2950000000000000D+00*dw(192, 20)
      JacC( 76, 58) = JacC( 76, 58)+ 0.2950000000000000D+00*dw(192, 58)
      JacC( 79, 20) = JacC( 79, 20)+ 0.1650000000000000D+00*dw(192, 20)
      JacC( 79, 58) = JacC( 79, 58)+ 0.1650000000000000D+00*dw(192, 58)
      JacC( 21, 21) = JacC( 21, 21) - dw(193, 21)
      JacC( 21, 58) = JacC( 21, 58) - dw(193, 58)
      JacC( 34, 21) = JacC( 34, 21)+ 0.1430000000000000D+00*dw(193, 21)
      JacC( 34, 58) = JacC( 34, 58)+ 0.1430000000000000D+00*dw(193, 58)
      JacC( 58, 21) = JacC( 58, 21) - dw(193, 21)
      JacC( 58, 58) = JacC( 58, 58) - dw(193, 58)
      JacC( 62, 21) = JacC( 62, 21)+ 0.2100000000000000D+00*dw(193, 21)
      JacC( 62, 58) = JacC( 62, 58)+ 0.2100000000000000D+00*dw(193, 58)
      JacC( 67, 21) = JacC( 67, 21)+ 0.6500000000000000D+00*dw(193, 21)
      JacC( 67, 58) = JacC( 67, 58)+ 0.6500000000000000D+00*dw(193, 58)
      JacC( 68, 21) = JacC( 68, 21)+ 0.1430000000000000D+00*dw(193, 21)
      JacC( 68, 58) = JacC( 68, 58)+ 0.1430000000000000D+00*dw(193, 58)
      JacC( 69, 21) = JacC( 69, 21)+ 0.1350000000000000D+00*dw(193, 21)
      JacC( 69, 58) = JacC( 69, 58)+ 0.1350000000000000D+00*dw(193, 58)
      JacC( 74, 21) = JacC( 74, 21)+ 0.5000000000000000D+00*dw(193, 21)
      JacC( 74, 58) = JacC( 74, 58)+ 0.5000000000000000D+00*dw(193, 58)
      JacC( 75, 21) = JacC( 75, 21)+ 0.6000000000000000D-01*dw(193, 21)
      JacC( 75, 58) = JacC( 75, 58)+ 0.6000000000000000D-01*dw(193, 58)
      JacC( 76, 21) = JacC( 76, 21)+ 0.2950000000000000D+00*dw(193, 21)
      JacC( 76, 58) = JacC( 76, 58)+ 0.2950000000000000D+00*dw(193, 58)
      JacC( 79, 21) = JacC( 79, 21)+ 0.1650000000000000D+00*dw(193, 21)
      JacC( 79, 58) = JacC( 79, 58)+ 0.1650000000000000D+00*dw(193, 58)
      JacC( 36, 79) = JacC( 36, 79) - dw(194, 79)
      JacC( 36, 36) = JacC( 36, 36) - dw(194, 36)
      JacC( 65, 79) = JacC( 65, 79) + dw(194, 79)
      JacC( 65, 36) = JacC( 65, 36) + dw(194, 36)
      JacC( 79, 79) = JacC( 79, 79) - dw(194, 79)
      JacC( 79, 36) = JacC( 79, 36) - dw(194, 36)
      JacC( 37, 79) = JacC( 37, 79) - dw(195, 79)
      JacC( 37, 37) = JacC( 37, 37) - dw(195, 37)
      JacC( 65, 79) = JacC( 65, 79) + dw(195, 79)
      JacC( 65, 37) = JacC( 65, 37) + dw(195, 37)
      JacC( 79, 79) = JacC( 79, 79) - dw(195, 79)
      JacC( 79, 37) = JacC( 79, 37) - dw(195, 37)
      JacC( 38, 79) = JacC( 38, 79) - dw(196, 79)
      JacC( 38, 38) = JacC( 38, 38) - dw(196, 38)
      JacC( 65, 79) = JacC( 65, 79) + dw(196, 79)
      JacC( 65, 38) = JacC( 65, 38) + dw(196, 38)
      JacC( 79, 79) = JacC( 79, 79) - dw(196, 79)
      JacC( 79, 38) = JacC( 79, 38) - dw(196, 38)
      JacC( 40, 79) = JacC( 40, 79) - dw(197, 79)
      JacC( 40, 40) = JacC( 40, 40) - dw(197, 40)
      JacC( 65, 79) = JacC( 65, 79) + dw(197, 79)
      JacC( 65, 40) = JacC( 65, 40) + dw(197, 40)
      JacC( 79, 79) = JacC( 79, 79) - dw(197, 79)
      JacC( 79, 40) = JacC( 79, 40) - dw(197, 40)
      JacC( 42, 79) = JacC( 42, 79) - dw(198, 79)
      JacC( 42, 42) = JacC( 42, 42) - dw(198, 42)
      JacC( 65, 79) = JacC( 65, 79) + dw(198, 79)
      JacC( 65, 42) = JacC( 65, 42) + dw(198, 42)
      JacC( 79, 79) = JacC( 79, 79) - dw(198, 79)
      JacC( 79, 42) = JacC( 79, 42) - dw(198, 42)
      JacC( 43, 79) = JacC( 43, 79) - dw(199, 79)
      JacC( 43, 43) = JacC( 43, 43) - dw(199, 43)
      JacC( 65, 79) = JacC( 65, 79) + dw(199, 79)
      JacC( 65, 43) = JacC( 65, 43) + dw(199, 43)
      JacC( 79, 79) = JacC( 79, 79) - dw(199, 79)
      JacC( 79, 43) = JacC( 79, 43) - dw(199, 43)
      JacC( 36, 69) = JacC( 36, 69) - dw(200, 69)
      JacC( 36, 36) = JacC( 36, 36) - dw(200, 36)
      JacC( 62, 69) = JacC( 62, 69)+ 0.7650000000000000D+00*dw(200, 69)
      JacC( 62, 36) = JacC( 62, 36)+ 0.7650000000000000D+00*dw(200, 36)
      JacC( 67, 69) = JacC( 67, 69)+ 0.1760000000000000D+00*dw(200, 69)
      JacC( 67, 36) = JacC( 67, 36)+ 0.1760000000000000D+00*dw(200, 36)
      JacC( 69, 69) = JacC( 69, 69) - dw(200, 69)
      JacC( 69, 36) = JacC( 69, 36) - dw(200, 36)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1320000000000000D+01*dw(200, 69)
      JacC( 74, 36) = JacC( 74, 36)+ 0.1320000000000000D+01*dw(200, 36)
      JacC( 79, 69) = JacC( 79, 69) + dw(200, 69)
      JacC( 79, 36) = JacC( 79, 36) + dw(200, 36)
      JacC( 37, 69) = JacC( 37, 69) - dw(201, 69)
      JacC( 37, 37) = JacC( 37, 37) - dw(201, 37)
      JacC( 62, 69) = JacC( 62, 69)+ 0.7920000000000000D+00*dw(201, 69)
      JacC( 62, 37) = JacC( 62, 37)+ 0.7920000000000000D+00*dw(201, 37)
      JacC( 67, 69) = JacC( 67, 69)+ 0.2150000000000000D+00*dw(201, 69)
      JacC( 67, 37) = JacC( 67, 37)+ 0.2150000000000000D+00*dw(201, 37)
      JacC( 69, 69) = JacC( 69, 69) - dw(201, 69)
      JacC( 69, 37) = JacC( 69, 37) - dw(201, 37)
      JacC( 74, 69) = JacC( 74, 69)+ 0.7650000000000000D+00*dw(201, 69)
      JacC( 74, 37) = JacC( 74, 37)+ 0.7650000000000000D+00*dw(201, 37)
      JacC( 79, 69) = JacC( 79, 69) + dw(201, 69)
      JacC( 79, 37) = JacC( 79, 37) + dw(201, 37)
      JacC( 38, 69) = JacC( 38, 69) - dw(202, 69)
      JacC( 38, 38) = JacC( 38, 38) - dw(202, 38)
      JacC( 62, 69) = JacC( 62, 69)+ 0.7350000000000000D+00*dw(202, 69)
      JacC( 62, 38) = JacC( 62, 38)+ 0.7350000000000000D+00*dw(202, 38)
      JacC( 67, 69) = JacC( 67, 69)+ 0.6010000000000000D+00*dw(202, 69)
      JacC( 67, 38) = JacC( 67, 38)+ 0.6010000000000000D+00*dw(202, 38)
      JacC( 69, 69) = JacC( 69, 69) - dw(202, 69)
      JacC( 69, 38) = JacC( 69, 38) - dw(202, 38)
      JacC( 74, 69) = JacC( 74, 69)+ 0.7500000000000000D+00*dw(202, 69)
      JacC( 74, 38) = JacC( 74, 38)+ 0.7500000000000000D+00*dw(202, 38)
      JacC( 79, 69) = JacC( 79, 69) + dw(202, 69)
      JacC( 79, 38) = JacC( 79, 38) + dw(202, 38)
      JacC( 40, 69) = JacC( 40, 69) - dw(203, 69)
      JacC( 40, 40) = JacC( 40, 40) - dw(203, 40)
      JacC( 69, 69) = JacC( 69, 69) - dw(203, 69)
      JacC( 69, 40) = JacC( 69, 40) - dw(203, 40)
      JacC( 71, 69) = JacC( 71, 69)+ 0.7500000000000000D+00*dw(203, 69)
      JacC( 71, 40) = JacC( 71, 40)+ 0.7500000000000000D+00*dw(203, 40)
      JacC( 74, 69) = JacC( 74, 69)+ 0.7500000000000000D+00*dw(203, 69)
      JacC( 74, 40) = JacC( 74, 40)+ 0.7500000000000000D+00*dw(203, 40)
      JacC( 79, 69) = JacC( 79, 69) + dw(203, 69)
      JacC( 79, 40) = JacC( 79, 40) + dw(203, 40)
      JacC( 42, 69) = JacC( 42, 69) - dw(204, 69)
      JacC( 42, 42) = JacC( 42, 42) - dw(204, 42)
      JacC( 67, 69) = JacC( 67, 69)+ 0.7500000000000000D+00*dw(204, 69)
      JacC( 67, 42) = JacC( 67, 42)+ 0.7500000000000000D+00*dw(204, 42)
      JacC( 69, 69) = JacC( 69, 69) - dw(204, 69)
      JacC( 69, 42) = JacC( 69, 42) - dw(204, 42)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1500000000000000D+01*dw(204, 69)
      JacC( 74, 42) = JacC( 74, 42)+ 0.1500000000000000D+01*dw(204, 42)
      JacC( 79, 69) = JacC( 79, 69) + dw(204, 69)
      JacC( 79, 42) = JacC( 79, 42) + dw(204, 42)
      JacC( 43, 69) = JacC( 43, 69) - dw(205, 69)
      JacC( 43, 43) = JacC( 43, 43) - dw(205, 43)
      JacC( 67, 69) = JacC( 67, 69)+ 0.7500000000000000D+00*dw(205, 69)
      JacC( 67, 43) = JacC( 67, 43)+ 0.7500000000000000D+00*dw(205, 43)
      JacC( 69, 69) = JacC( 69, 69) - dw(205, 69)
      JacC( 69, 43) = JacC( 69, 43) - dw(205, 43)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1500000000000000D+01*dw(205, 69)
      JacC( 74, 43) = JacC( 74, 43)+ 0.1500000000000000D+01*dw(205, 43)
      JacC( 79, 69) = JacC( 79, 69) + dw(205, 69)
      JacC( 79, 43) = JacC( 79, 43) + dw(205, 43)
      JacC( 36, 36) = JacC( 36, 36) - dw(206, 36)
      JacC( 36, 82) = JacC( 36, 82) - dw(206, 82)
      JacC( 62, 36) = JacC( 62, 36)+ 0.7650000000000000D+00*dw(206, 36)
      JacC( 62, 82) = JacC( 62, 82)+ 0.7650000000000000D+00*dw(206, 82)
      JacC( 67, 36) = JacC( 67, 36)+ 0.2350000000000000D+00*dw(206, 36)
      JacC( 67, 82) = JacC( 67, 82)+ 0.2350000000000000D+00*dw(206, 82)
      JacC( 68, 36) = JacC( 68, 36)+ 0.5000000000000000D+00*dw(206, 36)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(206, 82)
      JacC( 69, 36) = JacC( 69, 36)+ 0.5000000000000000D+00*dw(206, 36)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(206, 82)
      JacC( 74, 36) = JacC( 74, 36)+ 0.7650000000000000D+00*dw(206, 36)
      JacC( 74, 82) = JacC( 74, 82)+ 0.7650000000000000D+00*dw(206, 82)
      JacC( 79, 36) = JacC( 79, 36)+ 0.5000000000000000D+00*dw(206, 36)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(206, 82)
      JacC( 82, 36) = JacC( 82, 36) - dw(206, 36)
      JacC( 82, 82) = JacC( 82, 82) - dw(206, 82)
      JacC( 37, 37) = JacC( 37, 37) - dw(207, 37)
      JacC( 37, 82) = JacC( 37, 82) - dw(207, 82)
      JacC( 62, 37) = JacC( 62, 37)+ 0.1060000000000000D+00*dw(207, 37)
      JacC( 62, 82) = JacC( 62, 82)+ 0.1060000000000000D+00*dw(207, 82)
      JacC( 67, 37) = JacC( 67, 37)+ 0.2860000000000000D+00*dw(207, 37)
      JacC( 67, 82) = JacC( 67, 82)+ 0.2860000000000000D+00*dw(207, 82)
      JacC( 68, 37) = JacC( 68, 37)+ 0.5000000000000000D+00*dw(207, 37)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(207, 82)
      JacC( 69, 37) = JacC( 69, 37)+ 0.5000000000000000D+00*dw(207, 37)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(207, 82)
      JacC( 74, 37) = JacC( 74, 37)+ 0.8000000000000000D-02*dw(207, 37)
      JacC( 74, 82) = JacC( 74, 82)+ 0.8000000000000000D-02*dw(207, 82)
      JacC( 79, 37) = JacC( 79, 37)+ 0.5000000000000000D+00*dw(207, 37)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(207, 82)
      JacC( 82, 37) = JacC( 82, 37) - dw(207, 37)
      JacC( 82, 82) = JacC( 82, 82) - dw(207, 82)
      JacC( 38, 38) = JacC( 38, 38) - dw(208, 38)
      JacC( 38, 82) = JacC( 38, 82) - dw(208, 82)
      JacC( 62, 38) = JacC( 62, 38)+ 0.9860000000000000D+00*dw(208, 38)
      JacC( 62, 82) = JacC( 62, 82)+ 0.9860000000000000D+00*dw(208, 82)
      JacC( 67, 38) = JacC( 67, 38)+ 0.8010000000000000D+00*dw(208, 38)
      JacC( 67, 82) = JacC( 67, 82)+ 0.8010000000000000D+00*dw(208, 82)
      JacC( 68, 38) = JacC( 68, 38)+ 0.5000000000000000D+00*dw(208, 38)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(208, 82)
      JacC( 69, 38) = JacC( 69, 38)+ 0.5000000000000000D+00*dw(208, 38)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(208, 82)
      JacC( 79, 38) = JacC( 79, 38)+ 0.5000000000000000D+00*dw(208, 38)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(208, 82)
      JacC( 82, 38) = JacC( 82, 38) - dw(208, 38)
      JacC( 82, 82) = JacC( 82, 82) - dw(208, 82)
      JacC( 40, 40) = JacC( 40, 40) - dw(209, 40)
      JacC( 40, 82) = JacC( 40, 82) - dw(209, 82)
      JacC( 68, 40) = JacC( 68, 40)+ 0.5000000000000000D+00*dw(209, 40)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(209, 82)
      JacC( 69, 40) = JacC( 69, 40)+ 0.5000000000000000D+00*dw(209, 40)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(209, 82)
      JacC( 71, 40) = JacC( 71, 40) + dw(209, 40)
      JacC( 71, 82) = JacC( 71, 82) + dw(209, 82)
      JacC( 79, 40) = JacC( 79, 40)+ 0.5000000000000000D+00*dw(209, 40)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(209, 82)
      JacC( 82, 40) = JacC( 82, 40) - dw(209, 40)
      JacC( 82, 82) = JacC( 82, 82) - dw(209, 82)
      JacC( 42, 42) = JacC( 42, 42) - dw(210, 42)
      JacC( 42, 82) = JacC( 42, 82) - dw(210, 82)
      JacC( 67, 42) = JacC( 67, 42) + dw(210, 42)
      JacC( 67, 82) = JacC( 67, 82) + dw(210, 82)
      JacC( 68, 42) = JacC( 68, 42)+ 0.5000000000000000D+00*dw(210, 42)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(210, 82)
      JacC( 69, 42) = JacC( 69, 42)+ 0.5000000000000000D+00*dw(210, 42)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(210, 82)
      JacC( 74, 42) = JacC( 74, 42) + dw(210, 42)
      JacC( 74, 82) = JacC( 74, 82) + dw(210, 82)
      JacC( 79, 42) = JacC( 79, 42)+ 0.5000000000000000D+00*dw(210, 42)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(210, 82)
      JacC( 82, 42) = JacC( 82, 42) - dw(210, 42)
      JacC( 82, 82) = JacC( 82, 82) - dw(210, 82)
      JacC( 43, 43) = JacC( 43, 43) - dw(211, 43)
      JacC( 43, 82) = JacC( 43, 82) - dw(211, 82)
      JacC( 67, 43) = JacC( 67, 43) + dw(211, 43)
      JacC( 67, 82) = JacC( 67, 82) + dw(211, 82)
      JacC( 68, 43) = JacC( 68, 43)+ 0.5000000000000000D+00*dw(211, 43)
      JacC( 68, 82) = JacC( 68, 82)+ 0.5000000000000000D+00*dw(211, 82)
      JacC( 69, 43) = JacC( 69, 43)+ 0.5000000000000000D+00*dw(211, 43)
      JacC( 69, 82) = JacC( 69, 82)+ 0.5000000000000000D+00*dw(211, 82)
      JacC( 74, 43) = JacC( 74, 43) + dw(211, 43)
      JacC( 74, 82) = JacC( 74, 82) + dw(211, 82)
      JacC( 79, 43) = JacC( 79, 43)+ 0.5000000000000000D+00*dw(211, 43)
      JacC( 79, 82) = JacC( 79, 82)+ 0.5000000000000000D+00*dw(211, 82)
      JacC( 82, 43) = JacC( 82, 43) - dw(211, 43)
      JacC( 82, 82) = JacC( 82, 82) - dw(211, 82)
      JacC( 24, 24) = JacC( 24, 24) - dw(212, 24)
      JacC( 24, 75) = JacC( 24, 75) - dw(212, 75)
      JacC( 55, 24) = JacC( 55, 24) + dw(212, 24)
      JacC( 55, 75) = JacC( 55, 75) + dw(212, 75)
      JacC( 75, 24) = JacC( 75, 24) - dw(212, 24)
      JacC( 75, 75) = JacC( 75, 75) - dw(212, 75)
      JacC( 24, 24) = JacC( 24, 24) - dw(213, 24)
      JacC( 24, 73) = JacC( 24, 73) - dw(213, 73)
      JacC( 60, 24) = JacC( 60, 24) + dw(213, 24)
      JacC( 60, 73) = JacC( 60, 73) + dw(213, 73)
      JacC( 73, 24) = JacC( 73, 24) - dw(213, 24)
      JacC( 73, 73) = JacC( 73, 73) - dw(213, 73)
      JacC( 24, 24) = JacC( 24, 24) - dw(214, 24)
      JacC( 24, 58) = JacC( 24, 58) - dw(214, 58)
      JacC( 29, 24) = JacC( 29, 24)+ 0.2000000000000000D-01*dw(214, 24)
      JacC( 29, 58) = JacC( 29, 58)+ 0.2000000000000000D-01*dw(214, 58)
      JacC( 58, 24) = JacC( 58, 24) - dw(214, 24)
      JacC( 58, 58) = JacC( 58, 58) - dw(214, 58)
      JacC( 62, 24) = JacC( 62, 24)+ 0.5300000000000000D+00*dw(214, 24)
      JacC( 62, 58) = JacC( 62, 58)+ 0.5300000000000000D+00*dw(214, 58)
      JacC( 63, 24) = JacC( 63, 24)+ 0.2000000000000000D+00*dw(214, 24)
      JacC( 63, 58) = JacC( 63, 58)+ 0.2000000000000000D+00*dw(214, 58)
      JacC( 64, 24) = JacC( 64, 24)+ 0.4200000000000000D+00*dw(214, 24)
      JacC( 64, 58) = JacC( 64, 58)+ 0.4200000000000000D+00*dw(214, 58)
      JacC( 67, 24) = JacC( 67, 24)+ 0.6500000000000000D+00*dw(214, 24)
      JacC( 67, 58) = JacC( 67, 58)+ 0.6500000000000000D+00*dw(214, 58)
      JacC( 75, 24) = JacC( 75, 24)+ 0.8500000000000000D+00*dw(214, 24)
      JacC( 75, 58) = JacC( 75, 58)+ 0.8500000000000000D+00*dw(214, 58)
      JacC( 76, 24) = JacC( 76, 24)+ 0.1400000000000000D+00*dw(214, 24)
      JacC( 76, 58) = JacC( 76, 58)+ 0.1400000000000000D+00*dw(214, 58)
      JacC( 79, 24) = JacC( 79, 24)+ 0.1000000000000000D+00*dw(214, 24)
      JacC( 79, 58) = JacC( 79, 58)+ 0.1000000000000000D+00*dw(214, 58)
      JacC( 55, 55) = JacC( 55, 55) - dw(215, 55)
      JacC( 55, 80) = JacC( 55, 80) - dw(215, 80)
      JacC( 61, 55) = JacC( 61, 55)+ 0.2000000000000000D+00*dw(215, 55)
      JacC( 61, 80) = JacC( 61, 80)+ 0.2000000000000000D+00*dw(215, 80)
      JacC( 62, 55) = JacC( 62, 55)+ 0.8000000000000000D+00*dw(215, 55)
      JacC( 62, 80) = JacC( 62, 80)+ 0.8000000000000000D+00*dw(215, 80)
      JacC( 67, 55) = JacC( 67, 55)+ 0.8000000000000000D+00*dw(215, 55)
      JacC( 67, 80) = JacC( 67, 80)+ 0.8000000000000000D+00*dw(215, 80)
      JacC( 79, 55) = JacC( 79, 55)+ 0.8000000000000000D+00*dw(215, 55)
      JacC( 79, 80) = JacC( 79, 80)+ 0.8000000000000000D+00*dw(215, 80)
      JacC( 80, 55) = JacC( 80, 55) - dw(215, 55)
      JacC( 80, 80) = JacC( 80, 80) - dw(215, 80)
      JacC( 81, 55) = JacC( 81, 55)+ 0.8000000000000000D+00*dw(215, 55)
      JacC( 81, 80) = JacC( 81, 80)+ 0.8000000000000000D+00*dw(215, 80)
      JacC( 55, 55) = JacC( 55, 55) - dw(216, 55)
      JacC( 55, 79) = JacC( 55, 79) - dw(216, 79)
      JacC( 65, 55) = JacC( 65, 55) + dw(216, 55)
      JacC( 65, 79) = JacC( 65, 79) + dw(216, 79)
      JacC( 79, 55) = JacC( 79, 55) - dw(216, 55)
      JacC( 79, 79) = JacC( 79, 79) - dw(216, 79)
      JacC( 55, 55) = JacC( 55, 55) - dw(217, 55)
      JacC( 55, 69) = JacC( 55, 69) - dw(217, 69)
      JacC( 62, 55) = JacC( 62, 55) + dw(217, 55)
      JacC( 62, 69) = JacC( 62, 69) + dw(217, 69)
      JacC( 67, 55) = JacC( 67, 55) + dw(217, 55)
      JacC( 67, 69) = JacC( 67, 69) + dw(217, 69)
      JacC( 69, 55) = JacC( 69, 55) - dw(217, 55)
      JacC( 69, 69) = JacC( 69, 69) - dw(217, 69)
      JacC( 74, 55) = JacC( 74, 55) + dw(217, 55)
      JacC( 74, 69) = JacC( 74, 69) + dw(217, 69)
      JacC( 79, 55) = JacC( 79, 55)+ 0.2000000000000000D+01*dw(217, 55)
      JacC( 79, 69) = JacC( 79, 69)+ 0.2000000000000000D+01*dw(217, 69)
      JacC( 55, 55) = JacC( 55, 55) - dw(218, 55)
      JacC( 55, 82) = JacC( 55, 82) - dw(218, 82)
      JacC( 62, 55) = JacC( 62, 55) + dw(218, 55)
      JacC( 62, 82) = JacC( 62, 82) + dw(218, 82)
      JacC( 67, 55) = JacC( 67, 55) + dw(218, 55)
      JacC( 67, 82) = JacC( 67, 82) + dw(218, 82)
      JacC( 69, 55) = JacC( 69, 55) + dw(218, 55)
      JacC( 69, 82) = JacC( 69, 82) + dw(218, 82)
      JacC( 79, 55) = JacC( 79, 55) + dw(218, 55)
      JacC( 79, 82) = JacC( 79, 82) + dw(218, 82)
      JacC( 82, 55) = JacC( 82, 55) - dw(218, 55)
      JacC( 82, 82) = JacC( 82, 82) - dw(218, 82)
      JacC( 55, 55) = JacC( 55, 55) - dw(219, 55)
      JacC( 55, 73) = JacC( 55, 73) - dw(219, 73)
      JacC( 62, 55) = JacC( 62, 55) + dw(219, 55)
      JacC( 62, 73) = JacC( 62, 73) + dw(219, 73)
      JacC( 67, 55) = JacC( 67, 55) + dw(219, 55)
      JacC( 67, 73) = JacC( 67, 73) + dw(219, 73)
      JacC( 73, 55) = JacC( 73, 55) - dw(219, 55)
      JacC( 73, 73) = JacC( 73, 73) - dw(219, 73)
      JacC( 79, 55) = JacC( 79, 55) + dw(219, 55)
      JacC( 79, 73) = JacC( 79, 73) + dw(219, 73)
      JacC( 81, 55) = JacC( 81, 55) + dw(219, 55)
      JacC( 81, 73) = JacC( 81, 73) + dw(219, 73)
      JacC( 25, 25) = JacC( 25, 25) - dw(220, 25)
      JacC( 25, 75) = JacC( 25, 75) - dw(220, 75)
      JacC( 56, 25) = JacC( 56, 25) + dw(220, 25)
      JacC( 56, 75) = JacC( 56, 75) + dw(220, 75)
      JacC( 75, 25) = JacC( 75, 25) - dw(220, 25)
      JacC( 75, 75) = JacC( 75, 75) - dw(220, 75)
      JacC( 25, 25) = JacC( 25, 25) - dw(221, 25)
      JacC( 25, 73) = JacC( 25, 73) - dw(221, 73)
      JacC( 60, 25) = JacC( 60, 25) + dw(221, 25)
      JacC( 60, 73) = JacC( 60, 73) + dw(221, 73)
      JacC( 73, 25) = JacC( 73, 25) - dw(221, 25)
      JacC( 73, 73) = JacC( 73, 73) - dw(221, 73)
      JacC( 25, 25) = JacC( 25, 25) - dw(222, 25)
      JacC( 25, 58) = JacC( 25, 58) - dw(222, 58)
      JacC( 29, 25) = JacC( 29, 25)+ 0.2000000000000000D-01*dw(222, 25)
      JacC( 29, 58) = JacC( 29, 58)+ 0.2000000000000000D-01*dw(222, 58)
      JacC( 34, 25) = JacC( 34, 25)+ 0.1000000000000000D-01*dw(222, 25)
      JacC( 34, 58) = JacC( 34, 58)+ 0.1000000000000000D-01*dw(222, 58)
      JacC( 45, 25) = JacC( 45, 25)+ 0.4600000000000000D+00*dw(222, 25)
      JacC( 45, 58) = JacC( 45, 58)+ 0.4600000000000000D+00*dw(222, 58)
      JacC( 57, 25) = JacC( 57, 25)+ 0.7900000000000000D+00*dw(222, 25)
      JacC( 57, 58) = JacC( 57, 58)+ 0.7900000000000000D+00*dw(222, 58)
      JacC( 58, 25) = JacC( 58, 25) - dw(222, 25)
      JacC( 58, 58) = JacC( 58, 58) - dw(222, 58)
      JacC( 63, 25) = JacC( 63, 25)+ 0.1600000000000000D+00*dw(222, 25)
      JacC( 63, 58) = JacC( 63, 58)+ 0.1600000000000000D+00*dw(222, 58)
      JacC( 64, 25) = JacC( 64, 25)+ 0.4200000000000000D+00*dw(222, 25)
      JacC( 64, 58) = JacC( 64, 58)+ 0.4200000000000000D+00*dw(222, 58)
      JacC( 68, 25) = JacC( 68, 25)+ 0.7000000000000001D-01*dw(222, 25)
      JacC( 68, 58) = JacC( 68, 58)+ 0.7000000000000001D-01*dw(222, 58)
      JacC( 74, 25) = JacC( 74, 25)+ 0.4000000000000000D-01*dw(222, 25)
      JacC( 74, 58) = JacC( 74, 58)+ 0.4000000000000000D-01*dw(222, 58)
      JacC( 75, 25) = JacC( 75, 25)+ 0.8500000000000000D+00*dw(222, 25)
      JacC( 75, 58) = JacC( 75, 58)+ 0.8500000000000000D+00*dw(222, 58)
      JacC( 76, 25) = JacC( 76, 25)+ 0.1400000000000000D+00*dw(222, 25)
      JacC( 76, 58) = JacC( 76, 58)+ 0.1400000000000000D+00*dw(222, 58)
      JacC( 79, 25) = JacC( 79, 25)+ 0.1000000000000000D+00*dw(222, 25)
      JacC( 79, 58) = JacC( 79, 58)+ 0.1000000000000000D+00*dw(222, 58)
      JacC( 56, 56) = JacC( 56, 56) - dw(223, 56)
      JacC( 56, 80) = JacC( 56, 80) - dw(223, 80)
      JacC( 57, 56) = JacC( 57, 56)+ 0.4000000000000000D+00*dw(223, 56)
      JacC( 57, 80) = JacC( 57, 80)+ 0.4000000000000000D+00*dw(223, 80)
      JacC( 59, 56) = JacC( 59, 56)+ 0.2500000000000000D+00*dw(223, 56)
      JacC( 59, 80) = JacC( 59, 80)+ 0.2500000000000000D+00*dw(223, 80)
      JacC( 61, 56) = JacC( 61, 56)+ 0.3500000000000000D+00*dw(223, 56)
      JacC( 61, 80) = JacC( 61, 80)+ 0.3500000000000000D+00*dw(223, 80)
      JacC( 74, 56) = JacC( 74, 56)+ 0.2500000000000000D+00*dw(223, 56)
      JacC( 74, 80) = JacC( 74, 80)+ 0.2500000000000000D+00*dw(223, 80)
      JacC( 79, 56) = JacC( 79, 56)+ 0.6500000000000000D+00*dw(223, 56)
      JacC( 79, 80) = JacC( 79, 80)+ 0.6500000000000000D+00*dw(223, 80)
      JacC( 80, 56) = JacC( 80, 56) - dw(223, 56)
      JacC( 80, 80) = JacC( 80, 80) - dw(223, 80)
      JacC( 81, 56) = JacC( 81, 56)+ 0.6500000000000000D+00*dw(223, 56)
      JacC( 81, 80) = JacC( 81, 80)+ 0.6500000000000000D+00*dw(223, 80)
      JacC( 56, 56) = JacC( 56, 56) - dw(224, 56)
      JacC( 56, 79) = JacC( 56, 79) - dw(224, 79)
      JacC( 65, 56) = JacC( 65, 56) + dw(224, 56)
      JacC( 65, 79) = JacC( 65, 79) + dw(224, 79)
      JacC( 79, 56) = JacC( 79, 56) - dw(224, 56)
      JacC( 79, 79) = JacC( 79, 79) - dw(224, 79)
      JacC( 56, 56) = JacC( 56, 56) - dw(225, 56)
      JacC( 56, 69) = JacC( 56, 69) - dw(225, 69)
      JacC( 57, 56) = JacC( 57, 56)+ 0.6000000000000000D+00*dw(225, 56)
      JacC( 57, 69) = JacC( 57, 69)+ 0.6000000000000000D+00*dw(225, 69)
      JacC( 59, 56) = JacC( 59, 56)+ 0.4000000000000000D+00*dw(225, 56)
      JacC( 59, 69) = JacC( 59, 69)+ 0.4000000000000000D+00*dw(225, 69)
      JacC( 69, 56) = JacC( 69, 56) - dw(225, 56)
      JacC( 69, 69) = JacC( 69, 69) - dw(225, 69)
      JacC( 74, 56) = JacC( 74, 56)+ 0.1400000000000000D+01*dw(225, 56)
      JacC( 74, 69) = JacC( 74, 69)+ 0.1400000000000000D+01*dw(225, 69)
      JacC( 79, 56) = JacC( 79, 56)+ 0.2000000000000000D+01*dw(225, 56)
      JacC( 79, 69) = JacC( 79, 69)+ 0.2000000000000000D+01*dw(225, 69)
      JacC( 56, 56) = JacC( 56, 56) - dw(226, 56)
      JacC( 56, 82) = JacC( 56, 82) - dw(226, 82)
      JacC( 57, 56) = JacC( 57, 56)+ 0.6000000000000000D+00*dw(226, 56)
      JacC( 57, 82) = JacC( 57, 82)+ 0.6000000000000000D+00*dw(226, 82)
      JacC( 59, 56) = JacC( 59, 56)+ 0.4000000000000000D+00*dw(226, 56)
      JacC( 59, 82) = JacC( 59, 82)+ 0.4000000000000000D+00*dw(226, 82)
      JacC( 69, 56) = JacC( 69, 56) + dw(226, 56)
      JacC( 69, 82) = JacC( 69, 82) + dw(226, 82)
      JacC( 74, 56) = JacC( 74, 56)+ 0.4000000000000000D+00*dw(226, 56)
      JacC( 74, 82) = JacC( 74, 82)+ 0.4000000000000000D+00*dw(226, 82)
      JacC( 79, 56) = JacC( 79, 56) + dw(226, 56)
      JacC( 79, 82) = JacC( 79, 82) + dw(226, 82)
      JacC( 82, 56) = JacC( 82, 56) - dw(226, 56)
      JacC( 82, 82) = JacC( 82, 82) - dw(226, 82)
      JacC( 56, 56) = JacC( 56, 56) - dw(227, 56)
      JacC( 56, 73) = JacC( 56, 73) - dw(227, 73)
      JacC( 57, 56) = JacC( 57, 56)+ 0.6000000000000000D+00*dw(227, 56)
      JacC( 57, 73) = JacC( 57, 73)+ 0.6000000000000000D+00*dw(227, 73)
      JacC( 59, 56) = JacC( 59, 56)+ 0.4000000000000000D+00*dw(227, 56)
      JacC( 59, 73) = JacC( 59, 73)+ 0.4000000000000000D+00*dw(227, 73)
      JacC( 73, 56) = JacC( 73, 56) - dw(227, 56)
      JacC( 73, 73) = JacC( 73, 73) - dw(227, 73)
      JacC( 74, 56) = JacC( 74, 56)+ 0.4000000000000000D+00*dw(227, 56)
      JacC( 74, 73) = JacC( 74, 73)+ 0.4000000000000000D+00*dw(227, 73)
      JacC( 79, 56) = JacC( 79, 56) + dw(227, 56)
      JacC( 79, 73) = JacC( 79, 73) + dw(227, 73)
      JacC( 81, 56) = JacC( 81, 56) + dw(227, 56)
      JacC( 81, 73) = JacC( 81, 73) + dw(227, 73)
      JacC( 58, 79) = JacC( 58, 79) + dw(228, 79)
      JacC( 58, 82) = JacC( 58, 82) + dw(228, 82)
      JacC( 68, 79) = JacC( 68, 79) + dw(228, 79)
      JacC( 68, 82) = JacC( 68, 82) + dw(228, 82)
      JacC( 79, 79) = JacC( 79, 79) - dw(228, 79)
      JacC( 79, 82) = JacC( 79, 82) - dw(228, 82)
      JacC( 82, 79) = JacC( 82, 79) - dw(228, 79)
      JacC( 82, 82) = JacC( 82, 82) - dw(228, 82)
      
      RETURN
      END
      
